# frozen_string_literal: true

#
# Copyright (C) 2021 - present Instructure, Inc.
#
# This file is part of Canvas.
#
# Canvas is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, version 3 of the License.
#
# Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

if !Rails.env.production? && Gem.loaded_specs.key?("simplecov")
  namespace :coverage do
    desc "Collates all result sets generated by the different test runners"
    task :report, [:coverage_dir] => :environment do |_t, args|
      require_relative "../../spec/canvas_simplecov"

      coverage_dir = args[:coverage_dir] || "tmp/coverage/canvas__*/**"
      puts "Coverage Dir: #{coverage_dir}/.resultset.json}"
      puts "Matching Files: ", Dir["#{coverage_dir}/.resultset.json"]
      SimpleCov.collate Dir["#{coverage_dir}/.resultset.json"], "canvas_rails" do
        formatter SimpleCov::Formatter::MultiFormatter.new(
          [
            SimpleCov::Formatter::SimpleFormatter,
            SimpleCov::Formatter::HTMLFormatter,
          ]
        )
      end
    end
  end
end
