/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/ar_SA'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "الوصول إلى محرر HTML الأنيق"
  },
  "accessibility_checker_b3af1f6c": { "message": "المتحقق من إمكانية الوصول" },
  "add_8523c19b": { "message": "إضافة" },
  "add_another_f4e50d57": { "message": "إضافة محتوى" },
  "add_cc_subtitles_55f0394e": {
    "message": "إضافة شرح مكتوب لأحداث العرض/أشرطة الترجمة"
  },
  "add_image_60b2de07": { "message": "إضافة صورة" },
  "align_11050992": { "message": "محاذاة" },
  "align_center_ca078feb": { "message": "محاذاة إلى الوسط" },
  "align_left_e9f1f93b": { "message": "محاذاة إلى اليسار" },
  "align_right_9bad3ac1": { "message": "محاذاة إلى اليمين" },
  "alignment_and_lists_5cebcb69": { "message": "المحاذاة والقوائم" },
  "all_4321c3a1": { "message": "الكل" },
  "all_apps_a50dea49": { "message": "كافة التطبيقات" },
  "alphabetical_55b5b4e0": { "message": "أبجدي" },
  "alt_text_611fb322": { "message": "النص البديل" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "حدث خطأ أثناء قراءة الملف"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "حدث خطأ أثناء إجراء طلب شبكة"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "حدث خطأ أثناء تحميل الوسائط."
  },
  "announcement_list_da155734": { "message": "قائمة الإعلانات" },
  "announcements_a4b8ed4a": { "message": "الإعلانات" },
  "apply_781a2546": { "message": "تطبيق" },
  "apps_54d24a47": { "message": "التطبيق" },
  "arrows_464a3e54": { "message": "الأسهم" },
  "art_icon_8e1daad": { "message": "أيقونة الفنون" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "سيتم الاحتفاظ بنسبة العرض إلى الارتفاع"
  },
  "assignments_1e02582c": { "message": "المهام" },
  "attributes_963ba262": { "message": "السمات" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "تسجيل الصوت والفيديو غير مدعوم، يرجى استخدام مستعرض مختلف."
  },
  "audio_options_feb58e2c": { "message": "خيارات الصوت" },
  "audio_options_tray_33a90711": { "message": "علبة خيارات الصوت" },
  "audio_player_for_title_20cc70d": { "message": "مشغل الصوت لـ { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "المحتوى المحفوظ تلقائياً موجود. هل ترغب في تحميل المحتوى المحفوظ تلقائياً بدلاً من ذلك؟"
  },
  "available_folders_694d0436": { "message": "المجلدات المتاحة" },
  "basic_554cdc0a": { "message": "أساسي" },
  "below_81d4dceb": { "message": "الأسفل" },
  "bottom_third_5f5fec1d": { "message": "الثالث من الأسفل" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "إلغاء" },
  "choose_caption_file_9c45bc4e": { "message": "اختر ملف تسميات توضيحية" },
  "choose_usage_rights_33683854": { "message": "اختر حقوق الاستخدام..." },
  "circle_484abe63": { "message": "الدائرة" },
  "circle_unordered_list_9e3a0763": { "message": "قائمة دائرية غير المرتبة" },
  "clear_2084585f": { "message": "مسح" },
  "clear_image_3213fe62": { "message": "مسح الصورة" },
  "clear_selected_file_82388e50": { "message": "مسح الملف المحدد" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "مسح الملف المحدد: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "انقر أو نقرة + shift للوصول إلى محرر html."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "انقر لتضمين { imageName }"
  },
  "click_to_hide_preview_3c707763": { "message": "انقر لإخفاء المعاينة" },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "انقر لإدراج ارتباط إلى المحرر."
  },
  "click_to_show_preview_faa27051": { "message": "انقر لإظهار المعاينة" },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "إغلاق قائمة أو مربع حوار. يعيدك أيضًا إلى مساحة المحرر"
  },
  "close_d634289d": { "message": "إغلاق" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "يجب أن يقل حجم ملف التسمية التوضيحية المغلقة عن { maxKb } كيلوبايت"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "تسميات توضيحية مغلقة/ترجمات مباشرة"
  },
  "collaborations_5c56c15f": { "message": "الأعمال الجماعية" },
  "collapse_to_hide_types_1ab46d2e": { "message": "الطي لإخفاء { types }" },
  "computer_1d7dfa6f": { "message": "الكمبيوتر" },
  "content_1440204b": { "message": "المحتوى" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "لا يزال يتم تحميل المحتوى، إذا استمرت مشكلة عدم تضمين المحتوى بشكل سليم."
  },
  "content_subtype_5ce35e88": { "message": "النوع الفرعي للمحتوى" },
  "content_type_2cf90d95": { "message": "نوع المحتوى" },
  "copyright_holder_66ee111": { "message": "مالك حق النشر:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 كلمات}\n    one {1 كلمة}\n  other {# من الكلمات}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# عنصر محمّل}\n  other {# من العناصر محمّلة}\n}"
  },
  "course_documents_104d76e0": { "message": "مستندات المساق" },
  "course_files_62deb8f8": { "message": "ملفات المساق" },
  "course_files_a31f97fc": { "message": "ملفات المساق" },
  "course_images_f8511d04": { "message": "صور المساق" },
  "course_links_b56959b9": { "message": "روابط المساق" },
  "course_media_ec759ad": { "message": "وسائط المساق" },
  "course_navigation_dd035109": { "message": "التنقل عبر المساق" },
  "creative_commons_license_725584ae": { "message": "ترخيص المشاع الإبداعي:" },
  "crop_image_41bf940c": { "message": "قص الصورة" },
  "crop_image_807ebb08": { "message": "قص صورة" },
  "current_image_f16c249c": { "message": "الصورة الحالية" },
  "custom_6979cd81": { "message": "مخصص" },
  "date_added_ed5ad465": { "message": "تاريخ الإضافة" },
  "decorative_image_3c28aa7d": { "message": "صورة تزيين" },
  "decrease_indent_de6343ab": { "message": "تقليل المسافة البادئة" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "قائمة افتراضية غير مرتبة بتعداد نقطي"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "قائمة افتراضية مرقمة غير مرتبة"
  },
  "delimiters_4db4840d": { "message": "المحدِدات" },
  "describe_the_image_e65d2e32": { "message": "(وصف الصورة)" },
  "describe_the_video_2fe8f46a": { "message": "(وصف الفيديو)" },
  "details_98a31b68": { "message": "التفاصيل" },
  "diamond_b8dfe7ae": { "message": "معيّن" },
  "dimension_type_55c83e4e": { "message": "نوع البعد" },
  "dimensions_45ddb7b7": { "message": "الأبعاد" },
  "directionality_26ae9e08": { "message": "الاتجاهية" },
  "directly_edit_latex_b7e9235b": { "message": "تحرير LaTeX مباشرةً" },
  "discussions_a5f96392": { "message": "النقاشات" },
  "discussions_index_6c36ced": { "message": "فهرس المناقشات" },
  "display_options_315aba85": { "message": "عرض الخيارات" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "عرض ارتباط النص (يفتح في علامة تبويب جديدة)"
  },
  "document_678cd7bf": { "message": "مستند" },
  "documents_81393201": { "message": "المستندات" },
  "done_54e3d4b6": { "message": "تم" },
  "drag_a_file_here_1bf656d5": { "message": "إفلات ملف هنا" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "اسحب وأفلت أو انقر لاستعراض الكمبيوتر الخاص بك"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "إفلات المؤشر. استخدم سهمي لأعلى ولأسفل لضبط الحجم"
  },
  "due_multiple_dates_cc0ee3f5": {
    "message": "تاريخ الاستحقاق: تواريخ متعددة"
  },
  "due_when_7eed10c6": { "message": "تاريخ الاستحقاق: { when }" },
  "edit_c5fbea07": { "message": "تحرير" },
  "edit_equation_f5279959": { "message": "تحرير المعادلة" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "تحرير الزر الحالي / الأيقونة الحالية"
  },
  "edit_link_7f53bebb": { "message": "تحرير الارتباط" },
  "editor_statusbar_26ac81fc": { "message": "شريط حالة المحرر" },
  "embed_828fac4a": { "message": "تضمين" },
  "embed_code_314f1bd5": { "message": "تضمين تعليمات برمجية" },
  "embed_image_1080badc": { "message": "تضمين صورة" },
  "embed_video_a97a64af": { "message": "تضمين الفيديو" },
  "embedded_content_aaeb4d3d": { "message": "مضمّن آخر" },
  "engineering_icon_f8f3cf43": { "message": "أيقونة الهندسة" },
  "english_icon_25bfe845": { "message": "أيقونة الإنجليزية" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "أدخل 3 أحرف على الأقل للبحث"
  },
  "equation_1c5ac93c": { "message": "معادلة" },
  "equation_editor_39fbc3f1": { "message": "محرر المعادلات" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "توسيع المعاينة افتراضيًا"
  },
  "expand_to_see_types_f5d29352": { "message": "التوسيع لرؤية { types }" },
  "external_links_3d9f074e": { "message": "الارتباطات الخارجية" },
  "external_tools_6e77821": { "message": "الأدوات الخارجية" },
  "extra_large_b6cdf1ff": { "message": "كبير جداً" },
  "extra_small_9ae33252": { "message": "صغير للغاية" },
  "extracurricular_icon_67c8ca42": { "message": "أيقونة الأنشطة غير الصفية" },
  "file_url_c12b64be": { "message": "عنوان URL للملف" },
  "filename_file_icon_602eb5de": { "message": "أيقونة الملف { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "معاينة الصورة { filename }"
  },
  "filename_text_preview_e41ca2d8": { "message": "معاينة النص { filename }" },
  "files_c300e900": { "message": "الملفات" },
  "files_index_af7c662b": { "message": "فهرس الملفات" },
  "focus_element_options_toolbar_18d993e": {
    "message": "شريط أدوات خيارات عنصر التركيز"
  },
  "folder_tree_fbab0726": { "message": "شجرة المجلد" },
  "format_4247a9c5": { "message": "التنسيق" },
  "formatting_5b143aa8": { "message": "التنسيق" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "تم العثور على محتوى محفوظ تلقائياً"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "تم العثور على { count, plural,\n     =0 {# من النتائج}\n    one {# نتيجة}\n  other {# من النتائج}\n}"
  },
  "fullscreen_873bf53f": { "message": "ملء الشاشة" },
  "generating_preview_45b53be0": { "message": "جارٍ إنشاء المعاينة..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "الانتقال إلى شريط القوائم الخاص بالمحرر"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "الانتقال إلى شريط الأدوات الخاص بالمحرر"
  },
  "grades_a61eba0a": { "message": "الدرجات" },
  "greek_65c5b3f7": { "message": "اليونانية" },
  "group_documents_8bfd6ae6": { "message": "مستندات المجموعة" },
  "group_files_4324f3df": { "message": "ملفات المجموعة" },
  "group_files_82e5dcdb": { "message": "ملفات المجموعة" },
  "group_images_98e0ac17": { "message": "صور المجموعة" },
  "group_links_9493129e": { "message": "تجميع الارتباطات" },
  "group_media_2f3d128a": { "message": "وسائط المجموعة" },
  "group_navigation_99f191a": { "message": "التنقل عبر المجموعة" },
  "heading_2_5b84eed2": { "message": "العنوان 2" },
  "heading_3_2c83de44": { "message": "العنوان 3" },
  "heading_4_b2e74be7": { "message": "العنوان 4" },
  "health_icon_8d292eb5": { "message": "أيقونة الصحة" },
  "height_69b03e15": { "message": "الارتفاع" },
  "hexagon_d8468e0d": { "message": "سداسي" },
  "hide_description_bfb5502e": { "message": "إخفاء الوصف" },
  "hide_title_description_caf092ef": { "message": "إخفاء وصف { title }" },
  "home_351838cd": { "message": "الصفحة الرئيسية" },
  "html_code_editor_fd967a44": { "message": "محرر التعليمات البرمجية HTML" },
  "html_editor_fb2ab713": { "message": "محرر HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "لقد حصلت على إذن لاستخدام هذا الملف."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "أمتلك حق النشر" },
  "icon_color_b86dd6d6": { "message": "لون الأيقونة" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "إن لم تحدد الآن حقوق الاستخدام، فسيتم إلغاء نشر هذا الملف بعد تحميله."
  },
  "image_8ad06": { "message": "صورة" },
  "image_options_5412d02c": { "message": "خيارات الصورة" },
  "image_options_tray_90a46006": { "message": "علبة خيارات الصورة" },
  "image_to_crop_3a34487d": { "message": "الصور المراد قصها" },
  "images_7ce26570": { "message": "الصور" },
  "increase_indent_6d550a4a": { "message": "زيادة المسافة البادئة" },
  "insert_593145ef": { "message": "إدخال" },
  "insert_equella_links_49a8dacd": { "message": "إدراج ارتباطات Equella" },
  "insert_link_6dc23cae": { "message": "إدراج ارتباط" },
  "insert_math_equation_57c6e767": { "message": "إدخال معادلة رياضية" },
  "invalid_file_c11ba11": { "message": "ملف غير صالح" },
  "invalid_file_type_881cc9b2": { "message": "نوع ملف غير صالح" },
  "invalid_url_cbde79f": { "message": "URL غير صالح" },
  "keyboard_shortcuts_ed1844bd": { "message": "اختصارات لوحة المفاتيح" },
  "language_arts_icon_a798b0f8": { "message": "أيقونة آداب اللغة" },
  "languages_icon_9d20539": { "message": "أيقونة اللغات" },
  "large_9c5e80e7": { "message": "كبير" },
  "left_to_right_e9b4fd06": { "message": "‏‏من اليسار إلى اليمين" },
  "library_icon_ae1e54cf": { "message": "أيقونة المكتبة" },
  "link_7262adec": { "message": "ارتباط" },
  "link_options_a16b758b": { "message": "خيارات الارتباط" },
  "links_14b70841": { "message": "الارتباطات" },
  "load_more_35d33c7": { "message": "تحميل المزيد" },
  "load_more_results_460f49a9": { "message": "تحميل المزيد من النتائج" },
  "loading_25990131": { "message": "جارٍ التحميل..." },
  "loading_bde52856": { "message": "جارٍ التحميل" },
  "loading_failed_b3524381": { "message": "فشل التحميل..." },
  "loading_failed_e6a9d8ef": { "message": "فشل التحميل." },
  "loading_folders_d8b5869e": { "message": "جارٍ تحميل المجلدات" },
  "loading_please_wait_d276220a": { "message": "جارٍ التحميل، يرجى الانتظار" },
  "loading_preview_9f077aa1": { "message": "جارٍ تحميل المعاينة" },
  "locked_762f138b": { "message": "مؤمّن" },
  "math_icon_ad4e9d03": { "message": "أيقونة الرياضيات" },
  "media_af190855": { "message": "الوسائط" },
  "medium_5a8e9ead": { "message": "متوسط" },
  "middle_27dc1d5": { "message": "الأوسط" },
  "misc_3b692ea7": { "message": "متنوع" },
  "miscellaneous_e9818229": { "message": "متنوعات" },
  "modules_c4325335": { "message": "الوحدات النمطية" },
  "multi_color_image_63d7372f": { "message": "صورة متعددة الألوان" },
  "music_icon_4db5c972": { "message": "أيقونة الموسيقى" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "يجب أن يكون { percentage }% على الأقل"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "يجب أن تكون { width } x { height } بكسل على الأقل."
  },
  "my_files_2f621040": { "message": "ملفاتي" },
  "name_1aed4a1b": { "message": "الاسم" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "تنقل من خلال القائمة أو شريط الأدوات"
  },
  "next_page_d2a39853": { "message": "الصفحة التالية" },
  "no_e16d9132": { "message": "لا" },
  "no_file_chosen_9a880793": { "message": "لم يتم اختيار ملف" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "لا توجد معاينة متوفرة لهذا الملف."
  },
  "no_results_940393cf": { "message": "لا توجد نتائج." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "لم يتم العثور على نتائج لـ { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "لم يتم العثور على نتائج لـ { term }."
  },
  "none_3b5e34d2": { "message": "بلا" },
  "none_selected_b93d56d2": { "message": "لم يتم تحديد شيء" },
  "octagon_e48be9f": { "message": "ثماني" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "افتح مربع حوار اختصارات لوحة المفاتيح هذا"
  },
  "open_title_application_fd624fc5": { "message": "فتح تطبيق { title }" },
  "operators_a2ef9a93": { "message": "المشغلون" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "القوائم المرتبة وغير المرتبة"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "يمكن العثور على اختصارات أخرى للمحرر على"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } ليس بروتوكولاً صالحًا الذي يجب أن يكون ftp وhttp وhttps وmailto وskype وإلا سيتم حذفه"
  },
  "pages_e5414c2c": { "message": "الصفحات" },
  "paragraph_5e5ad8eb": { "message": "الفقرة" },
  "pentagon_17d82ea3": { "message": "خماسي" },
  "people_b4ebb13c": { "message": "أشخاص" },
  "percentage_34ab7c2c": { "message": "نسبة مئوية" },
  "percentage_must_be_a_number_8033c341": {
    "message": "يجب أن تكون النسبة المئوية رقمًا"
  },
  "performing_arts_icon_f3497486": { "message": "أيقونة الفنون التعبيرية" },
  "physical_education_icon_d7dffd3e": { "message": "أيقونة التربية البدنية" },
  "pixels_52ece7d1": { "message": "بكسل" },
  "posted_when_a578f5ab": { "message": "المنشور: { when }" },
  "preformatted_d0670862": { "message": "منسق مسبقًا" },
  "pretty_html_editor_28748756": { "message": "محرر HTML الأنيق" },
  "preview_53003fd2": { "message": "معاينة" },
  "preview_in_overlay_ed772c46": { "message": "المعاينة بشكل متراكب" },
  "preview_inline_9787330": { "message": "معاينة مضمّنة" },
  "previous_page_928fc112": { "message": "الصفحة السابقة" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "يجب أن يكون البروتوكول ftp وhttp وhttps وmailto وskype وإلا سيتم حذفه"
  },
  "published_c944a23d": { "message": "تم النشر" },
  "published_when_302d8e23": { "message": "تاريخ النشر: { when }" },
  "quizzes_7e598f57": { "message": "الاختبارات الموجزة" },
  "raw_html_editor_e3993e41": { "message": "محرر HTML الأولي" },
  "record_7c9448b": { "message": "تسجيل" },
  "record_upload_media_5fdce166": { "message": "تسجيل/تحميل الوسائط" },
  "relationships_6602af70": { "message": "العلاقات" },
  "religion_icon_246e0be1": { "message": "أيقونة الدين" },
  "remove_link_d1f2f4d0": { "message": "إزالة الارتباط" },
  "resize_ec83d538": { "message": "تغيير الحجم" },
  "restore_auto_save_deccd84b": { "message": "استعادة الحفظ التلقائي؟" },
  "rich_content_editor_2708ef21": { "message": "محرر محتوى" },
  "right_to_left_9cfb092a": { "message": "من اليمين إلى اليسار" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "للأسف، محرر HTML الأنيق لا يمكن الوصول إليه من خلال لوحة المفاتيح. قم بالوصول إلى محرر HTML الأنيق من هنا."
  },
  "save_11a80ec3": { "message": "حفظ" },
  "search_280d00bd": { "message": "بحث" },
  "search_term_b2d2235": { "message": "مصطلح البحث" },
  "select_crop_shape_d441feeb": { "message": "حدد قص شكل" },
  "select_language_7c93a900": { "message": "اختر اللغة" },
  "selected_274ce24f": { "message": "تم التحديد" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "اضغط على Shift-O لفتح محرر HTML الأنيق."
  },
  "show_audio_options_b489926b": { "message": "إظهار خيارات الصوت" },
  "show_image_options_1e2ecc6b": { "message": "إظهار خيارات الصورة" },
  "show_link_options_545338fd": { "message": "إظهار خيارات الارتباطات" },
  "show_video_options_6ed3721a": { "message": "إظهار خيارات الفيديو" },
  "single_color_image_4e5d4dbc": { "message": "صورة بلون واحد" },
  "size_b30e1077": { "message": "الحجم" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "حجم ملف التسمية التوضيحية يتجاوز الحد الأقصى المسموح به من { max } كيلوبايت."
  },
  "small_b070434a": { "message": "صغير" },
  "something_went_wrong_89195131": { "message": "حدث خطأ ما." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "حدثت مشكلة ولا أعلم ماذا أعرض لك."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "حدث خطأ ما، تفقد الاتصال الخاص بك وأعد المحاولة مجددًا."
  },
  "something_went_wrong_d238c551": { "message": "حدث خطأ ما" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "حدث خطأ ما، حاول مجدداً بعد تحديث الصفحة"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "حدث خطأ ما في التحميل، تحقق من الاتصال ثم حاول مجدداً."
  },
  "sort_by_e75f9e3e": { "message": "الفزر حسب" },
  "square_511eb3b3": { "message": "مربع" },
  "square_unordered_list_b15ce93b": { "message": "قائمة مربعة غير مرتبة" },
  "star_8d156e09": { "message": "نجمة" },
  "styles_2aa721ef": { "message": "الأنماط" },
  "submit_a3cc6859": { "message": "إرسال" },
  "subscript_59744f96": { "message": "منخفض" },
  "superscript_8cb349a2": { "message": "مرتفع" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "أنواع الملفات المدعومة: SRT أو WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": { "message": "التبديل إلي محرر html" },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "التبديل إلى محرر النص المنسق"
  },
  "syllabus_f191f65b": { "message": "المناهج" },
  "tab_arrows_4cf5abfc": { "message": "ضغط/أسهم" },
  "text_7f4593da": { "message": "نص" },
  "text_background_color_16e61c3f": { "message": "لون خلفية النص" },
  "text_color_acf75eb6": { "message": "لون النص" },
  "text_position_8df8c162": { "message": "موضع النص" },
  "text_size_887c2f6": { "message": "حجم النص" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "توجد المادة في المجال العام"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "المادة مرخصة بموجب المشاع الإبداعي"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "المادة خاضعة لاستثناء - مثال استخدام عادل أو حق الاقتباس أو استثناءات أخرى بموجب قوانين حقوق النشر المعمول بها"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "محرر HTML الأنيق لا يمكن الوصول إليه من خلال لوحة المفاتيح. اضغط على Shift-O لفتح محرر HTML البسيط."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "بالرغم من أن مقطع الفيديو الخاص بك سيشتمل على العنوان الصحيح في المستعرض، لم نتمكن من تحديثه في قاعدة البيانات."
  },
  "title_ee03d132": { "message": "العنوان" },
  "to_be_posted_when_d24bf7dc": { "message": "المقرر نشره: { when }" },
  "to_do_when_2783d78f": { "message": "قائمة مهام: { when }" },
  "toggle_summary_group_413df9ac": { "message": "تبديل مجموعة { summary }" },
  "tools_2fcf772e": { "message": "الأدوات" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "تم العثور على { totalResults } من النتائج، { numDisplayed } من النتائج قيد العرض حاليًا"
  },
  "tray_839df38a": { "message": "العلبة" },
  "triangle_6072304e": { "message": "مثلث" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "اضغط على Control F9 للوصول إلى اختيارات الصورة. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "اضغط على Control F9 للوصول إلى اختيارات الرابط. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "اضغط Control F9 للوصول إلى اختيارات الجدول. { text }"
  },
  "unpublished_dfd8801": { "message": "غير منشور" },
  "untitled_efdc2d7d": { "message": "بدون عنوان" },
  "upload_document_253f0478": { "message": "تحميل المستند" },
  "upload_file_fd2361b8": { "message": "تحميل ملف" },
  "upload_image_6120b609": { "message": "تحميل صورة" },
  "upload_media_ce31135a": { "message": "تحميل الوسائط" },
  "upload_record_media_e4207d72": { "message": "تحميل/تسجيل الوسائط" },
  "uploading_19e8a4e7": { "message": "جارٍ التحميل" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "تعذر تحميل التسميات التوضيحية/العناوين الفرعية."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "قائمة أبجدية مرتبة بأحرف كبيرة"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "قائمة بأرقام رومانية مرتبة بأحرف كبيرة"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "حق الاستخدام:" },
  "usage_rights_required_5fe4dd68": { "message": "حقوق الاستخدام (مطلوبة)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "استخدم مفاتيح الأسهم للتنقل بين الخيارات."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "استخدم مفاتيح الأسهم لتحديد شكل."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "استخدم مفاتيح الأسهم لتحديد حجم."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "استخدم مفاتيح الأسهم لتحديد موضع النص."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "استخدم مفاتيح الأسهم لتحديد حجم النص."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "استخدم مفاتيح الأسهم لتحديد حجم الإطار."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "يستخدم بواسطة أدوات قراءة الشاشة لوصف محتوى الصور"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "يستخدم بواسطة أدوات قراءة الشاشة لوصف الفيديو"
  },
  "user_documents_c206e61f": { "message": "مستندات المستخدم" },
  "user_files_78e21703": { "message": "ملفات المستخدمين" },
  "user_images_b6490852": { "message": "صور المستخدمين" },
  "user_media_14fbf656": { "message": "وسائط المستخدم" },
  "video_options_24ef6e5d": { "message": "خيارات الفيديو" },
  "video_options_tray_3b9809a5": { "message": "علبة خيارات الفيديو" },
  "video_player_for_9e7d373b": { "message": "مشغل الفيديو لـ " },
  "video_player_for_title_ffd9fbc4": { "message": "مشغل الفيديو لـ { title }" },
  "view_ba339f93": { "message": "عرض" },
  "view_description_30446afc": { "message": "عرض الوصف" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "عرض اختصارات لوحة المفاتيح"
  },
  "view_predefined_colors_92f5db39": {
    "message": "عرض الألوان المحددة مسبقًا"
  },
  "view_title_description_67940918": { "message": "عرض وصف { title }" },
  "width_492fec76": { "message": "العرض" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "يجب أن يكون العرض والارتفاع أرقاماً"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height } بكسل" },
  "wiki_home_9cd54d0": { "message": "الصفحة الرئيسية لـ Wiki" },
  "yes_dde87d5": { "message": "نعم" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "لا يمكنك تحميل ملف فارغ."
  },
  "zoom_in_image_bb97d4f": { "message": "تكبير الصورة" },
  "zoom_out_image_d0a0a2ec": { "message": "تصغير الصورة" }
}


formatMessage.addLocale({ar: locale})
