/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/de'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Auf Pretty HTML-Editor zugreifen"
  },
  "accessibility_checker_b3af1f6c": { "message": "Zugangskontrolle" },
  "add_8523c19b": { "message": "Hinzufügen" },
  "add_another_f4e50d57": { "message": "Einen weiteren hinzufügen" },
  "add_cc_subtitles_55f0394e": { "message": "CC / Untertitel hinzufügen" },
  "add_image_60b2de07": { "message": "Bild hinzufügen" },
  "align_11050992": { "message": "Ausrichten" },
  "align_center_ca078feb": { "message": "Mittig ausrichten" },
  "align_left_e9f1f93b": { "message": "Links ausrichten" },
  "align_right_9bad3ac1": { "message": "Rechts ausrichten" },
  "alignment_and_lists_5cebcb69": { "message": "Ausrichtung und Listen" },
  "all_4321c3a1": { "message": "Alle" },
  "all_apps_a50dea49": { "message": "Alle Apps" },
  "alphabetical_55b5b4e0": { "message": "In alphabetischer Reihenfolge" },
  "alt_text_611fb322": { "message": "Altern. Text" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Fehler beim Lesen der Datei"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Fehler beim einer Netzwerkanforderung"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Fehler beim Hochladen der Medien."
  },
  "announcement_list_da155734": { "message": "Ankündigungsliste" },
  "announcements_a4b8ed4a": { "message": "Announcements" },
  "apply_781a2546": { "message": "Anwenden" },
  "apps_54d24a47": { "message": "Apps" },
  "arrows_464a3e54": { "message": "Pfeile" },
  "art_icon_8e1daad": { "message": "Kunstsymbol" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Seitenverhältnis wird beibehalten"
  },
  "assignments_1e02582c": { "message": "Aufgaben" },
  "attributes_963ba262": { "message": "Attribute" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Aufzeichnung von Audio und Video wird nicht unterstützt, bitte nutzen Sie einen anderen Browser."
  },
  "audio_options_feb58e2c": { "message": "Audiooptionen" },
  "audio_options_tray_33a90711": { "message": "Fach für Audiooptionen" },
  "audio_player_for_title_20cc70d": { "message": "Audioplayer für { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Automatisch gespeicherte Inhalte vorhanden. Möchten Sie lieber die automatisch gespeicherten Inhalte laden?"
  },
  "available_folders_694d0436": { "message": "Verfügbare Ordner" },
  "basic_554cdc0a": { "message": "Grundlegend" },
  "below_81d4dceb": { "message": "Unten" },
  "bottom_third_5f5fec1d": { "message": "Unteres Drittel" },
  "c_2001_acme_inc_283f7f80": { "message": "© 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Abbrechen" },
  "choose_caption_file_9c45bc4e": { "message": "Caption-Datei auswählen" },
  "choose_usage_rights_33683854": {
    "message": "Nutzungsrechte auswählen ...."
  },
  "circle_484abe63": { "message": "Kreis" },
  "circle_unordered_list_9e3a0763": {
    "message": "Ungeordnete Liste einkreisen"
  },
  "clear_2084585f": { "message": "Löschen" },
  "clear_image_3213fe62": { "message": "Bild löschen" },
  "clear_selected_file_82388e50": { "message": "Ausgewählte Datei löschen" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Ausgewählte Datei löschen: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Klicken oder Umschalt-Taste / Klicken für den html-Editor."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "{ imageName } durch Anklicken einbetten"
  },
  "click_to_hide_preview_3c707763": { "message": "Vorschau ausblenden" },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Einfügen eines Links in den Editor"
  },
  "click_to_show_preview_faa27051": { "message": "Vorschau einblenden" },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Menü oder Dialogfeld schließen. Bringt Sie zurück zum Editor-Bereich"
  },
  "close_d634289d": { "message": "Schließen" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Die Untertiteldatei muss kleiner als { maxKb } KB sein."
  },
  "closed_captions_subtitles_e6aaa016": { "message": "Untertitel" },
  "collaborations_5c56c15f": { "message": "Collaborations" },
  "collapse_to_hide_types_1ab46d2e": { "message": "{ types } ausblenden" },
  "computer_1d7dfa6f": { "message": "Computer" },
  "content_1440204b": { "message": "Content" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Der Inhalt wird noch hochgeladen, wenn Sie fortfahren, wird er nicht richtig eingebettet."
  },
  "content_subtype_5ce35e88": { "message": "Content-Subtyp" },
  "content_type_2cf90d95": { "message": "Content-Typ" },
  "copyright_holder_66ee111": { "message": "Urheberrechtsinhaber:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 Worte}\n    one {1 Wort}\n  other {# Worte}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# Objekt geladen}\n  other {# Objekte geladen}\n}"
  },
  "course_documents_104d76e0": { "message": "Kursunterlagen" },
  "course_files_62deb8f8": { "message": "Kursdateien" },
  "course_files_a31f97fc": { "message": "Kursdateien" },
  "course_images_f8511d04": { "message": "Kursbilder" },
  "course_links_b56959b9": { "message": "Kurs-Links" },
  "course_media_ec759ad": { "message": "Kursmedien" },
  "course_navigation_dd035109": { "message": "Kursnavigation" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons-Lizenz:"
  },
  "crop_image_41bf940c": { "message": "Bild zuschneiden" },
  "crop_image_807ebb08": { "message": "Bild zuschneiden" },
  "current_image_f16c249c": { "message": "Aktuelles Bild" },
  "custom_6979cd81": { "message": "Angepasst" },
  "date_added_ed5ad465": { "message": "Datum hinzugefügt" },
  "decorative_image_3c28aa7d": { "message": "Dekoratives Bild" },
  "decrease_indent_de6343ab": { "message": "Einzug verkleinern" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "Ungeordnete Liste standardmäßig mit Aufzählungszeichen"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "Standardmäßig numerisch sortierte Liste"
  },
  "delimiters_4db4840d": { "message": "Trennzeichen" },
  "describe_the_image_e65d2e32": { "message": "(Beschreiben Sie das Bild)" },
  "describe_the_video_2fe8f46a": { "message": "(Beschreiben Sie das Video)" },
  "details_98a31b68": { "message": "Details" },
  "diamond_b8dfe7ae": { "message": "Diamond" },
  "dimension_type_55c83e4e": { "message": "Dimensionstyp" },
  "dimensions_45ddb7b7": { "message": "Abmessungen" },
  "directionality_26ae9e08": { "message": "Schreibrichtung" },
  "directly_edit_latex_b7e9235b": { "message": "LaTeX direkt bearbeiten" },
  "discussions_a5f96392": { "message": "Diskussionen" },
  "discussions_index_6c36ced": { "message": "Diskussionsindex" },
  "display_options_315aba85": { "message": "Anzeigeoptionen" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Text-Link anzeigen (wird in einem neuen Tab geöffnet)"
  },
  "document_678cd7bf": { "message": "Dokument" },
  "documents_81393201": { "message": "Dokumente" },
  "done_54e3d4b6": { "message": "Fertig" },
  "drag_a_file_here_1bf656d5": { "message": "Eine Datei hierher ziehen" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Drag-and-Drop oder klicken Sie, um Ihren Computer zu durchsuchen."
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Ziehpunkt Die Aufwärts- und Abwärtspfeile verwenden, um die Größe zu ändern"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Fällig: Mehrere Daten" },
  "due_when_7eed10c6": { "message": "Fällig: { when }" },
  "edit_c5fbea07": { "message": "Ändern" },
  "edit_equation_f5279959": { "message": "Gleichung bearbeiten" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Vorhandene/s Schaltfläche/Symbol bearbeiten"
  },
  "edit_link_7f53bebb": { "message": "Link bearbeiten" },
  "editor_statusbar_26ac81fc": { "message": "Editor-Statusleiste" },
  "embed_828fac4a": { "message": "Einbetten" },
  "embed_code_314f1bd5": { "message": "Code einbetten" },
  "embed_image_1080badc": { "message": "Bild einbetten" },
  "embed_video_a97a64af": { "message": "Video einbetten" },
  "embedded_content_aaeb4d3d": { "message": "Eingebettete Inhalte" },
  "engineering_icon_f8f3cf43": { "message": "Engineering-Symbol" },
  "english_icon_25bfe845": { "message": "Englisch-Symbol" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Geben Sie für die Suche mindestens 3 Zeichen ein."
  },
  "equation_1c5ac93c": { "message": "Gleichung" },
  "equation_editor_39fbc3f1": { "message": "Formel-Editor" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Vorschau standardmäßig erweitern"
  },
  "expand_to_see_types_f5d29352": { "message": "{ types } erweitern" },
  "external_links_3d9f074e": { "message": "Externe Links" },
  "external_tools_6e77821": { "message": "Externe Tools" },
  "extra_large_b6cdf1ff": { "message": "Extra groß" },
  "extra_small_9ae33252": { "message": "Extra klein" },
  "extracurricular_icon_67c8ca42": { "message": "Außerschulisches Symbol" },
  "file_url_c12b64be": { "message": "Datei-URL" },
  "filename_file_icon_602eb5de": { "message": "Dateisymbol für { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "Bildvorschau für { filename }"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "Textvorschau für { filename }"
  },
  "files_c300e900": { "message": "Dateien" },
  "files_index_af7c662b": { "message": "Dateienindex" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Symbolleiste für Element-Optionen fokussieren"
  },
  "folder_tree_fbab0726": { "message": "Ordnerstruktur" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formatierung" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Automatisch gespeicherte Inhalte gefunden"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Gefundene { count, plural,\n     =0 {# Ergebnisse}\n    one {# Ergebnisse}\n  other {# Ergebnisse}\n}"
  },
  "fullscreen_873bf53f": { "message": "Vollbild" },
  "generating_preview_45b53be0": { "message": "Vorschau wird erzeugt ..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Gehen Sie zur Editor-Menüleiste"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Gehen Sie zur Editor-Symbolleiste"
  },
  "grades_a61eba0a": { "message": "Noten" },
  "greek_65c5b3f7": { "message": "Griechisch" },
  "group_documents_8bfd6ae6": { "message": "Gruppendokumente" },
  "group_files_4324f3df": { "message": "Gruppendateien" },
  "group_files_82e5dcdb": { "message": "Gruppendateien" },
  "group_images_98e0ac17": { "message": "Gruppenbilder" },
  "group_links_9493129e": { "message": "Gruppen-Links" },
  "group_media_2f3d128a": { "message": "Gruppenmedien" },
  "group_navigation_99f191a": { "message": "Gruppennavigation" },
  "heading_2_5b84eed2": { "message": "Überschrift 2" },
  "heading_3_2c83de44": { "message": "Überschrift 3" },
  "heading_4_b2e74be7": { "message": "Überschrift 4" },
  "health_icon_8d292eb5": { "message": "Gesundheitssymbol" },
  "height_69b03e15": { "message": "Höhe" },
  "hexagon_d8468e0d": { "message": "Sechseck" },
  "hide_description_bfb5502e": { "message": "Beschreibung ausblenden" },
  "hide_title_description_caf092ef": {
    "message": "Beschreibung { title } ausblenden"
  },
  "home_351838cd": { "message": "Start" },
  "html_code_editor_fd967a44": { "message": "HTML-Code-Editor" },
  "html_editor_fb2ab713": { "message": "HTML-Editor" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Ich habe die Berechtigung zur Nutzung dieser Datei erhalten."
  },
  "i_hold_the_copyright_71ee91b1": {
    "message": "Ich bin der Urheberrechtsinhaber"
  },
  "icon_color_b86dd6d6": { "message": "Symbolfarbe" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Wenn Sie jetzt keine Nutzungsrechte auswählen, wird diese Datei nach dem Hochladen nicht veröffentlicht."
  },
  "image_8ad06": { "message": "Bild" },
  "image_options_5412d02c": { "message": "Bildoptionen" },
  "image_options_tray_90a46006": { "message": "Fach für Bildoptionen" },
  "image_to_crop_3a34487d": { "message": "Bild zum Zuschneiden" },
  "images_7ce26570": { "message": "Bilder" },
  "increase_indent_6d550a4a": { "message": "Einzug vergrößern" },
  "insert_593145ef": { "message": "Einfügen" },
  "insert_equella_links_49a8dacd": { "message": "Equella-Links einfügen" },
  "insert_link_6dc23cae": { "message": "Link einfügen" },
  "insert_math_equation_57c6e767": { "message": "Math. Gleichung einfügen" },
  "invalid_file_c11ba11": { "message": "Ungültiger Dateityp" },
  "invalid_file_type_881cc9b2": { "message": "Ungültiger Dateityp" },
  "invalid_url_cbde79f": { "message": "Ungültige URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Tastenkombinationen" },
  "language_arts_icon_a798b0f8": { "message": "Symbol für „Sprachkunst“" },
  "languages_icon_9d20539": { "message": "Sprachen-Symbol" },
  "large_9c5e80e7": { "message": "Groß" },
  "left_to_right_e9b4fd06": { "message": "Von links nach rechts" },
  "library_icon_ae1e54cf": { "message": "Bibliothekssymbol" },
  "link_7262adec": { "message": "Link" },
  "link_options_a16b758b": { "message": "Link-Optionen" },
  "links_14b70841": { "message": "Links" },
  "load_more_35d33c7": { "message": "Mehr laden" },
  "load_more_results_460f49a9": { "message": "Weitere Ergebnisse laden" },
  "loading_25990131": { "message": "Wird geladen ..." },
  "loading_bde52856": { "message": "Wird geladen" },
  "loading_failed_b3524381": { "message": "Ladevorgang fehlgeschlagen" },
  "loading_failed_e6a9d8ef": { "message": "Ladevorgang fehlgeschlagen" },
  "loading_folders_d8b5869e": { "message": "Ordner werden geladen" },
  "loading_please_wait_d276220a": { "message": "Ladevorgang, bitte warten" },
  "loading_preview_9f077aa1": { "message": "Vorschau wird geladen" },
  "locked_762f138b": { "message": "Gesperrt" },
  "math_icon_ad4e9d03": { "message": "Symbol „Mathematik“" },
  "media_af190855": { "message": "Medien" },
  "medium_5a8e9ead": { "message": "Medium" },
  "middle_27dc1d5": { "message": "Mitte" },
  "misc_3b692ea7": { "message": "Sonstige" },
  "miscellaneous_e9818229": { "message": "Verschiedenes" },
  "modules_c4325335": { "message": "Module" },
  "multi_color_image_63d7372f": { "message": "Mehrfarbiges Bild" },
  "music_icon_4db5c972": { "message": "Musiksymbol" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Mindestens { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Mindestgröße ist { width } x { height } px."
  },
  "my_files_2f621040": { "message": "Meine Dateien" },
  "name_1aed4a1b": { "message": "Name" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navigieren Sie durch das Menü oder die Symbolleiste"
  },
  "next_page_d2a39853": { "message": "Nächste Seite" },
  "no_e16d9132": { "message": "Nein" },
  "no_file_chosen_9a880793": { "message": "Keine Datei ausgewählt" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Für diese Datei ist keine Vorschau verfügbar."
  },
  "no_results_940393cf": { "message": "Keine Ergebnisse." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Es wurden keine Ergebnisse für { filterTerm } gefunden."
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Es wurden keine Ergebnisse für { term } gefunden."
  },
  "none_3b5e34d2": { "message": "Keine" },
  "none_selected_b93d56d2": { "message": "Keines ausgewählt" },
  "octagon_e48be9f": { "message": "Achteck" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Diesen Tastenkombinationsdialog öffnen"
  },
  "open_title_application_fd624fc5": {
    "message": "Anwendung { title } öffnen"
  },
  "operators_a2ef9a93": { "message": "Operatoren" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Geordnete und ungeordnete Listen"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Weitere Editor-Tastenkombinationen finden Sie unter"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } Ist kein gültiges Protokoll. Es muss ftp, http, https, mailto, skype oder tel sein oder weggelassen werden."
  },
  "pages_e5414c2c": { "message": "Seiten" },
  "paragraph_5e5ad8eb": { "message": "Absatz" },
  "pentagon_17d82ea3": { "message": "Pentagon" },
  "people_b4ebb13c": { "message": "Teilnehmer" },
  "percentage_34ab7c2c": { "message": "Prozentsatz" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Prozentsatz muss eine Zahl sein"
  },
  "performing_arts_icon_f3497486": {
    "message": "Symbol für „Darstellende Kunst“"
  },
  "physical_education_icon_d7dffd3e": {
    "message": "Symbol Für Körperertüchtigung"
  },
  "pixels_52ece7d1": { "message": "Pixel" },
  "posted_when_a578f5ab": { "message": "Gepostet am: { when }" },
  "preformatted_d0670862": { "message": "Vorformatiert" },
  "pretty_html_editor_28748756": { "message": "Pretty HTML-Editor" },
  "preview_53003fd2": { "message": "Vorschau" },
  "preview_in_overlay_ed772c46": { "message": "Vorschau in Overlay" },
  "preview_inline_9787330": { "message": "Inlne-Vorschau" },
  "previous_page_928fc112": { "message": "Vorherige Seite" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Das Protokoll muss ftp, http, https, mailto, Skype oder tel sein oder weggelassen werden."
  },
  "published_c944a23d": { "message": "veröffentlicht" },
  "published_when_302d8e23": { "message": "Veröffentlicht am: { when }" },
  "quizzes_7e598f57": { "message": "Quizze" },
  "raw_html_editor_e3993e41": { "message": "Raw-HTML-Editor" },
  "record_7c9448b": { "message": "Aufnehmen" },
  "record_upload_media_5fdce166": { "message": "Medien aufzeichnen/hochladen" },
  "relationships_6602af70": { "message": "Beziehungen" },
  "religion_icon_246e0be1": { "message": "Religionssymbol" },
  "remove_link_d1f2f4d0": { "message": "Link entfernen" },
  "resize_ec83d538": { "message": "Größe ändern" },
  "restore_auto_save_deccd84b": {
    "message": "Automatisches Speichern wiederherstellen"
  },
  "rich_content_editor_2708ef21": { "message": "Rich-Content-Editor" },
  "right_to_left_9cfb092a": { "message": "Von rechts nach links" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Leider ist der Pretty HTML-Editor nicht über die Tastatur zugänglich. Den Editor für reines HTML finden Sie hier."
  },
  "save_11a80ec3": { "message": "Speichern" },
  "search_280d00bd": { "message": "Suchen" },
  "search_term_b2d2235": { "message": "Suchbegriff" },
  "select_crop_shape_d441feeb": { "message": "Zuschnittsform auswählen" },
  "select_language_7c93a900": { "message": "Sprache auswählen" },
  "selected_274ce24f": { "message": "Ausgewählt" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Shift-O, um den Pretty HTML-Editor zu öffnen."
  },
  "show_audio_options_b489926b": { "message": "Audiooptionen anzeigen" },
  "show_image_options_1e2ecc6b": { "message": "Bildoptionen anzeigen" },
  "show_link_options_545338fd": { "message": "Link-Optionen anzeigen" },
  "show_video_options_6ed3721a": { "message": "Videooptionen anzeigen" },
  "single_color_image_4e5d4dbc": { "message": "Einfarbiges Bild" },
  "size_b30e1077": { "message": "Größe" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Die Größe der Untertiteldatei ist größer als die maximal zulässige Dateigröße von { max } KB."
  },
  "small_b070434a": { "message": "Klein" },
  "something_went_wrong_89195131": { "message": "Etwas ging schief." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Etwas ist schiefgelaufen und ich weiß nicht, was ich anzeigen soll."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Etwas ist schiefgegangen. Überprüfen Sie Ihre Verbindung und versuchen Sie es erneut."
  },
  "something_went_wrong_d238c551": { "message": "Etwas ging schief." },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Etwas ging schief. Versuchen Sie es erneut nach dem Aktualisieren der Seite."
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Etwas ging beim Hochladen schief. Überprüfen Sie Ihre Verbindung und versuchen Sie es erneut."
  },
  "sort_by_e75f9e3e": { "message": "Sortieren nach" },
  "square_511eb3b3": { "message": "Viereck" },
  "square_unordered_list_b15ce93b": {
    "message": "Ungeordnete Liste abgleichen"
  },
  "star_8d156e09": { "message": "Stern" },
  "styles_2aa721ef": { "message": "Styles" },
  "submit_a3cc6859": { "message": "Abgeben" },
  "subscript_59744f96": { "message": "Abonnieren" },
  "superscript_8cb349a2": { "message": "Hochgestellt" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Unterstützte Dateitypen: SRT oder WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Zum HTML-Editor wechseln"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Zum Rich-Text-Editor wechseln"
  },
  "syllabus_f191f65b": { "message": "Kursplan" },
  "tab_arrows_4cf5abfc": { "message": "<TAB>/Pfeile" },
  "text_7f4593da": { "message": "Text" },
  "text_background_color_16e61c3f": { "message": "Texthintergrundfarbe" },
  "text_color_acf75eb6": { "message": "Textfarbe" },
  "text_position_8df8c162": { "message": "Textposition" },
  "text_size_887c2f6": { "message": "Textgröße" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Das Material ist gemeinfrei."
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Das Material ist unter Creative Commons lizenziert."
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Das Material unterliegt einer Ausnahme – z. B. Fair Use, das Recht zum Zitieren oder anderen nach geltendem Urheberrecht."
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Der Pretty HTML-Editor ist nicht über die Tastatur zugänglich. Shift-O, um den Editor für reines HTML zu öffnen."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Obwohl Ihr Video im Browser den korrekten Titel hat, konnten wir ihn in der Datenbank nicht aktualisieren."
  },
  "title_ee03d132": { "message": "Titel" },
  "to_be_posted_when_d24bf7dc": { "message": "Bereit für Post: { when }" },
  "to_do_when_2783d78f": { "message": "Zu erledigen: { when }" },
  "toggle_summary_group_413df9ac": {
    "message": "{ summary } Gruppe umschalten"
  },
  "tools_2fcf772e": { "message": "Tools" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } gefundene Ergebnisse, { numDisplayed } derzeit angezeigte Ergebnisse"
  },
  "tray_839df38a": { "message": "Fach" },
  "triangle_6072304e": { "message": "Dreieck" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "Geben Sie <Strg>+F9 ein, um auf die Bildoptionen zuzugreifen. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "Geben Sie <Strg>+F9 ein, um auf die Link-Optionen zuzugreifen. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "Geben Sie <Strg>+F9 ein, um auf die Tabellenoptionen zuzugreifen. { text }"
  },
  "unpublished_dfd8801": { "message": "nicht veröffentlicht" },
  "untitled_efdc2d7d": { "message": "Ohne Titel" },
  "upload_document_253f0478": { "message": "Dokument hochladen" },
  "upload_file_fd2361b8": { "message": "Datei hochladen" },
  "upload_image_6120b609": { "message": "Bild hochladen" },
  "upload_media_ce31135a": { "message": "Medien hochladen" },
  "upload_record_media_e4207d72": { "message": "Medien hochladen/aufzeichnen" },
  "uploading_19e8a4e7": { "message": "Wird hochgeladen" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Das Hochladen der Untertitel ist fehlgeschlagen."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "Alphabetisch geordnete Liste in Großbuchstaben"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "Nach römischen Zahlen geordnete Liste in Großbuchstaben"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Nutzungsrecht:" },
  "usage_rights_required_5fe4dd68": {
    "message": "Nutzungsrechte (erforderlich)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Navigieren Sie mit den Pfeiltasten in den Optionen."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Verwenden Sie die Pfeiltasten, um eine Form auszuwählen."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Verwenden Sie die Pfeiltasten, um eine Größe auszuwählen."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Verwenden Sie die Pfeiltasten, um eine Textposition auszuwählen."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Verwenden Sie die Pfeiltasten, um eine Textgröße auszuwählen."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Verwenden Sie die Pfeiltasten, um eine Konturgröße auszuwählen."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Verwendet von einem Screen-Reader zur Beschreibung des Contents eines Bilds"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Wird von Screenreadern verwendet, um das Video zu beschreiben."
  },
  "user_documents_c206e61f": { "message": "Benutzer Dokumente" },
  "user_files_78e21703": { "message": "Benutzerdateien" },
  "user_images_b6490852": { "message": "Benutzerbilder" },
  "user_media_14fbf656": { "message": "Nutzer-Medien" },
  "video_options_24ef6e5d": { "message": "Videooptionen" },
  "video_options_tray_3b9809a5": { "message": "Fach für Videooptionen" },
  "video_player_for_9e7d373b": { "message": "Videoplayer für " },
  "video_player_for_title_ffd9fbc4": { "message": "Videoplayer für { title }" },
  "view_ba339f93": { "message": "Anzeigen" },
  "view_description_30446afc": { "message": "Beschreibung anzeigen" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Tastenkombinationen anzeigen"
  },
  "view_predefined_colors_92f5db39": {
    "message": "Vordefinierte Farben anzeigen"
  },
  "view_title_description_67940918": {
    "message": "Beschreibung { title } anzeigen"
  },
  "width_492fec76": { "message": "Breite" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Breite und Höhe müssen Zahlen sein"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height } px" },
  "wiki_home_9cd54d0": { "message": "Wiki-Startseite" },
  "yes_dde87d5": { "message": "Ja" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Sie können keine leere Datei hochladen."
  },
  "zoom_in_image_bb97d4f": { "message": "Bild vergrößern" },
  "zoom_out_image_d0a0a2ec": { "message": "Bild verkleinern" }
}


formatMessage.addLocale({de: locale})
