/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/en_GB'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Access the pretty HTML editor"
  },
  "accessibility_checker_b3af1f6c": { "message": "Accessibility Checker" },
  "add_8523c19b": { "message": "Add" },
  "add_another_f4e50d57": { "message": "Add another" },
  "add_cc_subtitles_55f0394e": { "message": "Add CC/Subtitles" },
  "add_image_60b2de07": { "message": "Add Image" },
  "align_11050992": { "message": "Align" },
  "align_center_ca078feb": { "message": "Align centre" },
  "align_left_e9f1f93b": { "message": "Align left" },
  "align_right_9bad3ac1": { "message": "Align right" },
  "alignment_and_lists_5cebcb69": { "message": "Alignment and Lists" },
  "all_4321c3a1": { "message": "All" },
  "all_apps_a50dea49": { "message": "All Apps" },
  "alphabetical_55b5b4e0": { "message": "Alphabetical" },
  "alt_text_611fb322": { "message": "Alt Text" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "An error occured reading the file"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "An error occurred making a network request"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "An error occurred uploading your media."
  },
  "announcement_list_da155734": { "message": "Announcement List" },
  "announcements_a4b8ed4a": { "message": "Announcements" },
  "apply_781a2546": { "message": "Apply" },
  "apps_54d24a47": { "message": "Apps" },
  "arrows_464a3e54": { "message": "Arrows" },
  "art_icon_8e1daad": { "message": "Art Icon" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Aspect ratio will be preserved"
  },
  "assignments_1e02582c": { "message": "Assignments" },
  "attributes_963ba262": { "message": "Attributes" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Audio and video recording not supported; please use a different browser."
  },
  "audio_options_feb58e2c": { "message": "Audio Options" },
  "audio_options_tray_33a90711": { "message": "Audio Options Tray" },
  "audio_player_for_title_20cc70d": { "message": "Audio player for { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Auto-saved content exists. Would you like to load the auto-saved content instead?"
  },
  "available_folders_694d0436": { "message": "Available folders" },
  "basic_554cdc0a": { "message": "Basic" },
  "below_81d4dceb": { "message": "Below" },
  "bottom_third_5f5fec1d": { "message": "Bottom Third" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Cancel" },
  "choose_caption_file_9c45bc4e": { "message": "Choose caption file" },
  "choose_usage_rights_33683854": { "message": "Choose usage rights..." },
  "circle_484abe63": { "message": "Circle" },
  "circle_unordered_list_9e3a0763": { "message": "circle unordered list" },
  "clear_2084585f": { "message": "Clear" },
  "clear_image_3213fe62": { "message": "Clear image" },
  "clear_selected_file_82388e50": { "message": "Clear selected file" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Clear selected file: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Click or shift-click for the html editor."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Click to embed { imageName }"
  },
  "click_to_hide_preview_3c707763": { "message": "Click to hide preview" },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Click to insert a link into the editor."
  },
  "click_to_show_preview_faa27051": { "message": "Click to show preview" },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Close a menu or dialogue. Also returns you to the editor area"
  },
  "close_d634289d": { "message": "Close" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Closed caption file must be less than { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Closed Captions/Subtitles"
  },
  "collaborations_5c56c15f": { "message": "Collaborations" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Collapse to hide { types }"
  },
  "computer_1d7dfa6f": { "message": "Computer" },
  "content_1440204b": { "message": "Content" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Content is still being uploaded, if you continue it will not be embedded properly."
  },
  "content_subtype_5ce35e88": { "message": "Content Subtype" },
  "content_type_2cf90d95": { "message": "Content Type" },
  "copyright_holder_66ee111": { "message": "Copyright Holder:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 words}\n    one {1 word}\n  other {# words}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# item loaded}\n  other {# items loaded}\n}"
  },
  "course_documents_104d76e0": { "message": "Course Documents" },
  "course_files_62deb8f8": { "message": "Course Files" },
  "course_files_a31f97fc": { "message": "Course files" },
  "course_images_f8511d04": { "message": "Course Images" },
  "course_links_b56959b9": { "message": "Course Links" },
  "course_media_ec759ad": { "message": "Course Media" },
  "course_navigation_dd035109": { "message": "Course Navigation" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons Licence:"
  },
  "crop_image_41bf940c": { "message": "Crop image" },
  "crop_image_807ebb08": { "message": "Crop Image" },
  "current_image_f16c249c": { "message": "Current Image" },
  "custom_6979cd81": { "message": "Custom" },
  "date_added_ed5ad465": { "message": "Date Added" },
  "decorative_image_3c28aa7d": { "message": "Decorative Image" },
  "decrease_indent_de6343ab": { "message": "Decrease indent" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "default bulleted unordered list"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "default numerical ordered list"
  },
  "delimiters_4db4840d": { "message": "Delimiters" },
  "describe_the_image_e65d2e32": { "message": "(Describe the image)" },
  "describe_the_video_2fe8f46a": { "message": "(Describe the video)" },
  "details_98a31b68": { "message": "Details" },
  "diamond_b8dfe7ae": { "message": "Diamond" },
  "dimension_type_55c83e4e": { "message": "Dimension type" },
  "dimensions_45ddb7b7": { "message": "Dimensions" },
  "directionality_26ae9e08": { "message": "Directionality" },
  "directly_edit_latex_b7e9235b": { "message": "Directly Edit LaTeX" },
  "discussions_a5f96392": { "message": "Discussions" },
  "discussions_index_6c36ced": { "message": "Discussions Index" },
  "display_options_315aba85": { "message": "Display Options" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Display Text Link (Opens in a new tab)"
  },
  "document_678cd7bf": { "message": "Document" },
  "documents_81393201": { "message": "Documents" },
  "done_54e3d4b6": { "message": "Done" },
  "drag_a_file_here_1bf656d5": { "message": "Drag a file here" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Drag and drop, or click to browse your computer"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Drag handle. Use up and down arrows to resize"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Due: Multiple Dates" },
  "due_when_7eed10c6": { "message": "Due: { when }" },
  "edit_c5fbea07": { "message": "Edit" },
  "edit_equation_f5279959": { "message": "Edit Equation" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Edit Existing Button / Icon"
  },
  "edit_link_7f53bebb": { "message": "Edit Link" },
  "editor_statusbar_26ac81fc": { "message": "Editor Statusbar" },
  "embed_828fac4a": { "message": "Embed" },
  "embed_code_314f1bd5": { "message": "Embed Code" },
  "embed_image_1080badc": { "message": "Embed Image" },
  "embed_video_a97a64af": { "message": "Embed Video" },
  "embedded_content_aaeb4d3d": { "message": "embedded content" },
  "engineering_icon_f8f3cf43": { "message": "Engineering Icon" },
  "english_icon_25bfe845": { "message": "English Icon" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Enter at least 3 characters to search"
  },
  "equation_1c5ac93c": { "message": "Equation" },
  "equation_editor_39fbc3f1": { "message": "Equation Editor" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Expand preview by Default"
  },
  "expand_to_see_types_f5d29352": { "message": "Expand to see { types }" },
  "external_links_3d9f074e": { "message": "External Links" },
  "external_tools_6e77821": { "message": "External Tools" },
  "extra_large_b6cdf1ff": { "message": "Extra Large" },
  "extra_small_9ae33252": { "message": "Extra Small" },
  "extracurricular_icon_67c8ca42": { "message": "Extracurricular Icon" },
  "file_url_c12b64be": { "message": "File URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } file icon" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } image preview"
  },
  "filename_text_preview_e41ca2d8": { "message": "{ filename } text preview" },
  "files_c300e900": { "message": "Files" },
  "files_index_af7c662b": { "message": "Files Index" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Focus element options toolbar"
  },
  "folder_tree_fbab0726": { "message": "Folder tree" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formatting" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Found auto-saved content"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Found { count, plural,\n     =0 {# results}\n    one {# result}\n  other {# results}\n}"
  },
  "fullscreen_873bf53f": { "message": "Fullscreen" },
  "generating_preview_45b53be0": { "message": "Generating preview..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Go to the editor''s menubar"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Go to the editor''s toolbar"
  },
  "grades_a61eba0a": { "message": "Marks" },
  "greek_65c5b3f7": { "message": "Greek" },
  "group_documents_8bfd6ae6": { "message": "Group Documents" },
  "group_files_4324f3df": { "message": "Group Files" },
  "group_files_82e5dcdb": { "message": "Group files" },
  "group_images_98e0ac17": { "message": "Group Images" },
  "group_links_9493129e": { "message": "Group Links" },
  "group_media_2f3d128a": { "message": "Group Media" },
  "group_navigation_99f191a": { "message": "Group Navigation" },
  "heading_2_5b84eed2": { "message": "Heading 2" },
  "heading_3_2c83de44": { "message": "Heading 3" },
  "heading_4_b2e74be7": { "message": "Heading 4" },
  "health_icon_8d292eb5": { "message": "Health Icon" },
  "height_69b03e15": { "message": "Height" },
  "hexagon_d8468e0d": { "message": "Hexagon" },
  "hide_description_bfb5502e": { "message": "Hide description" },
  "hide_title_description_caf092ef": {
    "message": "Hide { title } description"
  },
  "home_351838cd": { "message": "Home" },
  "html_code_editor_fd967a44": { "message": "html code editor" },
  "html_editor_fb2ab713": { "message": "HTML Editor" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "I have obtained permission to use this file."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "I hold the copyright" },
  "icon_color_b86dd6d6": { "message": "Icon Colour" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "If you do not select usage rights now, this file will be unpublished after it''s uploaded."
  },
  "image_8ad06": { "message": "Image" },
  "image_options_5412d02c": { "message": "Image Options" },
  "image_options_tray_90a46006": { "message": "Image Options Tray" },
  "image_to_crop_3a34487d": { "message": "Image to crop" },
  "images_7ce26570": { "message": "Images" },
  "increase_indent_6d550a4a": { "message": "Increase indent" },
  "insert_593145ef": { "message": "Insert" },
  "insert_equella_links_49a8dacd": { "message": "Insert Equella Links" },
  "insert_link_6dc23cae": { "message": "Insert Link" },
  "insert_math_equation_57c6e767": { "message": "Insert Maths Equation" },
  "invalid_file_c11ba11": { "message": "Invalid File" },
  "invalid_file_type_881cc9b2": { "message": "Invalid file type" },
  "invalid_url_cbde79f": { "message": "Invalid URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Keyboard Shortcuts" },
  "language_arts_icon_a798b0f8": { "message": "Language Arts Icon" },
  "languages_icon_9d20539": { "message": "Languages Icon" },
  "large_9c5e80e7": { "message": "Large" },
  "left_to_right_e9b4fd06": { "message": "Left-to-Right" },
  "library_icon_ae1e54cf": { "message": "Library Icon" },
  "link_7262adec": { "message": "Link" },
  "link_options_a16b758b": { "message": "Link Options" },
  "links_14b70841": { "message": "Links" },
  "load_more_35d33c7": { "message": "Load More" },
  "load_more_results_460f49a9": { "message": "Load more results" },
  "loading_25990131": { "message": "Loading..." },
  "loading_bde52856": { "message": "Loading" },
  "loading_failed_b3524381": { "message": "Loading failed..." },
  "loading_failed_e6a9d8ef": { "message": "Loading failed." },
  "loading_folders_d8b5869e": { "message": "Loading folders" },
  "loading_please_wait_d276220a": { "message": "Loading, please wait" },
  "loading_preview_9f077aa1": { "message": "Loading preview" },
  "locked_762f138b": { "message": "Locked" },
  "math_icon_ad4e9d03": { "message": "Math Icon" },
  "media_af190855": { "message": "Media" },
  "medium_5a8e9ead": { "message": "Medium" },
  "middle_27dc1d5": { "message": "Middle" },
  "misc_3b692ea7": { "message": "Misc" },
  "miscellaneous_e9818229": { "message": "Miscellaneous" },
  "modules_c4325335": { "message": "Modules" },
  "multi_color_image_63d7372f": { "message": "Multi Colour Image" },
  "music_icon_4db5c972": { "message": "Music Icon" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Must be at least { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Must be at least { width } x { height }px"
  },
  "my_files_2f621040": { "message": "My files" },
  "name_1aed4a1b": { "message": "Name" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navigate through the menu or toolbar"
  },
  "next_page_d2a39853": { "message": "Next Page" },
  "no_e16d9132": { "message": "No" },
  "no_file_chosen_9a880793": { "message": "No file chosen" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "No preview is available for this file."
  },
  "no_results_940393cf": { "message": "No results." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "No results found for { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "No results found for { term }."
  },
  "none_3b5e34d2": { "message": "None" },
  "none_selected_b93d56d2": { "message": "None Selected" },
  "octagon_e48be9f": { "message": "Octagon" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Open this keyboard shortcuts dialog"
  },
  "open_title_application_fd624fc5": {
    "message": "Open { title } application"
  },
  "operators_a2ef9a93": { "message": "Operators" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Ordered and Unordered Lists"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Other editor shortcuts may be found at"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } is not a valid protocol which must be ftp, http, https, mailto, skype, tel or may be omitted"
  },
  "pages_e5414c2c": { "message": "Pages" },
  "paragraph_5e5ad8eb": { "message": "Paragraph" },
  "pentagon_17d82ea3": { "message": "Pentagon" },
  "people_b4ebb13c": { "message": "People" },
  "percentage_34ab7c2c": { "message": "Percentage" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Percentage must be a number"
  },
  "performing_arts_icon_f3497486": { "message": "Performing Arts Icon" },
  "physical_education_icon_d7dffd3e": { "message": "Physical Education Icon" },
  "pixels_52ece7d1": { "message": "Pixels" },
  "posted_when_a578f5ab": { "message": "Posted: { when }" },
  "preformatted_d0670862": { "message": "Preformatted" },
  "pretty_html_editor_28748756": { "message": "Pretty HTML Editor" },
  "preview_53003fd2": { "message": "Preview" },
  "preview_in_overlay_ed772c46": { "message": "Preview in overlay" },
  "preview_inline_9787330": { "message": "Preview inline" },
  "previous_page_928fc112": { "message": "Previous Page" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protocol must be ftp, http, https, mailto, skype, tel or may be omitted"
  },
  "published_c944a23d": { "message": "published" },
  "published_when_302d8e23": { "message": "Published: { when }" },
  "quizzes_7e598f57": { "message": "Quizzes" },
  "raw_html_editor_e3993e41": { "message": "Raw HTML Editor" },
  "record_7c9448b": { "message": "Record" },
  "record_upload_media_5fdce166": { "message": "Record/Upload Media" },
  "relationships_6602af70": { "message": "Relationships" },
  "religion_icon_246e0be1": { "message": "Religion Icon" },
  "remove_link_d1f2f4d0": { "message": "Remove Link" },
  "resize_ec83d538": { "message": "Resize" },
  "restore_auto_save_deccd84b": { "message": "Restore auto-save?" },
  "rich_content_editor_2708ef21": { "message": "Rich Content Editor" },
  "right_to_left_9cfb092a": { "message": "Right-to-Left" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Sadly, the pretty HTML editor is not keyboard accessible. Access the raw HTML editor here."
  },
  "save_11a80ec3": { "message": "Save" },
  "search_280d00bd": { "message": "Search" },
  "search_term_b2d2235": { "message": "Search Term" },
  "select_crop_shape_d441feeb": { "message": "Select crop shape" },
  "select_language_7c93a900": { "message": "Select Language" },
  "selected_274ce24f": { "message": "Selected" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Shift-O to open the pretty html editor."
  },
  "show_audio_options_b489926b": { "message": "Show audio options" },
  "show_image_options_1e2ecc6b": { "message": "Show image options" },
  "show_link_options_545338fd": { "message": "Show link options" },
  "show_video_options_6ed3721a": { "message": "Show video options" },
  "single_color_image_4e5d4dbc": { "message": "Single Colour Image" },
  "size_b30e1077": { "message": "Size" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Size of caption file is greater than the maximum { max } kb allowed file size."
  },
  "small_b070434a": { "message": "Small" },
  "something_went_wrong_89195131": { "message": "Something went wrong." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Something went wrong and I don''t know what to show you."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Something went wrong, check your connection and try again."
  },
  "something_went_wrong_d238c551": { "message": "Something went wrong" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Something went wrong, try again after refreshing the page"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Something went wrong uploading, check your connection and try again."
  },
  "sort_by_e75f9e3e": { "message": "Sort By" },
  "square_511eb3b3": { "message": "Square" },
  "square_unordered_list_b15ce93b": { "message": "square unordered list" },
  "star_8d156e09": { "message": "Star" },
  "styles_2aa721ef": { "message": "Styles" },
  "submit_a3cc6859": { "message": "Submit" },
  "subscript_59744f96": { "message": "Subscript" },
  "superscript_8cb349a2": { "message": "Superscript" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Supported file types: SRT or WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Switch to the html editor"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Switch to the rich text editor"
  },
  "syllabus_f191f65b": { "message": "Syllabus" },
  "tab_arrows_4cf5abfc": { "message": "TAB/Arrows" },
  "text_7f4593da": { "message": "Text" },
  "text_background_color_16e61c3f": { "message": "Text Background Colour" },
  "text_color_acf75eb6": { "message": "Text Colour" },
  "text_position_8df8c162": { "message": "Text Position" },
  "text_size_887c2f6": { "message": "Text Size" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "The material is in the public domain"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "The material is licensed under Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "The material is subject to an exception - e.g. fair use, the right to quote, or others under applicable copyright laws"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "The pretty html editor is not keyboard accessible. Press Shift O to open the raw html editor."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Though your video will have the correct title in the browser, we failed to update it in the database."
  },
  "title_ee03d132": { "message": "Title" },
  "to_be_posted_when_d24bf7dc": { "message": "To Be Posted: { when }" },
  "to_do_when_2783d78f": { "message": "To Do: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Toggle { summary } group" },
  "tools_2fcf772e": { "message": "Tools" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } results found, { numDisplayed } results currently displayed"
  },
  "tray_839df38a": { "message": "Tray" },
  "triangle_6072304e": { "message": "Triangle" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "type Control F9 to access image options. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "type Control F9 to access link options. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "type Control F9 to access table options. { text }"
  },
  "unpublished_dfd8801": { "message": "unpublished" },
  "untitled_efdc2d7d": { "message": "untitled" },
  "upload_document_253f0478": { "message": "Upload Document" },
  "upload_file_fd2361b8": { "message": "Upload File" },
  "upload_image_6120b609": { "message": "Upload Image" },
  "upload_media_ce31135a": { "message": "Upload Media" },
  "upload_record_media_e4207d72": { "message": "Upload/Record Media" },
  "uploading_19e8a4e7": { "message": "Uploading" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Uploading closed captions/subtitles failed."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "uppercase alphabetic ordered list"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "uppercase Roman numeral ordered list"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Usage Right:" },
  "usage_rights_required_5fe4dd68": { "message": "Usage Rights (required)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Use arrow keys to navigate options."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Use arrow keys to select a shape."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Use arrow keys to select a size."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Use arrow keys to select a text position."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Use arrow keys to select a text size."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Use arrow keys to select an outline size."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Used by screen readers to describe the content of an image"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Used by screen readers to describe the video"
  },
  "user_documents_c206e61f": { "message": "User Documents" },
  "user_files_78e21703": { "message": "User Files" },
  "user_images_b6490852": { "message": "User Images" },
  "user_media_14fbf656": { "message": "User Media" },
  "video_options_24ef6e5d": { "message": "Video Options" },
  "video_options_tray_3b9809a5": { "message": "Video Options Tray" },
  "video_player_for_9e7d373b": { "message": "Video player for " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Video player for { title }"
  },
  "view_ba339f93": { "message": "View" },
  "view_description_30446afc": { "message": "View description" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "View keyboard shortcuts" },
  "view_predefined_colors_92f5db39": { "message": "View predefined colours" },
  "view_title_description_67940918": {
    "message": "View { title } description"
  },
  "width_492fec76": { "message": "Width" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Width and height must be numbers"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki Home" },
  "yes_dde87d5": { "message": "Yes" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "You may not upload an empty file."
  },
  "zoom_in_image_bb97d4f": { "message": "Zoom in image" },
  "zoom_out_image_d0a0a2ec": { "message": "Zoom out image" }
}


formatMessage.addLocale({'en-AU': locale})
