/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/es'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Acceder al Editor HTML agradable"
  },
  "accessibility_checker_b3af1f6c": {
    "message": "Verificador de accesibilidad"
  },
  "add_8523c19b": { "message": "Añadir" },
  "add_another_f4e50d57": { "message": "Añadir otro" },
  "add_cc_subtitles_55f0394e": { "message": "Añadir CC/subtítulos" },
  "add_image_60b2de07": { "message": "Añadir imagen" },
  "align_11050992": { "message": "Alinear" },
  "align_center_ca078feb": { "message": "Centrar" },
  "align_left_e9f1f93b": { "message": "Alinear a la izquierda" },
  "align_right_9bad3ac1": { "message": "Alinear a la derecha" },
  "alignment_and_lists_5cebcb69": { "message": "Alineación y listas" },
  "all_4321c3a1": { "message": "Todo" },
  "all_apps_a50dea49": { "message": "Todas las aplicaciones" },
  "alphabetical_55b5b4e0": { "message": "Alfabético" },
  "alt_text_611fb322": { "message": "Texto alternativo" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Ha habido un error al leer el archivo"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Ha habido un error al realizar una solicitud de red"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Ha habido un error al cargar su contenido multimedia."
  },
  "announcement_list_da155734": { "message": "Lista de anuncios" },
  "announcements_a4b8ed4a": { "message": "Anuncios" },
  "apply_781a2546": { "message": "Aplicar" },
  "apps_54d24a47": { "message": "Aplicaciones" },
  "arrows_464a3e54": { "message": "Flechas" },
  "art_icon_8e1daad": { "message": "Icono plástica" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Se conservará la relación de aspecto"
  },
  "assignments_1e02582c": { "message": "Actividades" },
  "attributes_963ba262": { "message": "Atributos" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "No se admite la grabación de audio y video; utilice un otro navegador."
  },
  "audio_options_feb58e2c": { "message": "Opciones de audio" },
  "audio_options_tray_33a90711": { "message": "Bandeja de opciones de audio" },
  "audio_player_for_title_20cc70d": {
    "message": "Reproductor de audio para { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Hay contenido guardado automáticamente. ¿Desea cargar el contenido guardado automáticamente?"
  },
  "available_folders_694d0436": { "message": "Carpetas disponibles" },
  "basic_554cdc0a": { "message": "Básico" },
  "below_81d4dceb": { "message": "Debajo" },
  "bottom_third_5f5fec1d": { "message": "Tercero desde abajo" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Cancelar" },
  "choose_caption_file_9c45bc4e": {
    "message": "Seleccione el archivo de subtítulos"
  },
  "choose_usage_rights_33683854": {
    "message": "Seleccione los derechos de uso..."
  },
  "circle_484abe63": { "message": "Círculo" },
  "circle_unordered_list_9e3a0763": {
    "message": "marque con un círculo la lista no ordenada"
  },
  "clear_2084585f": { "message": "Borrar" },
  "clear_image_3213fe62": { "message": "Eliminar imagen" },
  "clear_selected_file_82388e50": { "message": "Borrar archivo seleccionado" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Borrar archivo seleccionado: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Haga clic o presione Mayús y haga clic para acceder al editor html."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Haga clic para incluir { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Haga clic para ocultar la vista previa"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Haga clic para insertar un enlace en el editor."
  },
  "click_to_show_preview_faa27051": {
    "message": "Haga clic para mostrar la vista previa"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Cerrar un menú o diálogo. También lo vuelve a llevar al área de editor"
  },
  "close_d634289d": { "message": "Cerrar" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "El archivo de transcripción de audio debe tener menos de { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Subtítulos/subtítulos ocultos"
  },
  "collaborations_5c56c15f": { "message": "Colaboraciones" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Colapsar para ocultar { types }"
  },
  "computer_1d7dfa6f": { "message": "Ordenador" },
  "content_1440204b": { "message": "Contenido" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Todavía se está cargando el contenido; si continúa, no se incrustará correctamente."
  },
  "content_subtype_5ce35e88": { "message": "Subtipo de contenido" },
  "content_type_2cf90d95": { "message": "Tipo de contenido" },
  "copyright_holder_66ee111": {
    "message": "Titular de los derechos de autor:"
  },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 palabras}\n    one {1 palabra}\n  other {# palabras}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# ítem cargado}\n  other {# ítems cargados}\n}"
  },
  "course_documents_104d76e0": { "message": "Documentos de la asignatura" },
  "course_files_62deb8f8": { "message": "Archivos de la asignatura" },
  "course_files_a31f97fc": { "message": "Archivos de la asignatura" },
  "course_images_f8511d04": { "message": "Imágenes de la asignatura" },
  "course_links_b56959b9": { "message": "Enlaces de la asignatura" },
  "course_media_ec759ad": { "message": "Multimedia de la asignatura" },
  "course_navigation_dd035109": { "message": "Navegación de la asignatura" },
  "creative_commons_license_725584ae": {
    "message": "Licencia Creative Commons:"
  },
  "crop_image_41bf940c": { "message": "Recortar imagen" },
  "crop_image_807ebb08": { "message": "Ajustar la imagen" },
  "current_image_f16c249c": { "message": "Imagen actual" },
  "custom_6979cd81": { "message": "Personalizar" },
  "date_added_ed5ad465": { "message": "Fecha en la que se añadió" },
  "decorative_image_3c28aa7d": { "message": "Imagen decorativa" },
  "decrease_indent_de6343ab": { "message": "Reducir sangría" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "lista no ordenada con viñetas predeterminada"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "lista numérica ordenada predeterminada"
  },
  "delimiters_4db4840d": { "message": "Delimitadores" },
  "describe_the_image_e65d2e32": { "message": "(Describir la imagen)" },
  "describe_the_video_2fe8f46a": { "message": "(Describir el video)" },
  "details_98a31b68": { "message": "Detalles" },
  "diamond_b8dfe7ae": { "message": "Diamond" },
  "dimension_type_55c83e4e": { "message": "Tipo de dimensión" },
  "dimensions_45ddb7b7": { "message": "Dimensiones" },
  "directionality_26ae9e08": { "message": "Direccionalidad" },
  "directly_edit_latex_b7e9235b": { "message": "Editar directamente LaTeX" },
  "discussions_a5f96392": { "message": "Foros de discusión" },
  "discussions_index_6c36ced": { "message": "Índice de foros de discusión" },
  "display_options_315aba85": { "message": "Mostrar opciones" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Mostrar enlace de texto (se abre en una nueva pestaña)"
  },
  "document_678cd7bf": { "message": "Documento" },
  "documents_81393201": { "message": "Documentos" },
  "done_54e3d4b6": { "message": "Hecho" },
  "drag_a_file_here_1bf656d5": { "message": "Arrastrar un archivo aquí" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Arrastre y suelte, o haga clic para examinar su equipo"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Icono de arrastre. Use las flechas arriba y abajo para cambiar el tamaño"
  },
  "due_multiple_dates_cc0ee3f5": {
    "message": "Fecha de entrega: Varias fechas"
  },
  "due_when_7eed10c6": { "message": "Fecha de entrega: { when }" },
  "edit_c5fbea07": { "message": "Editar" },
  "edit_equation_f5279959": { "message": "Editar ecuación" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Editar Botón Existente/Icono"
  },
  "edit_link_7f53bebb": { "message": "Editar enlace" },
  "editor_statusbar_26ac81fc": { "message": "Barra de estado del editor" },
  "embed_828fac4a": { "message": "Insertar" },
  "embed_code_314f1bd5": { "message": "Código de inserción" },
  "embed_image_1080badc": { "message": "Insertar imagen" },
  "embed_video_a97a64af": { "message": "Insertar video" },
  "embedded_content_aaeb4d3d": { "message": "contenido insertado" },
  "engineering_icon_f8f3cf43": { "message": "Icono tecnología" },
  "english_icon_25bfe845": { "message": "Icono inglés" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Introduzca al menos 3 caracteres para buscar"
  },
  "equation_1c5ac93c": { "message": "Ecuación" },
  "equation_editor_39fbc3f1": { "message": "Editor de ecuaciones" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Expandir vista previa de forma predeterminada"
  },
  "expand_to_see_types_f5d29352": { "message": "Expandir para ver { types }" },
  "external_links_3d9f074e": { "message": "Enlaces externos" },
  "external_tools_6e77821": { "message": "Herramientas externas" },
  "extra_large_b6cdf1ff": { "message": "Extra grande" },
  "extra_small_9ae33252": { "message": "Extra pequeño" },
  "extracurricular_icon_67c8ca42": { "message": "Icono extracurricular" },
  "file_url_c12b64be": { "message": "URL del archivo" },
  "filename_file_icon_602eb5de": { "message": "Icono de archivo { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "Vista previa de la imagen { filename }"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "Vista previa del texto { filename }"
  },
  "files_c300e900": { "message": "Archivos" },
  "files_index_af7c662b": { "message": "Índice de archivos" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Barra de herramientas de opciones para centrarse en un ítem"
  },
  "folder_tree_fbab0726": { "message": "Árbol de carpetas" },
  "format_4247a9c5": { "message": "Formato" },
  "formatting_5b143aa8": { "message": "Formato" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Se ha encontrado contenido guardado automáticamente"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Se han encontrado { count, plural,\n     =0 {# resultados}\n    one {# resultado}\n  other {# resultados}\n}"
  },
  "fullscreen_873bf53f": { "message": "Pantalla completa" },
  "generating_preview_45b53be0": { "message": "Generando la vista previa..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Ir a la barra de menú del editor"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Ir a la barra de herramientas del editor"
  },
  "grades_a61eba0a": { "message": "Notas" },
  "greek_65c5b3f7": { "message": "Griego" },
  "group_documents_8bfd6ae6": { "message": "Documentos del grupo" },
  "group_files_4324f3df": { "message": "Archivos del grupo" },
  "group_files_82e5dcdb": { "message": "Archivos del grupo" },
  "group_images_98e0ac17": { "message": "Imágenes del grupo" },
  "group_links_9493129e": { "message": "Enlaces del grupo" },
  "group_media_2f3d128a": { "message": "Ítems multimedia del grupo" },
  "group_navigation_99f191a": { "message": "Navegación del grupo" },
  "heading_2_5b84eed2": { "message": "Encabezado 2" },
  "heading_3_2c83de44": { "message": "Encabezado 3" },
  "heading_4_b2e74be7": { "message": "Encabezado 4" },
  "health_icon_8d292eb5": { "message": "Icono ciencias" },
  "height_69b03e15": { "message": "Altura" },
  "hexagon_d8468e0d": { "message": "Hexágono" },
  "hide_description_bfb5502e": { "message": "Ocultar descripción" },
  "hide_title_description_caf092ef": {
    "message": "Ocultar descripción { title }"
  },
  "home_351838cd": { "message": "Página de inicio" },
  "html_code_editor_fd967a44": { "message": "editor de código html" },
  "html_editor_fb2ab713": { "message": "Editor HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "He obtenido permiso para utilizar este archivo."
  },
  "i_hold_the_copyright_71ee91b1": {
    "message": "Soy el titular de los derechos de autor"
  },
  "icon_color_b86dd6d6": { "message": "Icono color" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Si no selecciona los derechos de uso en este momento, se cancelará la publicación de este archivo después de cargarlo."
  },
  "image_8ad06": { "message": "Imagen" },
  "image_options_5412d02c": { "message": "Opciones de imagen" },
  "image_options_tray_90a46006": { "message": "Bandeja de opciones de imagen" },
  "image_to_crop_3a34487d": { "message": "Imagen a recortar" },
  "images_7ce26570": { "message": "Imágenes" },
  "increase_indent_6d550a4a": { "message": "Aumentar sangría" },
  "insert_593145ef": { "message": "Insertar" },
  "insert_equella_links_49a8dacd": { "message": "Insertar enlaces de Equella" },
  "insert_link_6dc23cae": { "message": "Insertar enlace" },
  "insert_math_equation_57c6e767": {
    "message": "Insertar la ecuación matemática"
  },
  "invalid_file_c11ba11": { "message": "Archivo no válido" },
  "invalid_file_type_881cc9b2": { "message": "Tipo de archivo inválido" },
  "invalid_url_cbde79f": { "message": "URL inválida" },
  "keyboard_shortcuts_ed1844bd": { "message": "Métodos abreviados de teclado" },
  "language_arts_icon_a798b0f8": { "message": "Icono plástica e idiomas" },
  "languages_icon_9d20539": { "message": "Icono idiomas" },
  "large_9c5e80e7": { "message": "Grande" },
  "left_to_right_e9b4fd06": { "message": "Izquierda a derecha" },
  "library_icon_ae1e54cf": { "message": "Icono biblioteca" },
  "link_7262adec": { "message": "Enlace" },
  "link_options_a16b758b": { "message": "Opciones de enlace" },
  "links_14b70841": { "message": "Enlaces" },
  "load_more_35d33c7": { "message": "Cargar más" },
  "load_more_results_460f49a9": { "message": "Cargar más resultados" },
  "loading_25990131": { "message": "Cargando..." },
  "loading_bde52856": { "message": "Cargando" },
  "loading_failed_b3524381": { "message": "La carga ha fallado." },
  "loading_failed_e6a9d8ef": { "message": "La carga ha fallado." },
  "loading_folders_d8b5869e": { "message": "Cargando carpetas" },
  "loading_please_wait_d276220a": { "message": "Cargando, espere" },
  "loading_preview_9f077aa1": { "message": "Cargando vista" },
  "locked_762f138b": { "message": "Bloqueado" },
  "math_icon_ad4e9d03": { "message": "Icono matemáticas" },
  "media_af190855": { "message": "Contenido multimedia" },
  "medium_5a8e9ead": { "message": "Regular" },
  "middle_27dc1d5": { "message": "El medio" },
  "misc_3b692ea7": { "message": "Varios" },
  "miscellaneous_e9818229": { "message": "Misceláneo" },
  "modules_c4325335": { "message": "Contenidos" },
  "multi_color_image_63d7372f": { "message": "Imagen multicolor" },
  "music_icon_4db5c972": { "message": "Icono música" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Debe ser al menos { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Debe ser al menos { width } x { height } px"
  },
  "my_files_2f621040": { "message": "Mis archivos" },
  "name_1aed4a1b": { "message": "Nombre" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navegar por el menú o la barra de herramientas"
  },
  "next_page_d2a39853": { "message": "Siguiente página" },
  "no_e16d9132": { "message": "No" },
  "no_file_chosen_9a880793": {
    "message": "No se ha seleccionado ningún archivo"
  },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "La vista previa de este archivo no está disponible."
  },
  "no_results_940393cf": { "message": "No hay resultados." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "No se han encontrado resultados para { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "No se han encontrado resultados para { term }."
  },
  "none_3b5e34d2": { "message": "Ninguno" },
  "none_selected_b93d56d2": { "message": "Ninguna seleccionada" },
  "octagon_e48be9f": { "message": "Octágono" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Abrir esta ventana de diálogo de método abreviado de teclado"
  },
  "open_title_application_fd624fc5": {
    "message": "Abrir aplicación { title }"
  },
  "operators_a2ef9a93": { "message": "Operadores" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Listas ordenadas y no ordenadas"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Puede encontrar otros métodos abreviados del editor en"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } no es un protocolo válido, que debe ser ftp, http, https, mailto, skype, tel, o puede omitirse"
  },
  "pages_e5414c2c": { "message": "Páginas" },
  "paragraph_5e5ad8eb": { "message": "Párrafo" },
  "pentagon_17d82ea3": { "message": "Pentagon" },
  "people_b4ebb13c": { "message": "Personas" },
  "percentage_34ab7c2c": { "message": "Porcentaje" },
  "percentage_must_be_a_number_8033c341": {
    "message": "El porcentaje debe ser un número"
  },
  "performing_arts_icon_f3497486": { "message": "Icono plástica" },
  "physical_education_icon_d7dffd3e": { "message": "Icono educación física" },
  "pixels_52ece7d1": { "message": "Pixels" },
  "posted_when_a578f5ab": { "message": "Publicado: { when }" },
  "preformatted_d0670862": { "message": "Previamente formateado" },
  "pretty_html_editor_28748756": { "message": "Editor HTML agradable" },
  "preview_53003fd2": { "message": "Vista previa" },
  "preview_in_overlay_ed772c46": { "message": "Vista previa en superposición" },
  "preview_inline_9787330": { "message": "Vista previa en línea" },
  "previous_page_928fc112": { "message": "Página anterior" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "El protocolo debe ser ftp, http, https, mailto, skype, tel, o puede omitirse"
  },
  "published_c944a23d": { "message": "publicado" },
  "published_when_302d8e23": { "message": "Publicado: { when }" },
  "quizzes_7e598f57": { "message": "Pruebas" },
  "raw_html_editor_e3993e41": { "message": "Editor HTML puro" },
  "record_7c9448b": { "message": "Grabar" },
  "record_upload_media_5fdce166": { "message": "Grabar/cargar multimedia" },
  "relationships_6602af70": { "message": "Relaciones" },
  "religion_icon_246e0be1": { "message": "Icono religión" },
  "remove_link_d1f2f4d0": { "message": "Eliminar enlace" },
  "resize_ec83d538": { "message": "Redimensionar" },
  "restore_auto_save_deccd84b": {
    "message": "¿Desea restablecer el guardado automático?"
  },
  "rich_content_editor_2708ef21": {
    "message": "Editor de contenido enriquecido"
  },
  "right_to_left_9cfb092a": { "message": "Derecha a izquierda" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Lamentablemente, no se puede acceder al Editor HTML agradable desde el teclado. Acceda al Editor de HTML sin formato aquí."
  },
  "save_11a80ec3": { "message": "Guardar" },
  "search_280d00bd": { "message": "Buscar" },
  "search_term_b2d2235": { "message": "Término de búsqueda" },
  "select_crop_shape_d441feeb": { "message": "Seleccione la forma de recorte" },
  "select_language_7c93a900": { "message": "Seleccionar idioma" },
  "selected_274ce24f": { "message": "Seleccionado" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Mayúsc-O para abrir el editor html agradable."
  },
  "show_audio_options_b489926b": { "message": "Mostrar opciones de audio" },
  "show_image_options_1e2ecc6b": { "message": "Mostrar opciones de imágenes" },
  "show_link_options_545338fd": { "message": "Mostrar opciones de enlace" },
  "show_video_options_6ed3721a": { "message": "Mostrar opciones de video" },
  "single_color_image_4e5d4dbc": { "message": "Imagen unicolor" },
  "size_b30e1077": { "message": "Tamaño" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "El tamaño del archivo es superior al máximo permitido para archivos, que es de { max } kb."
  },
  "small_b070434a": { "message": "Pequeño" },
  "something_went_wrong_89195131": { "message": "Ha habido un error." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Algo ha salido mal y no sé qué mostrar."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Algo ha salido mal; verifique su conexión y vuelva a intentarlo."
  },
  "something_went_wrong_d238c551": { "message": "Ha habido un error." },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Algo ha salido mal; inténtelo de nuevo después de actualizar la página"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Algo ha salido mal durante la carga; compruebe su conexión e inténtelo de nuevo."
  },
  "sort_by_e75f9e3e": { "message": "Ordenar por" },
  "square_511eb3b3": { "message": "Cuadrado" },
  "square_unordered_list_b15ce93b": { "message": "lista cuadrada no ordenada" },
  "star_8d156e09": { "message": "Destacar" },
  "styles_2aa721ef": { "message": "Estilos" },
  "submit_a3cc6859": { "message": "Entregar" },
  "subscript_59744f96": { "message": "Subíndice" },
  "superscript_8cb349a2": { "message": "Superíndice" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Tipos de archivos admitidos: SRT o WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": { "message": "Cambiar al editor html" },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Cambiar al editor de texto enriquecido"
  },
  "syllabus_f191f65b": { "message": "Programa de la asignatura" },
  "tab_arrows_4cf5abfc": { "message": "Tabulador/flechas" },
  "text_7f4593da": { "message": "Texto" },
  "text_background_color_16e61c3f": { "message": "Color del fondo del texto" },
  "text_color_acf75eb6": { "message": "Color del texto" },
  "text_position_8df8c162": { "message": "Posición del texto" },
  "text_size_887c2f6": { "message": "Tamaño del texto" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "El material es de dominio público"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "El material tiene licencia Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "El material está sujeto a una excepción, como el uso legítimo, el derecho de cita u otros en virtud de las leyes aplicables de derechos de autor."
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "No se puede acceder al editor html agradable desde el teclado. Presione Mayúsc O para abrir el editor HTML sin formato."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Aunque su video tendrá el título correcto en el navegador, no pudimos actualizarlo en la base de datos."
  },
  "title_ee03d132": { "message": "Título" },
  "to_be_posted_when_d24bf7dc": { "message": "Para publicar: { when }" },
  "to_do_when_2783d78f": { "message": "Tareas pendientes: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Alternar { summary } grupo" },
  "tools_2fcf772e": { "message": "Herramientas" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } resultados encontrados, { numDisplayed } resultados que se muestran actualmente"
  },
  "tray_839df38a": { "message": "Bandeja" },
  "triangle_6072304e": { "message": "Triángulo" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "presione Control F9 para acceder a las opciones de imagen. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "presione Control F9 para acceder a las opciones de enlace. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "presione Control F9 para acceder a las opciones de tabla. { text }"
  },
  "unpublished_dfd8801": { "message": "no publicado" },
  "untitled_efdc2d7d": { "message": "sin título" },
  "upload_document_253f0478": { "message": "Cargar documento" },
  "upload_file_fd2361b8": { "message": "Cargar archivo" },
  "upload_image_6120b609": { "message": "Cargar imagen" },
  "upload_media_ce31135a": { "message": "Cargar multimedia" },
  "upload_record_media_e4207d72": { "message": "Cargar/grabar multimedia" },
  "uploading_19e8a4e7": { "message": "Cargando" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Error al cargar los subtítulos/subtítulos ocultos."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "lista ordenada alfabéticamente en mayúsculas"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "lista ordenada de números romanos en mayúsculas"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Derecho de uso:" },
  "usage_rights_required_5fe4dd68": {
    "message": "Derechos de uso (obligatorio)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Use las flechas de dirección para desplazarse entre las opciones."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Utilice las flechas de dirección para seleccionar una forma."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Utilice las flechas de dirección para seleccionar un tamaño."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Usar las flechas de dirección para seleccionar la posición del texto."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Usar las flechas de dirección para seleccionar el tamaño del texto."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Utilice las flechas de dirección para seleccionar un tamaño de contorno."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Utilizado por los lectores de pantalla para describir el contenido de una imagen"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Usado por lectores de pantalla para describir el video"
  },
  "user_documents_c206e61f": { "message": "Documentos del usuario" },
  "user_files_78e21703": { "message": "Archivos del usuario" },
  "user_images_b6490852": { "message": "Imágenes del usuario" },
  "user_media_14fbf656": { "message": "multimedia del usuario" },
  "video_options_24ef6e5d": { "message": "Opciones de video" },
  "video_options_tray_3b9809a5": { "message": "Bandeja de opciones de video" },
  "video_player_for_9e7d373b": { "message": "Reproductor de video para " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Reproductor de video para { title }"
  },
  "view_ba339f93": { "message": "Ver" },
  "view_description_30446afc": { "message": "Ver descripción" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Ver los accesos directos de teclado"
  },
  "view_predefined_colors_92f5db39": { "message": "Ver colores predefinidos" },
  "view_title_description_67940918": { "message": "Ver descripción { title }" },
  "width_492fec76": { "message": "Ancho" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "El ancho y la altura deben ser números"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height } px" },
  "wiki_home_9cd54d0": { "message": "Página de Inicio de Wiki" },
  "yes_dde87d5": { "message": "Sí" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "No puede cargar un archivo vacío."
  },
  "zoom_in_image_bb97d4f": { "message": "Imagen con zoom" },
  "zoom_out_image_d0a0a2ec": { "message": "Imagen sin zoom" }
}


formatMessage.addLocale({'es-ES': locale})
