/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/fi'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Käytä Pretty-tekstieditoria"
  },
  "accessibility_checker_b3af1f6c": {
    "message": "Helppokäyttöisyyden tarkistus"
  },
  "add_8523c19b": { "message": "Lisää" },
  "add_another_f4e50d57": { "message": "Lisää toinen" },
  "add_cc_subtitles_55f0394e": { "message": "Lisää CC/alaotsikko" },
  "add_image_60b2de07": { "message": "Lisää kuva" },
  "align_11050992": { "message": "Tasaa" },
  "align_center_ca078feb": { "message": "Tasaa keskelle" },
  "align_left_e9f1f93b": { "message": "Tasaa vasemmalle" },
  "align_right_9bad3ac1": { "message": "Tasaa oikealle" },
  "alignment_and_lists_5cebcb69": { "message": "Kohdistukset ja luettelot" },
  "all_4321c3a1": { "message": "Kaikki" },
  "all_apps_a50dea49": { "message": "Kaikki sovellukset" },
  "alphabetical_55b5b4e0": { "message": "Aakkosjärjestys" },
  "alt_text_611fb322": { "message": "Alt Text" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Virhe luettaessa tiedostoa"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Ilmeni virhe tehtäessä verkkopyyntöä"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Ilmeni virhe mediaasi ladatessa."
  },
  "announcement_list_da155734": { "message": "Ilmoitusluettelo" },
  "announcements_a4b8ed4a": { "message": "Ilmoitukset" },
  "apply_781a2546": { "message": "Käytä" },
  "apps_54d24a47": { "message": "Sovellukset" },
  "arrows_464a3e54": { "message": "Nuolet" },
  "art_icon_8e1daad": { "message": "Taide-kuvake" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Kuvasuhde säilytetään"
  },
  "assignments_1e02582c": { "message": "Tehtävät" },
  "attributes_963ba262": { "message": "Määritteet" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Ääni- ja videonauhoituksia ei tueta, valitse eri selain."
  },
  "audio_options_feb58e2c": { "message": "Äänivalinnat" },
  "audio_options_tray_33a90711": { "message": "Ääniasetusten ilmoitusalue" },
  "audio_player_for_title_20cc70d": {
    "message": "Äänisoitin kohteelle { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Automaattisesti tallennettua sisältöä on olemassa. Haluaisitko ladata automaattisesti tallennetun sisällön tämän sijasta?"
  },
  "available_folders_694d0436": { "message": "Saatavissa olevat kansiot" },
  "basic_554cdc0a": { "message": "Perus" },
  "below_81d4dceb": { "message": "Alle" },
  "bottom_third_5f5fec1d": { "message": "Alakolmannes" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Peruuta" },
  "choose_caption_file_9c45bc4e": { "message": "Muokkaa tekstitystiedostoa" },
  "choose_usage_rights_33683854": { "message": "Valitse käyttöoikeudet..." },
  "circle_484abe63": { "message": "Ympyrä" },
  "circle_unordered_list_9e3a0763": {
    "message": "rengasta järjestämätön luettelo"
  },
  "clear_2084585f": { "message": "Tyhjennä" },
  "clear_image_3213fe62": { "message": "Tyhjennä kuva" },
  "clear_selected_file_82388e50": { "message": "Tyhjennä valittu tiedosto" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Tyhjennä valittu tiedosto: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Napsauta ja valitse shift ja napsautus, niin saat html-editorin esiin."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Upota { imageName } napsauttamalla"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Piilota esikatselu napsauttamalla"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Lisää linkki editoriin napsauttamalla."
  },
  "click_to_show_preview_faa27051": {
    "message": "Näytä esikatselu napsauttamalla"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Sulje valikko tai valintaikkuna Palauttaa sinut myös editorialueelle"
  },
  "close_d634289d": { "message": "Sulje" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Suljetun tekstitystiedoston täytyy olla alle { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Suljetut kuvatekstit/Tekstitykset"
  },
  "collaborations_5c56c15f": { "message": "Yhteistyöt" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Piilota kutistamalla { types }"
  },
  "computer_1d7dfa6f": { "message": "Tietokone" },
  "content_1440204b": { "message": "Sisältö" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Sisältöä ladataan yhä, jos jatkat, sitä ei upoteta kunnolla."
  },
  "content_subtype_5ce35e88": { "message": "Sisällön alityyppi" },
  "content_type_2cf90d95": { "message": "Sisältötyyppi" },
  "copyright_holder_66ee111": { "message": "Tekijänoikeuden haltija:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 sanaa}\n    one {1 sana}\n  other {# sanaa}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# kohdetta ladattu}\n  other {# kohteita ladattu}\n}"
  },
  "course_documents_104d76e0": { "message": "Kurssiasiakirjat" },
  "course_files_62deb8f8": { "message": "Kurssitiedostot" },
  "course_files_a31f97fc": { "message": "Kurssitiedostot" },
  "course_images_f8511d04": { "message": "Kurssin kuvat" },
  "course_links_b56959b9": { "message": "Kurssin linkit" },
  "course_media_ec759ad": { "message": "Kurssimedia" },
  "course_navigation_dd035109": { "message": "Kurssin navigointi" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons -lisenssi:"
  },
  "crop_image_41bf940c": { "message": "Rajaa kuva" },
  "crop_image_807ebb08": { "message": "Rajaa kuva" },
  "current_image_f16c249c": { "message": "Nykyinen kuva" },
  "custom_6979cd81": { "message": "Mukauta" },
  "date_added_ed5ad465": { "message": "Lisäyspäivämäärä" },
  "decorative_image_3c28aa7d": { "message": "Koristeellinen kuva" },
  "decrease_indent_de6343ab": { "message": "Pienennä sisennystä" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "luetelmakohdista koostuva järjestämätön oletuslista"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "numeerinen järjestetty oletuslista"
  },
  "delimiters_4db4840d": { "message": "Erottimet" },
  "describe_the_image_e65d2e32": { "message": "(Kuvaa kuva)" },
  "describe_the_video_2fe8f46a": { "message": "(Kuvaa video)" },
  "details_98a31b68": { "message": "Lisätiedot" },
  "diamond_b8dfe7ae": { "message": "Diamond" },
  "dimension_type_55c83e4e": { "message": "Ulottuvuuden tyyppi" },
  "dimensions_45ddb7b7": { "message": "Mitat" },
  "directionality_26ae9e08": { "message": "Suuntaisuus" },
  "directly_edit_latex_b7e9235b": { "message": "Muokkaa LaTeX:iä suoraan" },
  "discussions_a5f96392": { "message": "Keskustelut" },
  "discussions_index_6c36ced": { "message": "Keskustelujen indeksi" },
  "display_options_315aba85": { "message": "Näytä vaihtoehdot" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Näytä tekstilinkki (avautuu uudessa välilehdessä)"
  },
  "document_678cd7bf": { "message": "Asiakirja" },
  "documents_81393201": { "message": "Asiakirjat" },
  "done_54e3d4b6": { "message": "Valmis" },
  "drag_a_file_here_1bf656d5": { "message": "Vedä tiedosto tähän" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Vedä ja pudota tai napsauta selataksesi tietokoneellasi"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Vedä kahva. Muuta kokoa ylä- ja alanuolilla"
  },
  "due_multiple_dates_cc0ee3f5": {
    "message": "Määräpäivä: Useita päivämääriä"
  },
  "due_when_7eed10c6": { "message": "Määräpäivä: { when }" },
  "edit_c5fbea07": { "message": "Muokkaa" },
  "edit_equation_f5279959": { "message": "Muokkaa kaavaa" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Muokkaa olemassa olevaa painiketta/kuvaketta"
  },
  "edit_link_7f53bebb": { "message": "Muokkaa linkkiä" },
  "editor_statusbar_26ac81fc": { "message": "Editorin tilapalkki" },
  "embed_828fac4a": { "message": "Upota" },
  "embed_code_314f1bd5": { "message": "Upota koodi" },
  "embed_image_1080badc": { "message": "Upota kuva" },
  "embed_video_a97a64af": { "message": "Upota video" },
  "embedded_content_aaeb4d3d": { "message": "upotettu sisältö" },
  "engineering_icon_f8f3cf43": { "message": "Suunnittelu-kuvake" },
  "english_icon_25bfe845": { "message": "Englanninkielen kuvake" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Kirjoita vähintään 3 merkkiä ja tee haku"
  },
  "equation_1c5ac93c": { "message": "Yhtälö" },
  "equation_editor_39fbc3f1": { "message": "Yhtälöeditori" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Laajenna esikatselu oletuksena"
  },
  "expand_to_see_types_f5d29352": {
    "message": "Laajenna nähdäksesi { types }"
  },
  "external_links_3d9f074e": { "message": "Ulkoiset linkit" },
  "external_tools_6e77821": { "message": "Ulkoiset työkalut" },
  "extra_large_b6cdf1ff": { "message": "Erittäin suuri" },
  "extra_small_9ae33252": { "message": "Erittäin pieni" },
  "extracurricular_icon_67c8ca42": {
    "message": "Kouluajan ulkopuolisen kohteen kuvake"
  },
  "file_url_c12b64be": { "message": "Tiedoston URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } tiedostokuvake" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } kuvan esikatselu"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } tekstin esikatselu"
  },
  "files_c300e900": { "message": "Tiedostot" },
  "files_index_af7c662b": { "message": "Tiedostojen indeksi" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Tarkanne elementtien asetusten työkalupalkki"
  },
  "folder_tree_fbab0726": { "message": "Kansiopuu" },
  "format_4247a9c5": { "message": "Muotoile" },
  "formatting_5b143aa8": { "message": "Muotoillaan" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Löytyi automaattisesti tallennettua sisältöä"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Löytyi { count, plural,\n     =0 {# tulosta}\n    one {# tulos}\n  other {# tulosta}\n}"
  },
  "fullscreen_873bf53f": { "message": "Koko näyttö" },
  "generating_preview_45b53be0": { "message": "Luodaan esikatselua..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Siirry editorin valikkopalkkiin"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Siirry editorin työkalupalkkiin"
  },
  "grades_a61eba0a": { "message": "Arvosanat" },
  "greek_65c5b3f7": { "message": "kreikka" },
  "group_documents_8bfd6ae6": { "message": "Ryhmän asiakirjat" },
  "group_files_4324f3df": { "message": "Ryhmän tiedostot" },
  "group_files_82e5dcdb": { "message": "Ryhmän tiedostot" },
  "group_images_98e0ac17": { "message": "Ryhmän kuvat" },
  "group_links_9493129e": { "message": "Ryhmälinkit" },
  "group_media_2f3d128a": { "message": "Ryhmän media" },
  "group_navigation_99f191a": { "message": "Ryhmän navigointi" },
  "heading_2_5b84eed2": { "message": "Otsikko 2" },
  "heading_3_2c83de44": { "message": "Otsikko 3" },
  "heading_4_b2e74be7": { "message": "Otsikko 4" },
  "health_icon_8d292eb5": { "message": "Terveys-kuvake" },
  "height_69b03e15": { "message": "Korkeus" },
  "hexagon_d8468e0d": { "message": "Kuusikulmio" },
  "hide_description_bfb5502e": { "message": "Piilota kuvaus" },
  "hide_title_description_caf092ef": {
    "message": "Piilota kohteen { title } kuvaus"
  },
  "home_351838cd": { "message": "Aloitussivu" },
  "html_code_editor_fd967a44": { "message": "html-koodieditori" },
  "html_editor_fb2ab713": { "message": "HTML-editori" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Olen hankkinut luvan käyttää tätä tiedostoa."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Minulla on tekijäoikeus" },
  "icon_color_b86dd6d6": { "message": "Kuvakkeen väri" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Jos et valitse käyttöoikeuksia nyt, tiedoston julkaisu peruutetaan latauksen jälkeen."
  },
  "image_8ad06": { "message": "Kuva" },
  "image_options_5412d02c": { "message": "Kuva-asetukset" },
  "image_options_tray_90a46006": { "message": "Kuva-asetusten ilmoitusalue" },
  "image_to_crop_3a34487d": { "message": "Rajattava kuva" },
  "images_7ce26570": { "message": "Kuvat" },
  "increase_indent_6d550a4a": { "message": "Suurenna sisennystä" },
  "insert_593145ef": { "message": "Aseta" },
  "insert_equella_links_49a8dacd": { "message": "Lisää Equella-linkit" },
  "insert_link_6dc23cae": { "message": "Lisää linkki" },
  "insert_math_equation_57c6e767": { "message": "Lisää matemaattinen kaava" },
  "invalid_file_c11ba11": { "message": "Virheellinen tiedosto" },
  "invalid_file_type_881cc9b2": { "message": "Virheellinen tiedostotyyppi" },
  "invalid_url_cbde79f": { "message": "Virheellinen URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Pikanäppäimet" },
  "language_arts_icon_a798b0f8": { "message": "Kielen taiteiden kuvake" },
  "languages_icon_9d20539": { "message": "Kielien kuvake" },
  "large_9c5e80e7": { "message": "Suuri" },
  "left_to_right_e9b4fd06": { "message": "Vasemmalta-Oikealle" },
  "library_icon_ae1e54cf": { "message": "Kirjaston kuvake" },
  "link_7262adec": { "message": "Linkki" },
  "link_options_a16b758b": { "message": "Linkin asetukset" },
  "links_14b70841": { "message": "Linkit" },
  "load_more_35d33c7": { "message": "Lataa lisää" },
  "load_more_results_460f49a9": { "message": "Lataa lisää tuloksia" },
  "loading_25990131": { "message": "Ladataan..." },
  "loading_bde52856": { "message": "Ladataan" },
  "loading_failed_b3524381": { "message": "Lataus epäonnistui..." },
  "loading_failed_e6a9d8ef": { "message": "Lataus epäonnistui." },
  "loading_folders_d8b5869e": { "message": "Ladataan kansioita" },
  "loading_please_wait_d276220a": { "message": "Ladataan, odota" },
  "loading_preview_9f077aa1": { "message": "Esikatselua ladataan" },
  "locked_762f138b": { "message": "Lukittu" },
  "math_icon_ad4e9d03": { "message": "Matematiikan kuvake" },
  "media_af190855": { "message": "Tietoväline" },
  "medium_5a8e9ead": { "message": "Tietoväline" },
  "middle_27dc1d5": { "message": "Kohtalainen" },
  "misc_3b692ea7": { "message": "Sekalainen" },
  "miscellaneous_e9818229": { "message": "Muut asiat" },
  "modules_c4325335": { "message": "Moduulit" },
  "multi_color_image_63d7372f": { "message": "Monivärinen kuva" },
  "music_icon_4db5c972": { "message": "Musiikki-kuvake" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Täytyy olla vähintään { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Täytyy olla vähintään { width } x { height }px."
  },
  "my_files_2f621040": { "message": "Omat tiedostot" },
  "name_1aed4a1b": { "message": "Nimi" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Siirry valikon tai työkalupalkin läpi"
  },
  "next_page_d2a39853": { "message": "Seuraava sivu" },
  "no_e16d9132": { "message": "Ei" },
  "no_file_chosen_9a880793": { "message": "Ei valittua tiedostoa" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Tälle tiedostolle ei ole saatavissa esikatselua."
  },
  "no_results_940393cf": { "message": "Ei tuloksia." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Tuloksia ei löytynyt kohteelle { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Tuloksia ei löytynyt kohteelle { term }."
  },
  "none_3b5e34d2": { "message": "Ei mitään" },
  "none_selected_b93d56d2": { "message": "Ei valintoja" },
  "octagon_e48be9f": { "message": "Kahdeksankulmio" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Avaa tämä näppäimistön pikakuvakkeiden valintaruutu"
  },
  "open_title_application_fd624fc5": { "message": "Avoin { title }-sovellus" },
  "operators_a2ef9a93": { "message": "Operaattorit" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Järjestetyt ja järjestämättömät listat"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Muu editorin pikakuvakkeet löytyvät"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } ei ole voimassa oleva protokolla. Sen täytyy olla ftp, http, https, mailto, skype, tel tai se saatetaan poistaa"
  },
  "pages_e5414c2c": { "message": "Sivut" },
  "paragraph_5e5ad8eb": { "message": "Kappale" },
  "pentagon_17d82ea3": { "message": "Viisikulmio" },
  "people_b4ebb13c": { "message": "Henkilöt" },
  "percentage_34ab7c2c": { "message": "Prosenttimäärä" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Prosenttiosuuden täytyy olla numero"
  },
  "performing_arts_icon_f3497486": { "message": "Esittävien taiteiden kuvake" },
  "physical_education_icon_d7dffd3e": {
    "message": "Liikuntakasvatuksen kuvake"
  },
  "pixels_52ece7d1": { "message": "Pikselit" },
  "posted_when_a578f5ab": { "message": "Lähetetty: { when }" },
  "preformatted_d0670862": { "message": "Esimuotoiltu" },
  "pretty_html_editor_28748756": { "message": "Pretty-tekstieditori" },
  "preview_53003fd2": { "message": "Esikatsele" },
  "preview_in_overlay_ed772c46": { "message": "Esikatselu asettelussa" },
  "preview_inline_9787330": { "message": "Esikatselu inline-tilassa" },
  "previous_page_928fc112": { "message": "Edellinen sivu" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protokollan täytyy olla ftp, http, https, mailto, skype, tel tai se saatetaan poistaa"
  },
  "published_c944a23d": { "message": "julkaistu" },
  "published_when_302d8e23": { "message": "Julkaistu: { when }" },
  "quizzes_7e598f57": { "message": "Tietovisat" },
  "raw_html_editor_e3993e41": { "message": "Raaka HTML-muokkausohjelma" },
  "record_7c9448b": { "message": "Nauhoita" },
  "record_upload_media_5fdce166": { "message": "Nauhoita/lataa mediaa" },
  "relationships_6602af70": { "message": "Suhteet" },
  "religion_icon_246e0be1": { "message": "Uskonnon kuvake" },
  "remove_link_d1f2f4d0": { "message": "Poista linkki" },
  "resize_ec83d538": { "message": "Muuta kokoa" },
  "restore_auto_save_deccd84b": {
    "message": "Palautetetaanko automaattinen tallennus?"
  },
  "rich_content_editor_2708ef21": { "message": "Rikas sisältöeditori" },
  "right_to_left_9cfb092a": { "message": "Oikealta-Vasemmalle" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Harmi, mutta Pretty-tekstieditoria ei voi käyttää näppäimistöltä. Käytä HTML-tekstieditoria täällä."
  },
  "save_11a80ec3": { "message": "Tallenna" },
  "search_280d00bd": { "message": "Hae" },
  "search_term_b2d2235": { "message": "Hakutermi" },
  "select_crop_shape_d441feeb": { "message": "Valitse rajauksen muoto" },
  "select_language_7c93a900": { "message": "Valitse kieli" },
  "selected_274ce24f": { "message": "Valittu" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Shift-O avaa Pretty-tekstieditorin."
  },
  "show_audio_options_b489926b": { "message": "Näytä ääniasetukset" },
  "show_image_options_1e2ecc6b": { "message": "Näytä kuva-asetukset" },
  "show_link_options_545338fd": { "message": "Näytä linkin asetukset" },
  "show_video_options_6ed3721a": { "message": "Näytä videoasetukset" },
  "single_color_image_4e5d4dbc": { "message": "Yksivärinen kuva" },
  "size_b30e1077": { "message": "Koko" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Tekstitystiedosto on kooltaan suurempi kuin suurin sallittu tiedostokoko { max } kb."
  },
  "small_b070434a": { "message": "Pieni" },
  "something_went_wrong_89195131": { "message": "Jotakin meni pieleen." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Jotakin meni pieleen enkä tiedä, mitä näyttää sinulle,"
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Jotakin meni pieleen, tarkista yhteytesi ja yritä uudelleen."
  },
  "something_went_wrong_d238c551": { "message": "Jotakin meni pieleen." },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Jotakin meni pieleen, yritä uudelleen sivun päivittämisen jälkeen"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Jotakin meni pieleen latauksen suhteen, tarkista yhteytesi ja yritä uudelleen."
  },
  "sort_by_e75f9e3e": { "message": "Lajitteluperuste" },
  "square_511eb3b3": { "message": "Neliö" },
  "square_unordered_list_b15ce93b": {
    "message": "järjestä järjestämätön luettelo"
  },
  "star_8d156e09": { "message": "Tähti" },
  "styles_2aa721ef": { "message": "Tyylit" },
  "submit_a3cc6859": { "message": "Lähetä" },
  "subscript_59744f96": { "message": "Alaindeksi" },
  "superscript_8cb349a2": { "message": "Yläindeksi" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Tuetut tiedostotyypit: SRT tai WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": { "message": "Vaihda tekstieditoriin" },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Vaihda tekstimuotoilueditoriin"
  },
  "syllabus_f191f65b": { "message": "Opinto-ohjelma" },
  "tab_arrows_4cf5abfc": { "message": "TAB/Nuolet" },
  "text_7f4593da": { "message": "Teksti" },
  "text_background_color_16e61c3f": { "message": "Tekstin taustaväri" },
  "text_color_acf75eb6": { "message": "Tekstiväri" },
  "text_position_8df8c162": { "message": "Tekstin paikka" },
  "text_size_887c2f6": { "message": "Tekstikoko" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Materiaali on vapaasti käytössä (public domain)."
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Materiaali on lisensoitu Creative Commons -lisenssillä"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Materiaali on poikkeuksen (esim. Fair Use, oikeus lainata tai muiden sovellettavien tekijänoikeuslakien) alainen"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Harmi, mutta Pretty-tekstieditoria ei voi käyttää näppäimistöltä. Kun painat Shift-O, tekstieditori avautuu."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Vaikka videollasi on oikea otsikko selaimessa, sen päivitys tietokannassa epäonnistui."
  },
  "title_ee03d132": { "message": "Otsikko" },
  "to_be_posted_when_d24bf7dc": { "message": "Lähetetään: { when }" },
  "to_do_when_2783d78f": { "message": "Tehtävä: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Vaihda { summary } ryhmää" },
  "tools_2fcf772e": { "message": "Työkalut" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } Tulosta löytyi, { numDisplayed } tulosta näkyy parhaillaan"
  },
  "tray_839df38a": { "message": "Alusta" },
  "triangle_6072304e": { "message": "Kolmio" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "käytä kuvan asetuksia kirjoittamalla Control F9. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "käytä musteen asetuksia kirjoittamalla Control F9. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "käytä taulukon asetuksia kirjoittamalla Control F9. { text }"
  },
  "unpublished_dfd8801": { "message": "julkaisematon" },
  "untitled_efdc2d7d": { "message": "Nimetön" },
  "upload_document_253f0478": { "message": "Lataa asiakirja" },
  "upload_file_fd2361b8": { "message": "Lataa tiedosto" },
  "upload_image_6120b609": { "message": "Lisää kuva" },
  "upload_media_ce31135a": { "message": "Lataa mediaa" },
  "upload_record_media_e4207d72": { "message": "Lataa/Tallennusväline" },
  "uploading_19e8a4e7": { "message": "Ladataan" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Suljettujen tekstitysten lataus epäonnistui."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "aakkosellinen järjestetty isojen kirjainten lista"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "järjestetty roomalaisten numeroiden lista"
  },
  "url_22a5f3b8": { "message": "URL-osoite" },
  "usage_right_ff96f3e2": { "message": "Käyttöoikeus:" },
  "usage_rights_required_5fe4dd68": { "message": "Käyttöoikeudet (vaaditaan)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Siirry vaihtoehdoissa nuolinäppäinten avulla."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Valitse nuolipainikkeet valitaksesi muodon."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Valitse nuolipainikkeet valitaksesi koon."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Valitse nuolipainikkeet valitaksesi tekstin paikan."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Valitse nuolipainikkeet valitaksesi tekstin koon."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Valitse nuolipainikkeet ääriviivan koon."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Näytönlukijat käyttävät kuvaamaan kuvan sisältöä"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Näytönlukijat käyttävät kuvaamaan videota"
  },
  "user_documents_c206e61f": { "message": "Käyttäjän asiakirjat" },
  "user_files_78e21703": { "message": "Käyttäjätiedostot" },
  "user_images_b6490852": { "message": "Käyttäjän kuvat" },
  "user_media_14fbf656": { "message": "Käyttäjän tietoväline" },
  "video_options_24ef6e5d": { "message": "Videoasetukset" },
  "video_options_tray_3b9809a5": { "message": "Videoasetusten ilmoitusalue" },
  "video_player_for_9e7d373b": { "message": "Videonauhuri kohteelle " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Videonauhuri kohteelle { title }"
  },
  "view_ba339f93": { "message": "Tarkastele" },
  "view_description_30446afc": { "message": "Näytä kuvaus" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Näytä näppäimistön pikakuvakkeet"
  },
  "view_predefined_colors_92f5db39": {
    "message": "Näytä ennalta määritetyt värit"
  },
  "view_title_description_67940918": {
    "message": "Näytä kohteen { title } kuvaus"
  },
  "width_492fec76": { "message": "Leveys" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Leveyden ja korkeuden täytyy olla numeroita"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki Home" },
  "yes_dde87d5": { "message": "Kyllä" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Et voi ladata tyhjää tiedostoa."
  },
  "zoom_in_image_bb97d4f": { "message": "Lähennä kuvaan" },
  "zoom_out_image_d0a0a2ec": { "message": "Loitonna kuvasta" }
}


formatMessage.addLocale({fi: locale})
