/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/fr_FR'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Accéder à l’éditeur HTML embelli"
  },
  "accessibility_checker_b3af1f6c": {
    "message": "Vérificateur d’accessibilité"
  },
  "add_8523c19b": { "message": "Ajouter" },
  "add_another_f4e50d57": { "message": "Ajouter un autre" },
  "add_cc_subtitles_55f0394e": { "message": "Ajouter CC/Sous-titres" },
  "add_image_60b2de07": { "message": "Ajouter une image" },
  "align_11050992": { "message": "Aligner" },
  "align_center_ca078feb": { "message": "Centrer" },
  "align_left_e9f1f93b": { "message": "Aligner à gauche" },
  "align_right_9bad3ac1": { "message": "Aligner à droite" },
  "alignment_and_lists_5cebcb69": { "message": "Alignement et listes" },
  "all_4321c3a1": { "message": "Tous" },
  "all_apps_a50dea49": { "message": "Toutes les applications" },
  "alphabetical_55b5b4e0": { "message": "Alphabétique" },
  "alt_text_611fb322": { "message": "Texte alternatif" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Une erreur est survenue pendant la lecture du fichier."
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Une erreur est survenue lors de la réalisation d''une requête réseau"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Une erreur est survenue lors de l’envoi de votre média."
  },
  "announcement_list_da155734": { "message": "Liste des annonces" },
  "announcements_a4b8ed4a": { "message": "Annonces" },
  "apply_781a2546": { "message": "Appliquer" },
  "apps_54d24a47": { "message": "Applications" },
  "arrows_464a3e54": { "message": "Flèches" },
  "art_icon_8e1daad": { "message": "Icône art" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Les proportions seront préservées."
  },
  "assignments_1e02582c": { "message": "Travaux" },
  "attributes_963ba262": { "message": "Attributs" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Enregistrement audio et vidéo non pris en charge, veuillez utiliser un autre navigateur."
  },
  "audio_options_feb58e2c": { "message": "Options audio" },
  "audio_options_tray_33a90711": { "message": "Tiroir des options audio" },
  "audio_player_for_title_20cc70d": {
    "message": "Lecteur audio pour { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Du contenu enregistré automatiquement existe. Souhaitez-vous charger le contenu enregistré automatiquement à la place ?"
  },
  "available_folders_694d0436": { "message": "Dossiers disponibles" },
  "basic_554cdc0a": { "message": "Basique" },
  "below_81d4dceb": { "message": "En-dessous" },
  "bottom_third_5f5fec1d": { "message": "Tiers inférieur" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Annuler" },
  "choose_caption_file_9c45bc4e": {
    "message": "Choisir le fichier de légende"
  },
  "choose_usage_rights_33683854": {
    "message": "Choisir les droits d’utilisation..."
  },
  "circle_484abe63": { "message": "Cercle" },
  "circle_unordered_list_9e3a0763": {
    "message": "liste non ordonnée à puces rondes"
  },
  "clear_2084585f": { "message": "Effacer" },
  "clear_image_3213fe62": { "message": "Effacer image" },
  "clear_selected_file_82388e50": {
    "message": "Effacer le fichier sélectionné"
  },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Effacer le fichier sélectionné : { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Cliquez ou faites Maj+clic pour accéder à l''éditeur HTML."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Cliquez pour intégrer { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Cliquez pour masquer l’aperçu"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Cliquez pour insérer un lien dans l''éditeur."
  },
  "click_to_show_preview_faa27051": {
    "message": "Cliquez pour afficher l’aperçu"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Fermer un menu ou une boîte de dialogue. Permet également de revenir à la zone d''édition."
  },
  "close_d634289d": { "message": "Fermer" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Le fichier de sous-titres doit faire moins de { maxKb } Ko."
  },
  "closed_captions_subtitles_e6aaa016": { "message": "Sous-titres" },
  "collaborations_5c56c15f": { "message": "Collaborations" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Réduisez pour masquer { types }"
  },
  "computer_1d7dfa6f": { "message": "Ordinateur" },
  "content_1440204b": { "message": "Contenu" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Le contenu est toujours en cours de téléchargement, si vous continuez, il ne sera pas intégré correctement."
  },
  "content_subtype_5ce35e88": { "message": "Sous-type de contenu" },
  "content_type_2cf90d95": { "message": "Type de contenu" },
  "copyright_holder_66ee111": { "message": "Détenteur des droits d’auteur :" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 mot}\n    one {1 mot}\n  other {# mots}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# élément chargé}\n  other {# éléments chargés}\n}"
  },
  "course_documents_104d76e0": { "message": "Documents du cours" },
  "course_files_62deb8f8": { "message": "Fichiers du cours" },
  "course_files_a31f97fc": { "message": "Fichiers du cours" },
  "course_images_f8511d04": { "message": "Images du cours" },
  "course_links_b56959b9": { "message": "Liens du cours" },
  "course_media_ec759ad": { "message": "Médias du cours" },
  "course_navigation_dd035109": { "message": "Barre de navigation des cours" },
  "creative_commons_license_725584ae": {
    "message": "Licence Creative Commons :"
  },
  "crop_image_41bf940c": { "message": "Rogner image" },
  "crop_image_807ebb08": { "message": "Rogner l’image" },
  "current_image_f16c249c": { "message": "Image actuelle" },
  "custom_6979cd81": { "message": "Personnalisé" },
  "date_added_ed5ad465": { "message": "Date ajoutée" },
  "decorative_image_3c28aa7d": { "message": "Image décorative" },
  "decrease_indent_de6343ab": { "message": "Diminuer le retrait" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "liste à puce non ordonnée par défaut"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "liste à puce ordonnée par défaut"
  },
  "delimiters_4db4840d": { "message": "Délimiteurs" },
  "describe_the_image_e65d2e32": { "message": "(Décrire l’image)" },
  "describe_the_video_2fe8f46a": { "message": "(Décrivez la vidéo)" },
  "details_98a31b68": { "message": "Détails" },
  "diamond_b8dfe7ae": { "message": "Diamant" },
  "dimension_type_55c83e4e": { "message": "Type de dimension" },
  "dimensions_45ddb7b7": { "message": "Dimensions" },
  "directionality_26ae9e08": { "message": "Direction" },
  "directly_edit_latex_b7e9235b": {
    "message": "Modifier directement le LaTeX"
  },
  "discussions_a5f96392": { "message": "Discussions" },
  "discussions_index_6c36ced": { "message": "Index des discussions" },
  "display_options_315aba85": { "message": "Afficher les options" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Afficher le lien textuel (s’ouvre dans un nouvel onglet)"
  },
  "document_678cd7bf": { "message": "Document" },
  "documents_81393201": { "message": "Documents" },
  "done_54e3d4b6": { "message": "Terminé" },
  "drag_a_file_here_1bf656d5": { "message": "Glisser un fichier ici" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Glissez et déposez ou cliquez pour rechercher sur votre ordinateur"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Glisser-déposer. Utiliser les flèches vers le haut et vers le bas pour redimensionner"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "À rendre le : Plusieurs dates" },
  "due_when_7eed10c6": { "message": "À rendre le : { when }" },
  "edit_c5fbea07": { "message": "Modifier" },
  "edit_equation_f5279959": { "message": "Modifier l''équation" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Modifier une icône ou un bouton existant"
  },
  "edit_link_7f53bebb": { "message": "Modifier lien" },
  "editor_statusbar_26ac81fc": { "message": "Barre d''état de l''éditeur" },
  "embed_828fac4a": { "message": "Intégrer" },
  "embed_code_314f1bd5": { "message": "Embarquer du code" },
  "embed_image_1080badc": { "message": "Incorporer l’image" },
  "embed_video_a97a64af": { "message": "Intégrer la vidéo" },
  "embedded_content_aaeb4d3d": { "message": "contenu intégré" },
  "engineering_icon_f8f3cf43": { "message": "Icône ingénierie" },
  "english_icon_25bfe845": { "message": "Icône anglais" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Saisissez au moins 3 caractères pour lancer une recherche."
  },
  "equation_1c5ac93c": { "message": "Équation" },
  "equation_editor_39fbc3f1": { "message": "Éditeur d''équations" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Étendre l’aperçu par défaut"
  },
  "expand_to_see_types_f5d29352": {
    "message": "Étendez pour afficher { types }"
  },
  "external_links_3d9f074e": { "message": "Liens externes" },
  "external_tools_6e77821": { "message": "Outils externes" },
  "extra_large_b6cdf1ff": { "message": "Extra Large" },
  "extra_small_9ae33252": { "message": "Très petit" },
  "extracurricular_icon_67c8ca42": { "message": "Icône extrascolaire" },
  "file_url_c12b64be": { "message": "URL du fichier" },
  "filename_file_icon_602eb5de": { "message": "{ filename } icône de fichier" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } prévisualisation des images"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } prévisualisation de texte"
  },
  "files_c300e900": { "message": "Fichiers" },
  "files_index_af7c662b": { "message": "Index des fichiers" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Barre d''outils d''éléments de focus"
  },
  "folder_tree_fbab0726": { "message": "Arborescence" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formatage" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Contenu d’enregistrement auto trouvé"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "{ count, plural,\n     =0 {# résultats}\n    one {# résultat}\n  other {# résultats}\n} trouvé(s)"
  },
  "fullscreen_873bf53f": { "message": "Plein écran" },
  "generating_preview_45b53be0": {
    "message": "Création de l''aperçu en cours..."
  },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Aller à la barre de menu de l''éditeur"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Aller à la barre d''outils de l''éditeur"
  },
  "grades_a61eba0a": { "message": "Notes" },
  "greek_65c5b3f7": { "message": "Grec" },
  "group_documents_8bfd6ae6": { "message": "Documents du groupe" },
  "group_files_4324f3df": { "message": "Fichiers de groupe" },
  "group_files_82e5dcdb": { "message": "Fichiers du groupe" },
  "group_images_98e0ac17": { "message": "Images du groupe" },
  "group_links_9493129e": { "message": "Liens du groupe" },
  "group_media_2f3d128a": { "message": "Fichier multimédia du groupe" },
  "group_navigation_99f191a": { "message": "Barre de navigation des groupes" },
  "heading_2_5b84eed2": { "message": "En-tête 2" },
  "heading_3_2c83de44": { "message": "En-tête 3" },
  "heading_4_b2e74be7": { "message": "En-tête 4" },
  "health_icon_8d292eb5": { "message": "Icône santé" },
  "height_69b03e15": { "message": "Hauteur" },
  "hexagon_d8468e0d": { "message": "Hexagone" },
  "hide_description_bfb5502e": { "message": "Masquer la description" },
  "hide_title_description_caf092ef": {
    "message": "Masquer la description { title }"
  },
  "home_351838cd": { "message": "Accueil" },
  "html_code_editor_fd967a44": { "message": "éditeur de code html" },
  "html_editor_fb2ab713": { "message": "Éditeur HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "J’ai obtenu l’autorisation d’utiliser ce fichier."
  },
  "i_hold_the_copyright_71ee91b1": {
    "message": "Je détiens les droits d’auteur"
  },
  "icon_color_b86dd6d6": { "message": "Icône couleur" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Si vous ne sélectionnez pas de droits d''utilisation maintenant, ce fichier sera envoyé mais non publié."
  },
  "image_8ad06": { "message": "Image" },
  "image_options_5412d02c": { "message": "Options d''image" },
  "image_options_tray_90a46006": { "message": "Bac des options d''image" },
  "image_to_crop_3a34487d": { "message": "Image à rogner" },
  "images_7ce26570": { "message": "Images" },
  "increase_indent_6d550a4a": { "message": "Augmenter le retrait" },
  "insert_593145ef": { "message": "Insérer" },
  "insert_equella_links_49a8dacd": { "message": "Insérer des liens Equella" },
  "insert_link_6dc23cae": { "message": "Insérer un lien" },
  "insert_math_equation_57c6e767": {
    "message": "Insérer une équation mathématique"
  },
  "invalid_file_c11ba11": { "message": "Fichier non valide" },
  "invalid_file_type_881cc9b2": { "message": "Type de fichier non valide" },
  "invalid_url_cbde79f": { "message": "URL non valide" },
  "keyboard_shortcuts_ed1844bd": { "message": "Raccourcis clavier" },
  "language_arts_icon_a798b0f8": { "message": "Icône Arts de la langue" },
  "languages_icon_9d20539": { "message": "Icône langues" },
  "large_9c5e80e7": { "message": "Grand" },
  "left_to_right_e9b4fd06": { "message": "De gauche à droite" },
  "library_icon_ae1e54cf": { "message": "Icône bibliothèque" },
  "link_7262adec": { "message": "Lien" },
  "link_options_a16b758b": { "message": "Options de lien" },
  "links_14b70841": { "message": "Liens" },
  "load_more_35d33c7": { "message": "En charger plus" },
  "load_more_results_460f49a9": { "message": "Charger plus de résultats" },
  "loading_25990131": { "message": "Chargement..." },
  "loading_bde52856": { "message": "Chargement" },
  "loading_failed_b3524381": { "message": "Échec du chargement..." },
  "loading_failed_e6a9d8ef": { "message": "Le chargement a échoué." },
  "loading_folders_d8b5869e": { "message": "Chargement des dossiers" },
  "loading_please_wait_d276220a": {
    "message": "Chargement en cours, veuillez patienter"
  },
  "loading_preview_9f077aa1": { "message": "Chargement de l’aperçu" },
  "locked_762f138b": { "message": "Verrouillé" },
  "math_icon_ad4e9d03": { "message": "Icône maths" },
  "media_af190855": { "message": "Média" },
  "medium_5a8e9ead": { "message": "Moyen" },
  "middle_27dc1d5": { "message": "Milieu" },
  "misc_3b692ea7": { "message": "Divers" },
  "miscellaneous_e9818229": { "message": "Divers" },
  "modules_c4325335": { "message": "Modules" },
  "multi_color_image_63d7372f": { "message": "Image multicolore" },
  "music_icon_4db5c972": { "message": "Icône musique" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Doit être au moins égal à { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Doit faire au moins { width } x { height } px"
  },
  "my_files_2f621040": { "message": "Mes fichiers" },
  "name_1aed4a1b": { "message": "Nom" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Naviguer dans le menu ou la barre d''outils"
  },
  "next_page_d2a39853": { "message": "Page suivante" },
  "no_e16d9132": { "message": "Non" },
  "no_file_chosen_9a880793": { "message": "Aucun fichier sélectionné" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Aucun aperçu n’est disponible pour ce fichier."
  },
  "no_results_940393cf": { "message": "Aucun résultat." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Aucun résultat trouvé pour { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Aucun résultat pour { term }."
  },
  "none_3b5e34d2": { "message": "Aucun" },
  "none_selected_b93d56d2": { "message": "Aucun sélectionné" },
  "octagon_e48be9f": { "message": "Octogone" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Ouvrir cette boîte de dialogues des raccourcis clavier"
  },
  "open_title_application_fd624fc5": {
    "message": "Ouvrir l’application { title }"
  },
  "operators_a2ef9a93": { "message": "Opérateurs" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Listes ordonnées et non ordonnées"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "D''autres raccourcis de l''éditeur peuvent être trouvés à l''adresse suivante"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } n''est pas un protocole valable qui doit être ftp, http, https, mailto, skype, tel ou peut être omis"
  },
  "pages_e5414c2c": { "message": "Pages" },
  "paragraph_5e5ad8eb": { "message": "Paragraphe" },
  "pentagon_17d82ea3": { "message": "Pentagone" },
  "people_b4ebb13c": { "message": "Personnes" },
  "percentage_34ab7c2c": { "message": "Pourcentage" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Le pourcentage doit être un nombre"
  },
  "performing_arts_icon_f3497486": { "message": "Icône arts du spectacle" },
  "physical_education_icon_d7dffd3e": { "message": "Icône éducation physique" },
  "pixels_52ece7d1": { "message": "Pixels" },
  "posted_when_a578f5ab": { "message": "Posté : { when }" },
  "preformatted_d0670862": { "message": "Préformaté" },
  "pretty_html_editor_28748756": { "message": "Éditeur HTML embelli" },
  "preview_53003fd2": { "message": "Aperçu" },
  "preview_in_overlay_ed772c46": { "message": "Aperçu en superposition" },
  "preview_inline_9787330": { "message": "Aperçu incorporé" },
  "previous_page_928fc112": { "message": "Page précédente" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Le protocole doit être ftp, http, https, mailto, skype, tel ou peut être omis"
  },
  "published_c944a23d": { "message": "publié" },
  "published_when_302d8e23": { "message": "Publié : { when }" },
  "quizzes_7e598f57": { "message": "Questionnaires" },
  "raw_html_editor_e3993e41": { "message": "Éditeur HTML brut" },
  "record_7c9448b": { "message": "Enregistrer" },
  "record_upload_media_5fdce166": {
    "message": "Enregistrement / Téléchargement de média"
  },
  "relationships_6602af70": { "message": "Relations" },
  "religion_icon_246e0be1": { "message": "Icône religion" },
  "remove_link_d1f2f4d0": { "message": "Supprimer lien" },
  "resize_ec83d538": { "message": "Redimensionner" },
  "restore_auto_save_deccd84b": {
    "message": "Restaurer l’enregistrement auto ?"
  },
  "rich_content_editor_2708ef21": { "message": "Éditeur de texte enrichi" },
  "right_to_left_9cfb092a": { "message": "De droite à gauche" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "L’éditeur HTML embelli n’est malheureusement pas accessible au clavier. Accédez à l’éditeur HTML brut ici."
  },
  "save_11a80ec3": { "message": "Enregistrer" },
  "search_280d00bd": { "message": "Rechercher" },
  "search_term_b2d2235": { "message": "Terme de recherche" },
  "select_crop_shape_d441feeb": {
    "message": "Sélectionnez la forme du rognage"
  },
  "select_language_7c93a900": { "message": "Sélectionner la langue" },
  "selected_274ce24f": { "message": "Sélectionné" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Maj+O pour ouvrir l''éditeur HTML embelli"
  },
  "show_audio_options_b489926b": { "message": "Afficher les options audio" },
  "show_image_options_1e2ecc6b": {
    "message": "Afficher les options d''images"
  },
  "show_link_options_545338fd": { "message": "Afficher les options de lien" },
  "show_video_options_6ed3721a": { "message": "Afficher les options vidéo" },
  "single_color_image_4e5d4dbc": { "message": "Image monocolore" },
  "size_b30e1077": { "message": "Taille" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "La taille du fichier de sous-titres est supérieur au maximum de { max } Ko autorisés."
  },
  "small_b070434a": { "message": "Petit" },
  "something_went_wrong_89195131": { "message": "Un problème est survenu." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Un problème est survenu et je n''ai rien à vous montrer."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Un problème est survenu. Vérifiez l’état de votre connexion, puis réessayez."
  },
  "something_went_wrong_d238c551": { "message": "Un problème est survenu" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Quelque chose s’est mal passé, réessayez après avoir réactualisé la page"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "L’envoi a rencontré un problème, vérifiez l’état de votre connexion, puis réessayez."
  },
  "sort_by_e75f9e3e": { "message": "Trier par" },
  "square_511eb3b3": { "message": "Carré" },
  "square_unordered_list_b15ce93b": {
    "message": "liste non ordonnée à puces carrées"
  },
  "star_8d156e09": { "message": "Marquer d’un astérisque" },
  "styles_2aa721ef": { "message": "Styles" },
  "submit_a3cc6859": { "message": "Soumettre" },
  "subscript_59744f96": { "message": "En indice" },
  "superscript_8cb349a2": { "message": "En exposant" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Types de fichiers pris en charge : SRT ou WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Passer à l''éditeur html"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Passer à l’éditeur de texte enrichi"
  },
  "syllabus_f191f65b": { "message": "Programme" },
  "tab_arrows_4cf5abfc": { "message": "TAB/Flèches" },
  "text_7f4593da": { "message": "Texte" },
  "text_background_color_16e61c3f": { "message": "Couleur de fond du texte" },
  "text_color_acf75eb6": { "message": "Couleur de texte" },
  "text_position_8df8c162": { "message": "Position du texte" },
  "text_size_887c2f6": { "message": "Taille du texte" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Ce contenu appartient au domaine public"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Ce contenu est couvert par une licence Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Le matériel fait l''objet d''une exception - par exemple, l''utilisation équitable, le droit de citer ou d''autres droits en vertu des lois sur le droit d''auteur applicables."
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "L''éditeur HTML embelli n’est pas accessible au clavier. Appuyez sur Maj+O pour ouvrir l’éditeur HTML brut"
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Bien que votre vidéo aura le bon titre dans le navigateur, nous n''avons pas pu mettre ce dernier à jour dans la base de données."
  },
  "title_ee03d132": { "message": "Titre" },
  "to_be_posted_when_d24bf7dc": { "message": "À poster : { when }" },
  "to_do_when_2783d78f": { "message": "À faire : { when }" },
  "toggle_summary_group_413df9ac": {
    "message": "Activer/Désactiver groupe { summary }"
  },
  "tools_2fcf772e": { "message": "Outils" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } résultats, { numDisplayed } résultats affichés actuellement"
  },
  "tray_839df38a": { "message": "Tiroir" },
  "triangle_6072304e": { "message": "Triangle" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "appuyez sur Control + F9 pour accéder aux options d''image. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "appuyez sur Control + F9 pour accéder aux options de liens. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "appuyez sur Control + F9 pour accéder aux options de tableau. { text }"
  },
  "unpublished_dfd8801": { "message": "non publié(e)(s)" },
  "untitled_efdc2d7d": { "message": "sans titre" },
  "upload_document_253f0478": { "message": "Télécharger le document" },
  "upload_file_fd2361b8": { "message": "Envoyer fichier" },
  "upload_image_6120b609": { "message": "Télécharger l’image" },
  "upload_media_ce31135a": { "message": "Télécharger un fichier multimédia" },
  "upload_record_media_e4207d72": {
    "message": "Envoyer/enregistrer un fichier multimédia"
  },
  "uploading_19e8a4e7": { "message": "En cours d’importation" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Échec de l’envoi des sous-titres"
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "liste alphabétique ordonnée en majuscules"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "liste numérique ordonnée en chiffres romains majuscules"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Droit d’utilisation :" },
  "usage_rights_required_5fe4dd68": {
    "message": "Droit d’utilisation (obligatoire)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Utilisez les touches fléchées pour naviguer dans les options."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Utilisez les flèches du clavier pour sélectionner une forme"
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Utilisez les flèches du clavier pour sélectionner une taille"
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Utilisez les flèches pour sélectionner une position de texte."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Utilisez les flèches pour sélectionner une taille de texte."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Utilisez les flèches du clavier pour sélectionner une taille de pourtour."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Utilisé par les lecteurs d''écran pour décrire le contenu d''une image"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Utilisé par les lecteurs d''écran pour décrire la vidéo"
  },
  "user_documents_c206e61f": { "message": "Documents de l’utilisateur" },
  "user_files_78e21703": { "message": "Fichiers utilisateur" },
  "user_images_b6490852": { "message": "Images utilisateur" },
  "user_media_14fbf656": { "message": "Utilisateurs Médias" },
  "video_options_24ef6e5d": { "message": "Options vidéo" },
  "video_options_tray_3b9809a5": { "message": "Menu Options vidéo" },
  "video_player_for_9e7d373b": { "message": "Lecteur vidéo pour " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Lecteur vidéo pour { title }"
  },
  "view_ba339f93": { "message": "Afficher" },
  "view_description_30446afc": { "message": "Afficher la description" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Afficher les raccourcis clavier"
  },
  "view_predefined_colors_92f5db39": {
    "message": "Afficher les couleurs prédéfinies"
  },
  "view_title_description_67940918": {
    "message": "Afficher la description de { title }"
  },
  "width_492fec76": { "message": "Largeur" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "La largeur et la hauteur doivent être des nombres"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height } px" },
  "wiki_home_9cd54d0": { "message": "Page d’accueil de Wiki" },
  "yes_dde87d5": { "message": "Oui" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Vous ne pouvez pas envoyer un fichier vide."
  },
  "zoom_in_image_bb97d4f": { "message": "Image zoom" },
  "zoom_out_image_d0a0a2ec": { "message": "Image dézoom" }
}


formatMessage.addLocale({fr: locale})
