/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/ja'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "きれいなpretty HTMLエディタにアクセス"
  },
  "accessibility_checker_b3af1f6c": { "message": "アクセシビリティチェッカー" },
  "add_8523c19b": { "message": "追加" },
  "add_another_f4e50d57": { "message": "もう 1 つ追加" },
  "add_cc_subtitles_55f0394e": { "message": "CC /字幕を追加" },
  "add_image_60b2de07": { "message": "画像を追加" },
  "align_11050992": { "message": "位置調整" },
  "align_center_ca078feb": { "message": "中央揃え" },
  "align_left_e9f1f93b": { "message": "左揃え" },
  "align_right_9bad3ac1": { "message": "右揃え" },
  "alignment_and_lists_5cebcb69": { "message": "配置とリスト" },
  "all_4321c3a1": { "message": "すべて" },
  "all_apps_a50dea49": { "message": "すべてのアプリ" },
  "alphabetical_55b5b4e0": { "message": "アルファベットで" },
  "alt_text_611fb322": { "message": "Alt テキスト" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "ファイルを読み取る際にエラーが発生しました"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "ネットワーク要求の作成中にエラーが発生しました"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "あなたのメディアをアップロードする際にエラーが発生しました。"
  },
  "announcement_list_da155734": { "message": "アナウンス リスト" },
  "announcements_a4b8ed4a": { "message": "発表" },
  "apply_781a2546": { "message": "適用" },
  "apps_54d24a47": { "message": "アプリ" },
  "arrows_464a3e54": { "message": "矢印" },
  "art_icon_8e1daad": { "message": "アートのアイコン" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "アスペクト比は維持されます"
  },
  "assignments_1e02582c": { "message": "課題" },
  "attributes_963ba262": { "message": "属性" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "音声および動画の記録はサポートされていません。他のブラウザを使用してください。"
  },
  "audio_options_feb58e2c": { "message": "オーディオオプション" },
  "audio_options_tray_33a90711": { "message": "オーディオオプショントレイ" },
  "audio_player_for_title_20cc70d": {
    "message": "{ title }のオーディオプレーヤー"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "自動保存されたコンテンツが存在します。自動保存されたコンテンツを代わりにロードしますか？"
  },
  "available_folders_694d0436": { "message": "使用可能なフォルダ" },
  "basic_554cdc0a": { "message": "ベーシック" },
  "below_81d4dceb": { "message": "下の" },
  "bottom_third_5f5fec1d": { "message": "下から3番目" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "キャンセル" },
  "choose_caption_file_9c45bc4e": {
    "message": "キャプションファイルを選択する"
  },
  "choose_usage_rights_33683854": { "message": "使用権を選択..." },
  "circle_484abe63": { "message": "円" },
  "circle_unordered_list_9e3a0763": { "message": "丸い番号無しリスト" },
  "clear_2084585f": { "message": "クリア" },
  "clear_image_3213fe62": { "message": "画像を消す" },
  "clear_selected_file_82388e50": { "message": "選択したファイルを消去する" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "選択されたファイルを削除：{ filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "クリックまたはシフトクリックでHTMLエディタに移動します。"
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "クリックして{ imageName }を埋め込みます"
  },
  "click_to_hide_preview_3c707763": {
    "message": "クリックしてプレビューを非表示にする"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "クリックすると、エディタにリンクが挿入されます。"
  },
  "click_to_show_preview_faa27051": {
    "message": "クリックしてプレビューを表示する"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "メニューまたはダイアログを閉じます。またエディタエリアに戻ります"
  },
  "close_d634289d": { "message": "閉じる" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "クローズドキャプションファイルは { maxKb } kb未満であること"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "クローズドキャプション/字幕"
  },
  "collaborations_5c56c15f": { "message": "コラボレーション" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "{ types } を非表示にするには破損する"
  },
  "computer_1d7dfa6f": { "message": "コンピュータ" },
  "content_1440204b": { "message": "コンテンツ" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "コンテンツはまだアップロード中です。続行すると適切に埋め込まれません。"
  },
  "content_subtype_5ce35e88": { "message": "コンテンツのサブタイプ" },
  "content_type_2cf90d95": { "message": "コンテンツ タイプ" },
  "copyright_holder_66ee111": { "message": "著作権保有者:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 語}\n    one {1 語}\n  other {# 語}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# アイテムを読込みました}\n  other {# アイテムを読込みました}\n}"
  },
  "course_documents_104d76e0": { "message": "コースドキュメント" },
  "course_files_62deb8f8": { "message": "コースファイル" },
  "course_files_a31f97fc": { "message": "コース ファイル" },
  "course_images_f8511d04": { "message": "コース画像" },
  "course_links_b56959b9": { "message": "コースリンク" },
  "course_media_ec759ad": { "message": "コースメディア" },
  "course_navigation_dd035109": { "message": "コース ナビゲーション" },
  "creative_commons_license_725584ae": {
    "message": "クリエイティブ コモンズ ライセンス:"
  },
  "crop_image_41bf940c": { "message": "画像を切り取る" },
  "crop_image_807ebb08": { "message": "画像の切り取り" },
  "current_image_f16c249c": { "message": "現在の画像" },
  "custom_6979cd81": { "message": "カスタム" },
  "date_added_ed5ad465": { "message": "追加された日付" },
  "decorative_image_3c28aa7d": { "message": "装飾的なイメージ" },
  "decrease_indent_de6343ab": { "message": "インデントを戻す" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "デフォルトの箇条書きの番号無しリスト"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "デフォルトの番号順リスト"
  },
  "delimiters_4db4840d": { "message": "デリミタ" },
  "describe_the_image_e65d2e32": { "message": "(画像の説明)" },
  "describe_the_video_2fe8f46a": { "message": "（ビデオを説明する）" },
  "details_98a31b68": { "message": "詳細" },
  "diamond_b8dfe7ae": { "message": "ダイヤモンド" },
  "dimension_type_55c83e4e": { "message": "サイズタイプ" },
  "dimensions_45ddb7b7": { "message": "寸法" },
  "directionality_26ae9e08": { "message": "方向性" },
  "directly_edit_latex_b7e9235b": { "message": "ディレクトリ編集 LaTeX" },
  "discussions_a5f96392": { "message": "ディスカッション" },
  "discussions_index_6c36ced": { "message": "ディスカッションのインデックス" },
  "display_options_315aba85": { "message": "オプションを表示する" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "テキストリンクを表示する (新しいタブが開きます)"
  },
  "document_678cd7bf": { "message": "ドキュメント" },
  "documents_81393201": { "message": "ドキュメント" },
  "done_54e3d4b6": { "message": "完了" },
  "drag_a_file_here_1bf656d5": { "message": "ファイルをここにドラッグする" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "ドラッグアンドドロップまたはクリックしてコンピュータを参照"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "ハンドルをドラッグします。上下矢印を使用してサイズを変更する"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "期限：複数の日付" },
  "due_when_7eed10c6": { "message": "期限：{ when }" },
  "edit_c5fbea07": { "message": "編集" },
  "edit_equation_f5279959": { "message": "方程式を編集する" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "既存のボタン/アイコンの編集"
  },
  "edit_link_7f53bebb": { "message": "リンクの編集" },
  "editor_statusbar_26ac81fc": { "message": "エディタ ステータスバー" },
  "embed_828fac4a": { "message": "埋め込み" },
  "embed_code_314f1bd5": { "message": "埋め込みコード" },
  "embed_image_1080badc": { "message": "画像の埋め込み" },
  "embed_video_a97a64af": { "message": "ビデオを埋め込む" },
  "embedded_content_aaeb4d3d": { "message": "埋め込まれたコンテンツ" },
  "engineering_icon_f8f3cf43": { "message": "エンジニアリングのアイコン" },
  "english_icon_25bfe845": { "message": "英語のアイコン" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "検索する語を3文字以上入力してください"
  },
  "equation_1c5ac93c": { "message": "方程式" },
  "equation_editor_39fbc3f1": { "message": "方程式エディタ" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "デフォルトによるプレビューの拡大"
  },
  "expand_to_see_types_f5d29352": { "message": "{ types } を拡張して表示" },
  "external_links_3d9f074e": { "message": "外部リンク" },
  "external_tools_6e77821": { "message": "外部ツール" },
  "extra_large_b6cdf1ff": { "message": "特大" },
  "extra_small_9ae33252": { "message": "超小型" },
  "extracurricular_icon_67c8ca42": { "message": "課外活動のアイコン" },
  "file_url_c12b64be": { "message": "ファイル URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } ファイルアイコン" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } 画像プレビュー"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } テキストプレビュー"
  },
  "files_c300e900": { "message": "ファイル" },
  "files_index_af7c662b": { "message": "ファイルのインデックス" },
  "focus_element_options_toolbar_18d993e": {
    "message": "フォーカス要素オプションツールバー"
  },
  "folder_tree_fbab0726": { "message": "フォルダツリー" },
  "format_4247a9c5": { "message": "形式" },
  "formatting_5b143aa8": { "message": "フォーマット" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "自動保存されたコンテンツが見つかりました"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "{ count, plural,\n     =0 {# 結果}\n    one {# 1つの結果}\n  other {# 結果}\n}が見つかりました"
  },
  "fullscreen_873bf53f": { "message": "全画面" },
  "generating_preview_45b53be0": { "message": "プレビュー中..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "エディタのメニューバーに移動する"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "エディタのツールバーに移動する"
  },
  "grades_a61eba0a": { "message": "成績" },
  "greek_65c5b3f7": { "message": "ギリシャ文字" },
  "group_documents_8bfd6ae6": { "message": "グループドキュメント" },
  "group_files_4324f3df": { "message": "グループファイル" },
  "group_files_82e5dcdb": { "message": "グループ ファイル" },
  "group_images_98e0ac17": { "message": "グループ画像" },
  "group_links_9493129e": { "message": "グループリンク" },
  "group_media_2f3d128a": { "message": "グループメディア" },
  "group_navigation_99f191a": { "message": "グループ ナビゲーション" },
  "heading_2_5b84eed2": { "message": "見出し2" },
  "heading_3_2c83de44": { "message": "見出し3" },
  "heading_4_b2e74be7": { "message": "見出し4" },
  "health_icon_8d292eb5": { "message": "健康のアイコン" },
  "height_69b03e15": { "message": "高さ" },
  "hexagon_d8468e0d": { "message": "六角形" },
  "hide_description_bfb5502e": { "message": "説明を非表示にする" },
  "hide_title_description_caf092ef": {
    "message": "{ title }説明を非表示にする"
  },
  "home_351838cd": { "message": "ホーム" },
  "html_code_editor_fd967a44": { "message": "Html コードエディタ" },
  "html_editor_fb2ab713": { "message": "HTML エディタ" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "このファイルを使用する権限を取得しています。"
  },
  "i_hold_the_copyright_71ee91b1": { "message": "著作権を保有しています" },
  "icon_color_b86dd6d6": { "message": "アイコンカラー" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "今すぐ使用権を選択しないと、このファイルはアップロード後に公開されません。"
  },
  "image_8ad06": { "message": "画像" },
  "image_options_5412d02c": { "message": "画像オプション" },
  "image_options_tray_90a46006": { "message": "画像オプショントレイ" },
  "image_to_crop_3a34487d": { "message": "クロップする画像" },
  "images_7ce26570": { "message": "画像" },
  "increase_indent_6d550a4a": { "message": "インデント" },
  "insert_593145ef": { "message": "挿入" },
  "insert_equella_links_49a8dacd": {
    "message": "Equella リンクを挿入してください"
  },
  "insert_link_6dc23cae": { "message": "リンクの挿入" },
  "insert_math_equation_57c6e767": { "message": "数学数式を挿入" },
  "invalid_file_c11ba11": { "message": "無効なファイル" },
  "invalid_file_type_881cc9b2": { "message": "無効なファイル タイプです" },
  "invalid_url_cbde79f": { "message": "無効な URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "キーボード ショートカット" },
  "language_arts_icon_a798b0f8": { "message": "語学のアイコン" },
  "languages_icon_9d20539": { "message": "言語のアイコン" },
  "large_9c5e80e7": { "message": "大" },
  "left_to_right_e9b4fd06": { "message": "左から右" },
  "library_icon_ae1e54cf": { "message": "ライブラリーのアイコン" },
  "link_7262adec": { "message": "リンク" },
  "link_options_a16b758b": { "message": "リンクオプション" },
  "links_14b70841": { "message": "リンク" },
  "load_more_35d33c7": { "message": "もっと読み込む" },
  "load_more_results_460f49a9": { "message": "さらに成果をロード" },
  "loading_25990131": { "message": "読み込み中・・・" },
  "loading_bde52856": { "message": "読み込み中" },
  "loading_failed_b3524381": { "message": "読み込みに失敗しました..." },
  "loading_failed_e6a9d8ef": { "message": "読込みに失敗しました。" },
  "loading_folders_d8b5869e": { "message": "フォルダを読み込み中..." },
  "loading_please_wait_d276220a": {
    "message": "読み込み中 - しばらくお待ちください"
  },
  "loading_preview_9f077aa1": { "message": "プレビュー読み込み中" },
  "locked_762f138b": { "message": "ロックされています" },
  "math_icon_ad4e9d03": { "message": "数学のアイコン" },
  "media_af190855": { "message": "メディア" },
  "medium_5a8e9ead": { "message": "中" },
  "middle_27dc1d5": { "message": "中位" },
  "misc_3b692ea7": { "message": "その他" },
  "miscellaneous_e9818229": { "message": "その他" },
  "modules_c4325335": { "message": "モジュール" },
  "multi_color_image_63d7372f": { "message": "マルチカラー画像" },
  "music_icon_4db5c972": { "message": "音楽のアイコン" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "{ percentage }%以上でなければなりません"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "少なくとも { width } x { height }px でなければなりません"
  },
  "my_files_2f621040": { "message": "マイ ファイル" },
  "name_1aed4a1b": { "message": "名前" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "メニューまたはツールバーを移動する"
  },
  "next_page_d2a39853": { "message": "次のページ" },
  "no_e16d9132": { "message": "いいえ" },
  "no_file_chosen_9a880793": { "message": "ファイルが選択されていません" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "このファイルでは、プレビューは利用できません。"
  },
  "no_results_940393cf": { "message": "結果がありません。" },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "{ filterTerm }の結果が見つかりませんでした"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "{ term }の結果は見つかりませんでした。"
  },
  "none_3b5e34d2": { "message": "なし" },
  "none_selected_b93d56d2": { "message": "選択されたものなし" },
  "octagon_e48be9f": { "message": "八角形" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "このキーボードショートカットダイアログを開く"
  },
  "open_title_application_fd624fc5": {
    "message": "{ title }アプリケーションを開く"
  },
  "operators_a2ef9a93": { "message": "演算子" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "番号付きリストと番号無しリスト"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "他のエディタショートカットは下記をご覧ください"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p }は、ftp, http, https, mailto, skype, telであるか、省略可能である有効なプロトコルではありません。"
  },
  "pages_e5414c2c": { "message": "ページ" },
  "paragraph_5e5ad8eb": { "message": "段落" },
  "pentagon_17d82ea3": { "message": "ペンタゴン" },
  "people_b4ebb13c": { "message": "メンバー" },
  "percentage_34ab7c2c": { "message": "割合" },
  "percentage_must_be_a_number_8033c341": {
    "message": "パーセンテージは数字でなければなりません"
  },
  "performing_arts_icon_f3497486": {
    "message": "パフォーミングアーツのアイコン"
  },
  "physical_education_icon_d7dffd3e": { "message": "体育のアイコン" },
  "pixels_52ece7d1": { "message": "ピクセル" },
  "posted_when_a578f5ab": { "message": "投稿済み:{ when }" },
  "preformatted_d0670862": { "message": "フォーマット済み" },
  "pretty_html_editor_28748756": { "message": "Pretty HTML エディタ" },
  "preview_53003fd2": { "message": "プレビュー" },
  "preview_in_overlay_ed772c46": { "message": "オーバーレイでのプレビュー" },
  "preview_inline_9787330": { "message": "インラインでのプレビュー" },
  "previous_page_928fc112": { "message": "前のページ" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "プロトコルは、ftp、http、https、mailto、skype、telであるか、省略可能です"
  },
  "published_c944a23d": { "message": "公開済み" },
  "published_when_302d8e23": { "message": "公開済み:{ when }" },
  "quizzes_7e598f57": { "message": "クイズ" },
  "raw_html_editor_e3993e41": { "message": "無変換の HTML エディタ" },
  "record_7c9448b": { "message": "記録" },
  "record_upload_media_5fdce166": { "message": "メディアの記録/アップロード" },
  "relationships_6602af70": { "message": "関係" },
  "religion_icon_246e0be1": { "message": "宗教学のアイコン" },
  "remove_link_d1f2f4d0": { "message": "リンクの削除" },
  "resize_ec83d538": { "message": "サイズ変更" },
  "restore_auto_save_deccd84b": {
    "message": "自動保存したものを復元しますか？"
  },
  "rich_content_editor_2708ef21": { "message": "リッチ コンテンツ エディタ" },
  "right_to_left_9cfb092a": { "message": "右から左" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "残念ながら、pretty HTMLエディタはキーボードからはアクセスできません。生のHTMLエディタにはこちらからアクセスできます。"
  },
  "save_11a80ec3": { "message": "保存" },
  "search_280d00bd": { "message": "検索" },
  "search_term_b2d2235": { "message": "検索用語" },
  "select_crop_shape_d441feeb": { "message": "クロップ形状の選択" },
  "select_language_7c93a900": { "message": "言語を選択する" },
  "selected_274ce24f": { "message": "選択されました" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Shift-Oでpretty HTMLエディタを開きます。"
  },
  "show_audio_options_b489926b": {
    "message": "オーディオオプションを表示する"
  },
  "show_image_options_1e2ecc6b": { "message": "画像オプションを表示" },
  "show_link_options_545338fd": { "message": "リンクオプションを表示する" },
  "show_video_options_6ed3721a": { "message": "ビデオオプションを表示する" },
  "single_color_image_4e5d4dbc": { "message": "単色画像" },
  "size_b30e1077": { "message": "サイズ" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "キャプションファイルのサイズが最大 { max } kb の許容ファイルサイズを超えている。"
  },
  "small_b070434a": { "message": "小" },
  "something_went_wrong_89195131": { "message": "問題が発生しました。" },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "何かがうまくいきませんでした。何を見せればいいのかわかりません。"
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "エラーが発生しました。接続を確認して、もう一度お試しください。"
  },
  "something_went_wrong_d238c551": { "message": "なにかが失敗しました" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "問題が発生しました。ページを最新に更新してからもう一度お試しください"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "アップロード中に問題が発生しました。接続をチェックして、もう一度お試しください。"
  },
  "sort_by_e75f9e3e": { "message": "分類する" },
  "square_511eb3b3": { "message": "四角" },
  "square_unordered_list_b15ce93b": { "message": "四角い番号無しリスト" },
  "star_8d156e09": { "message": "スター" },
  "styles_2aa721ef": { "message": "スタイル" },
  "submit_a3cc6859": { "message": "提出" },
  "subscript_59744f96": { "message": "下付き" },
  "superscript_8cb349a2": { "message": "上付き" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "サポートされるファイルタイプ：SRT または WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "htmlエディタに切り替える"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "リッチテキストエディタに切り替える"
  },
  "syllabus_f191f65b": { "message": "シラバス" },
  "tab_arrows_4cf5abfc": { "message": "TAB/矢印" },
  "text_7f4593da": { "message": "テキスト" },
  "text_background_color_16e61c3f": { "message": "テキスト背景の色" },
  "text_color_acf75eb6": { "message": "テキストカラー" },
  "text_position_8df8c162": { "message": "テキストの位置" },
  "text_size_887c2f6": { "message": "テキストのサイズ" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "この資料はパブリック ドメインです"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "この資料はクリエイティブ コモンズ ライセンスの対象となります"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "素材には例外があります。例：公正使用、引用権、または適用される著作権法に基づくその他"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "pretty HTMLエディタはキーボードからはアクセスできません。ShiftOを押してpretty HTMLエディタを開きます。"
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "あなたのビデオのブラウザ内のタイトルは正しいものですが、データベース内でそれを更新できませんでした。"
  },
  "title_ee03d132": { "message": "タイトル" },
  "to_be_posted_when_d24bf7dc": { "message": "投稿するには:{ when }" },
  "to_do_when_2783d78f": { "message": "タスク：{ when }" },
  "toggle_summary_group_413df9ac": {
    "message": "{ summary }グループを切り替える"
  },
  "tools_2fcf772e": { "message": "ツール" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults }結果が見つかりました。{ numDisplayed }結果が現在表示されています"
  },
  "tray_839df38a": { "message": "トレイ" },
  "triangle_6072304e": { "message": "三角形" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "Ctrl F9 と入力して、画像オプションにアクセスします。{ text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "Ctrl F9 と入力して、リンクオプションにアクセスします。{ text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "Ctrl F9 と入力して、テーブルオプションにアクセスします。{ text }"
  },
  "unpublished_dfd8801": { "message": "未公開" },
  "untitled_efdc2d7d": { "message": "無題" },
  "upload_document_253f0478": { "message": "ドキュメントをアップロードする" },
  "upload_file_fd2361b8": { "message": "ファイルアップロード" },
  "upload_image_6120b609": { "message": "イメージのアップロード" },
  "upload_media_ce31135a": { "message": "メディアを読み込む" },
  "upload_record_media_e4207d72": {
    "message": "メディアをアップロード/記録する"
  },
  "uploading_19e8a4e7": { "message": "アップロードしています" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "クローズドキャプション/サブタイトルのアップロードに失敗。"
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "大文字のアルファベット順リスト"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "大文字のローマ数字順リスト"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "使用権:" },
  "usage_rights_required_5fe4dd68": { "message": "使用権:（必須）" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "矢印キーを使用してオプションを移動します。"
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "矢印キーで図形を選択します。"
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "矢印キーを使ってサイズを選択します。"
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "矢印キーを使ってテキストの位置を選択します。"
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "矢印キーを使ってテキストのサイズを選択します。"
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "矢印キーを使ってアウトラインサイズを選択します。"
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "スクリーンリーダーが画像のコンテンツを説明するのに使用します"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "ビデオを説明する際にスクリーンリーダーが使用"
  },
  "user_documents_c206e61f": { "message": "ユーザードキュメント" },
  "user_files_78e21703": { "message": "ユーザーファイル" },
  "user_images_b6490852": { "message": "ユーザー画像" },
  "user_media_14fbf656": { "message": "ユーザーメディア" },
  "video_options_24ef6e5d": { "message": "ビデオオプション" },
  "video_options_tray_3b9809a5": { "message": "ビデオオプショントレイ" },
  "video_player_for_9e7d373b": { "message": "（）のビデオプレーヤー " },
  "video_player_for_title_ffd9fbc4": {
    "message": "{ title }のビデオプレーヤー"
  },
  "view_ba339f93": { "message": "表示" },
  "view_description_30446afc": { "message": "説明の表示" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "キーボードのショートカットを見る"
  },
  "view_predefined_colors_92f5db39": { "message": "定義済みカラーの表示" },
  "view_title_description_67940918": { "message": "{ title }説明の表示" },
  "width_492fec76": { "message": "幅" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "幅と高さは数字でなければなりません"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki ホーム" },
  "yes_dde87d5": { "message": "はい" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "空のファイルをアップロードすることはできません。"
  },
  "zoom_in_image_bb97d4f": { "message": "画像を拡大する" },
  "zoom_out_image_d0a0a2ec": { "message": "画像を縮小する" }
}


formatMessage.addLocale({ja: locale})
