/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/nb_NO'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Få tilgang til Elegante HTML-redigering"
  },
  "accessibility_checker_b3af1f6c": { "message": "Tilgjengelighetsquizer" },
  "add_8523c19b": { "message": "Legg til" },
  "add_another_f4e50d57": { "message": "Legg til en annen" },
  "add_cc_subtitles_55f0394e": { "message": "Legg til CC/Undertekst" },
  "add_image_60b2de07": { "message": "Legg til bilde" },
  "align_11050992": { "message": "Tilpass" },
  "align_center_ca078feb": { "message": "Senterjuster" },
  "align_left_e9f1f93b": { "message": "Venstrejuster" },
  "align_right_9bad3ac1": { "message": "Høyrejuster" },
  "alignment_and_lists_5cebcb69": { "message": "Tilpasning og lister" },
  "all_4321c3a1": { "message": "Alle" },
  "all_apps_a50dea49": { "message": "Alle apper" },
  "alphabetical_55b5b4e0": { "message": "Alfabetisk" },
  "alt_text_611fb322": { "message": "Endre tekst" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Det oppsto en feil ved lesing av filen"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Det oppsto en feil ved utførelse av en nettverksforespørsel"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Det oppsto en feil ved opplasting av media."
  },
  "announcement_list_da155734": { "message": "Kunngjøringsliste" },
  "announcements_a4b8ed4a": { "message": "Kunngjøringer" },
  "apply_781a2546": { "message": "Bruk" },
  "apps_54d24a47": { "message": "Apper" },
  "arrows_464a3e54": { "message": "Piler" },
  "art_icon_8e1daad": { "message": "Kunstikon" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Dimensjonene vil bli bevart"
  },
  "assignments_1e02582c": { "message": "Oppgaver" },
  "attributes_963ba262": { "message": "Attributter" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Lyd- og videoopptak støttes ikke, bruk en annen nettleser."
  },
  "audio_options_feb58e2c": { "message": "Lydalternativer" },
  "audio_options_tray_33a90711": { "message": "Brett for lydalternativer" },
  "audio_player_for_title_20cc70d": { "message": "Lydspiller for { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Automatisk lagret innhold finnes. Ønsker du å laste det automatisk lagrede innholdet i stedet?"
  },
  "available_folders_694d0436": { "message": "Tilgjengelige mapper" },
  "basic_554cdc0a": { "message": "Grunnleggende" },
  "below_81d4dceb": { "message": "Under" },
  "bottom_third_5f5fec1d": { "message": "Nedre tredjedel" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Avbryt" },
  "choose_caption_file_9c45bc4e": { "message": "Velg undertekst-fil" },
  "choose_usage_rights_33683854": { "message": "Velg bruksrettigheter…" },
  "circle_484abe63": { "message": "Sirkel" },
  "circle_unordered_list_9e3a0763": { "message": "sirkel uordnet liste" },
  "clear_2084585f": { "message": "Tøm" },
  "clear_image_3213fe62": { "message": "Fjern bilde" },
  "clear_selected_file_82388e50": { "message": "Fjern valgt fil" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Fjern valgt fil: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Klikk eller skift-klikk for html-redigeringsprogrammet."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Klikk for å bygge inn { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Klikk for å skjule forhåndsvisning"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Klikk for å sette inn en kobling i redigeringsprogrammet."
  },
  "click_to_show_preview_faa27051": {
    "message": "Klikk for å vise forhåndsvisning"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Lukk en meny eller dialog. Returnerer deg også til redigeringsområdet"
  },
  "close_d634289d": { "message": "Lukk" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Fil med teksting må være mindre enn { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": { "message": "Undertekster" },
  "collaborations_5c56c15f": { "message": "Samarbeid" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Kollaps for å skjule { types }"
  },
  "computer_1d7dfa6f": { "message": "Datamaskin" },
  "content_1440204b": { "message": "Innhold" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Innhold blir fortsatt lastet opp, fortsetter du vil ikke innholdet bli innebygd riktig."
  },
  "content_subtype_5ce35e88": { "message": "Innhold undertype" },
  "content_type_2cf90d95": { "message": "Innholdstype" },
  "copyright_holder_66ee111": { "message": "Rettighetshaver:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 ord}\n    one {1 ord}\n  other {# ord}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# element lastet}\n  other {# element lastet}\n}"
  },
  "course_documents_104d76e0": { "message": "Emnedokumenter" },
  "course_files_62deb8f8": { "message": "Filer for emne" },
  "course_files_a31f97fc": { "message": "Filer for emne" },
  "course_images_f8511d04": { "message": "Emnebilder" },
  "course_links_b56959b9": { "message": "Emnelenker" },
  "course_media_ec759ad": { "message": "Emnemedia" },
  "course_navigation_dd035109": { "message": "Emnenavigasjon" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons-lisens:"
  },
  "crop_image_41bf940c": { "message": "Beskjær bilde" },
  "crop_image_807ebb08": { "message": "Beskjær bilde" },
  "current_image_f16c249c": { "message": "Nåværende bilde" },
  "custom_6979cd81": { "message": "Tilpasset" },
  "date_added_ed5ad465": { "message": "Lagt til dato" },
  "decorative_image_3c28aa7d": { "message": "Dekorativt Bilde" },
  "decrease_indent_de6343ab": { "message": "Reduser innrykk" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "standard punkt-uordnet liste"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "standard numerisk-ordnet liste"
  },
  "delimiters_4db4840d": { "message": "Avgrensninger" },
  "describe_the_image_e65d2e32": { "message": "(Beskriv bildet)" },
  "describe_the_video_2fe8f46a": { "message": "(Beskriv videoen)" },
  "details_98a31b68": { "message": "Detaljer" },
  "diamond_b8dfe7ae": { "message": "Diamant" },
  "dimension_type_55c83e4e": { "message": "Dimensjonstype" },
  "dimensions_45ddb7b7": { "message": "Dimensjoner" },
  "directionality_26ae9e08": { "message": "Retning" },
  "directly_edit_latex_b7e9235b": { "message": "Rediger LaTex direkte" },
  "discussions_a5f96392": { "message": "Diskusjoner" },
  "discussions_index_6c36ced": { "message": "Diskusjonsindeks" },
  "display_options_315aba85": { "message": "Vis alternativer" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Vis tekstlenke (Åpnes i en ny fane)"
  },
  "document_678cd7bf": { "message": "Dokument" },
  "documents_81393201": { "message": "Dokumenter" },
  "done_54e3d4b6": { "message": "Ferdig" },
  "drag_a_file_here_1bf656d5": { "message": "Dra en fil hit." },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Dra og slipp, eller trykk for å bla i din datamaskin"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Dra-håndtak. Bruk piltastene for å forandre størrelse"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Frist: Flere datoer" },
  "due_when_7eed10c6": { "message": "Frist: { when }" },
  "edit_c5fbea07": { "message": "Rediger" },
  "edit_equation_f5279959": { "message": "Rediger likning" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Rediger eksisterende knapp/ikon"
  },
  "edit_link_7f53bebb": { "message": "Rediger lenke" },
  "editor_statusbar_26ac81fc": { "message": "Redigering Statusbar" },
  "embed_828fac4a": { "message": "Innebygd" },
  "embed_code_314f1bd5": { "message": "Integrere kode" },
  "embed_image_1080badc": { "message": "Bygg inn bilde" },
  "embed_video_a97a64af": { "message": "Legg ved video" },
  "embedded_content_aaeb4d3d": { "message": "inkludert innhold" },
  "engineering_icon_f8f3cf43": { "message": "Ingeniør-ikon" },
  "english_icon_25bfe845": { "message": "Engelsk-ikon" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Skriv inn minst tre tegn for å søke"
  },
  "equation_1c5ac93c": { "message": "Ligning" },
  "equation_editor_39fbc3f1": { "message": "Ligningsredigerer" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Utvid forhåndsvisning som standard"
  },
  "expand_to_see_types_f5d29352": { "message": "Utvid for å se { types }" },
  "external_links_3d9f074e": { "message": "Eksterne lenker" },
  "external_tools_6e77821": { "message": "Eksterne verktøy" },
  "extra_large_b6cdf1ff": { "message": "Ekstra stor" },
  "extra_small_9ae33252": { "message": "Ekstra liten" },
  "extracurricular_icon_67c8ca42": { "message": "Utenomfaglig-ikon" },
  "file_url_c12b64be": { "message": "Fil URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } filikon" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } bilde forhåndsvisning"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } tekst forhåndsvisning"
  },
  "files_c300e900": { "message": "Filer" },
  "files_index_af7c662b": { "message": "Filindeks" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Verktøylinje for fokuselement-alternativer"
  },
  "folder_tree_fbab0726": { "message": "Mappetre" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formatering" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Fant automatisk lagret innhold"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Fant { count, plural,\n     =0 {# resultater}\n    one {# resultat}\n  other {# resultater}\n}"
  },
  "fullscreen_873bf53f": { "message": "Fullskjerm" },
  "generating_preview_45b53be0": { "message": "Genererer forhåndsvisning…" },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Gå til redigeringsmenylinjen"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Gå til redigeringsverktøylinjen"
  },
  "grades_a61eba0a": { "message": "Vurderinger" },
  "greek_65c5b3f7": { "message": "Gresk" },
  "group_documents_8bfd6ae6": { "message": "Gruppedokumenter" },
  "group_files_4324f3df": { "message": "Gruppefiler" },
  "group_files_82e5dcdb": { "message": "Gruppefiler" },
  "group_images_98e0ac17": { "message": "Gruppebilder" },
  "group_links_9493129e": { "message": "Gruppelenker" },
  "group_media_2f3d128a": { "message": "Gruppemedia" },
  "group_navigation_99f191a": { "message": "Gruppenavigering" },
  "heading_2_5b84eed2": { "message": "Overskrift 2" },
  "heading_3_2c83de44": { "message": "Overskrift 3" },
  "heading_4_b2e74be7": { "message": "Overskrift 4" },
  "health_icon_8d292eb5": { "message": "Helse-ikon" },
  "height_69b03e15": { "message": "Høyde" },
  "hexagon_d8468e0d": { "message": "Sekskant" },
  "hide_description_bfb5502e": { "message": "Skjul beskrivelse" },
  "hide_title_description_caf092ef": {
    "message": "Skjul { title }-beskrivelse"
  },
  "home_351838cd": { "message": "Hjem" },
  "html_code_editor_fd967a44": { "message": "html koderedigeringsprogram" },
  "html_editor_fb2ab713": { "message": "HTML-redigering" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Jeg har fått tillatelse til å bruke denne filen."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Jeg har opphavsretten" },
  "icon_color_b86dd6d6": { "message": "Ikonfarge" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Dersom du ikke velger bruksrettigheter nå, vil denne filen være upublisert når den lastes opp."
  },
  "image_8ad06": { "message": "Bilde" },
  "image_options_5412d02c": { "message": "Bilde-alternativer" },
  "image_options_tray_90a46006": { "message": "Brett for bilde-alternativer" },
  "image_to_crop_3a34487d": { "message": "Bilde som skal beskjæres" },
  "images_7ce26570": { "message": "Bilder" },
  "increase_indent_6d550a4a": { "message": "Øk innrykk" },
  "insert_593145ef": { "message": "Sett inn" },
  "insert_equella_links_49a8dacd": { "message": "Sett inn Equella-koblinger" },
  "insert_link_6dc23cae": { "message": "Sett inn lenke" },
  "insert_math_equation_57c6e767": { "message": "Sett matte likning" },
  "invalid_file_c11ba11": { "message": "Ugyldig fil" },
  "invalid_file_type_881cc9b2": { "message": "Ugyldig filtype" },
  "invalid_url_cbde79f": { "message": "Ugyldig URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Snarveier" },
  "language_arts_icon_a798b0f8": { "message": "Språkkunst-ikon" },
  "languages_icon_9d20539": { "message": "Språk-ikon" },
  "large_9c5e80e7": { "message": "Stor" },
  "left_to_right_e9b4fd06": { "message": "Venstre-til-høyre" },
  "library_icon_ae1e54cf": { "message": "Bibliotek-ikon" },
  "link_7262adec": { "message": "Lenke" },
  "link_options_a16b758b": { "message": "Lenkevalg" },
  "links_14b70841": { "message": "Lenker" },
  "load_more_35d33c7": { "message": "Last inn mer" },
  "load_more_results_460f49a9": { "message": "Last flere resultater" },
  "loading_25990131": { "message": "Laster…" },
  "loading_bde52856": { "message": "Laster" },
  "loading_failed_b3524381": { "message": "Lasting mislyktes…" },
  "loading_failed_e6a9d8ef": { "message": "Lasting mislyktes." },
  "loading_folders_d8b5869e": { "message": "Laster mapper" },
  "loading_please_wait_d276220a": { "message": "Laster inn, vennligst vent" },
  "loading_preview_9f077aa1": { "message": "Laster inn forhåndsvisning" },
  "locked_762f138b": { "message": "Låst" },
  "math_icon_ad4e9d03": { "message": "Matte-ikon" },
  "media_af190855": { "message": "Medie" },
  "medium_5a8e9ead": { "message": "Medium" },
  "middle_27dc1d5": { "message": "Midten" },
  "misc_3b692ea7": { "message": "Diverse" },
  "miscellaneous_e9818229": { "message": "Diverse" },
  "modules_c4325335": { "message": "Moduler" },
  "multi_color_image_63d7372f": { "message": "Bilde i flere farger" },
  "music_icon_4db5c972": { "message": "Musikk-ikon" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Må være minst { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Det må være minst { width } x { height }px"
  },
  "my_files_2f621040": { "message": "Mine filer" },
  "name_1aed4a1b": { "message": "Navn" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navigere gjennom menyen eller verktøylinjen"
  },
  "next_page_d2a39853": { "message": "Neste side" },
  "no_e16d9132": { "message": "Nei" },
  "no_file_chosen_9a880793": { "message": "Ingen fil valgt" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Ingen forhåndsvisning er tilgjengelig for denne filen."
  },
  "no_results_940393cf": { "message": "Ingen resultater." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Ingen resultat funnet for { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Ikke funnet resultater for { term }."
  },
  "none_3b5e34d2": { "message": "Ingen" },
  "none_selected_b93d56d2": { "message": "Ingen valgt" },
  "octagon_e48be9f": { "message": "Åttekant" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Åpne denne hurtigtastdialogen"
  },
  "open_title_application_fd624fc5": {
    "message": "Åpne { title }-applikasjon"
  },
  "operators_a2ef9a93": { "message": "Operatører" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Ordnede og uordnede lister"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Andre redigeringssnarveier kan sees på"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } er ikke en gyldig protokoll som må være ftp, http, https, mailto, skype, tel eller kan utelates"
  },
  "pages_e5414c2c": { "message": "Sider" },
  "paragraph_5e5ad8eb": { "message": "Avsnitt" },
  "pentagon_17d82ea3": { "message": "Femkant" },
  "people_b4ebb13c": { "message": "Personer" },
  "percentage_34ab7c2c": { "message": "Prosent" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Prosent må være et tall"
  },
  "performing_arts_icon_f3497486": { "message": "Scenekunst-ikon" },
  "physical_education_icon_d7dffd3e": { "message": "Gymnastikk-ikon" },
  "pixels_52ece7d1": { "message": "Piksler" },
  "posted_when_a578f5ab": { "message": "Publisert: { when }" },
  "preformatted_d0670862": { "message": "Forhåndsformattert" },
  "pretty_html_editor_28748756": { "message": "Elegante HTML-redigering" },
  "preview_53003fd2": { "message": "Forhåndsvisning" },
  "preview_in_overlay_ed772c46": { "message": "Forhåndsvis i utvidet vindu" },
  "preview_inline_9787330": { "message": "Forhåndsvis i vindu" },
  "previous_page_928fc112": { "message": "Forrige side" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protokollen må være ftp, http, https, mailto, skype, tel eller kan utelates"
  },
  "published_c944a23d": { "message": "publisert" },
  "published_when_302d8e23": { "message": "Publisert: { when }" },
  "quizzes_7e598f57": { "message": "Quizer" },
  "raw_html_editor_e3993e41": { "message": "Rå HTML-redigerer" },
  "record_7c9448b": { "message": "Registrering" },
  "record_upload_media_5fdce166": { "message": "Gjør opptak/last opp media" },
  "relationships_6602af70": { "message": "Forbindelser" },
  "religion_icon_246e0be1": { "message": "Religion-ikon" },
  "remove_link_d1f2f4d0": { "message": "Fjerne lenke" },
  "resize_ec83d538": { "message": "Endre størrelse" },
  "restore_auto_save_deccd84b": {
    "message": "Gjenopprette automatisk lagring?"
  },
  "rich_content_editor_2708ef21": { "message": "Rich teksteditor" },
  "right_to_left_9cfb092a": { "message": "Høyre-til-venstre" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Dessverre er Elegante HTML-redigering ikke tilgjengelig med tastaturet. Få tilgang til rå HTML-redigering her."
  },
  "save_11a80ec3": { "message": "Lagre" },
  "search_280d00bd": { "message": "Søk" },
  "search_term_b2d2235": { "message": "Søkeord" },
  "select_crop_shape_d441feeb": { "message": "Velg beskjæringsform" },
  "select_language_7c93a900": { "message": "Velg språk" },
  "selected_274ce24f": { "message": "Valgt" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Skift-O for å åpne elegante html-redigering."
  },
  "show_audio_options_b489926b": { "message": "Vis lydalternativer" },
  "show_image_options_1e2ecc6b": { "message": "Vis bildemuligheter" },
  "show_link_options_545338fd": { "message": "Vis lenkevalg" },
  "show_video_options_6ed3721a": { "message": "Vis videovalg" },
  "single_color_image_4e5d4dbc": { "message": "Enkeltfargebilde" },
  "size_b30e1077": { "message": "Størrelse" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Størrelsen på bildetekstfilen er større en maksimalt tillatt størrelse på { max } kb."
  },
  "small_b070434a": { "message": "Liten" },
  "something_went_wrong_89195131": { "message": "Noe gikk galt." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Noe gikk galt og jeg vet ikke hva jeg skal vise deg."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Noe gikk galt, sjekk forbindelsen din og forsøk igjen."
  },
  "something_went_wrong_d238c551": { "message": "Noe gikk galt" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Noe gikk galt, prøv igjen etter å ha oppdatert siden"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Noe gikk galt under opplasting, sjekk forbindelsen din og forsøk igjen."
  },
  "sort_by_e75f9e3e": { "message": "Sortert på" },
  "square_511eb3b3": { "message": "Square" },
  "square_unordered_list_b15ce93b": { "message": "firkantet uordnet liste" },
  "star_8d156e09": { "message": "Stjernemerke" },
  "styles_2aa721ef": { "message": "Stiler" },
  "submit_a3cc6859": { "message": "Send inn" },
  "subscript_59744f96": { "message": "Senket skrift" },
  "superscript_8cb349a2": { "message": "Hevet skrift" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Filtyper som støttes: SRT eller WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Bytt til html-redigering"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Bytt til rich tekstredigering"
  },
  "syllabus_f191f65b": { "message": "Emneoversikt" },
  "tab_arrows_4cf5abfc": { "message": "TAB/piltaster" },
  "text_7f4593da": { "message": "Tekst" },
  "text_background_color_16e61c3f": { "message": "Bakgrunnsfarge tekst" },
  "text_color_acf75eb6": { "message": "Tekstfarge" },
  "text_position_8df8c162": { "message": "Tekstposisjon" },
  "text_size_887c2f6": { "message": "Tekststørrelse" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Materialet er i det offentlige domenet"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Materialet er lisensiert under Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Dette materialet er underlagt et unntak - f.eks. fair use, retten til å sitere eller andre i henhold til gjeldende lover for opphavsrett"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Elegante HTML-redigering ikke tilgjengelig med tastaturet. Trykk Skift-O for å åpne rå html-redigering."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Selv om videoen din har riktig titten i nettleseren kunne vi ikke oppdatere den i databasen."
  },
  "title_ee03d132": { "message": "Tittel" },
  "to_be_posted_when_d24bf7dc": { "message": "Skal publiseres: { when }" },
  "to_do_when_2783d78f": { "message": "Gjøremål: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Veksle { summary }-gruppe" },
  "tools_2fcf772e": { "message": "Verktøy" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } Funnet resultatet, { numDisplayed } resultater vises nå"
  },
  "tray_839df38a": { "message": "Brett" },
  "triangle_6072304e": { "message": "Trekant" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "Tast Kontroll F9 for å få tilgang til bilde-alternativer. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "Tast Kontroll F9 for å få tilgang til link-alternativer. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "Tast Kontroll F9 for å få tilgang til tabell-alternativer. { text }"
  },
  "unpublished_dfd8801": { "message": "upublisert" },
  "untitled_efdc2d7d": { "message": "uten navn" },
  "upload_document_253f0478": { "message": "Last opp dokument" },
  "upload_file_fd2361b8": { "message": "Last opp fil" },
  "upload_image_6120b609": { "message": "Last opp bilde" },
  "upload_media_ce31135a": { "message": "Laste opp medier" },
  "upload_record_media_e4207d72": { "message": "Laste opp/ spille inn medier" },
  "uploading_19e8a4e7": { "message": "Laster opp" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Opplasting at teksting/underteksting mislyktes."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "stor bokstav alfabetisert organisert liste"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "stor bokstav romertall organisert liste"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Bruksrettigheter:" },
  "usage_rights_required_5fe4dd68": { "message": "Bruksrettigheter (påkrevd)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Bruk piltaster for å navigere i valgene."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Bruk piltastene for å velge en form."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Bruk piltastene for å velge en størrelse."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Bruk piltastene for å velge en tekstposisjon."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Bruk piltastene for å velge en tekststørrelse."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Bruk piltastene for å velge størrelse på omriss."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Brukt av skjermlesere for å beskrive innholdet til et bilde"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Brukt av skjermlesere for å beskrive videoen"
  },
  "user_documents_c206e61f": { "message": "Brukerdokumenter" },
  "user_files_78e21703": { "message": "Brukerfiler" },
  "user_images_b6490852": { "message": "Brukerbilder" },
  "user_media_14fbf656": { "message": "Brukermedie" },
  "video_options_24ef6e5d": { "message": "Videovalg" },
  "video_options_tray_3b9809a5": { "message": "Videovalgbrett" },
  "video_player_for_9e7d373b": { "message": "Video avspiller for " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Video avspiller for { title }"
  },
  "view_ba339f93": { "message": "Vis" },
  "view_description_30446afc": { "message": "Vis beskrivelse" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "Vis tastatur-snarveier" },
  "view_predefined_colors_92f5db39": {
    "message": "Vis forhåndsdefinerte farger"
  },
  "view_title_description_67940918": { "message": "Vis { title }-beskrivelse" },
  "width_492fec76": { "message": "Bredd" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Bredde og høyde må være nummer"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wikiforside" },
  "yes_dde87d5": { "message": "Ja" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Du kan ikke laste opp en tom fil."
  },
  "zoom_in_image_bb97d4f": { "message": "Zoom inn bildet" },
  "zoom_out_image_d0a0a2ec": { "message": "Zoom ut bildet" }
}


formatMessage.addLocale({nb: locale})
