/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/nl'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Open de pretty HTML-editor"
  },
  "accessibility_checker_b3af1f6c": { "message": "Toegankelijkheidscontrole" },
  "add_8523c19b": { "message": "Toevoegen" },
  "add_another_f4e50d57": { "message": "Nog een toevoegen" },
  "add_cc_subtitles_55f0394e": { "message": "CC/ondertiteling toevoegen" },
  "add_image_60b2de07": { "message": "Afbeelding toevoegen" },
  "align_11050992": { "message": "Uitlijnen" },
  "align_center_ca078feb": { "message": "Centreren" },
  "align_left_e9f1f93b": { "message": "Links uitlijnen" },
  "align_right_9bad3ac1": { "message": "Rechts uitlijnen" },
  "alignment_and_lists_5cebcb69": { "message": "Koppeling en lijsten" },
  "all_4321c3a1": { "message": "Alle" },
  "all_apps_a50dea49": { "message": "Alle apps" },
  "alphabetical_55b5b4e0": { "message": "Alfabetische volgorde" },
  "alt_text_611fb322": { "message": "Alt tekst" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Er is een fout opgetreden bij het lezen van het bestand"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Er is een fout opgetreden bij het maken van een netwerkaanvraag"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Er is een fout opgetreden bij het uploaden van je media."
  },
  "announcement_list_da155734": { "message": "Lijst met aankondiging" },
  "announcements_a4b8ed4a": { "message": "Aankondigingen" },
  "apply_781a2546": { "message": "Toepassen" },
  "apps_54d24a47": { "message": "Apps" },
  "arrows_464a3e54": { "message": "Pijlen" },
  "art_icon_8e1daad": { "message": "Kunstpictogram" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Beeldverhouding blijft behouden"
  },
  "assignments_1e02582c": { "message": "Opdrachten" },
  "attributes_963ba262": { "message": "Kenmerken" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Audio- en video-opname wordt niet ondersteund; gebruik een andere browser."
  },
  "audio_options_feb58e2c": { "message": "Audio-opties" },
  "audio_options_tray_33a90711": { "message": "Gebied met audio-opties" },
  "audio_player_for_title_20cc70d": {
    "message": "Audio-speler voor { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Er is automatisch opgeslagen inhoud aanwezig. Wil je liever  de automatisch opgeslagen inhoud laden?"
  },
  "available_folders_694d0436": { "message": "Beschikbare mappen" },
  "basic_554cdc0a": { "message": "Basis" },
  "below_81d4dceb": { "message": "Hieronder" },
  "bottom_third_5f5fec1d": { "message": "Derde van beneden" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Annuleren" },
  "choose_caption_file_9c45bc4e": { "message": "Ondertitelingsbestand kiezen" },
  "choose_usage_rights_33683854": { "message": "Gebruiksrechten kiezen..." },
  "circle_484abe63": { "message": "Cirkel" },
  "circle_unordered_list_9e3a0763": {
    "message": "ongeordende lijst omcirkelen"
  },
  "clear_2084585f": { "message": "Wissen" },
  "clear_image_3213fe62": { "message": "Afbeelding wissen" },
  "clear_selected_file_82388e50": {
    "message": "Verwijder geselecteerd bestand"
  },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Verwijder geselecteerd bestand: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Klik of schuif-klik voor de HTML-editor."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Klikken om { imageName } in te sluiten"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Klik om voorbeeld te verbergen"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Klik om een koppeling in te voegen in de editor."
  },
  "click_to_show_preview_faa27051": { "message": "Klik om voorbeeld te tonen" },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Sluit een menu of dialoogvenster. Hierdoor keert u bovendien terug naar het editorgebied"
  },
  "close_d634289d": { "message": "Sluiten" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Ondertitelingsbestand moet kleiner zijn dan { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Bijschriften/ondertiteling"
  },
  "collaborations_5c56c15f": { "message": "Samenwerkingen" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Inklappen om te verbergen { types }"
  },
  "computer_1d7dfa6f": { "message": "Computer" },
  "content_1440204b": { "message": "Inhoud" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Inhoud wordt nog steeds gedownload. Als je doorgaat, wordt deze niet goed ingesloten."
  },
  "content_subtype_5ce35e88": { "message": "Inhoud-subtype" },
  "content_type_2cf90d95": { "message": "Inhoudtype" },
  "copyright_holder_66ee111": { "message": "Houder van auteursrecht:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 woorden}\n    one {1 woord}\n  other {# woorden}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# item geladen}\n  other {# items geladen}\n}"
  },
  "course_documents_104d76e0": { "message": "Cursusdocumenten" },
  "course_files_62deb8f8": { "message": "Cursusbestanden" },
  "course_files_a31f97fc": { "message": "Cursusbestanden" },
  "course_images_f8511d04": { "message": "Cursusafbeeldingen" },
  "course_links_b56959b9": { "message": "Cursuslinks" },
  "course_media_ec759ad": { "message": "Cursusmedia" },
  "course_navigation_dd035109": { "message": "Cursusnavigatie" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons-licentie:"
  },
  "crop_image_41bf940c": { "message": "Afbeelding bijsnijden" },
  "crop_image_807ebb08": { "message": "Afbeelding bijsnijden" },
  "current_image_f16c249c": { "message": "Huidige afbeelding" },
  "custom_6979cd81": { "message": "Aangepast" },
  "date_added_ed5ad465": { "message": "Datum toegevoegd" },
  "decorative_image_3c28aa7d": { "message": "Decoratieve afbeelding" },
  "decrease_indent_de6343ab": { "message": "Inspringen verkleinen" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "standaard ongeordende opsommingslijst"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "standaard geordende numerieke lijst"
  },
  "delimiters_4db4840d": { "message": "Scheidingstekens" },
  "describe_the_image_e65d2e32": { "message": "(Beschrijf de afbeelding)" },
  "describe_the_video_2fe8f46a": { "message": "(beschrijf de video)" },
  "details_98a31b68": { "message": "Details" },
  "diamond_b8dfe7ae": { "message": "Diamant" },
  "dimension_type_55c83e4e": { "message": "Afmetingstype" },
  "dimensions_45ddb7b7": { "message": "Afmetingen" },
  "directionality_26ae9e08": { "message": "richting" },
  "directly_edit_latex_b7e9235b": { "message": "LaTeX rechtstreeks bewerken" },
  "discussions_a5f96392": { "message": "Discussies" },
  "discussions_index_6c36ced": { "message": "Discussieoverzicht" },
  "display_options_315aba85": { "message": "Weergaveopties" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Tekstkoppeling weergeven (Opent in een nieuw tabblad)"
  },
  "document_678cd7bf": { "message": "Document" },
  "documents_81393201": { "message": "Documenten" },
  "done_54e3d4b6": { "message": "Gereed" },
  "drag_a_file_here_1bf656d5": { "message": "Sleep een bestand hierheen" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Slepen en neerzetten of klikken om je computer te doorzoeken"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Sleep de handgreep. Gebruik de pijltoetsen-omhoog en -omlaag om de grootte te wijzigen"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Inleverdatum: Meerdere datums" },
  "due_when_7eed10c6": { "message": "Inleverdatum: { when }" },
  "edit_c5fbea07": { "message": "Bewerken" },
  "edit_equation_f5279959": { "message": "Vergelijking bewerken" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Bestaande knop/pictogram bewerken"
  },
  "edit_link_7f53bebb": { "message": "Link bewerken" },
  "editor_statusbar_26ac81fc": { "message": "Statusbalk van editor" },
  "embed_828fac4a": { "message": "Insluiten" },
  "embed_code_314f1bd5": { "message": "Code insluiten" },
  "embed_image_1080badc": { "message": "Afbeelding insluiten" },
  "embed_video_a97a64af": { "message": "Video insluiten" },
  "embedded_content_aaeb4d3d": { "message": "ingesloten inhoud" },
  "engineering_icon_f8f3cf43": { "message": "Engineering-pictogram" },
  "english_icon_25bfe845": { "message": "Engels-pictogram" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Voer minimaal 3 tekens in om te gaan zoeken"
  },
  "equation_1c5ac93c": { "message": "Vergelijking" },
  "equation_editor_39fbc3f1": { "message": "Vergelijkingseditor" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Uitvouwvoorbeeld is standaard"
  },
  "expand_to_see_types_f5d29352": {
    "message": "Uitklappen om te bekijken { types }"
  },
  "external_links_3d9f074e": { "message": "Externe links" },
  "external_tools_6e77821": { "message": "Externe tools" },
  "extra_large_b6cdf1ff": { "message": "Extra groot" },
  "extra_small_9ae33252": { "message": "Extra klein" },
  "extracurricular_icon_67c8ca42": { "message": "Extracurriculair-pictogram" },
  "file_url_c12b64be": { "message": "Bestands-URL" },
  "filename_file_icon_602eb5de": {
    "message": "{ filename } bestandspictogram"
  },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } afbeeldingsvoorbeeld"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } tekstvoorbeeld"
  },
  "files_c300e900": { "message": "Bestanden" },
  "files_index_af7c662b": { "message": "Bestandsoverzicht" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Werkbalk met focus-elementopties"
  },
  "folder_tree_fbab0726": { "message": "Mappenstructuur" },
  "format_4247a9c5": { "message": "Formaat" },
  "formatting_5b143aa8": { "message": "Opmaak" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Automatisch opgeslagen inhoud gevonden"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "{ count, plural,\n     =0 {# resultaten}\n    one {# resultaat}\n  other {# resultaten}\n} gevonden"
  },
  "fullscreen_873bf53f": { "message": "Volledig scherm" },
  "generating_preview_45b53be0": {
    "message": "Bezig met genereren van voorbeeld..."
  },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Ga naar de werkbalk van de editor"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Ga naar de werkbalk van de editor"
  },
  "grades_a61eba0a": { "message": "Cijfers" },
  "greek_65c5b3f7": { "message": "Grieks" },
  "group_documents_8bfd6ae6": { "message": "Documenten groeperen" },
  "group_files_4324f3df": { "message": "Groepsbestanden" },
  "group_files_82e5dcdb": { "message": "Groepsbestanden" },
  "group_images_98e0ac17": { "message": "Afbeeldingen groeperen" },
  "group_links_9493129e": { "message": "Groeplinks" },
  "group_media_2f3d128a": { "message": "Media groeperen" },
  "group_navigation_99f191a": { "message": "Groepsnavigatie" },
  "heading_2_5b84eed2": { "message": "Koptekst 2" },
  "heading_3_2c83de44": { "message": "Koptekst 3" },
  "heading_4_b2e74be7": { "message": "Koptekst 4" },
  "health_icon_8d292eb5": { "message": "Gezondheidpictogram" },
  "height_69b03e15": { "message": "Hoogte" },
  "hexagon_d8468e0d": { "message": "Zeshoek" },
  "hide_description_bfb5502e": { "message": "Beschrijving verbergen" },
  "hide_title_description_caf092ef": {
    "message": "Beschrijving van { title } verbergen"
  },
  "home_351838cd": { "message": "Startpagina" },
  "html_code_editor_fd967a44": { "message": "HTML-code-editor" },
  "html_editor_fb2ab713": { "message": "HTML-editor" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Ik heb toestemming gekregen om dit bestand te gebruiken."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Ik heb het auteursrecht" },
  "icon_color_b86dd6d6": { "message": "Pictogramkleur" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Als je nu geen gebruiksrechten selecteert, wordt de publicatie van dit bestand ongedaan gemaakt nadat het is geüpload."
  },
  "image_8ad06": { "message": "Afbeelding" },
  "image_options_5412d02c": { "message": "Beeldopties" },
  "image_options_tray_90a46006": { "message": "Beeldoptiescel" },
  "image_to_crop_3a34487d": { "message": "Afbeelding voor bijsnijden" },
  "images_7ce26570": { "message": "Afbeeldingen" },
  "increase_indent_6d550a4a": { "message": "Inspringen vergroten" },
  "insert_593145ef": { "message": "Invoegen" },
  "insert_equella_links_49a8dacd": {
    "message": "Equella-koppelingen invoegen"
  },
  "insert_link_6dc23cae": { "message": "Koppeling invoegen" },
  "insert_math_equation_57c6e767": {
    "message": "Wiskundige vergelijking invoeren"
  },
  "invalid_file_c11ba11": { "message": "Ongeldig bestand" },
  "invalid_file_type_881cc9b2": { "message": "Ongeldig bestandstype" },
  "invalid_url_cbde79f": { "message": "Ongeldige URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Sneltoetsen" },
  "language_arts_icon_a798b0f8": { "message": "Linguïstiekpictogram" },
  "languages_icon_9d20539": { "message": "Talenpictogram" },
  "large_9c5e80e7": { "message": "Groot" },
  "left_to_right_e9b4fd06": { "message": "Links-rechts" },
  "library_icon_ae1e54cf": { "message": "Bibliotheekpictogram" },
  "link_7262adec": { "message": "Link" },
  "link_options_a16b758b": { "message": "Linkopties" },
  "links_14b70841": { "message": "Koppelingen" },
  "load_more_35d33c7": { "message": "Meer laden" },
  "load_more_results_460f49a9": { "message": "Meer resultaten laden" },
  "loading_25990131": { "message": "Bezig met laden..." },
  "loading_bde52856": { "message": "Bezig met laden" },
  "loading_failed_b3524381": { "message": "Laden mislukt..." },
  "loading_failed_e6a9d8ef": { "message": "Laden mislukt." },
  "loading_folders_d8b5869e": { "message": "Mappen worden geladen" },
  "loading_please_wait_d276220a": {
    "message": "Bezig met laden, even wachten"
  },
  "loading_preview_9f077aa1": { "message": "Voorbeeld laden" },
  "locked_762f138b": { "message": "Vergrendeld" },
  "math_icon_ad4e9d03": { "message": "Wiskundepictogram" },
  "media_af190855": { "message": "Media" },
  "medium_5a8e9ead": { "message": "Medium" },
  "middle_27dc1d5": { "message": "Midden" },
  "misc_3b692ea7": { "message": "Diversen" },
  "miscellaneous_e9818229": { "message": "Diversen" },
  "modules_c4325335": { "message": "Modules" },
  "multi_color_image_63d7372f": { "message": "Veelkleurige afbeelding" },
  "music_icon_4db5c972": { "message": "Muziekpictogram" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Moet ten minste { percentage }% zijn"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Moet minstens { width } x { height }px zijn"
  },
  "my_files_2f621040": { "message": "Mijn bestanden" },
  "name_1aed4a1b": { "message": "Naam" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navigeer door het menu of de werkbalk"
  },
  "next_page_d2a39853": { "message": "Volgende pagina" },
  "no_e16d9132": { "message": "Nee" },
  "no_file_chosen_9a880793": { "message": "Geen bestand gekozen" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Er is geen voorbeeld voor dit bestand beschikbaar."
  },
  "no_results_940393cf": { "message": "Geen resultaten." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Geen resultaten gevonden voor { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Geen resultaten gevonden voor { term }."
  },
  "none_3b5e34d2": { "message": "Geen" },
  "none_selected_b93d56d2": { "message": "Geen geselecteerd" },
  "octagon_e48be9f": { "message": "Achthoek" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Open dit dialoogvenster met sneltoetsen"
  },
  "open_title_application_fd624fc5": {
    "message": "{ title } applicatie openen"
  },
  "operators_a2ef9a93": { "message": "Operators" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Geordende en ongeordende lijsten"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Andere editorsnelkoppelingen zijn te vinden op"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } is geen geldig protocol; dat moet ftp, http, https, mailto, skype of tel zijn, of het kan worden weggelaten"
  },
  "pages_e5414c2c": { "message": "Pagina''s" },
  "paragraph_5e5ad8eb": { "message": "Alinea" },
  "pentagon_17d82ea3": { "message": "Vijfhoek" },
  "people_b4ebb13c": { "message": "Personen" },
  "percentage_34ab7c2c": { "message": "Percentage" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Percentage moet een getal zijn"
  },
  "performing_arts_icon_f3497486": {
    "message": "Pictogram voor uitvoerende kunsten"
  },
  "physical_education_icon_d7dffd3e": {
    "message": "Pictogram voor lichamelijke opvoeding"
  },
  "pixels_52ece7d1": { "message": "Pixels" },
  "posted_when_a578f5ab": { "message": "Geplaatst: { when }" },
  "preformatted_d0670862": { "message": "Voorgeformatteerd" },
  "pretty_html_editor_28748756": { "message": "Pretty HTML-editor" },
  "preview_53003fd2": { "message": "Voorbeeld" },
  "preview_in_overlay_ed772c46": { "message": "Voorbeeld in overlay" },
  "preview_inline_9787330": { "message": "Voorbeeld inline" },
  "previous_page_928fc112": { "message": "Vorige pagina" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protocol moet ftp, http, https, mailto, skype of tel zijn, of het kan worden weggelaten"
  },
  "published_c944a23d": { "message": "gepubliceerd" },
  "published_when_302d8e23": { "message": "Gepubliceerd: { when }" },
  "quizzes_7e598f57": { "message": "Toetsen" },
  "raw_html_editor_e3993e41": { "message": "Editor voor onbewerkte HTML" },
  "record_7c9448b": { "message": "Opnemen" },
  "record_upload_media_5fdce166": { "message": "Media opnemen/uploaden" },
  "relationships_6602af70": { "message": "Relaties" },
  "religion_icon_246e0be1": { "message": "Religiepictogram" },
  "remove_link_d1f2f4d0": { "message": "Link verwijderen" },
  "resize_ec83d538": { "message": "Grootte wijzigen" },
  "restore_auto_save_deccd84b": {
    "message": "Automatisch opslaan herstellen?"
  },
  "rich_content_editor_2708ef21": { "message": "Rich Content Editor" },
  "right_to_left_9cfb092a": { "message": "Rechts-links" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Jammer genoeg is de pretty HTML-editor niet toetsenbordtoegankelijk. Open de raw HTML-editor hier."
  },
  "save_11a80ec3": { "message": "Opslaan" },
  "search_280d00bd": { "message": "Zoeken" },
  "search_term_b2d2235": { "message": "Zoekterm" },
  "select_crop_shape_d441feeb": { "message": "Bijsnijvorm selecteren" },
  "select_language_7c93a900": { "message": "Taal selecteren" },
  "selected_274ce24f": { "message": "Geselecteerd" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Shift-O om de pretty HTML-editor te openen."
  },
  "show_audio_options_b489926b": { "message": "Audio-opties weergeven" },
  "show_image_options_1e2ecc6b": { "message": "Afbeeldingsopties weergeven" },
  "show_link_options_545338fd": { "message": "Linkopties weergeven" },
  "show_video_options_6ed3721a": { "message": "Video-opties weergeven" },
  "single_color_image_4e5d4dbc": { "message": "Enkelkleurige afbeelding" },
  "size_b30e1077": { "message": "Grootte" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Ondertitelingsbestand is groter dan de maximaal toegestane { max } kb bestandsgrootte."
  },
  "small_b070434a": { "message": "Klein" },
  "something_went_wrong_89195131": { "message": "Er is iets misgegaan." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Er is iets misgegaan en ik weet niet wat ik je moet laten zien."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Er is iets misgegaan. Controleer je verbinding en probeer het opnieuw."
  },
  "something_went_wrong_d238c551": { "message": "Er is iets misgegaan" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Er is iets misgegaan. Vernieuw de pagina en probeer het opnieuw."
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Er is iets misgegaan met uploaden. Controleer je verbinding en probeer het opnieuw."
  },
  "sort_by_e75f9e3e": { "message": "Sorteren op" },
  "square_511eb3b3": { "message": "Vierkant" },
  "square_unordered_list_b15ce93b": {
    "message": "vierkante ongeordende lijst"
  },
  "star_8d156e09": { "message": "Ster" },
  "styles_2aa721ef": { "message": "Stijlen" },
  "submit_a3cc6859": { "message": "Inleveren" },
  "subscript_59744f96": { "message": "Subscript" },
  "superscript_8cb349a2": { "message": "Superscript" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Ondersteunde bestandstypen: SRT of WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Overschakelen naar de HTML-editor"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Overschakelen naar de Rich Text Editor"
  },
  "syllabus_f191f65b": { "message": "Syllabus" },
  "tab_arrows_4cf5abfc": { "message": "TAB/pijlen" },
  "text_7f4593da": { "message": "Tekst" },
  "text_background_color_16e61c3f": { "message": "Achtergrondkleur van tekst" },
  "text_color_acf75eb6": { "message": "Tekstkleur" },
  "text_position_8df8c162": { "message": "Tekstpositie" },
  "text_size_887c2f6": { "message": "Tekstgrootte" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Het materiaal bevindt zich in het openbaar domein"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Het materiaal is onder Creative Commons gelicentieerd"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Op het materiaal is een uitzondering van toepassing, bijvoorbeeld redelijk gebruik, het recht om te citeren of andere toepasselijke wetgeving op het auteursrecht"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "De pretty HTML-editor is niet toetsenbordtoegankelijk. Druk op Shift O om de raw HTML-editor te openen."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Ook al krijgt je video de juiste titel in de browser, de video kon niet worden bijgewerkt in de database."
  },
  "title_ee03d132": { "message": "Titel" },
  "to_be_posted_when_d24bf7dc": { "message": "Nog te plaatsen: { when }" },
  "to_do_when_2783d78f": { "message": "To-do: { when }" },
  "toggle_summary_group_413df9ac": {
    "message": "{ summary } groep omschakelen"
  },
  "tools_2fcf772e": { "message": "Tools" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } resultaten gevonden, { numDisplayed } resultaten momenteel weergegeven"
  },
  "tray_839df38a": { "message": "Houder" },
  "triangle_6072304e": { "message": "Driehoek" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "typ Ctrl+F9 om opties voor afbeeldingen te openen. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "typ Ctrl+F9 om opties voor koppelen te openen. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "typ Ctrl+F9 om opties voor tabellen te openen. { text }"
  },
  "unpublished_dfd8801": { "message": "niet-gepubliceerd" },
  "untitled_efdc2d7d": { "message": "zonder titel" },
  "upload_document_253f0478": { "message": "Document uploaden" },
  "upload_file_fd2361b8": { "message": "Bestand uploaden" },
  "upload_image_6120b609": { "message": "Afbeelding uploaden" },
  "upload_media_ce31135a": { "message": "Media uploaden" },
  "upload_record_media_e4207d72": { "message": "Media uploaden/opnemen" },
  "uploading_19e8a4e7": { "message": "Bezig met uploaden" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Uploaden van bijschriften/ondertiteling is mislukt."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "geordende lijst op hoofdletters alfabet"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "geordende lijst op Romeinse cijfers in hoofdletters"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Gebruiksrecht:" },
  "usage_rights_required_5fe4dd68": { "message": "Gebruiksrechten (vereist)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Gebruik de pijltoetsen om door opties te navigeren."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Gebruik pijltoetsen om een vorm te selecteren."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Gebruik pijltoetsen om een grootte te selecteren."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Gebruik pijltoetsen om een tekstpositie te selecteren."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Gebruik pijltoetsen om een tekstgrootte te selecteren."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Gebruik pijltoetsen om een omtrekgrootte te selecteren."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Gebruikt door schermlezers om de inhoud van een afbeelding te beschrijven"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Gebruikt door schermlezers om de video te beschrijven"
  },
  "user_documents_c206e61f": { "message": "Gebruikersdocumenten" },
  "user_files_78e21703": { "message": "Gebruikersbestanden" },
  "user_images_b6490852": { "message": "Gebruikersafbeeldingen" },
  "user_media_14fbf656": { "message": "Gebruikersmedia" },
  "video_options_24ef6e5d": { "message": "Video-opties" },
  "video_options_tray_3b9809a5": { "message": "Gebied met video-opties" },
  "video_player_for_9e7d373b": { "message": "Videospeler voor " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Videospeler voor { title }"
  },
  "view_ba339f93": { "message": "Bekijken" },
  "view_description_30446afc": { "message": "Beschrijving bekijken" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "Sneltoetsen bekijken" },
  "view_predefined_colors_92f5db39": {
    "message": "Voorgedefinieerde kleuren bekijken"
  },
  "view_title_description_67940918": {
    "message": "{ title } beschrijving bekijken"
  },
  "width_492fec76": { "message": "Breedte" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Breedte en hoogte moeten getallen zijn"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki Home" },
  "yes_dde87d5": { "message": "Ja" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Je kunt geen leeg bestand uploaden."
  },
  "zoom_in_image_bb97d4f": { "message": "Afbeelding inzoomen" },
  "zoom_out_image_d0a0a2ec": { "message": "Afbeelding uitzoomen" }
}


formatMessage.addLocale({nl: locale})
