/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/nb_NO'

const locale = {
  "access_the_pretty_html_editor_37168efe": { "message": "Gå til HTML-editor" },
  "accessibility_checker_b3af1f6c": {
    "message": "Sjekk av universell utforming"
  },
  "add_8523c19b": { "message": "Legg til" },
  "add_another_f4e50d57": { "message": "Legg til ei ny" },
  "add_cc_subtitles_55f0394e": { "message": "Legg til undertekstar" },
  "add_image_60b2de07": { "message": "Legg til bilde" },
  "align_11050992": { "message": "Juster" },
  "align_center_ca078feb": { "message": "Midtstill" },
  "align_left_e9f1f93b": { "message": "Venstrejuster" },
  "align_right_9bad3ac1": { "message": "Høgrejuster" },
  "alignment_and_lists_5cebcb69": { "message": "Justering og lister" },
  "all_4321c3a1": { "message": "Alle" },
  "all_apps_a50dea49": { "message": "Alle appar" },
  "alphabetical_55b5b4e0": { "message": "Alfabetisk" },
  "alt_text_611fb322": { "message": "Alternativ tekst" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Det oppstod eit problem under lesing av fila"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Det oppstod ein feil ved nettverksførespurnaden "
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Det oppstod ein feil under opplasting av media"
  },
  "announcement_list_da155734": { "message": "Kunngjeringsliste" },
  "announcements_a4b8ed4a": { "message": "Kunngjeringar" },
  "apply_781a2546": { "message": "Bruk" },
  "apps_54d24a47": { "message": "Appar" },
  "arrows_464a3e54": { "message": "Piler" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Storleiksforhold vil bli behalden"
  },
  "assignments_1e02582c": { "message": "Oppgåver" },
  "attributes_963ba262": { "message": "Attributt" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Opptak av lyd og bilde støttast ikkje: bruk ein annan nettlesar."
  },
  "audio_options_feb58e2c": { "message": "Lydalternativ" },
  "audio_options_tray_33a90711": { "message": "Menyalternativ for lyd" },
  "audio_player_for_title_20cc70d": { "message": "Audiospelar for { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Auto-lagra innhald finst. Vil du laste inn auto-lagra innhald i staden for?"
  },
  "available_folders_694d0436": { "message": "Tilgjengelege mapper" },
  "basic_554cdc0a": { "message": "Standard" },
  "below_81d4dceb": { "message": "Nedanfor" },
  "blue_daf8fea9": { "message": "Blå" },
  "bottom_third_5f5fec1d": { "message": "Nedre tredel" },
  "brick_f2656265": { "message": "Murstein" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Avbryt" },
  "choose_caption_file_9c45bc4e": { "message": "Vel undertekstfil" },
  "choose_usage_rights_33683854": { "message": "Vel bruksrett..." },
  "circle_484abe63": { "message": "Sirkel" },
  "circle_unordered_list_9e3a0763": { "message": "sirkulær uordna liste" },
  "clear_2084585f": { "message": "Fjern" },
  "clear_selected_file_82388e50": { "message": "Fjern vald fil" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Fjern vald fil: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Klikk eller shift+klikk for å gå til html-editoren."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Klikk for å sette inn { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Klikk for å skjule førehandsvising"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Klikk for å setje inn ei lenke i editoren. "
  },
  "click_to_show_preview_faa27051": {
    "message": "Klikk for å vise førehandsvising"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Om du lukkar menyen eller dialogen, kjem du tilbake til redigeringsområdet"
  },
  "close_d634289d": { "message": "Lukk" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Tekst-fil må vere mindre enn { maxKb } kB."
  },
  "closed_captions_subtitles_e6aaa016": { "message": "Undertekstar" },
  "collaborations_5c56c15f": { "message": "Samarbeid" },
  "collapse_to_hide_types_1ab46d2e": { "message": "Skjul og lukk { types }" },
  "computer_1d7dfa6f": { "message": "Datamaskin" },
  "content_1440204b": { "message": "Innhald" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Innhald lastar framleis og vil ikkje bli integrert godt nok dersom du held fram."
  },
  "content_subtype_5ce35e88": { "message": "Innhald underkategori" },
  "content_type_2cf90d95": { "message": "Innhaldstype" },
  "copyright_holder_66ee111": { "message": "Rettshavar:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 words}\n    one {1 word}\n  other {# words}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# element lasta}\n  other {# element lasta}\n}"
  },
  "course_documents_104d76e0": { "message": "Emnedokument" },
  "course_files_62deb8f8": { "message": "Emnefiler" },
  "course_files_a31f97fc": { "message": "Emnefiler" },
  "course_images_f8511d04": { "message": "Hent bilde frå emnefiler" },
  "course_links_b56959b9": { "message": "Emnelenker" },
  "course_media_ec759ad": { "message": "Emnemedier" },
  "course_navigation_dd035109": { "message": "Emnenavigering" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons-lisens:"
  },
  "crop_image_807ebb08": { "message": "Skjær bilete" },
  "current_image_f16c249c": { "message": "Gjeldande bilete" },
  "custom_6979cd81": { "message": "Eigendefinert" },
  "cyan_c1d5f68a": { "message": "Cyan" },
  "date_added_ed5ad465": { "message": "Dato lagd til" },
  "decorative_image_3c28aa7d": { "message": "Dekorativt bilde" },
  "decrease_indent_de6343ab": { "message": "Reduser innrykk" },
  "deep_purple_bb3e2907": { "message": "Mørk lilla" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "standard uordna liste med kulepunkt"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "standard numerisk ordna liste"
  },
  "delimiters_4db4840d": { "message": "Skiljeteikn" },
  "describe_the_image_e65d2e32": { "message": "(Skildre bildet)" },
  "describe_the_video_2fe8f46a": { "message": "(Skildre videoen)" },
  "details_98a31b68": { "message": "Detaljar" },
  "diamond_b8dfe7ae": { "message": "Diamant" },
  "dimension_type_55c83e4e": { "message": "Dimensjonstype" },
  "dimensions_45ddb7b7": { "message": "Dimensjonar" },
  "directionality_26ae9e08": { "message": "Retningsgivande" },
  "directly_edit_latex_b7e9235b": { "message": "Rediger LaTeX direkte" },
  "discussions_a5f96392": { "message": "Diskusjonar" },
  "discussions_index_6c36ced": { "message": "Diskusjonsoversikt" },
  "display_options_315aba85": { "message": "Vis alternativ" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Vis lenketekst (opnast i ny fane)"
  },
  "document_678cd7bf": { "message": "Dokument" },
  "documents_81393201": { "message": "Dokument" },
  "done_54e3d4b6": { "message": "Fullført" },
  "drag_a_file_here_1bf656d5": { "message": "Dra ei fil hit" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Dra og slipp, eller klikk for å hente fil frå disk"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Dragrep. Bruk piltastane opp og ned for å endre storleik"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Frist: Fleire datoar" },
  "due_when_7eed10c6": { "message": "Frist: { when }" },
  "edit_c5fbea07": { "message": "Rediger" },
  "edit_equation_f5279959": { "message": "Endre likning" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Rediger knappen/ikonet "
  },
  "edit_link_7f53bebb": { "message": "Endre lenke" },
  "editor_statusbar_26ac81fc": { "message": "Statusrad editor" },
  "embed_828fac4a": { "message": "Sett inn" },
  "embed_code_314f1bd5": { "message": "Integrer kode" },
  "embed_image_1080badc": { "message": "Sett inn bilde" },
  "embed_video_a97a64af": { "message": "Integrer video" },
  "embedded_content_aaeb4d3d": { "message": "innebygd innhald" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Oppgi minst 3 teikn for å søke"
  },
  "equation_1c5ac93c": { "message": "Likning" },
  "equation_editor_39fbc3f1": { "message": "Likningseditor" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Utvid førehandsvisinga som standard"
  },
  "expand_to_see_types_f5d29352": { "message": "Vis og sjå { types }" },
  "external_links_3d9f074e": { "message": "Eksterne lenker" },
  "external_tools_6e77821": { "message": "Eksterne verktøy" },
  "extra_large_b6cdf1ff": { "message": "Ekstra stor" },
  "extra_small_9ae33252": { "message": "Svært liten" },
  "file_url_c12b64be": { "message": "Fil-URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } filikon" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } førehandsvising av bilde"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } førehandsvising av tekst"
  },
  "files_c300e900": { "message": "Filer" },
  "files_index_af7c662b": { "message": "Filoversikt" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Sentrer alternativ-menyen"
  },
  "folder_tree_fbab0726": { "message": "Mappestruktur" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formatering" },
  "found_auto_saved_content_3f6e4ca5": { "message": "Fann auto-lagra innhald" },
  "fullscreen_873bf53f": { "message": "Full skjerm" },
  "generating_preview_45b53be0": { "message": "Genererer førehandsvising..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Gå til menylinja i redigeringsprogrammet"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Gå til verktøylinja i redigeringsprogrammet"
  },
  "grades_a61eba0a": { "message": "Vurderingar" },
  "greek_65c5b3f7": { "message": "Gresk" },
  "green_15af4778": { "message": "Grønt" },
  "group_documents_8bfd6ae6": { "message": "Grupper dokument" },
  "group_files_4324f3df": { "message": "Gruppefiler" },
  "group_files_82e5dcdb": { "message": "Gruppefiler" },
  "group_images_98e0ac17": { "message": "Grupper bilde" },
  "group_links_9493129e": { "message": "Grupper lenker" },
  "group_media_2f3d128a": { "message": "Grupper media" },
  "group_navigation_99f191a": { "message": "Gruppenavigering" },
  "heading_2_5b84eed2": { "message": "Overskrift 2" },
  "heading_3_2c83de44": { "message": "Overskrift 3" },
  "heading_4_b2e74be7": { "message": "Overskrift 4" },
  "height_69b03e15": { "message": "Høgde" },
  "hexagon_d8468e0d": { "message": "Sekskant" },
  "hide_description_bfb5502e": { "message": "Skjul skildring" },
  "hide_title_description_caf092ef": { "message": "Skjul { title } skildring" },
  "home_351838cd": { "message": "Heim" },
  "html_code_editor_fd967a44": { "message": "HTML-editor" },
  "html_editor_fb2ab713": { "message": "HTML-editor" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Eg har løyve til å bruke denne fila. "
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Eg er rettshavar" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Om du ikkje vel bruksrettar no, vil ikkje fila bli publisert etter at ho er lasta opp. "
  },
  "image_8ad06": { "message": "Bilde" },
  "image_options_5412d02c": { "message": "Alternativ for bilde" },
  "image_options_tray_90a46006": { "message": "Redigeringsmeny for bilde" },
  "image_to_crop_3a34487d": { "message": "Bilete å skjere" },
  "images_7ce26570": { "message": "Bilde" },
  "increase_indent_6d550a4a": { "message": "Auk innrykk" },
  "indigo_2035fc55": { "message": "Indigo" },
  "insert_593145ef": { "message": "Set inn" },
  "insert_equella_links_49a8dacd": { "message": "Sett inn Equella-lenker" },
  "insert_link_6dc23cae": { "message": "Sett inn lenke" },
  "insert_math_equation_57c6e767": { "message": "Sett inn matematikklikning" },
  "invalid_file_c11ba11": { "message": "Ugyldig fil" },
  "invalid_file_type_881cc9b2": { "message": "Ugyldig filtype" },
  "invalid_url_cbde79f": { "message": "Ugyldig URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Hurtigtastar" },
  "large_9c5e80e7": { "message": "Stort" },
  "left_to_right_e9b4fd06": { "message": "Venste mot høgre" },
  "light_blue_5374f600": { "message": "Lyseblå" },
  "link_7262adec": { "message": "Lenke" },
  "link_options_a16b758b": { "message": "Lenkealternativ" },
  "links_14b70841": { "message": "Lenker" },
  "load_more_35d33c7": { "message": "Last fleire" },
  "load_more_results_460f49a9": { "message": "Last fleire resultat" },
  "loading_25990131": { "message": "Lastar..." },
  "loading_bde52856": { "message": "Lastar" },
  "loading_failed_b3524381": { "message": "Opplasting mislukkast..." },
  "loading_failed_e6a9d8ef": { "message": "Opplasting mislukkast." },
  "loading_folders_d8b5869e": { "message": "Lastar mapper" },
  "loading_please_wait_d276220a": { "message": "Lastar, vent" },
  "loading_preview_9f077aa1": { "message": "Lastar førehandsvisning" },
  "locked_762f138b": { "message": "Låst" },
  "magenta_4a65993c": { "message": "Magenta" },
  "media_af190855": { "message": "Media" },
  "medium_5a8e9ead": { "message": "Medium" },
  "middle_27dc1d5": { "message": "Midtpunkt" },
  "misc_3b692ea7": { "message": "Diverse" },
  "miscellaneous_e9818229": { "message": "Diverse" },
  "modules_c4325335": { "message": "Modular" },
  "multi_color_image_63d7372f": { "message": "Fleirfargebilete" },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Må vere minst { width } x { height }px"
  },
  "my_files_2f621040": { "message": "Mine filer" },
  "name_1aed4a1b": { "message": "Namn" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Naviger gjennom menyen eller verktøylinja"
  },
  "next_page_d2a39853": { "message": "Neste side" },
  "no_e16d9132": { "message": "Nei" },
  "no_file_chosen_9a880793": { "message": "Ingen filer er valde" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Førehandsvising er ikkje tilgjengeleg for denne fila."
  },
  "no_results_940393cf": { "message": "Utan resultat. " },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Ingen resultat funne for { filterTerm }"
  },
  "none_3b5e34d2": { "message": "Ingen" },
  "none_selected_b93d56d2": { "message": "Ingen vald" },
  "octagon_e48be9f": { "message": "Åttekant" },
  "olive_6a3e4d6b": { "message": "Oliven" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Opne denne hurtigtastar-dialogen"
  },
  "open_title_application_fd624fc5": {
    "message": "Opne { title } applikasjon"
  },
  "operators_a2ef9a93": { "message": "Operatør" },
  "orange_81386a62": { "message": "Oransje" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Ordna og uordna lister"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Andre hurtigtastar for redigering kan ein finne i"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } er ikkje ein gyldig protokoll. Den må vere anten ftp, http, https, mailto, skype, tel, eller utelatast"
  },
  "pages_e5414c2c": { "message": "Sider" },
  "paragraph_5e5ad8eb": { "message": "Avsnitt" },
  "pentagon_17d82ea3": { "message": "Pentagon" },
  "people_b4ebb13c": { "message": "Personar" },
  "percentage_34ab7c2c": { "message": "Prosenttal" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Prosent må være eit tal"
  },
  "pink_68ad45cb": { "message": "Rosa" },
  "pixels_52ece7d1": { "message": "Pixlar" },
  "posted_when_a578f5ab": { "message": "Posta: { when }" },
  "preformatted_d0670862": { "message": "Førehandsformatert" },
  "pretty_html_editor_28748756": { "message": "Pen HTML-editor." },
  "preview_53003fd2": { "message": "Førehandsvising" },
  "preview_in_overlay_ed772c46": { "message": "Førehandsvisning i nytt lag" },
  "preview_inline_9787330": { "message": "Førehandsvising i teksten" },
  "previous_page_928fc112": { "message": "Førre side" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protokoll må vere anten ftp, http, https, mailto, skype, tel, eller utelatast"
  },
  "published_c944a23d": { "message": "publisert" },
  "published_when_302d8e23": { "message": "Publisert: { when }" },
  "pumpkin_904428d5": { "message": "Gresskar" },
  "purple_7678a9fc": { "message": "Lilla" },
  "quizzes_7e598f57": { "message": "Quizar" },
  "raw_html_editor_e3993e41": { "message": "HTML-redigeringsprogram" },
  "record_7c9448b": { "message": "Spel inn" },
  "record_upload_media_5fdce166": { "message": "Ta opp / last opp media" },
  "red_8258edf3": { "message": "Raud" },
  "relationships_6602af70": { "message": "Relasjon" },
  "remove_link_d1f2f4d0": { "message": "Fjern lenke" },
  "resize_ec83d538": { "message": "Endre storleik" },
  "restore_auto_save_deccd84b": { "message": "Gjenopprette auto-lagring?" },
  "rich_content_editor_2708ef21": {
    "message": "Redigeringsprogram for rikt innhald"
  },
  "right_to_left_9cfb092a": { "message": "Høgre mot venstre" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "I den pene HTML-editoren kan du ikkje redigere med tastatur. Gå til ein rein HTML-editor her."
  },
  "save_11a80ec3": { "message": "Lagre" },
  "search_280d00bd": { "message": "Søk" },
  "search_term_b2d2235": { "message": "Søkeord" },
  "select_crop_shape_d441feeb": { "message": "Vel skjæringsform" },
  "select_language_7c93a900": { "message": "Vel språk" },
  "selected_274ce24f": { "message": "Valt" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Bruk Shift-O for å opne den pene HTML-editoren."
  },
  "show_audio_options_b489926b": { "message": "Vis lydalternativ" },
  "show_image_options_1e2ecc6b": { "message": "Vis alternativ for bilde" },
  "show_link_options_545338fd": { "message": "Vis lenkealternativ" },
  "show_video_options_6ed3721a": { "message": "Vis videoalternativ" },
  "single_color_image_4e5d4dbc": { "message": "Monokromt bilete" },
  "size_b30e1077": { "message": "Storleik" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Storleiken på tekst-fila er større enn grensa på { max } kB."
  },
  "small_b070434a": { "message": "Liten" },
  "something_went_wrong_89195131": { "message": "Noko gjekk gale." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Noko gjekk gale. Veit ikkje kva som kan visast."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Noko gjekk gale, sjekk internettforbindelsen og prøv på nytt."
  },
  "something_went_wrong_d238c551": { "message": "Noko gjekk gale" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Noko gjekk gale, prøv ein gong til etter at sida er lasta inn på nytt"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Noko gjekk gale under opplasting, sjekk internettforbindelsen og prøv på nytt."
  },
  "sort_by_e75f9e3e": { "message": "Sorter etter" },
  "square_511eb3b3": { "message": "Kvadrat" },
  "square_unordered_list_b15ce93b": { "message": "firkanta uordna liste" },
  "star_8d156e09": { "message": "Merk med stjerne" },
  "styles_2aa721ef": { "message": "Stilar" },
  "submit_a3cc6859": { "message": "Send!" },
  "subscript_59744f96": { "message": "Senka skrift" },
  "superscript_8cb349a2": { "message": "Heva skrift" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Støtta filtypar: SRT og WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": { "message": "Byt til HTML-editor" },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Byt til rikteksteditoren"
  },
  "syllabus_f191f65b": { "message": "Emneoversikt" },
  "tab_arrows_4cf5abfc": { "message": "TAB/piltastar" },
  "teal_f729a294": { "message": "Blågrøn" },
  "text_7f4593da": { "message": "Tekst" },
  "text_background_color_16e61c3f": { "message": "Bakgrunnsfarge for tekst" },
  "text_color_acf75eb6": { "message": "Tekstfarge" },
  "text_position_8df8c162": { "message": "Tekstplassering" },
  "text_size_887c2f6": { "message": "Tekststorleik" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Materialet er ikkje opphavsrettbeskytta"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Materialet er lisensiert under Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Materialet er brukt i samsvar med sitatretten"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "I den pene HTML-editoren kan du ikkje redigere med tastatur. Trykk Shift-O for å opne den reine HTML-editoren."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Sjølv om videoen din har rett tittel i nettlesaren, er den ikkje oppdatert i databasen."
  },
  "title_ee03d132": { "message": "Tittel" },
  "to_be_posted_when_d24bf7dc": { "message": "Vert posta: { when }" },
  "to_do_when_2783d78f": { "message": "Gjeremål: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Veksle { summary } gruppe" },
  "tools_2fcf772e": { "message": "Verktøy" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } resultat funne, { numDisplayed } resultat viser akkurat no."
  },
  "tray_839df38a": { "message": "Sidemeny" },
  "triangle_6072304e": { "message": "Trekant" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "vel ctrl+F9 for å sjå alternativ for bildet. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "vel ctrl+F9 for å sjå alternativ for lenke. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "vel ctrl+F9 for å sjå alternativ for tabell. { text }"
  },
  "unpublished_dfd8801": { "message": "upublisert" },
  "untitled_efdc2d7d": { "message": "utan tittel" },
  "upload_document_253f0478": { "message": "Last opp dokument" },
  "upload_file_fd2361b8": { "message": "Last opp fil" },
  "upload_image_6120b609": { "message": "Last opp bilde frå disk" },
  "upload_media_ce31135a": { "message": "Last opp media" },
  "upload_record_media_e4207d72": { "message": "Last opp/Ta opp media" },
  "uploading_19e8a4e7": { "message": "Lastar opp" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Feil ved opplasting av teksting/undertitlar."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "alfabetisk ordna liste i store bokstavar"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "numerisk ordna liste med romertal"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Bruksrett:" },
  "usage_rights_required_5fe4dd68": { "message": "Bruksrettar (obligatorisk)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Bruk piltastane for å navigere mellom alternativa."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Bruk piltastane for å velje ein figur."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Bruk piltastane for å velje ein storleik."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Bruk piltastane for å velje plassering for teksten"
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Bruk piltastane for å velje tekststorleik"
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Bruk piltastane for å velje storleik på omrisset."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Skjermlesarar brukar dette for å skildre innhaldet i eit bilde"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Brukt av skjermlesarar for å skildre videoen"
  },
  "user_documents_c206e61f": { "message": "Brukardokument" },
  "user_files_78e21703": { "message": "Brukarfiler" },
  "user_images_b6490852": { "message": "Hent bilde frå mine filer" },
  "user_media_14fbf656": { "message": "Brukarmedia" },
  "video_options_24ef6e5d": { "message": "Videoalternativ" },
  "video_options_tray_3b9809a5": { "message": "Menyalternativ for video" },
  "video_player_for_9e7d373b": { "message": "Videospelar for" },
  "video_player_for_title_ffd9fbc4": { "message": "Videospelar for { title }" },
  "view_ba339f93": { "message": "Vis" },
  "view_description_30446afc": { "message": "Vis skildring" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "Sjå hurtigtastar" },
  "view_predefined_colors_92f5db39": {
    "message": "Vis førehandsdefinerte fargar"
  },
  "view_title_description_67940918": { "message": "Vis { title } skildring" },
  "white_87fa64fd": { "message": "Kvit" },
  "width_492fec76": { "message": "Vidde" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Vidde og breidde må vere tal"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki-startside" },
  "yes_dde87d5": { "message": "Ja" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Du kan ikkje laste opp ei tom fil."
  }
}


formatMessage.addLocale({nn: locale})
