/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/pl'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Uzyskaj dostęp do ulepszonego edytora HTML"
  },
  "accessibility_checker_b3af1f6c": { "message": "Kontrola dostępności" },
  "add_8523c19b": { "message": "Dodaj" },
  "add_another_f4e50d57": { "message": "Dodaj kolejne" },
  "add_cc_subtitles_55f0394e": { "message": "Dodaj CC/napisy" },
  "add_image_60b2de07": { "message": "Dodaj zdjęcie" },
  "align_11050992": { "message": "Dostosuj" },
  "align_center_ca078feb": { "message": "Wyśrodkuj" },
  "align_left_e9f1f93b": { "message": "Wyrównaj do lewej" },
  "align_right_9bad3ac1": { "message": "Wyrównaj do prawej" },
  "alignment_and_lists_5cebcb69": { "message": "Wyrównanie i listy" },
  "all_4321c3a1": { "message": "Wszystkie" },
  "all_apps_a50dea49": { "message": "Wszystkie aplikacje" },
  "alphabetical_55b5b4e0": { "message": "Alfabetycznie" },
  "alt_text_611fb322": { "message": "Alternatywny tekst" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Wystąpił błąd podczas odczytywania pliku"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Wystąpił błąd podczas przesyłania żądania sieciowego"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Podczas wysyłania multimediów wystąpił błąd."
  },
  "announcement_list_da155734": { "message": "Lista ogłoszeń" },
  "announcements_a4b8ed4a": { "message": "Ogłoszenia" },
  "apply_781a2546": { "message": "Zastosuj" },
  "apps_54d24a47": { "message": "Aplikacje" },
  "arrows_464a3e54": { "message": "Strzałki" },
  "art_icon_8e1daad": { "message": "Ikona sztuki" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Współczynnik proporcji zostanie zachowany"
  },
  "assignments_1e02582c": { "message": "Zadania" },
  "attributes_963ba262": { "message": "Właściwości" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Nagrywanie dźwięku i wideo nie jest obsługiwane; użyj innej przeglądarki."
  },
  "audio_options_feb58e2c": { "message": "Opcje audio" },
  "audio_options_tray_33a90711": { "message": "Panel opcji audio" },
  "audio_player_for_title_20cc70d": {
    "message": "Odtwarzacz audio dla { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Istnieje automatycznie zapisana zawartość. Czy wolisz wczytać automatyczną zawartość?"
  },
  "available_folders_694d0436": { "message": "Dostępne foldery" },
  "basic_554cdc0a": { "message": "Podstawowy" },
  "below_81d4dceb": { "message": "Poniżej" },
  "bottom_third_5f5fec1d": { "message": "Trzeci od dołu" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Anuluj" },
  "choose_caption_file_9c45bc4e": { "message": "Wybierz plik z napisami" },
  "choose_usage_rights_33683854": { "message": "Wybierz prawa użytkowania..." },
  "circle_484abe63": { "message": "Okrąg" },
  "circle_unordered_list_9e3a0763": {
    "message": "oznacz nieuporządkowaną listę"
  },
  "clear_2084585f": { "message": "Wyczyść" },
  "clear_image_3213fe62": { "message": "Wyczyść obraz" },
  "clear_selected_file_82388e50": { "message": "Usuń wybrany plik" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Usuń wybrany plik: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Kliknij lub naciśnij Shift i kliknij, aby otworzyć edytor html."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Kliknij, aby osadzić { imageName }"
  },
  "click_to_hide_preview_3c707763": { "message": "Kliknij, aby ukryć podgląd" },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Kliknij, aby wstawić łącze do edytora."
  },
  "click_to_show_preview_faa27051": {
    "message": "Kliknij, aby wyświetlić podgląd"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Zamknij menu lub okno dialogowe. Przywraca do obszaru edytora"
  },
  "close_d634289d": { "message": "Zamknij" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Plik z napisami musi być mniejszy niż { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Napisy / napisy dla niesłyszących"
  },
  "collaborations_5c56c15f": { "message": "Współprace" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Kliknij, aby ukryć { types }"
  },
  "computer_1d7dfa6f": { "message": "Komputer" },
  "content_1440204b": { "message": "Zawartość" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Zawartość jest nadal przesyłana; w przypadku kontynuowania obraz nie zostanie prawidłowo osadzony."
  },
  "content_subtype_5ce35e88": { "message": "Podtyp zawartości" },
  "content_type_2cf90d95": { "message": "Typ zawartości" },
  "copyright_holder_66ee111": { "message": "Właściciel praw autorskich:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 słów}\n    one {1 słowo}\n  other {# słowa}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# element przesłany}\n  other {# elementów przesłanych}\n}"
  },
  "course_documents_104d76e0": { "message": "Dokumenty kursu" },
  "course_files_62deb8f8": { "message": "Pliki kursu" },
  "course_files_a31f97fc": { "message": "Pliki kursu" },
  "course_images_f8511d04": { "message": "Obrazy kursu" },
  "course_links_b56959b9": { "message": "Łącza kursu" },
  "course_media_ec759ad": { "message": "Multimedia kursu" },
  "course_navigation_dd035109": { "message": "Nawigowanie po kursie" },
  "creative_commons_license_725584ae": {
    "message": "Licencja Creative Commons:"
  },
  "crop_image_41bf940c": { "message": "Przytnij obraz" },
  "crop_image_807ebb08": { "message": "Przytnij obraz" },
  "current_image_f16c249c": { "message": "Bieżący obraz" },
  "custom_6979cd81": { "message": "Niestandardowe" },
  "date_added_ed5ad465": { "message": "Data dodania" },
  "decorative_image_3c28aa7d": { "message": "Obraz dekoracyjny" },
  "decrease_indent_de6343ab": { "message": "Zmniejsz wcięcie" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "domyślna nieuporządkowana lista wypunktowana"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "domyślna uporządkowana lista numeryczna"
  },
  "delimiters_4db4840d": { "message": "Ograniczniki" },
  "describe_the_image_e65d2e32": { "message": "(opisz obraz)" },
  "describe_the_video_2fe8f46a": { "message": "(opisz wideo)" },
  "details_98a31b68": { "message": "Szczegóły" },
  "diamond_b8dfe7ae": { "message": "Diament" },
  "dimension_type_55c83e4e": { "message": "Typ wymiaru" },
  "dimensions_45ddb7b7": { "message": "Wymiary" },
  "directionality_26ae9e08": { "message": "Kierunkowość" },
  "directly_edit_latex_b7e9235b": { "message": "Edytuj bezpośrednio w LaTeX" },
  "discussions_a5f96392": { "message": "Dyskusje" },
  "discussions_index_6c36ced": { "message": "Spis dyskusji" },
  "display_options_315aba85": { "message": "Opcje wyświetlania" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Wyświetl łącze tekstowe (otwiera się w nowej karcie)"
  },
  "document_678cd7bf": { "message": "Dokument" },
  "documents_81393201": { "message": "Dokumenty" },
  "done_54e3d4b6": { "message": "Gotowe" },
  "drag_a_file_here_1bf656d5": { "message": "Przeciągnij plik tutaj" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Przeciągnij i upuść lub kliknij, aby przeglądać komputer"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Przeciągnij uchwyt. Użyj strzałek w dół i w górę, aby zmienić rozmiar"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Termin: Wiele dat" },
  "due_when_7eed10c6": { "message": "Termin: { when }" },
  "edit_c5fbea07": { "message": "Edytuj" },
  "edit_equation_f5279959": { "message": "Edytuj równanie" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Edytuj istniejący przycisk / ikonę"
  },
  "edit_link_7f53bebb": { "message": "Edytuj łącze" },
  "editor_statusbar_26ac81fc": { "message": "Pasek stanu edytora" },
  "embed_828fac4a": { "message": "Osadź" },
  "embed_code_314f1bd5": { "message": "Osadź kod" },
  "embed_image_1080badc": { "message": "Osadź obraz" },
  "embed_video_a97a64af": { "message": "Osadź wideo" },
  "embedded_content_aaeb4d3d": { "message": "osadzona zawartość" },
  "engineering_icon_f8f3cf43": { "message": "Ikona inżynierii" },
  "english_icon_25bfe845": { "message": "Ikona angielskiego" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Wpisz co najmniej 3 znaki, aby wyszukać."
  },
  "equation_1c5ac93c": { "message": "Równanie" },
  "equation_editor_39fbc3f1": { "message": "Edytor równań" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Domyślnie rozwiń podgląd"
  },
  "expand_to_see_types_f5d29352": {
    "message": "Rozszerz, aby zobaczyć { types }"
  },
  "external_links_3d9f074e": { "message": "Łącza zewnętrzne" },
  "external_tools_6e77821": { "message": "Narzędzia zewnętrzne" },
  "extra_large_b6cdf1ff": { "message": "Wyjątkowo duże" },
  "extra_small_9ae33252": { "message": "Bardzo małe" },
  "extracurricular_icon_67c8ca42": { "message": "Ikona zajęć pozalekcyjnych" },
  "file_url_c12b64be": { "message": "Adres URL pliku" },
  "filename_file_icon_602eb5de": { "message": "Ikona pliku { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "Podgląd obrazu { filename }"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "Podgląd tekstu { filename }"
  },
  "files_c300e900": { "message": "Pliki" },
  "files_index_af7c662b": { "message": "Wykaz plików" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Pasek opcji koncentracji na elemencie"
  },
  "folder_tree_fbab0726": { "message": "Drzewo folderów" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formatowanie" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Odnaleziono automatycznie zapisaną zawartość"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Odnaleziono { count, plural,\n     =0 {# wyników}\n    one {# wynik}\n  other {# wyników}\n}"
  },
  "fullscreen_873bf53f": { "message": "Pełny ekran" },
  "generating_preview_45b53be0": { "message": "Generowanie podglądu..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Przejdź do paska menu edytora"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Przejdź do paska narzędzi edytora"
  },
  "grades_a61eba0a": { "message": "Oceny" },
  "greek_65c5b3f7": { "message": "Greckie" },
  "group_documents_8bfd6ae6": { "message": "Grupuj dokumenty" },
  "group_files_4324f3df": { "message": "Pliki grupy" },
  "group_files_82e5dcdb": { "message": "Pliki grupy" },
  "group_images_98e0ac17": { "message": "Grupuj zdjęcia" },
  "group_links_9493129e": { "message": "Łącza grupowe" },
  "group_media_2f3d128a": { "message": "Grupuj multimedia" },
  "group_navigation_99f191a": { "message": "Nawigowanie po grupach" },
  "heading_2_5b84eed2": { "message": "Nagłówek 2" },
  "heading_3_2c83de44": { "message": "Nagłówek 3" },
  "heading_4_b2e74be7": { "message": "Nagłówek 4" },
  "health_icon_8d292eb5": { "message": "Ikona zdrowia" },
  "height_69b03e15": { "message": "Wysokość" },
  "hexagon_d8468e0d": { "message": "Sześciobok" },
  "hide_description_bfb5502e": { "message": "Ukryj opis" },
  "hide_title_description_caf092ef": { "message": "Ukryj opis { title }" },
  "home_351838cd": { "message": "Strona główna" },
  "html_code_editor_fd967a44": { "message": "edytor kodu html" },
  "html_editor_fb2ab713": { "message": "Edytor HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Mam uprawnienie do korzystania z tego pliku."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Posiadam prawa autorskie" },
  "icon_color_b86dd6d6": { "message": "Kolor ikony" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Jeśli nie wybierzesz teraz praw do korzystania, po przesłaniu plik nie zostanie opublikowany."
  },
  "image_8ad06": { "message": "Zdjęcie" },
  "image_options_5412d02c": { "message": "Opcje obrazu" },
  "image_options_tray_90a46006": { "message": "Panel opcji obrazu" },
  "image_to_crop_3a34487d": { "message": "Obraz do przycięcia" },
  "images_7ce26570": { "message": "Zdjęcia" },
  "increase_indent_6d550a4a": { "message": "Zwiększ wcięcie" },
  "insert_593145ef": { "message": "Wstaw" },
  "insert_equella_links_49a8dacd": { "message": "Wstaw łącza Equella" },
  "insert_link_6dc23cae": { "message": "Umieść Łącze" },
  "insert_math_equation_57c6e767": { "message": "Wpisz równanie matematyczne" },
  "invalid_file_c11ba11": { "message": "Nieprawidłowy plik" },
  "invalid_file_type_881cc9b2": { "message": "Nieprawidłowy typ pliku" },
  "invalid_url_cbde79f": { "message": "Nieprawidłowy adres URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Skróty klawiaturowe" },
  "language_arts_icon_a798b0f8": { "message": "Ikona języków obcych" },
  "languages_icon_9d20539": { "message": "Ikona języków" },
  "large_9c5e80e7": { "message": "Duży" },
  "left_to_right_e9b4fd06": { "message": "Lewa-prawa" },
  "library_icon_ae1e54cf": { "message": "Ikona biblioteki" },
  "link_7262adec": { "message": "Łącze" },
  "link_options_a16b758b": { "message": "Opcje łącza" },
  "links_14b70841": { "message": "Łącza" },
  "load_more_35d33c7": { "message": "Wczytaj więcej" },
  "load_more_results_460f49a9": { "message": "Wczytaj więcej wyników" },
  "loading_25990131": { "message": "Wczytywanie..." },
  "loading_bde52856": { "message": "Wczytywanie" },
  "loading_failed_b3524381": { "message": "Niepowodzenie wczytywania..." },
  "loading_failed_e6a9d8ef": { "message": "Niepowodzenie wczytywania." },
  "loading_folders_d8b5869e": { "message": "Wczytywanie folderów" },
  "loading_please_wait_d276220a": { "message": "Ładowanie, proszę czekać" },
  "loading_preview_9f077aa1": { "message": "Wczytywanie podglądu" },
  "locked_762f138b": { "message": "Zablokowany" },
  "math_icon_ad4e9d03": { "message": "Ikona matematyki" },
  "media_af190855": { "message": "Multimedia" },
  "medium_5a8e9ead": { "message": "Średni" },
  "middle_27dc1d5": { "message": "Środkowy" },
  "misc_3b692ea7": { "message": "Różne" },
  "miscellaneous_e9818229": { "message": "Różne" },
  "modules_c4325335": { "message": "Moduły" },
  "multi_color_image_63d7372f": { "message": "Obraz wielokolorowy" },
  "music_icon_4db5c972": { "message": "Ikona muzyki" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Wymagane co najmniej { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Wymagane co najmniej { width } x { height } px"
  },
  "my_files_2f621040": { "message": "Moje pliki" },
  "name_1aed4a1b": { "message": "Nazwa" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Przejdź w menu lub na pasku narzędzi"
  },
  "next_page_d2a39853": { "message": "Następna strona" },
  "no_e16d9132": { "message": "Nie" },
  "no_file_chosen_9a880793": { "message": "Nie wybrano pliku" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Nie ma możliwości podglądu tego pliku."
  },
  "no_results_940393cf": { "message": "Brak wyników." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Nie znaleziono wyników dla { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Nie znaleziono wyników dla { term }."
  },
  "none_3b5e34d2": { "message": "Brak" },
  "none_selected_b93d56d2": { "message": "Nie wybrano żadnego" },
  "octagon_e48be9f": { "message": "Ośmiobok" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Otwórz to okno dialogowe skrótów klawiatury"
  },
  "open_title_application_fd624fc5": {
    "message": "Otwórz aplikację { title }"
  },
  "operators_a2ef9a93": { "message": "Operatory" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Listy uporządkowane i nieuporządkowane"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Skróty do innych edytorów można znaleźć na"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } nie jest prawidłowym protokołem; wymagany jest  ftp, http, https, mailto, skype, tel lub można go pominąć"
  },
  "pages_e5414c2c": { "message": "Strony" },
  "paragraph_5e5ad8eb": { "message": "Akapit" },
  "pentagon_17d82ea3": { "message": "Pięciokąt" },
  "people_b4ebb13c": { "message": "Ludzie" },
  "percentage_34ab7c2c": { "message": "Wartość procentowa" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Odsetek musi być liczbą"
  },
  "performing_arts_icon_f3497486": { "message": "Ikona sztuk wizualnych" },
  "physical_education_icon_d7dffd3e": {
    "message": "Ikona wychowania fizycznego"
  },
  "pixels_52ece7d1": { "message": "Piksele" },
  "posted_when_a578f5ab": { "message": "Opublikował(a): { when }" },
  "preformatted_d0670862": { "message": "Wstępnie formatowane" },
  "pretty_html_editor_28748756": { "message": "Ulepszony edytor HTML" },
  "preview_53003fd2": { "message": "Podgląd" },
  "preview_in_overlay_ed772c46": { "message": "Podgląd w nakładce" },
  "preview_inline_9787330": { "message": "Wbudowany pogląd" },
  "previous_page_928fc112": { "message": "Poprzednia strona" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Wymagany jest protokół ftp, http, https, mailto, skype, tel lub można go pominąć"
  },
  "published_c944a23d": { "message": "opublikowane" },
  "published_when_302d8e23": { "message": "Opublikowane: { when }" },
  "quizzes_7e598f57": { "message": "Testy" },
  "raw_html_editor_e3993e41": { "message": "Edytor HTML bez formatowania" },
  "record_7c9448b": { "message": "Nagraj" },
  "record_upload_media_5fdce166": {
    "message": "Utwórz/prześlij pliki multimedialne"
  },
  "relationships_6602af70": { "message": "Powiązania" },
  "religion_icon_246e0be1": { "message": "Ikona religii" },
  "remove_link_d1f2f4d0": { "message": "Usuń łącze" },
  "resize_ec83d538": { "message": "Zmień rozmiar" },
  "restore_auto_save_deccd84b": {
    "message": "Przywrócić automatycznie zapisaną zawartość?"
  },
  "rich_content_editor_2708ef21": {
    "message": "Edytor wzbogaconej zawartości"
  },
  "right_to_left_9cfb092a": { "message": "Prawa-lewa" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Niestety ulepszony edytor HTML nie jest dostępny z poziomu klawiatury. Tutaj możesz uzyskać dostęp do edytor HTML bez formatowania."
  },
  "save_11a80ec3": { "message": "Zapisz" },
  "search_280d00bd": { "message": "Wyszukaj" },
  "search_term_b2d2235": { "message": "Wyszukiwany termin" },
  "select_crop_shape_d441feeb": { "message": "Wybierz przycięty fragment" },
  "select_language_7c93a900": { "message": "Wybierz język" },
  "selected_274ce24f": { "message": "Wybrano" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Naciśnij Shift-O, aby otworzyć ulepszony edytor HTML."
  },
  "show_audio_options_b489926b": { "message": "Pokaż opcje audio" },
  "show_image_options_1e2ecc6b": { "message": "Pokaż opcje obrazów" },
  "show_link_options_545338fd": { "message": "Pokaż opcje łącza" },
  "show_video_options_6ed3721a": { "message": "Pokaż opcje wideo" },
  "single_color_image_4e5d4dbc": { "message": "Obraz jednokolorowy" },
  "size_b30e1077": { "message": "Rozmiar" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Rozmiar pliku z napisami przekracza maksymalną dozwoloną wartość { max } kb."
  },
  "small_b070434a": { "message": "Mały" },
  "something_went_wrong_89195131": { "message": "Coś poszło nie tak." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Wystąpił błąd i nie wiadomo, co wyświetlić."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Wystąpił problem, sprawdź połączenie i spróbuj ponownie."
  },
  "something_went_wrong_d238c551": { "message": "Coś poszło nie tak" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Wystąpił problem, spróbuj ponownie po odświeżeniu strony"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Wystąpił problem podczas przesyłania, sprawdź połączenia i spróbuj ponownie."
  },
  "sort_by_e75f9e3e": { "message": "Sortuj wg" },
  "square_511eb3b3": { "message": "Kwadrat" },
  "square_unordered_list_b15ce93b": {
    "message": "prostokątna nieuporządkowana lista"
  },
  "star_8d156e09": { "message": "Gwiazdka" },
  "styles_2aa721ef": { "message": "Style" },
  "submit_a3cc6859": { "message": "Prześlij" },
  "subscript_59744f96": { "message": "Indeks dolny" },
  "superscript_8cb349a2": { "message": "Indeks górny" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Obsługiwane typy plików: SRT lub WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Przełącz się do edytora html"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Przełącz na edytor tekstu sformatowanego"
  },
  "syllabus_f191f65b": { "message": "Program" },
  "tab_arrows_4cf5abfc": { "message": "TAB/klawisze strzałek" },
  "text_7f4593da": { "message": "Tekst" },
  "text_background_color_16e61c3f": { "message": "Kolor tła tekstu" },
  "text_color_acf75eb6": { "message": "Kolor tekstu" },
  "text_position_8df8c162": { "message": "Położenie tekstu" },
  "text_size_887c2f6": { "message": "Rozmiar tekstu" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Materiał znajduje się w domenie publicznej"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Materiał jest objęty licencją Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Materiały są objęte wyjątkowymi zasadami, np. zasadami dozwolonego użytku, prawa do cytowania lub innymi obowiązującymi przepisami prawa autorskiego"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Ulepszony edytor HTML nie jest dostępny z poziomu klawiatury. Naciśnij Shift O, aby otworzyć edytor html bez formatowania."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Chociaż nagranie wideo będzie mieć prawidłowy tytuł w przeglądarce, nie udało się go zaktualizować w bazie danych."
  },
  "title_ee03d132": { "message": "Tytuł" },
  "to_be_posted_when_d24bf7dc": { "message": "Do opublikowania: { when }" },
  "to_do_when_2783d78f": { "message": "Lista zadań: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Przełącz grupę { summary }" },
  "tools_2fcf772e": { "message": "Narzędzia" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } wyników odnaleziono, { numDisplayed } wyników obecnie wyświetlanych"
  },
  "tray_839df38a": { "message": "Zasobnik" },
  "triangle_6072304e": { "message": "Trójkąt" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "Wpisz Control F9, aby uzyskać dostęp do opcji obrazu. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "Wpisz Control F9, aby uzyskać dostęp do opcji łącza. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "Wpisz Control F9, aby uzyskać dostęp do opcji tabeli. { text }"
  },
  "unpublished_dfd8801": { "message": "nieopublikowane" },
  "untitled_efdc2d7d": { "message": "bez tytułu" },
  "upload_document_253f0478": { "message": "Prześlij dokument" },
  "upload_file_fd2361b8": { "message": "Prześlij plik" },
  "upload_image_6120b609": { "message": "Prześlij obraz" },
  "upload_media_ce31135a": { "message": "Przekaż pliki multimedialne" },
  "upload_record_media_e4207d72": {
    "message": "Przekaż/zapisz pliki multimedialne"
  },
  "uploading_19e8a4e7": { "message": "Przekazywanie" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Przesyłanie napisów/napisów dla niesłyszących nie powiodło się."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "uporządkowana lista alfabetyczna, duże litery"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "uporządkowania lista numeryczna, duże cyfry rzymskie"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Prawo użytkowania:" },
  "usage_rights_required_5fe4dd68": {
    "message": "Prawo użytkowania (wymagane)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Użyj klawiszy strzałek do nawigowania po opcjach."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Użyj klawiszy strzałek, aby wybrać kształt."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Użyj klawiszy strzałek, aby wybrać rozmiar."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Użyj klawiszy strzałek, aby wybrać położenie tekstu."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Użyj klawiszy strzałek, aby wybrać rozmiar tekstu."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Użyj klawiszy strzałek, aby wybrać rozmiar obramowania."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Używane przez czytniki ekranu do opisania zawartości obrazu"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Używane przez czytniki ekranu do opisania zawartości wideo"
  },
  "user_documents_c206e61f": { "message": "Dokumenty użytkownika" },
  "user_files_78e21703": { "message": "Pliki użytkownika" },
  "user_images_b6490852": { "message": "Zdjęcia użytkownika" },
  "user_media_14fbf656": { "message": "Multimedia użytkownika" },
  "video_options_24ef6e5d": { "message": "Opcje wideo" },
  "video_options_tray_3b9809a5": { "message": "Panel opcji wideo" },
  "video_player_for_9e7d373b": { "message": "Odtwarzacz wideo dla " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Odtwarzacz wideo dla { title }"
  },
  "view_ba339f93": { "message": "Wyświetl" },
  "view_description_30446afc": { "message": "Wyświetl opis" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Wyświetl skróty klawiszowe"
  },
  "view_predefined_colors_92f5db39": {
    "message": "Wybierz uprzednio zdefiniowane kolory"
  },
  "view_title_description_67940918": { "message": "Wyświetl opis { title }" },
  "width_492fec76": { "message": "Szerokość" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Szerokość i wysokość muszą być liczbami"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki — Strona główna" },
  "yes_dde87d5": { "message": "Tak" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Nie można przesłać pustego pliku."
  },
  "zoom_in_image_bb97d4f": { "message": "Przybliż obraz" },
  "zoom_out_image_d0a0a2ec": { "message": "Oddal obraz" }
}


formatMessage.addLocale({pl: locale})
