/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/pt_BR'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Acesse o lindo editor de HTML"
  },
  "accessibility_checker_b3af1f6c": {
    "message": "Verificador de acessibilidade:"
  },
  "add_8523c19b": { "message": "Adicionar" },
  "add_another_f4e50d57": { "message": "Adicionar outro" },
  "add_cc_subtitles_55f0394e": { "message": "Adicionar legenda" },
  "add_image_60b2de07": { "message": "Adicionar imagem" },
  "align_11050992": { "message": "Alinhar" },
  "align_center_ca078feb": { "message": "Centralizar" },
  "align_left_e9f1f93b": { "message": "Alinhar à esquerda" },
  "align_right_9bad3ac1": { "message": "Alinhar à direita" },
  "alignment_and_lists_5cebcb69": { "message": "Alinhamento e listas" },
  "all_4321c3a1": { "message": "Todos" },
  "all_apps_a50dea49": { "message": "Todos os aplicativos" },
  "alphabetical_55b5b4e0": { "message": "Alfabética" },
  "alt_text_611fb322": { "message": "Texto alternativo" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Ocorreu um erro ao ler o arquivo"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Um erro ocorreu ao fazer uma solicitação de rede"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Ocorreu um erro ao carregar a sua mídia."
  },
  "announcement_list_da155734": { "message": "Lista de aviso" },
  "announcements_a4b8ed4a": { "message": "Avisos" },
  "apply_781a2546": { "message": "Aplicar" },
  "apps_54d24a47": { "message": "Aplicativos" },
  "arrows_464a3e54": { "message": "Setas" },
  "art_icon_8e1daad": { "message": "Ícone de arte" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Proporção do aspecto será preservado"
  },
  "assignments_1e02582c": { "message": "Tarefas" },
  "attributes_963ba262": { "message": "Atributos" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Não há suporte para gravação de áudio e vídeo; por favor, use um navegador diferente."
  },
  "audio_options_feb58e2c": { "message": "Opções de áudio" },
  "audio_options_tray_33a90711": { "message": "Bandeja de opções de áudio" },
  "audio_player_for_title_20cc70d": {
    "message": "Reprodutor de áudio para { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Conteúdo com salvamento automático existe. Gostaria de carregar o conteúdo com salvamento automático em seu lugar?"
  },
  "available_folders_694d0436": { "message": "Pastas disponíveis" },
  "basic_554cdc0a": { "message": "Básico" },
  "below_81d4dceb": { "message": "Abaixo" },
  "bottom_third_5f5fec1d": { "message": "Terço inferior" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Cancelar" },
  "choose_caption_file_9c45bc4e": { "message": "Escolher arquivo de legenda" },
  "choose_usage_rights_33683854": { "message": "Escolher direitos de uso..." },
  "circle_484abe63": { "message": "Circular" },
  "circle_unordered_list_9e3a0763": {
    "message": "Lista não ordenada circular"
  },
  "clear_2084585f": { "message": "Limpar" },
  "clear_image_3213fe62": { "message": "Limpar imagem" },
  "clear_selected_file_82388e50": { "message": "Limpar arquivo selecionado" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Limpar arquivo selecionado: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Clique ou clique e segure Shift para o editor de html."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Clique para incorporar { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Clique para ocultar a pré-visualização"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Clique para inserir um link no editor."
  },
  "click_to_show_preview_faa27051": {
    "message": "Clique para mostrar a pré-visualização"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Feche um menu ou diálogo. Também lhe retorna para a área do editor"
  },
  "close_d634289d": { "message": "Fechar" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "O arquivo de legenda oculta deve ter menos de { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": { "message": "Legendas" },
  "collaborations_5c56c15f": { "message": "Colaborações" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Recolher para ocultar { types }"
  },
  "computer_1d7dfa6f": { "message": "Computador" },
  "content_1440204b": { "message": "Conteúdo" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Conteúdo ainda está sendo carregado, se você continuar, ele não será incorporado adequadamente."
  },
  "content_subtype_5ce35e88": { "message": "Subtipo do conteúdo" },
  "content_type_2cf90d95": { "message": "Tipo de conteúdo" },
  "copyright_holder_66ee111": { "message": "Titular do Copyright:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 palavras}\n    one {1 palavra}\n  other {# palavras}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# item carregado}\n  other {# itens carregados}\n}"
  },
  "course_documents_104d76e0": { "message": "Documentos do curso" },
  "course_files_62deb8f8": { "message": "Arquivos do Curso" },
  "course_files_a31f97fc": { "message": "Arquivos do curso" },
  "course_images_f8511d04": { "message": "Imagens do curso" },
  "course_links_b56959b9": { "message": "Links do curso" },
  "course_media_ec759ad": { "message": "Mídia do curso" },
  "course_navigation_dd035109": { "message": "Navegação do curso" },
  "creative_commons_license_725584ae": {
    "message": "Licença do Creative Commons:"
  },
  "crop_image_41bf940c": { "message": "Cortar imagem" },
  "crop_image_807ebb08": { "message": "Cortar imagem" },
  "current_image_f16c249c": { "message": "Imagem atual" },
  "custom_6979cd81": { "message": "Personalizar" },
  "date_added_ed5ad465": { "message": "Data adicionada" },
  "decorative_image_3c28aa7d": { "message": "Imagem decorativa" },
  "decrease_indent_de6343ab": { "message": "Diminuir recuo" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "Lista não ordenada padrão com marcadores"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "Lista ordenada padrão e numérica"
  },
  "delimiters_4db4840d": { "message": "Delimitadores" },
  "describe_the_image_e65d2e32": { "message": "(Descreva a imagem)" },
  "describe_the_video_2fe8f46a": { "message": "(Descreva o vídeo)" },
  "details_98a31b68": { "message": "Detalhes" },
  "diamond_b8dfe7ae": { "message": "Losango" },
  "dimension_type_55c83e4e": { "message": "Tipo de dimensão" },
  "dimensions_45ddb7b7": { "message": "Dimensões" },
  "directionality_26ae9e08": { "message": "Direcionalidade" },
  "directly_edit_latex_b7e9235b": { "message": "Editar diretamente LaTeX" },
  "discussions_a5f96392": { "message": "Fóruns" },
  "discussions_index_6c36ced": { "message": "Índice de fóruns" },
  "display_options_315aba85": { "message": "Exibir opções" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Exibir link de texto (abre em uma nova aba)"
  },
  "document_678cd7bf": { "message": "Documento" },
  "documents_81393201": { "message": "Documentos" },
  "done_54e3d4b6": { "message": "Feito" },
  "drag_a_file_here_1bf656d5": { "message": "Arrastar um arquivo aqui" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Arraste e solte ou clique para navegar no seu computador"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Arraste a manilha. Use as setas para cima e para baixo para redimensionar"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Vencimento: Várias datas" },
  "due_when_7eed10c6": { "message": "Vencimento: { when }" },
  "edit_c5fbea07": { "message": "Editar" },
  "edit_equation_f5279959": { "message": "Editar equação" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Editar botão/ícone existente"
  },
  "edit_link_7f53bebb": { "message": "Editar link" },
  "editor_statusbar_26ac81fc": { "message": "Barra de status do Editor" },
  "embed_828fac4a": { "message": "Incorporar" },
  "embed_code_314f1bd5": { "message": "Código de incorporação" },
  "embed_image_1080badc": { "message": "Imagem incorporada" },
  "embed_video_a97a64af": { "message": "Incorporar vídeo" },
  "embedded_content_aaeb4d3d": { "message": "conteúdo incorporado" },
  "engineering_icon_f8f3cf43": { "message": "Ícone de engenharia" },
  "english_icon_25bfe845": { "message": "Ícone de inglês" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Insira pelo menos 3 caracteres para pesquisar"
  },
  "equation_1c5ac93c": { "message": "Equação" },
  "equation_editor_39fbc3f1": { "message": "Editor de equação" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Expandir visualização por padrão"
  },
  "expand_to_see_types_f5d29352": { "message": "Ampliar para ver { types }" },
  "external_links_3d9f074e": { "message": "Links externos" },
  "external_tools_6e77821": { "message": "Ferramentas externas" },
  "extra_large_b6cdf1ff": { "message": "Muito grande" },
  "extra_small_9ae33252": { "message": "Muito pequeno" },
  "extracurricular_icon_67c8ca42": { "message": "Ícone extracurricular" },
  "file_url_c12b64be": { "message": "URL do arquivo" },
  "filename_file_icon_602eb5de": { "message": "Ícone do arquivo { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "Pré-visualização de imagem { filename }"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "Pré-visualização de texto de { filename }"
  },
  "files_c300e900": { "message": "Arquivos" },
  "files_index_af7c662b": { "message": "Índice de arquivos" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Focar barra de ferramentas de opções do elemento"
  },
  "folder_tree_fbab0726": { "message": "Árvore de pastas" },
  "format_4247a9c5": { "message": "Formato" },
  "formatting_5b143aa8": { "message": "Formatação" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Encontrou conteúdo com salvamento automático"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Encontrou { count, plural,\n     =0 {# resultados}\n    one {# resultado}\n  other {# resultados}\n}"
  },
  "fullscreen_873bf53f": { "message": "Tela cheia" },
  "generating_preview_45b53be0": { "message": "Gerando pré-visualização..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Ir para a barra de menu do editor"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Ir para a barra de ferramentas do editor"
  },
  "grades_a61eba0a": { "message": "Notas" },
  "greek_65c5b3f7": { "message": "Grego" },
  "group_documents_8bfd6ae6": { "message": "Agrupar documentos" },
  "group_files_4324f3df": { "message": "Arquivos do grupo" },
  "group_files_82e5dcdb": { "message": "Arquivos de grupo" },
  "group_images_98e0ac17": { "message": "Agrupar imagens" },
  "group_links_9493129e": { "message": "Agrupar links" },
  "group_media_2f3d128a": { "message": "Agrupar mídia" },
  "group_navigation_99f191a": { "message": "Navegação do grupo" },
  "heading_2_5b84eed2": { "message": "Título 2" },
  "heading_3_2c83de44": { "message": "Título 3" },
  "heading_4_b2e74be7": { "message": "Título 4" },
  "health_icon_8d292eb5": { "message": "Ícone de saúde" },
  "height_69b03e15": { "message": "Altura" },
  "hexagon_d8468e0d": { "message": "Hexágono" },
  "hide_description_bfb5502e": { "message": "Ocultar descrição" },
  "hide_title_description_caf092ef": {
    "message": "Ocultar { title } descrição"
  },
  "home_351838cd": { "message": "Página inicial" },
  "html_code_editor_fd967a44": { "message": "editor de código html" },
  "html_editor_fb2ab713": { "message": "Editor de HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Você obteve permissão para usar este arquivo."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Eu possuo o copyright" },
  "icon_color_b86dd6d6": { "message": "Cor do ícone" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Se você não selecionar os direitos de uso agora, esse arquivo terá a publicação cancelada depois do seu carregamento ser realizado."
  },
  "image_8ad06": { "message": "Imagem" },
  "image_options_5412d02c": { "message": "Opções de imagem" },
  "image_options_tray_90a46006": { "message": "Bandeja de opções de imagem" },
  "image_to_crop_3a34487d": { "message": "Imagem a cortar" },
  "images_7ce26570": { "message": "Imagens" },
  "increase_indent_6d550a4a": { "message": "Aumentar recuo" },
  "insert_593145ef": { "message": "Inserir" },
  "insert_equella_links_49a8dacd": { "message": "Inserir links Equella" },
  "insert_link_6dc23cae": { "message": "Inserir link" },
  "insert_math_equation_57c6e767": {
    "message": "Insira Equação da Matemática"
  },
  "invalid_file_c11ba11": { "message": "Arquivo inválido" },
  "invalid_file_type_881cc9b2": { "message": "Tipo de arquivo inválido" },
  "invalid_url_cbde79f": { "message": "URL inválido" },
  "keyboard_shortcuts_ed1844bd": { "message": "Atalhos de Teclado" },
  "language_arts_icon_a798b0f8": { "message": "Ícone de artes linguísticas" },
  "languages_icon_9d20539": { "message": "Ícone de idiomas" },
  "large_9c5e80e7": { "message": "Grande" },
  "left_to_right_e9b4fd06": { "message": "Esquerda à direita" },
  "library_icon_ae1e54cf": { "message": "Ícone da biblioteca" },
  "link_7262adec": { "message": "Link" },
  "link_options_a16b758b": { "message": "Opções de link" },
  "links_14b70841": { "message": "Links" },
  "load_more_35d33c7": { "message": "Carregar mais" },
  "load_more_results_460f49a9": { "message": "Carregar mais resultados" },
  "loading_25990131": { "message": "Carregando..." },
  "loading_bde52856": { "message": "Carregando" },
  "loading_failed_b3524381": { "message": "Falha no carregamento..." },
  "loading_failed_e6a9d8ef": { "message": "Falha no carregamento." },
  "loading_folders_d8b5869e": { "message": "Carregando pastas" },
  "loading_please_wait_d276220a": {
    "message": "Carregando, por favor aguarde"
  },
  "loading_preview_9f077aa1": { "message": "Carregando prévia" },
  "locked_762f138b": { "message": "Bloqueado(a)" },
  "math_icon_ad4e9d03": { "message": "Ícone de matemática" },
  "media_af190855": { "message": "Mídia" },
  "medium_5a8e9ead": { "message": "Média" },
  "middle_27dc1d5": { "message": "Meio" },
  "misc_3b692ea7": { "message": "Diversos" },
  "miscellaneous_e9818229": { "message": "Diversos" },
  "modules_c4325335": { "message": "Módulos" },
  "multi_color_image_63d7372f": { "message": "Imagem multicolorida" },
  "music_icon_4db5c972": { "message": "Ícone de música" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Deve ser ao menos { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Deve ter ao menos { width } x { height }px"
  },
  "my_files_2f621040": { "message": "Meus arquivos" },
  "name_1aed4a1b": { "message": "Nome" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navegue no menu ou barra de ferramentas"
  },
  "next_page_d2a39853": { "message": "Próxima página" },
  "no_e16d9132": { "message": "Não" },
  "no_file_chosen_9a880793": { "message": "Nenhum arquivo escolhido" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Nenhuma pré-visualização disponível para esse arquivo."
  },
  "no_results_940393cf": { "message": "Sem resultados." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Nenhum resultado encontrado para { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Nenhum resultado encontrado para { term }."
  },
  "none_3b5e34d2": { "message": "Nenhum" },
  "none_selected_b93d56d2": { "message": "Nenhum selecionado" },
  "octagon_e48be9f": { "message": "Octógono" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Abrir esta caixa de atalhos do teclado"
  },
  "open_title_application_fd624fc5": {
    "message": "Abrir o aplicativo { title }"
  },
  "operators_a2ef9a93": { "message": "Operadores" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Listas ordenadas e não ordenadas"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Outros atalhos do editor podem ser encontrados em"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } não é um protocolo válido que deve ser ftp, http, https, mailto, skype, tel ou pode ser omitido"
  },
  "pages_e5414c2c": { "message": "Páginas" },
  "paragraph_5e5ad8eb": { "message": "Parágrafo" },
  "pentagon_17d82ea3": { "message": "Pentágono" },
  "people_b4ebb13c": { "message": "Pessoas" },
  "percentage_34ab7c2c": { "message": "Porcentagem" },
  "percentage_must_be_a_number_8033c341": {
    "message": "O percentual deve ser um número"
  },
  "performing_arts_icon_f3497486": { "message": "Ícone de artes cênicas" },
  "physical_education_icon_d7dffd3e": { "message": "Ícone de educação física" },
  "pixels_52ece7d1": { "message": "Pixels" },
  "posted_when_a578f5ab": { "message": "Postado: { when }" },
  "preformatted_d0670862": { "message": "Pré-formatado" },
  "pretty_html_editor_28748756": { "message": "Editor de HTML aprimorado" },
  "preview_53003fd2": { "message": "Pré-visualização" },
  "preview_in_overlay_ed772c46": {
    "message": "Pré-visualizar na sobreposição"
  },
  "preview_inline_9787330": { "message": "Pré-visualizar em linha" },
  "previous_page_928fc112": { "message": "Página anterior" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protocolo deve ser ftp, http, https, mailto, skype, tel ou pode ser omitido"
  },
  "published_c944a23d": { "message": "publicado" },
  "published_when_302d8e23": { "message": "Publicado: { when }" },
  "quizzes_7e598f57": { "message": "Testes" },
  "raw_html_editor_e3993e41": { "message": "Editor HTML não processado" },
  "record_7c9448b": { "message": "Gravar" },
  "record_upload_media_5fdce166": { "message": "Gravar/fazer upload de mídia" },
  "relationships_6602af70": { "message": "Relacionamentos" },
  "religion_icon_246e0be1": { "message": "Ícone de religião" },
  "remove_link_d1f2f4d0": { "message": "Remover link" },
  "resize_ec83d538": { "message": "Redimensionar" },
  "restore_auto_save_deccd84b": {
    "message": "Restaurar salvamento automático?"
  },
  "rich_content_editor_2708ef21": { "message": "Editor de conteúdo avançado" },
  "right_to_left_9cfb092a": { "message": "Direita à esquerda" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Infelizmente, o lindo editor de HTML não é acessível por teclado. Acesse o editor de HTML bruto aqui."
  },
  "save_11a80ec3": { "message": "Salvar" },
  "search_280d00bd": { "message": "Pesquisar" },
  "search_term_b2d2235": { "message": "Termo de pesquisa" },
  "select_crop_shape_d441feeb": { "message": "Selecionar a forma de corte" },
  "select_language_7c93a900": { "message": "Selecionar idioma" },
  "selected_274ce24f": { "message": "Selecionado" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Shift-O para abrir o lindo editor de html."
  },
  "show_audio_options_b489926b": { "message": "Mostrar opções de áudio" },
  "show_image_options_1e2ecc6b": { "message": "Exibir opções de imagem" },
  "show_link_options_545338fd": { "message": "Exibir opções de link" },
  "show_video_options_6ed3721a": { "message": "Exibir opções de vídeo" },
  "single_color_image_4e5d4dbc": { "message": "Imagem de cor única" },
  "size_b30e1077": { "message": "Tamanho" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "O tamanho do arquivo de legenda é maior do que o tamanho máximo de arquivo permitido em { max } kb."
  },
  "small_b070434a": { "message": "Pequena" },
  "something_went_wrong_89195131": { "message": "Algo deu errado." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Algo deu errado e não sei o que mostrar."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Algo deu errado, verifique sua conexão e tente novamente."
  },
  "something_went_wrong_d238c551": { "message": "Algo deu errado" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Algo deu errado, tente novamente após atualizar a página"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Algo deu errado ao carregar, verifique sua conexão e tente novamente."
  },
  "sort_by_e75f9e3e": { "message": "Ordenar por" },
  "square_511eb3b3": { "message": "Quadrado" },
  "square_unordered_list_b15ce93b": {
    "message": "Lista não ordenada quadrada"
  },
  "star_8d156e09": { "message": "Adicionar aos favoritos" },
  "styles_2aa721ef": { "message": "Estilos" },
  "submit_a3cc6859": { "message": "Enviar" },
  "subscript_59744f96": { "message": "Subscrito" },
  "superscript_8cb349a2": { "message": "Sobrescrito" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Tipos de arquivos suportados: SRT ou WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Mudar para o editor html"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Mudar para o rich text editor"
  },
  "syllabus_f191f65b": { "message": "Programa" },
  "tab_arrows_4cf5abfc": { "message": "TAB/Setas" },
  "text_7f4593da": { "message": "Texto" },
  "text_background_color_16e61c3f": { "message": "Cor de fundo do texto" },
  "text_color_acf75eb6": { "message": "Cor do texto" },
  "text_position_8df8c162": { "message": "Posição do texto" },
  "text_size_887c2f6": { "message": "Tamanho do texto" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "O material está no domínio público"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "O material está licenciado sob Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "O material está sujeito a uma exceção, por exemplo, uso justo, o direito de citar ou outros sob leis de direitos autorais"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "O lindo editor de html não é acessível por teclado. Pressione Shift+O para abrir o editor de HTML bruto."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Embora o seu vídeo tenha o título correto no navegador, falhamos em atualizá-lo no banco de dados."
  },
  "title_ee03d132": { "message": "Título" },
  "to_be_posted_when_d24bf7dc": { "message": "A ser postado: { when }" },
  "to_do_when_2783d78f": { "message": "Para fazer: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Alternar { summary } grupo" },
  "tools_2fcf772e": { "message": "Ferramentas" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } resultados encontrados, { numDisplayed } resultados atualmente exibidos"
  },
  "tray_839df38a": { "message": "Bandeja" },
  "triangle_6072304e": { "message": "Triângulo" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "digite Control F9 para acessar opções de imagem. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "digite Control F9 para acessar opções de link. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "digite Control F9 para acessar opções de tabela. { text }"
  },
  "unpublished_dfd8801": { "message": "não publicado" },
  "untitled_efdc2d7d": { "message": "sem título" },
  "upload_document_253f0478": { "message": "Carregar documento" },
  "upload_file_fd2361b8": { "message": "Carregar arquivo" },
  "upload_image_6120b609": { "message": "Carregar imagem" },
  "upload_media_ce31135a": { "message": "Fazer Upload de Mídia" },
  "upload_record_media_e4207d72": { "message": "Carregar/Gravar mídia" },
  "uploading_19e8a4e7": { "message": "Carregando" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Falha ao enviar closed captions/legendas."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "Lista ordenada alfabeticamente e letras maiúsculas"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "Lista ordenada numérica e romana com letras maiúsculas"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Direito de uso:" },
  "usage_rights_required_5fe4dd68": {
    "message": "Direitos de uso (obrigatório)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Use teclas de setas para navegar entre as opções."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Use as setas para selecionar uma forma."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Use as setas para selecionar um tamanho."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Use as setas para selecionar a posição do texto."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Use as setas para selecionar o tamanho do texto."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Use as setas para selecionar um tamanho de contorno."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Usado por leitores de tela para descrever o conteúdo de uma imagem"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Usado pelos leitores de tela para descrever o vídeo"
  },
  "user_documents_c206e61f": { "message": "Documentos do usuário" },
  "user_files_78e21703": { "message": "Arquivos do usuário" },
  "user_images_b6490852": { "message": "Imagens do usuário" },
  "user_media_14fbf656": { "message": "Mídia do usuário" },
  "video_options_24ef6e5d": { "message": "Opções de vídeo" },
  "video_options_tray_3b9809a5": { "message": "Bandeja de opções de vídeo" },
  "video_player_for_9e7d373b": { "message": "Reprodutor de vídeo para " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Reprodutor de vídeo para { title }"
  },
  "view_ba339f93": { "message": "Visualizar" },
  "view_description_30446afc": { "message": "Ver descrição" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Visualizar atalhos de teclado"
  },
  "view_predefined_colors_92f5db39": { "message": "Ver cores predefinidas" },
  "view_title_description_67940918": { "message": "Ver { title } descrição" },
  "width_492fec76": { "message": "Largura" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Largura e altura devem ser números"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Página inicial do wiki" },
  "yes_dde87d5": { "message": "Sim" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Você não pode carregar um arquivo vazio."
  },
  "zoom_in_image_bb97d4f": { "message": "Ampliar imagem" },
  "zoom_out_image_d0a0a2ec": { "message": "Reduzir imagem" }
}


formatMessage.addLocale({'pt-BR': locale})
