/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/ru'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Обращение к редактору HTML Pretty"
  },
  "accessibility_checker_b3af1f6c": { "message": "Контроллер доступности" },
  "add_8523c19b": { "message": "Добавить" },
  "add_another_f4e50d57": { "message": "Добавить другой" },
  "add_cc_subtitles_55f0394e": { "message": "Добавить копию/подзаголовки" },
  "add_image_60b2de07": { "message": "Добавить изображение" },
  "align_11050992": { "message": "Согласовать" },
  "align_center_ca078feb": { "message": "Выровнять по центру" },
  "align_left_e9f1f93b": { "message": "Выровнять по левому краю" },
  "align_right_9bad3ac1": { "message": "Выровнять по правому краю" },
  "alignment_and_lists_5cebcb69": { "message": "Согласование и списки" },
  "all_4321c3a1": { "message": "Все" },
  "all_apps_a50dea49": { "message": "Все приложения" },
  "alphabetical_55b5b4e0": { "message": "Буквенный" },
  "alt_text_611fb322": { "message": "Альтернативный текст" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Произошла ошибка при чтении файла"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Произошла ошибка, что привело к созданию сетевого запроса"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Произошла ошибка при отправке вашего мультимедиа."
  },
  "announcement_list_da155734": { "message": "Список объявлений" },
  "announcements_a4b8ed4a": { "message": "Объявления" },
  "apply_781a2546": { "message": "Применить" },
  "apps_54d24a47": { "message": "Приложения" },
  "arrows_464a3e54": { "message": "Стрелки" },
  "art_icon_8e1daad": { "message": "Значок искусства" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Соотношение сторон будет сохранено"
  },
  "assignments_1e02582c": { "message": "Задания" },
  "attributes_963ba262": { "message": "Атрибуты" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Аудио- и видеозапись не поддерживается; воспользуйтесь другим браузером."
  },
  "audio_options_feb58e2c": { "message": "Параметры звука" },
  "audio_options_tray_33a90711": {
    "message": "Панель настройки параметров звука"
  },
  "audio_player_for_title_20cc70d": { "message": "Аудиоплеер для { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Существует сохраненное в автоматическом режиме содержимое. Вы хотите загрузить сохраненное в автоматическом режиме содержимое?"
  },
  "available_folders_694d0436": { "message": "Доступные папки" },
  "basic_554cdc0a": { "message": "Основной" },
  "below_81d4dceb": { "message": "Ниже" },
  "bottom_third_5f5fec1d": { "message": "Нижняя треть" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 г. Acme Inc." },
  "cancel_caeb1e68": { "message": "Отменить" },
  "choose_caption_file_9c45bc4e": {
    "message": "Выберите файл подписи к изображению"
  },
  "choose_usage_rights_33683854": {
    "message": "Выбрать права на использование..."
  },
  "circle_484abe63": { "message": "Круг" },
  "circle_unordered_list_9e3a0763": {
    "message": "заключить неупорядоченный список в круг"
  },
  "clear_2084585f": { "message": "Очистить" },
  "clear_image_3213fe62": { "message": "Удалить изображение" },
  "clear_selected_file_82388e50": { "message": "Очистить выбранный файл" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Удалить выбранный файл: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Щелкнуть или щелкнуть с нажатием на клавишу shift, чтобы обратиться к редактору html."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Щелкните, чтобы внедрить { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Нажмите, чтобы скрыть предпросмотр"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Нажмите, чтобы вставить ссылку в редактор."
  },
  "click_to_show_preview_faa27051": {
    "message": "Нажмите, чтобы показать предпросмотр"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Закройте меню или диалог. Также возвращает вас в область редактора"
  },
  "close_d634289d": { "message": "Закрыть" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Размер закрытого файла субтитров должен быть меньше { maxKb } Кб"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Закрытые надписи/субтитры"
  },
  "collaborations_5c56c15f": { "message": "Совместная работа" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Свернуть, чтобы скрыть { types }"
  },
  "computer_1d7dfa6f": { "message": "Компьютер" },
  "content_1440204b": { "message": "Содержимое" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Выгрузка контента еще не завершена, в случае продолжения вами данного действия он не будет внедрен правильно."
  },
  "content_subtype_5ce35e88": { "message": "Подтип контента" },
  "content_type_2cf90d95": { "message": "Тип содержимого" },
  "copyright_holder_66ee111": { "message": "Правообладатель:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 слов}\n    one {1 слово}\n  other {# слов(-а)}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# элемент загружен}\n  other {# элементов (элемента) загружено}\n}"
  },
  "course_documents_104d76e0": { "message": "Документы курса" },
  "course_files_62deb8f8": { "message": "Файлы курса" },
  "course_files_a31f97fc": { "message": "Файлы курса" },
  "course_images_f8511d04": { "message": "Изображения курса" },
  "course_links_b56959b9": { "message": "Ссылки курса" },
  "course_media_ec759ad": { "message": "Мультимедиа курса" },
  "course_navigation_dd035109": { "message": "Навигация курса" },
  "creative_commons_license_725584ae": {
    "message": "Лицензионное соглашение Creative Commons:"
  },
  "crop_image_41bf940c": { "message": "Обрезать изображение" },
  "crop_image_807ebb08": { "message": "Обрезать изображение" },
  "current_image_f16c249c": { "message": "Текущее изображение" },
  "custom_6979cd81": { "message": "Пользовательская" },
  "date_added_ed5ad465": { "message": "Дата добавления" },
  "decorative_image_3c28aa7d": { "message": "Декоративное изображение" },
  "decrease_indent_de6343ab": { "message": "Уменьшить отступ" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "маркированный неупорядоченный список по умолчанию"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "нумерованный упорядоченный список по умолчанию"
  },
  "delimiters_4db4840d": { "message": "Разделители" },
  "describe_the_image_e65d2e32": { "message": "(Опишите изображение)" },
  "describe_the_video_2fe8f46a": { "message": "(опишите видео)" },
  "details_98a31b68": { "message": "Подробные сведения" },
  "diamond_b8dfe7ae": { "message": "Ромб" },
  "dimension_type_55c83e4e": { "message": "Тип измерения" },
  "dimensions_45ddb7b7": { "message": "Размеры" },
  "directionality_26ae9e08": { "message": "Направленность" },
  "directly_edit_latex_b7e9235b": {
    "message": "Непосредственно редактирование LaTeX"
  },
  "discussions_a5f96392": { "message": "Обсуждения" },
  "discussions_index_6c36ced": { "message": "Индекс обсуждений" },
  "display_options_315aba85": { "message": "Опции отображения" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Показать текстовую ссылку (открывается в новой вкладке)"
  },
  "document_678cd7bf": { "message": "Документ" },
  "documents_81393201": { "message": "Документы" },
  "done_54e3d4b6": { "message": "Готово" },
  "drag_a_file_here_1bf656d5": { "message": "Перетащите файл сюда" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Перетащите или щелкните, чтобы просмотреть свой компьютер"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Перетаскивание. Используйте стрелки вверх и вниз для изменения размера"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Срок: Несколько дат" },
  "due_when_7eed10c6": { "message": "Срок: { when }" },
  "edit_c5fbea07": { "message": "Редактировать" },
  "edit_equation_f5279959": { "message": "Редактировать уравнение" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Редактировать существующую кнопку / значок"
  },
  "edit_link_7f53bebb": { "message": "Редактировать ссылку" },
  "editor_statusbar_26ac81fc": { "message": "Панель состояния редактора" },
  "embed_828fac4a": { "message": "Вставить" },
  "embed_code_314f1bd5": { "message": "Внедрить код" },
  "embed_image_1080badc": { "message": "Вставить изображение" },
  "embed_video_a97a64af": { "message": "Вставить видео" },
  "embedded_content_aaeb4d3d": { "message": "интегрированный контент" },
  "engineering_icon_f8f3cf43": { "message": "Значок техники" },
  "english_icon_25bfe845": { "message": "Английский значок" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Введите не менее 3 знаков для поиска"
  },
  "equation_1c5ac93c": { "message": "Формула" },
  "equation_editor_39fbc3f1": { "message": "Редактор уравнений" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Разворачивать при предварительном просмотре по умолчанию"
  },
  "expand_to_see_types_f5d29352": {
    "message": "Развернуть для просмотра { types }"
  },
  "external_links_3d9f074e": { "message": "Внешние ссылки" },
  "external_tools_6e77821": { "message": "Внешние инструменты" },
  "extra_large_b6cdf1ff": { "message": "Очень крупный" },
  "extra_small_9ae33252": { "message": "Очень мелкое изображение" },
  "extracurricular_icon_67c8ca42": {
    "message": "Значок факультативных дисциплин"
  },
  "file_url_c12b64be": { "message": "URL файла" },
  "filename_file_icon_602eb5de": { "message": "иконка файла { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "Предварительный просмотр изображения { filename }"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "Предварительный просмотр текста { filename }"
  },
  "files_c300e900": { "message": "Файлы" },
  "files_index_af7c662b": { "message": "Индекс файлов" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Рассмотрение панели инструментов опций элементов"
  },
  "folder_tree_fbab0726": { "message": "Структура папки" },
  "format_4247a9c5": { "message": "Формат" },
  "formatting_5b143aa8": { "message": "Форматирование" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Найдено сохраненное в автоматическом режиме содержимое"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Найдено { count, plural,\n     =0 {# результата(-ов)}\n    one {# результат}\n  other {# результата(-ов)}\n}"
  },
  "fullscreen_873bf53f": { "message": "На весь экран" },
  "generating_preview_45b53be0": {
    "message": "Создание предварительного просмотра"
  },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Перейти в строку меню редактора"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Перейти в панель инструментов редактора"
  },
  "grades_a61eba0a": { "message": "Оценки" },
  "greek_65c5b3f7": { "message": "Греческий" },
  "group_documents_8bfd6ae6": { "message": "Документы группы" },
  "group_files_4324f3df": { "message": "Файлы группы" },
  "group_files_82e5dcdb": { "message": "Файлы группы" },
  "group_images_98e0ac17": { "message": "Изображения группы" },
  "group_links_9493129e": { "message": "Групповые ссылки" },
  "group_media_2f3d128a": { "message": "Медиа группы" },
  "group_navigation_99f191a": { "message": "Навигация группы" },
  "heading_2_5b84eed2": { "message": "Заголовок 2" },
  "heading_3_2c83de44": { "message": "Заголовок 3" },
  "heading_4_b2e74be7": { "message": "Заголовок 4" },
  "health_icon_8d292eb5": { "message": "Значок здоровья" },
  "height_69b03e15": { "message": "Высота" },
  "hexagon_d8468e0d": { "message": "Шестиугольник" },
  "hide_description_bfb5502e": { "message": "Скрыть описание" },
  "hide_title_description_caf092ef": { "message": "Скрыть описание { title }" },
  "home_351838cd": { "message": "Начальная страница" },
  "html_code_editor_fd967a44": { "message": "Редактор кода html" },
  "html_editor_fb2ab713": { "message": "Редактор HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Разрешение на использование данного файла получено."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Я являюсь правообладателем" },
  "icon_color_b86dd6d6": { "message": "Цвет значка" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Если вы не выберете права пользования сейчас, этот файл не будет опубликован после отправки."
  },
  "image_8ad06": { "message": "Изображение" },
  "image_options_5412d02c": { "message": "Опции изображения" },
  "image_options_tray_90a46006": { "message": "Лоток опций изображения" },
  "image_to_crop_3a34487d": { "message": "Обрезаемое изображение" },
  "images_7ce26570": { "message": "Изображения" },
  "increase_indent_6d550a4a": { "message": "Увеличить отступ" },
  "insert_593145ef": { "message": "Вставить" },
  "insert_equella_links_49a8dacd": { "message": "Вставить ссылки на Equella" },
  "insert_link_6dc23cae": { "message": "Вставить ссылку" },
  "insert_math_equation_57c6e767": {
    "message": "Вставить математическое уравнение"
  },
  "invalid_file_c11ba11": { "message": "Неверный файл" },
  "invalid_file_type_881cc9b2": { "message": "Неверный тип файла" },
  "invalid_url_cbde79f": { "message": "Неверный URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Клавиши быстрого доступа" },
  "language_arts_icon_a798b0f8": { "message": "Значок языковых дисциплин" },
  "languages_icon_9d20539": { "message": "Значок языков" },
  "large_9c5e80e7": { "message": "Большой" },
  "left_to_right_e9b4fd06": { "message": "Слева направо" },
  "library_icon_ae1e54cf": { "message": "Значок библиотеки" },
  "link_7262adec": { "message": "Ссылка" },
  "link_options_a16b758b": { "message": "Параметры ссылки" },
  "links_14b70841": { "message": "Ссылки" },
  "load_more_35d33c7": { "message": "Загрузить еще" },
  "load_more_results_460f49a9": { "message": "Загрузить больше результатов" },
  "loading_25990131": { "message": "Выполняется загрузка..." },
  "loading_bde52856": { "message": "Загрузка" },
  "loading_failed_b3524381": {
    "message": "Загрузка завершилась безрезультатно..."
  },
  "loading_failed_e6a9d8ef": { "message": "Сбой загрузки." },
  "loading_folders_d8b5869e": { "message": "Загрузка папок" },
  "loading_please_wait_d276220a": {
    "message": "Выполняется загрузка, подождите..."
  },
  "loading_preview_9f077aa1": { "message": "Загрузка предпросмотра" },
  "locked_762f138b": { "message": "Заблокировано" },
  "math_icon_ad4e9d03": { "message": "Значок математики" },
  "media_af190855": { "message": "Мультимедиа" },
  "medium_5a8e9ead": { "message": "Средний" },
  "middle_27dc1d5": { "message": "Середина" },
  "misc_3b692ea7": { "message": "Различное" },
  "miscellaneous_e9818229": { "message": "Разное" },
  "modules_c4325335": { "message": "Модули" },
  "multi_color_image_63d7372f": { "message": "Многоцветное изображение" },
  "music_icon_4db5c972": { "message": "Значок музыки" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Должен быть как минимум { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Должно быть как минимум { width } x { height }пикселов"
  },
  "my_files_2f621040": { "message": "Мои файлы" },
  "name_1aed4a1b": { "message": "Имя" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Навигация в меню или панели инструментов"
  },
  "next_page_d2a39853": { "message": "Следующая страница" },
  "no_e16d9132": { "message": "Нет" },
  "no_file_chosen_9a880793": { "message": "Не выбран ни один файл" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Предварительный просмотр для этого файла невозможен."
  },
  "no_results_940393cf": { "message": "Нет результатов." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Не найдены результаты для { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Не найдены результаты для { term }."
  },
  "none_3b5e34d2": { "message": "Нет" },
  "none_selected_b93d56d2": { "message": "Нет выбранных элементов" },
  "octagon_e48be9f": { "message": "Восьмиугольник" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Открыть этот диалог комбинаций клавиш"
  },
  "open_title_application_fd624fc5": {
    "message": "Открыть приложение { title }"
  },
  "operators_a2ef9a93": { "message": "Операторы" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Упорядоченные и неупорядоченные списки"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Другие ярлыки редактора можно найти на"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } — недействительный протокол. Это должен быть ftp, http, https, mailto, skype, tel или может не указываться"
  },
  "pages_e5414c2c": { "message": "Страницы" },
  "paragraph_5e5ad8eb": { "message": "Параграф" },
  "pentagon_17d82ea3": { "message": "Пятиугольник" },
  "people_b4ebb13c": { "message": "Люди" },
  "percentage_34ab7c2c": { "message": "Процент" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Процентное значение должно быть указано в виде числа"
  },
  "performing_arts_icon_f3497486": {
    "message": "Значок исполнительских видов искусства"
  },
  "physical_education_icon_d7dffd3e": { "message": "Значок физкультуры" },
  "pixels_52ece7d1": { "message": "Пиксели" },
  "posted_when_a578f5ab": { "message": "Размещено: { when }" },
  "preformatted_d0670862": { "message": "Предварительно форматированный" },
  "pretty_html_editor_28748756": { "message": "Редактор Pretty HTML" },
  "preview_53003fd2": { "message": "Предпросмотр" },
  "preview_in_overlay_ed772c46": {
    "message": "Предварительный просмотр в наложении"
  },
  "preview_inline_9787330": {
    "message": "Предварительный просмотр в сетевом режиме"
  },
  "previous_page_928fc112": { "message": "Предыдущая страница" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Протокол должен быть ftp, http, https, mailto, skype, tel или может не указываться"
  },
  "published_c944a23d": { "message": "опубликовано" },
  "published_when_302d8e23": { "message": "Опубликовано: { when }" },
  "quizzes_7e598f57": { "message": "Тесты" },
  "raw_html_editor_e3993e41": { "message": "Редактор Raw HTML" },
  "record_7c9448b": { "message": "Запись" },
  "record_upload_media_5fdce166": {
    "message": "Записать / загрузить мультимедиа"
  },
  "relationships_6602af70": { "message": "Отношения" },
  "religion_icon_246e0be1": { "message": "Значок религии" },
  "remove_link_d1f2f4d0": { "message": "Удалить ссылку" },
  "resize_ec83d538": { "message": "Изменить размер" },
  "restore_auto_save_deccd84b": { "message": "Восстановить автосохранение?" },
  "rich_content_editor_2708ef21": {
    "message": "Редактор форматированного текста"
  },
  "right_to_left_9cfb092a": { "message": "Справа налево" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "К сожалению, возможность доступа к редактору Pretty HTML с клавиатуры отсутствует. Обратитесь к редактору Raw HTML здесь."
  },
  "save_11a80ec3": { "message": "Сохранить" },
  "search_280d00bd": { "message": "Поиск" },
  "search_term_b2d2235": { "message": "критерий поиска" },
  "select_crop_shape_d441feeb": { "message": "Выберите обрезку формы" },
  "select_language_7c93a900": { "message": "Выбрать язык" },
  "selected_274ce24f": { "message": "Выбрано" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Нажать Shift-O, чтобы открыть редактор Pretty HTML."
  },
  "show_audio_options_b489926b": { "message": "Показать параметры звука" },
  "show_image_options_1e2ecc6b": { "message": "Показать варианты изображения" },
  "show_link_options_545338fd": { "message": "Показать параметры ссылки" },
  "show_video_options_6ed3721a": { "message": "Показать параметры видео" },
  "single_color_image_4e5d4dbc": { "message": "Одноцветное изображение" },
  "size_b30e1077": { "message": "Размер" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Размер файла субтитров больше допустимого максимального размера в { max } Кб."
  },
  "small_b070434a": { "message": "Маленький" },
  "something_went_wrong_89195131": { "message": "Возникла проблема." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Что-то пошло не так, и я не знаю, что вам показать."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Что-то пошло не так, проверьте подключение и попробуйте еще раз."
  },
  "something_went_wrong_d238c551": { "message": "Что-то пошло не так" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Что-то пошло не так, обновите страницу и попробуйте еще раз"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Что пошло не так при загрузке, проверьте подключение и попробуйте еще раз."
  },
  "sort_by_e75f9e3e": { "message": "Сортировать по" },
  "square_511eb3b3": { "message": "Квадрат" },
  "square_unordered_list_b15ce93b": {
    "message": "заключить неупорядоченный список в квадрат"
  },
  "star_8d156e09": { "message": "Звезда" },
  "styles_2aa721ef": { "message": "Стили" },
  "submit_a3cc6859": { "message": "Отправить" },
  "subscript_59744f96": { "message": "Надпись снизу" },
  "superscript_8cb349a2": { "message": "Надпись сверху" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Поддерживаемые типы файлов: SRT или WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Перейти в редактор html"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Перейти в редактор форматированного текста"
  },
  "syllabus_f191f65b": { "message": "Содержание курса" },
  "tab_arrows_4cf5abfc": { "message": "TAB/Стрелки" },
  "text_7f4593da": { "message": "Текст" },
  "text_background_color_16e61c3f": { "message": "Цвет фона текста" },
  "text_color_acf75eb6": { "message": "Цвет текста" },
  "text_position_8df8c162": { "message": "Положение текста" },
  "text_size_887c2f6": { "message": "Размер текста" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Материал находится в общедоступном домене"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Материал распространяется по лицензии Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Материал подпадает под действие правовой оговорки - например, касательно добросовестного использования, права цитирования или иной правовой оговорки согласно действующему законодательству об авторских правах"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Возможность доступа к редактору Pretty HTML с клавиатуры отсутствует. Нажать Shift-O, чтобы открыть редактор Raw HTML."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Хотя у вашего видео правильный заголовок в браузере, нам не удалось обновить его в базе данных."
  },
  "title_ee03d132": { "message": "Заголовок" },
  "to_be_posted_when_d24bf7dc": { "message": "Для размещения: { when }" },
  "to_do_when_2783d78f": { "message": "Задачи: { when }" },
  "toggle_summary_group_413df9ac": {
    "message": "Переключиться на группу { summary }"
  },
  "tools_2fcf772e": { "message": "Инструменты" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } результатов найдено, { numDisplayed } результатов отображается в данный момент"
  },
  "tray_839df38a": { "message": "Лоток" },
  "triangle_6072304e": { "message": "Треугольник" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "Наберите Control F9 для доступа к опциям изображения. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "Наберите Control F9 для доступа к опциям ссылки. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "Наберите Control F9 для доступа к опциям таблицы. { text }"
  },
  "unpublished_dfd8801": { "message": "не опубликовано" },
  "untitled_efdc2d7d": { "message": "без названия" },
  "upload_document_253f0478": { "message": "Загрузить документ" },
  "upload_file_fd2361b8": { "message": "Загрузить файл" },
  "upload_image_6120b609": { "message": "Загрузить изображение" },
  "upload_media_ce31135a": { "message": "Загрузить медиа" },
  "upload_record_media_e4207d72": { "message": "Загрузить/записать медиа" },
  "uploading_19e8a4e7": { "message": "Загрузка" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Загрузить закрытые надписи/субтитры не удалось."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "упорядоченный алфавитный список в верхнем регистре"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "нумерованный упорядоченный список в верхнем регистре, шрифт Roman"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Право на использование:" },
  "usage_rights_required_5fe4dd68": {
    "message": "Права на использование (обязательно)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Используйте клавиши со стрелками для навигации по параметрам."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Используйте клавиши со стрелками для выбора формы."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Используйте клавиши со стрелками для выбора размера."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Используйте клавиши со стрелками для выбора положения текста."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Используйте клавиши со стрелками для выбора размера текста."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Используйте клавиши со стрелками для выбора размера контура."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Используется скринридерами для описания контента изображения"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Используется скринридерами для описания видео"
  },
  "user_documents_c206e61f": { "message": "Документы пользователя" },
  "user_files_78e21703": { "message": "Файлы пользователя" },
  "user_images_b6490852": { "message": "Изображения пользователя" },
  "user_media_14fbf656": { "message": "Пользовательское мультимедиа" },
  "video_options_24ef6e5d": { "message": "Параметры видео" },
  "video_options_tray_3b9809a5": { "message": "Лоток параметров видео" },
  "video_player_for_9e7d373b": { "message": "Видеоплеер для " },
  "video_player_for_title_ffd9fbc4": { "message": "Видеоплеер для { title }" },
  "view_ba339f93": { "message": "Просмотр" },
  "view_description_30446afc": { "message": "Просмотреть описание" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Показать клавиши быстрого доступа"
  },
  "view_predefined_colors_92f5db39": {
    "message": "Просмотреть заранее определенные цвета"
  },
  "view_title_description_67940918": {
    "message": "Просмотреть описание { title }"
  },
  "width_492fec76": { "message": "Ширина" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Ширина и высоты должны выражаться числами"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }пикселов" },
  "wiki_home_9cd54d0": { "message": "Домашняя страница вики" },
  "yes_dde87d5": { "message": "Да" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Вы не можете отправить пустой файл."
  },
  "zoom_in_image_bb97d4f": { "message": "Увеличение изображения" },
  "zoom_out_image_d0a0a2ec": { "message": "Уменьшить изображение" }
}


formatMessage.addLocale({ru: locale})
