/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/sl'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Dostop do urejevalnika Pretty HTML Editor"
  },
  "accessibility_checker_b3af1f6c": {
    "message": "Orodje za preverjanje dostopnosti"
  },
  "add_8523c19b": { "message": "Dodaj" },
  "add_another_f4e50d57": { "message": "Dodaj dodatno" },
  "add_cc_subtitles_55f0394e": { "message": "Dodaj Kp/podnaslov" },
  "add_image_60b2de07": { "message": "Dodaj sliko" },
  "align_11050992": { "message": "Poravnaj" },
  "align_center_ca078feb": { "message": "Poravnaj na sredino" },
  "align_left_e9f1f93b": { "message": "Poravnaj levo" },
  "align_right_9bad3ac1": { "message": "Poravnaj desno" },
  "alignment_and_lists_5cebcb69": { "message": "Poravnava in seznami" },
  "all_4321c3a1": { "message": "Vse" },
  "all_apps_a50dea49": { "message": "Vse aplikacije" },
  "alphabetical_55b5b4e0": { "message": "Abecedno" },
  "alt_text_611fb322": { "message": "Nadomestno besedilo" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Pri branju datoteke je prišlo do napake"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Med podajanjem omrežne zahteve je prišlo do napake."
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Pri nalaganju medija je prišlo do napake."
  },
  "announcement_list_da155734": { "message": "Seznam obvestil" },
  "announcements_a4b8ed4a": { "message": "Obvestila" },
  "apply_781a2546": { "message": "Uporabi" },
  "apps_54d24a47": { "message": "Aplikacije" },
  "arrows_464a3e54": { "message": "Puščice" },
  "art_icon_8e1daad": { "message": "Ikona umetnosti" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Razmerje med širino in višino bo ohranjeno."
  },
  "assignments_1e02582c": { "message": "Naloge:" },
  "attributes_963ba262": { "message": "Lastnosti" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Snemanje zvoka in videoposnetkov ni podprto; uporabite drug brskalnik."
  },
  "audio_options_feb58e2c": { "message": "Možnosti zvoka" },
  "audio_options_tray_33a90711": { "message": "Trak z možnostmi zvoka" },
  "audio_player_for_title_20cc70d": {
    "message": "Predvajalnik zvoka za { title }"
  },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Obstaja samodejno shranjena vsebina. Ali želite namesto tega naložiti samodejno shranjeno vsebino?"
  },
  "available_folders_694d0436": { "message": "Razpoložljive mape" },
  "basic_554cdc0a": { "message": "Osnovno" },
  "below_81d4dceb": { "message": "Spodaj" },
  "bottom_third_5f5fec1d": { "message": "Tretja spodaj" },
  "c_2001_acme_inc_283f7f80": {
    "message": "Avtorske pravice (c) 2001 Acme Inc."
  },
  "cancel_caeb1e68": { "message": "Prekliči" },
  "choose_caption_file_9c45bc4e": {
    "message": "Izberite datoteko spremnega besedila"
  },
  "choose_usage_rights_33683854": { "message": "Izberi pravice uporabe ..." },
  "circle_484abe63": { "message": "Krog" },
  "circle_unordered_list_9e3a0763": {
    "message": "nerazvrščeni seznam s krogi"
  },
  "clear_2084585f": { "message": "Počisti" },
  "clear_image_3213fe62": { "message": "Jasna slika" },
  "clear_selected_file_82388e50": { "message": "Počisti izbrano datoteko." },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Počisti izbrano datoteko: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Za urejevalnik html kliknite ali kliknite med pritiskanjem tipke Shift."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Kliknite, da vdelate { imageName }."
  },
  "click_to_hide_preview_3c707763": {
    "message": "Kliknite, da skrijete predogled"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Kliknite, da vstavite povezavo v urejevalnik."
  },
  "click_to_show_preview_faa27051": {
    "message": "Kliknite, da prikažete predogled"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Zapri meni ali pogovorno okno Prav tako vas vrne v območje urejevalnika"
  },
  "close_d634289d": { "message": "Zapri" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Datoteka z razširjenimi podnapisi mora biti manjša od { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": {
    "message": "Razširjeni podnapisi/podnapisi"
  },
  "collaborations_5c56c15f": { "message": "Skupinske naloge" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Strni za skrivanje { types }"
  },
  "computer_1d7dfa6f": { "message": "Računalnik" },
  "content_1440204b": { "message": "Vsebina" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Vsebina se še vedno nalaga. Če nadaljujete, ne bo pravilno vdelana."
  },
  "content_subtype_5ce35e88": { "message": "Podvrsta vsebine" },
  "content_type_2cf90d95": { "message": "Vrsta vsebine" },
  "copyright_holder_66ee111": { "message": "Lastnik avtorskih pravic:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 besed}\n    one {1 beseda}\n  other {# besede}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# elementov je naloženih}\n  other {# elementi so naloženi}\n}"
  },
  "course_documents_104d76e0": { "message": "Dokumenti predmeta" },
  "course_files_62deb8f8": { "message": "Datoteke predmeta" },
  "course_files_a31f97fc": { "message": "Datoteke predmeta" },
  "course_images_f8511d04": { "message": "Slike predmeta" },
  "course_links_b56959b9": { "message": "Povezave predmeta" },
  "course_media_ec759ad": { "message": "Mediji predmeta" },
  "course_navigation_dd035109": { "message": "Navigacija po predmetu" },
  "creative_commons_license_725584ae": {
    "message": "Licenca Creative Commons:"
  },
  "crop_image_41bf940c": { "message": "Obreži sliko" },
  "crop_image_807ebb08": { "message": "Obreži sliko" },
  "current_image_f16c249c": { "message": "Trenutna slika" },
  "custom_6979cd81": { "message": "Po meri" },
  "date_added_ed5ad465": { "message": "Datum dodajanja" },
  "decorative_image_3c28aa7d": { "message": "Dekorativna slika" },
  "decrease_indent_de6343ab": { "message": "Povečaj zamik" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "privzeti neurejeni seznam z alinejami"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "privzeti številčno urejeni seznam"
  },
  "delimiters_4db4840d": { "message": "Ločila" },
  "describe_the_image_e65d2e32": { "message": "(Opiši sliko)" },
  "describe_the_video_2fe8f46a": { "message": "(Opišite videoposnetek)" },
  "details_98a31b68": { "message": "Podrobnosti" },
  "diamond_b8dfe7ae": { "message": "Diamant" },
  "dimension_type_55c83e4e": { "message": "Vrsta mere" },
  "dimensions_45ddb7b7": { "message": "Mere" },
  "directionality_26ae9e08": { "message": "Usmerjenost" },
  "directly_edit_latex_b7e9235b": { "message": "Neposredno urejanje LaTeX" },
  "discussions_a5f96392": { "message": "Razprave" },
  "discussions_index_6c36ced": { "message": "Kazalo razprav" },
  "display_options_315aba85": { "message": "Prikaz možnosti" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Prikaži besedilno povezavo (se odpre v novem zavihku)"
  },
  "document_678cd7bf": { "message": "Dokument" },
  "documents_81393201": { "message": "Dokumenti" },
  "done_54e3d4b6": { "message": "Dokončano" },
  "drag_a_file_here_1bf656d5": { "message": "Datoteko povlecite sem" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Za brskanje po računalniku povlecite in spustite ali kliknite"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Ravnanje ob vlečenju. Za spremembo velikosti uporabite puščici gor in dol"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Roki: Več datumov" },
  "due_when_7eed10c6": { "message": "Roki: { when }" },
  "edit_c5fbea07": { "message": "Uredi" },
  "edit_equation_f5279959": { "message": "Uredi enačbo" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Uredi obstoječi gumb/ikono"
  },
  "edit_link_7f53bebb": { "message": "Uredi povezavo" },
  "editor_statusbar_26ac81fc": { "message": "Vrstica stanja urejevalnika" },
  "embed_828fac4a": { "message": "Vdelaj" },
  "embed_code_314f1bd5": { "message": "Vdelaj kodo" },
  "embed_image_1080badc": { "message": "Vdelaj sliko" },
  "embed_video_a97a64af": { "message": "Vdelajte videoposnetek" },
  "embedded_content_aaeb4d3d": { "message": "vdelano vsebino" },
  "engineering_icon_f8f3cf43": { "message": "Ikona inženirstva" },
  "english_icon_25bfe845": { "message": "Angleška ikona" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Za iskanje vnesite vsaj 3 znake"
  },
  "equation_1c5ac93c": { "message": "Enačba" },
  "equation_editor_39fbc3f1": { "message": "Urejevalnik enačb" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Privzeto razširi predogled"
  },
  "expand_to_see_types_f5d29352": { "message": "Razširi za prikaz { types }" },
  "external_links_3d9f074e": { "message": "Zunanje povezave" },
  "external_tools_6e77821": { "message": "Zunanja orodja" },
  "extra_large_b6cdf1ff": { "message": "Zelo veliko" },
  "extra_small_9ae33252": { "message": "Zelo majhen" },
  "extracurricular_icon_67c8ca42": { "message": "Zunajštudijska ikona" },
  "file_url_c12b64be": { "message": "URL datoteke" },
  "filename_file_icon_602eb5de": { "message": "Ikona datoteke { filename }" },
  "filename_image_preview_6cef8f26": {
    "message": "Predogled slike { filename }"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "Predogled besedila { filename }"
  },
  "files_c300e900": { "message": "Datoteke" },
  "files_index_af7c662b": { "message": "Kazalo datotek" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Orodna vrstica za izostritev možnosti elementov"
  },
  "folder_tree_fbab0726": { "message": "Drevo map" },
  "format_4247a9c5": { "message": "Oblika zapisa" },
  "formatting_5b143aa8": { "message": "Oblikovanje" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Našli smo samodejno shranjeno vsebina"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Najdeno (najden) je { count, plural,\n     =0 {# rezultatov}\n    one {# rezultat }\n  other {# rezultatov}\n}"
  },
  "fullscreen_873bf53f": { "message": "Celoten zaslon" },
  "generating_preview_45b53be0": { "message": "Generiranje predogleda ..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Pojdi v menijsko vrstico urejevalnika"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Pojdi orodno vrstico urejevalnika"
  },
  "grades_a61eba0a": { "message": "Ocene" },
  "greek_65c5b3f7": { "message": "grške" },
  "group_documents_8bfd6ae6": { "message": "Dokumenti skupine" },
  "group_files_4324f3df": { "message": "Datoteke skupine" },
  "group_files_82e5dcdb": { "message": "Datoteke skupine" },
  "group_images_98e0ac17": { "message": "Slike skupine" },
  "group_links_9493129e": { "message": "Povezave do skupin" },
  "group_media_2f3d128a": { "message": "Mediji skupine" },
  "group_navigation_99f191a": { "message": "Navigacija po skupini" },
  "heading_2_5b84eed2": { "message": "Glava 2" },
  "heading_3_2c83de44": { "message": "Glava 3" },
  "heading_4_b2e74be7": { "message": "Glava 4" },
  "health_icon_8d292eb5": { "message": "Ikona zdravstva" },
  "height_69b03e15": { "message": "Višina" },
  "hexagon_d8468e0d": { "message": "Šesterokotnik" },
  "hide_description_bfb5502e": { "message": "Skrij opis" },
  "hide_title_description_caf092ef": { "message": "Skrij opis { title }" },
  "home_351838cd": { "message": "Glavna stran" },
  "html_code_editor_fd967a44": { "message": "urejevalnik kode html" },
  "html_editor_fb2ab713": { "message": "Urejevalnik HTML" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Pridobil sem dovoljenje za uporabo te datoteke."
  },
  "i_hold_the_copyright_71ee91b1": { "message": "Imam avtorske pravice." },
  "icon_color_b86dd6d6": { "message": "Barva ikone" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Če ne izberete pravic uporabe zdaj, ta datoteka po nalaganju ne bo objavljena."
  },
  "image_8ad06": { "message": "Slika" },
  "image_options_5412d02c": { "message": "Možnosti slike" },
  "image_options_tray_90a46006": { "message": "Vrstica z možnostmi slike" },
  "image_to_crop_3a34487d": { "message": "Slika za obrezovanje" },
  "images_7ce26570": { "message": "Slike" },
  "increase_indent_6d550a4a": { "message": "Povečaj zamik" },
  "insert_593145ef": { "message": "Vstavi" },
  "insert_equella_links_49a8dacd": {
    "message": "Vstavi povezave storitve EQUELLA"
  },
  "insert_link_6dc23cae": { "message": "Vstavi povezavo" },
  "insert_math_equation_57c6e767": { "message": "Vstavi matematično enačbo" },
  "invalid_file_c11ba11": { "message": "Neveljavna datoteka" },
  "invalid_file_type_881cc9b2": { "message": "Neveljavna vrsta datoteke" },
  "invalid_url_cbde79f": { "message": "Neveljaven naslov URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Bližnjice" },
  "language_arts_icon_a798b0f8": { "message": "Ikona za jezikovni predmet" },
  "languages_icon_9d20539": { "message": "Ikona za jezike" },
  "large_9c5e80e7": { "message": "Velika" },
  "left_to_right_e9b4fd06": { "message": "Od leve proti desni" },
  "library_icon_ae1e54cf": { "message": "Ikona knjižnice" },
  "link_7262adec": { "message": "Povezava" },
  "link_options_a16b758b": { "message": "Možnosti povezave" },
  "links_14b70841": { "message": "Povezave" },
  "load_more_35d33c7": { "message": "Naloži več" },
  "load_more_results_460f49a9": { "message": "Naloži več rezultatov" },
  "loading_25990131": { "message": "Nalaganje ..." },
  "loading_bde52856": { "message": "Nalaganje" },
  "loading_failed_b3524381": { "message": "Nalaganje ni uspelo ..." },
  "loading_failed_e6a9d8ef": { "message": "Nalaganje ni uspelo." },
  "loading_folders_d8b5869e": { "message": "Nalaganje map" },
  "loading_please_wait_d276220a": { "message": "Nalaganje, počakajte" },
  "loading_preview_9f077aa1": { "message": "Nalagam predogled" },
  "locked_762f138b": { "message": "Zaklenjeno" },
  "math_icon_ad4e9d03": { "message": "Ikona matematike" },
  "media_af190855": { "message": "Mediji" },
  "medium_5a8e9ead": { "message": "Srednja" },
  "middle_27dc1d5": { "message": "Sredina" },
  "misc_3b692ea7": { "message": "Razno" },
  "miscellaneous_e9818229": { "message": "Drugo" },
  "modules_c4325335": { "message": "Moduli" },
  "multi_color_image_63d7372f": { "message": "Večbarvna slika" },
  "music_icon_4db5c972": { "message": "Ikona glasbe" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Mora biti vsaj { percentage }%."
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Mora biti vsaj { width } x { height } px."
  },
  "my_files_2f621040": { "message": "Moje datoteke" },
  "name_1aed4a1b": { "message": "Ime" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navigirajte skozi meni ali orodno vrstico"
  },
  "next_page_d2a39853": { "message": "Naslednja stran" },
  "no_e16d9132": { "message": "Ne" },
  "no_file_chosen_9a880793": { "message": "Izbrana ni nobena datoteka" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Za to datoteko predogled ni na voljo."
  },
  "no_results_940393cf": { "message": "Ni rezultatov." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Ni najdenih rezultatov za { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Ni najdenih rezultatov za { term }."
  },
  "none_3b5e34d2": { "message": "Brez" },
  "none_selected_b93d56d2": { "message": "Nobena ni izbrana" },
  "octagon_e48be9f": { "message": "Osmerokotnik" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Odpri to pogovorno okno z bližnjicami"
  },
  "open_title_application_fd624fc5": {
    "message": "Odpri aplikacijo { title }"
  },
  "operators_a2ef9a93": { "message": "Upravljavci" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Urejeni in neurejeni seznami"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Druge bližnjice urejevalnika je mogoče najti na"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } ni veljaven protokol; ta mora biti ftp, http, https, mailto, skype, tel ali pa ga izpustite"
  },
  "pages_e5414c2c": { "message": "Strani" },
  "paragraph_5e5ad8eb": { "message": "Odstavek" },
  "pentagon_17d82ea3": { "message": "Peterokotnik" },
  "people_b4ebb13c": { "message": "Sodelujoči" },
  "percentage_34ab7c2c": { "message": "Odstotek" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Odstotek mora biti številka"
  },
  "performing_arts_icon_f3497486": { "message": "Ikona odrskih umetnosti" },
  "physical_education_icon_d7dffd3e": { "message": "Ikona športne vzgoje" },
  "pixels_52ece7d1": { "message": "Slikovne pike" },
  "posted_when_a578f5ab": { "message": "Objavljeno: { when }" },
  "preformatted_d0670862": { "message": "Predoblikovano" },
  "pretty_html_editor_28748756": {
    "message": "Urejevalnik Pretty HTML Editor"
  },
  "preview_53003fd2": { "message": "Predogled" },
  "preview_in_overlay_ed772c46": {
    "message": "Predogled v prekrivnem elementu"
  },
  "preview_inline_9787330": { "message": "Vstavljen predogled" },
  "previous_page_928fc112": { "message": "Prejšnja stran" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protokol mora biti ftp, http, https, mailto, skype, tel ali pa ga izpustite"
  },
  "published_c944a23d": { "message": "objavljeno" },
  "published_when_302d8e23": { "message": "Objavljeno: { when }" },
  "quizzes_7e598f57": { "message": "Kvizi" },
  "raw_html_editor_e3993e41": { "message": "Urejevalnik surovega HTML" },
  "record_7c9448b": { "message": "Posnemi" },
  "record_upload_media_5fdce166": { "message": "Posnemi/naloži medije" },
  "relationships_6602af70": { "message": "Razmerja" },
  "religion_icon_246e0be1": { "message": "Ikona religije" },
  "remove_link_d1f2f4d0": { "message": "Odstrani povezavo" },
  "resize_ec83d538": { "message": "Spremeni velikost" },
  "restore_auto_save_deccd84b": {
    "message": "Obnovim samodejno shranjeno vsebino?"
  },
  "rich_content_editor_2708ef21": { "message": "Urejevalnik" },
  "right_to_left_9cfb092a": { "message": "Od desne proti levi" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Žal urejevalnik Pretty HTML Editor ni dostopen s tipkovnico. Tukaj lahko dostopate do surovega urejevalnika HTML."
  },
  "save_11a80ec3": { "message": "Shrani" },
  "search_280d00bd": { "message": "Iskanje" },
  "search_term_b2d2235": { "message": "Iskalni izraz" },
  "select_crop_shape_d441feeb": { "message": "Izberite obliko izrezovanja" },
  "select_language_7c93a900": { "message": "Izberite jezik" },
  "selected_274ce24f": { "message": "Izbrano" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Urejevalnik Pretty HTML Editor odprete s pritiskom na tipki Shift+O"
  },
  "show_audio_options_b489926b": { "message": "Prikaži možnosti zvoka" },
  "show_image_options_1e2ecc6b": { "message": "Prikaži možnosti slike" },
  "show_link_options_545338fd": { "message": "Prikaži povezave na slike" },
  "show_video_options_6ed3721a": {
    "message": "Prikaži možnosti videoposnetka"
  },
  "single_color_image_4e5d4dbc": { "message": "Enobarvna slika" },
  "size_b30e1077": { "message": "Velikost" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Velikost je večja od največje dovoljene velikosti datoteke { max } kB."
  },
  "small_b070434a": { "message": "Majhna" },
  "something_went_wrong_89195131": { "message": "Prišlo je do težav." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Prišlo je do težav in ne vem, kaj vam naj prikažem."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Prišlo je do težave; preverite svojo povezavo in poskusite znova."
  },
  "something_went_wrong_d238c551": { "message": "Prišlo je do težav" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Prišlo je do težav; osvežite stran in poskusite znova."
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Pri nalaganju je prišlo do težav; preverite svojo povezavo in poskusite znova."
  },
  "sort_by_e75f9e3e": { "message": "Razvrsti po" },
  "square_511eb3b3": { "message": "Kvadrat" },
  "square_unordered_list_b15ce93b": {
    "message": "nerazvrščeni seznam s kvadrati"
  },
  "star_8d156e09": { "message": "Zvezdica" },
  "styles_2aa721ef": { "message": "Slogi" },
  "submit_a3cc6859": { "message": "Pošlji" },
  "subscript_59744f96": { "message": "Podpisano" },
  "superscript_8cb349a2": { "message": "Nadpisano" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Podprte vrste datotek: SRT ali WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Preklopi v urejevalnik html"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Preklopi v urejevalnik obogatenega besedila"
  },
  "syllabus_f191f65b": { "message": "Učni načrt" },
  "tab_arrows_4cf5abfc": { "message": "ZAVIHEK/puščične tipke" },
  "text_7f4593da": { "message": "Besedilo" },
  "text_background_color_16e61c3f": { "message": "Barva ozadja besedila" },
  "text_color_acf75eb6": { "message": "Barva besedila" },
  "text_position_8df8c162": { "message": "Položaj besedila" },
  "text_size_887c2f6": { "message": "Velikost besedila" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Gradivo je dostopno javnosti."
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Gradivo je licencirano z licenco Creative Commons."
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Za gradivo velja izjema – npr. poštena uporaba, pravica do citiranja ali drugo v skladu z veljavno zakonodajo o avtorskih pravicah"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Urejevalnik Pretty HTML Editor ni dostopen s tipkovnico. Surovi urejevalnik HTML odprete s pritiskom na tipki Shift+O"
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Čeprav bo vaš videoposnetek v brskalniku imel pravilen naslov, ga v zbirki podatkov nismo uspeli posodobiti."
  },
  "title_ee03d132": { "message": "Naslov" },
  "to_be_posted_when_d24bf7dc": { "message": "Za objavo: { when }" },
  "to_do_when_2783d78f": { "message": "Čakajoča opravila: { when }" },
  "toggle_summary_group_413df9ac": {
    "message": "Preklopi skupino { summary }"
  },
  "tools_2fcf772e": { "message": "Orodja" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } najdenih rezultatov, od tega jih je trenutno prikazanih { numDisplayed }."
  },
  "tray_839df38a": { "message": "Trak" },
  "triangle_6072304e": { "message": "Trikotnik" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "pritisnite Ctrl+F9 za dostop do možnosti slike. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "pritisnite Ctrl+F9 za dostop do možnosti povezave. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "pritisnite Ctrl+F9 za dostop do možnosti preglednice. { text }"
  },
  "unpublished_dfd8801": { "message": "neobjavljeno" },
  "untitled_efdc2d7d": { "message": "brez naslova" },
  "upload_document_253f0478": { "message": "Naloži dokument" },
  "upload_file_fd2361b8": { "message": "Naloži datoteko" },
  "upload_image_6120b609": { "message": "Naloži sliko" },
  "upload_media_ce31135a": { "message": "Naloži medije" },
  "upload_record_media_e4207d72": { "message": "Naloži/posnemi medij" },
  "uploading_19e8a4e7": { "message": "Nalaganje" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Nalaganje razširjenih podnapisov/podnapisov ni uspelo."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "abecedno urejeni seznam z velikimi začetnicami"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "abecedno urejeni seznam z rimskimi številkami"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Pravica uporabe:" },
  "usage_rights_required_5fe4dd68": { "message": "Pravice uporabe (obvezno)" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Po možnostih se premikajte s puščičnima tipkama."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Za izbiro oblike uporabite puščične tipke."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Za izbiro velikosti uporabite puščične tipke."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Za izbiro položaja besedila uporabite puščične tipke."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Za izbiro velikosti besedila uporabite puščične tipke."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Za izbiro velikosti orisa uporabite puščične tipke."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Uporabljajo ga bralniki zaslona za opisovanje vsebine slike"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Uporabljajo ga bralniki zaslona za opisovanje videoposnetka"
  },
  "user_documents_c206e61f": { "message": "Uporabniški dokumenti" },
  "user_files_78e21703": { "message": "Uporabniške datoteke" },
  "user_images_b6490852": { "message": "Uporabniške slike" },
  "user_media_14fbf656": { "message": "Uporabnikovi mediji" },
  "video_options_24ef6e5d": { "message": "Možnosti videoposnetka" },
  "video_options_tray_3b9809a5": {
    "message": "Vrstica z možnostmi videoposnetka"
  },
  "video_player_for_9e7d373b": { "message": "Predvajalnik videoposnetkov za " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Predvajalnik videoposnetkov za { title }"
  },
  "view_ba339f93": { "message": "Ogled" },
  "view_description_30446afc": { "message": "Prikaz opisa" },
  "view_keyboard_shortcuts_34d1be0b": {
    "message": "Prikaži bližnjice na tipkovnici"
  },
  "view_predefined_colors_92f5db39": {
    "message": "Prikaz predhodno določenih barv"
  },
  "view_title_description_67940918": { "message": "Prikaz opisa { title }" },
  "width_492fec76": { "message": "Širina" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Širina in višina morata biti številki"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height } px" },
  "wiki_home_9cd54d0": { "message": "Glavna stran wiki" },
  "yes_dde87d5": { "message": "Da" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Prazne datoteke ne smete naložiti."
  },
  "zoom_in_image_bb97d4f": { "message": "Povečaj sliko" },
  "zoom_out_image_d0a0a2ec": { "message": "Pomanjšaj sliko" }
}


formatMessage.addLocale({sl: locale})
