/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/sv_SE'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "Öppna den nätta versionen av HTML-redigeraren"
  },
  "accessibility_checker_b3af1f6c": { "message": "Tillgänglighetskontroll" },
  "add_8523c19b": { "message": "Lägg till" },
  "add_another_f4e50d57": { "message": "Lägg till en till" },
  "add_cc_subtitles_55f0394e": { "message": "Lägg till CC/undertext" },
  "add_image_60b2de07": { "message": "Lägg till bild" },
  "align_11050992": { "message": "Justera" },
  "align_center_ca078feb": { "message": "Centrera" },
  "align_left_e9f1f93b": { "message": "Vänsterjustera" },
  "align_right_9bad3ac1": { "message": "Högerjustera" },
  "alignment_and_lists_5cebcb69": { "message": "Justering och listor" },
  "all_4321c3a1": { "message": "Alla" },
  "all_apps_a50dea49": { "message": "Alla appar" },
  "alphabetical_55b5b4e0": { "message": "Alfabetisk" },
  "alt_text_611fb322": { "message": "Alternativ text" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "Ett fel inträffade vid inläsning av filen"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "Ett fel uppstod vid försök att göra en nätverksförfrågan"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "Ett fel uppstod när dina mediefiler laddades upp."
  },
  "announcement_list_da155734": { "message": "Anslagslista" },
  "announcements_a4b8ed4a": { "message": "Anslag" },
  "apply_781a2546": { "message": "Tillämpa" },
  "apps_54d24a47": { "message": "Appar" },
  "arrows_464a3e54": { "message": "Pilar" },
  "art_icon_8e1daad": { "message": "Konstikon" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": {
    "message": "Bildförhållande kommer att behållas"
  },
  "assignments_1e02582c": { "message": "Uppgifter" },
  "attributes_963ba262": { "message": "Attribut" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "Ljud- och videoinspelning stöds inte. Använd en annan webbläsare."
  },
  "audio_options_feb58e2c": { "message": "Ljudalternativ" },
  "audio_options_tray_33a90711": { "message": "Fack för ljudalternativ" },
  "audio_player_for_title_20cc70d": { "message": "Ljudspelare för { title }" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "Automatiskt sparat innehåll finns. Vill du läsa in det automatiskt sparade innehållet istället?"
  },
  "available_folders_694d0436": { "message": "Tillgängliga mappar" },
  "basic_554cdc0a": { "message": "Grundläggande" },
  "below_81d4dceb": { "message": "Nedan" },
  "bottom_third_5f5fec1d": { "message": "Tredje nerifrån" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "Avbryt" },
  "choose_caption_file_9c45bc4e": { "message": "Välj undertextfil" },
  "choose_usage_rights_33683854": {
    "message": "Välj användningsrättigheter ..."
  },
  "circle_484abe63": { "message": "Cirkel" },
  "circle_unordered_list_9e3a0763": {
    "message": "cirkelmarkera oordnad lista"
  },
  "clear_2084585f": { "message": "Rensa" },
  "clear_image_3213fe62": { "message": "Rensa bild" },
  "clear_selected_file_82388e50": { "message": "Rensa vald fil" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "Rensa vald fil: { filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "Klicka eller håll Skift nedtryck och klicka för att öppna HTML-redigeraren."
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "Klicka för att bädda in { imageName }"
  },
  "click_to_hide_preview_3c707763": {
    "message": "Klicka för att dölja förhandsgranskning"
  },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "Klicka för att infoga en länk i redigeraren."
  },
  "click_to_show_preview_faa27051": {
    "message": "Klicka för att visa förhandsgranskning"
  },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "Stäng en meny eller dialogruta Tar dig också tillbaka till redigerarområdet"
  },
  "close_d634289d": { "message": "Stäng" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "Undertextfilen får inte vara större än { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": { "message": "Undertexter" },
  "collaborations_5c56c15f": { "message": "Samarbeten" },
  "collapse_to_hide_types_1ab46d2e": {
    "message": "Minimera för att dölja { types }"
  },
  "computer_1d7dfa6f": { "message": "Dator" },
  "content_1440204b": { "message": "Innehåll" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "Innehåll laddas fortfarande upp, om du fortsätter kommer det inte att bäddas in korrekt."
  },
  "content_subtype_5ce35e88": { "message": "Underordnad innehållstyp" },
  "content_type_2cf90d95": { "message": "Innehållstyp" },
  "copyright_holder_66ee111": { "message": "Upphovsrättsinnehavare:" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 ord}\n    one {1 ord}\n  other {# ord}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# objekt laddat}\n  other {# objekt laddade}\n}"
  },
  "course_documents_104d76e0": { "message": "Kursdokument" },
  "course_files_62deb8f8": { "message": "Kursfiler" },
  "course_files_a31f97fc": { "message": "Kursfiler" },
  "course_images_f8511d04": { "message": "Kursbilder" },
  "course_links_b56959b9": { "message": "Kurslänkar" },
  "course_media_ec759ad": { "message": "Kursmedia" },
  "course_navigation_dd035109": { "message": "Kursnavigering" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons-licens:"
  },
  "crop_image_41bf940c": { "message": "Beskär bild" },
  "crop_image_807ebb08": { "message": "Beskär bilden" },
  "current_image_f16c249c": { "message": "Aktuell bild" },
  "custom_6979cd81": { "message": "Anpassa" },
  "date_added_ed5ad465": { "message": "Tillagt datum" },
  "decorative_image_3c28aa7d": { "message": "Dekorativ bild" },
  "decrease_indent_de6343ab": { "message": "Minska indrag" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "punktmarkera oordnad lista som standard"
  },
  "default_numerical_ordered_list_48dd3548": {
    "message": "numrera ordnad lista som standard"
  },
  "delimiters_4db4840d": { "message": "Avgränsare" },
  "describe_the_image_e65d2e32": { "message": "(Beskriv bilden)" },
  "describe_the_video_2fe8f46a": { "message": "(Beskriv videon)" },
  "details_98a31b68": { "message": "Detaljer" },
  "diamond_b8dfe7ae": { "message": "Diamant" },
  "dimension_type_55c83e4e": { "message": "Dimensionstyp" },
  "dimensions_45ddb7b7": { "message": "Dimensioner" },
  "directionality_26ae9e08": { "message": "Textens riktning" },
  "directly_edit_latex_b7e9235b": { "message": "Direktredigera LaTeX" },
  "discussions_a5f96392": { "message": "Diskussioner" },
  "discussions_index_6c36ced": { "message": "Diskussionsindex" },
  "display_options_315aba85": { "message": "Visa alternativ" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "Visa textlänk (öppnas i en ny flik)"
  },
  "document_678cd7bf": { "message": "Dokument" },
  "documents_81393201": { "message": "Dokument" },
  "done_54e3d4b6": { "message": "Klar" },
  "drag_a_file_here_1bf656d5": { "message": "Dra en fil hit" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "Dra och släpp, eller klicka för att söka i din dator"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "Dra handtag. Använd upp- och nedpilarna för att ändra storlek"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "Förfallodatum: Flera datum" },
  "due_when_7eed10c6": { "message": "Inlämningsdatum: { when }" },
  "edit_c5fbea07": { "message": "Redigera" },
  "edit_equation_f5279959": { "message": "Redigera ekvation" },
  "edit_existing_button_icon_3d0277bd": {
    "message": "Redigera befintlig knapp/ikon"
  },
  "edit_link_7f53bebb": { "message": "Redigera länk" },
  "editor_statusbar_26ac81fc": { "message": "Statusfält för redigeraren" },
  "embed_828fac4a": { "message": "Bädda in" },
  "embed_code_314f1bd5": { "message": "Inbäddad kod" },
  "embed_image_1080badc": { "message": "Bädda in bild" },
  "embed_video_a97a64af": { "message": "Bädda in videon" },
  "embedded_content_aaeb4d3d": { "message": "inbäddat innehåll" },
  "engineering_icon_f8f3cf43": { "message": "Ingenjörsikon" },
  "english_icon_25bfe845": { "message": "Engelsk ikon" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "Skriv in minst 3 tecken för att söka"
  },
  "equation_1c5ac93c": { "message": "Ekvation" },
  "equation_editor_39fbc3f1": { "message": "Ekvationsredigeraren" },
  "expand_preview_by_default_2abbf9f8": {
    "message": "Visa förhandsgranskning som standard"
  },
  "expand_to_see_types_f5d29352": {
    "message": "Expandera för att visa { types }"
  },
  "external_links_3d9f074e": { "message": "Externa länkar" },
  "external_tools_6e77821": { "message": "Externa verktyg" },
  "extra_large_b6cdf1ff": { "message": "Extra stor" },
  "extra_small_9ae33252": { "message": "Extra liten" },
  "extracurricular_icon_67c8ca42": { "message": "Fritidsikon" },
  "file_url_c12b64be": { "message": "Filens URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } filikon" },
  "filename_image_preview_6cef8f26": {
    "message": "{ filename } förhandsvisning av bild"
  },
  "filename_text_preview_e41ca2d8": {
    "message": "{ filename } förhandsvisning av text"
  },
  "files_c300e900": { "message": "Filer" },
  "files_index_af7c662b": { "message": "Filindex" },
  "focus_element_options_toolbar_18d993e": {
    "message": "Verktygsfält för alternativ till fokuselement"
  },
  "folder_tree_fbab0726": { "message": "Mappträd" },
  "format_4247a9c5": { "message": "Format" },
  "formatting_5b143aa8": { "message": "Formaterar" },
  "found_auto_saved_content_3f6e4ca5": {
    "message": "Hittade automatiskt sparat innehåll"
  },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "Hittade { count, plural,\n     =0 {# resultat}\n    one {# resultat}\n  other {# resultat}\n}"
  },
  "fullscreen_873bf53f": { "message": "Helskärm" },
  "generating_preview_45b53be0": { "message": "Genererar förhandsvisning ..." },
  "go_to_the_editor_s_menubar_e6674c81": {
    "message": "Gå till redigerarens menyfält"
  },
  "go_to_the_editor_s_toolbar_a5cb875f": {
    "message": "Gå till redigerarens verktygsfält"
  },
  "grades_a61eba0a": { "message": "Omdömen" },
  "greek_65c5b3f7": { "message": "Grekiska" },
  "group_documents_8bfd6ae6": { "message": "Gruppera dokument" },
  "group_files_4324f3df": { "message": "Gruppfiler" },
  "group_files_82e5dcdb": { "message": "Gruppfiler" },
  "group_images_98e0ac17": { "message": "Gruppera bilder" },
  "group_links_9493129e": { "message": "Grupplänkar" },
  "group_media_2f3d128a": { "message": "Gruppera mediefiler" },
  "group_navigation_99f191a": { "message": "Gruppnavigering" },
  "heading_2_5b84eed2": { "message": "Rubrik 2" },
  "heading_3_2c83de44": { "message": "Rubrik 3" },
  "heading_4_b2e74be7": { "message": "Rubrik 4" },
  "health_icon_8d292eb5": { "message": "Hälsoikon" },
  "height_69b03e15": { "message": "Höjd" },
  "hexagon_d8468e0d": { "message": "Hexagon" },
  "hide_description_bfb5502e": { "message": "Dölj beskrivning" },
  "hide_title_description_caf092ef": {
    "message": "Dölj { title } beskrivning"
  },
  "home_351838cd": { "message": "Hem" },
  "html_code_editor_fd967a44": { "message": "Redigerare för HTML-kod" },
  "html_editor_fb2ab713": { "message": "HTML-redigerare" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "Jag har fått behörighet att använda den här filen."
  },
  "i_hold_the_copyright_71ee91b1": {
    "message": "Jag är upphovsrättsinnehavare"
  },
  "icon_color_b86dd6d6": { "message": "Ikonfärg" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "Om du inte väljer användningsrättigheter nu kommer den här filen att publiceras efter att den har laddats upp."
  },
  "image_8ad06": { "message": "Bild" },
  "image_options_5412d02c": { "message": "Bildalternativ" },
  "image_options_tray_90a46006": { "message": "Alternativfält för bilder" },
  "image_to_crop_3a34487d": { "message": "Bild till beskärning" },
  "images_7ce26570": { "message": "Bilder" },
  "increase_indent_6d550a4a": { "message": "Öka indrag" },
  "insert_593145ef": { "message": "Infoga" },
  "insert_equella_links_49a8dacd": { "message": "Infoga Equella-länkar" },
  "insert_link_6dc23cae": { "message": "Infoga länk" },
  "insert_math_equation_57c6e767": {
    "message": "Infoga en matematisk ekvation"
  },
  "invalid_file_c11ba11": { "message": "Ogiltig fil" },
  "invalid_file_type_881cc9b2": { "message": "Ogiltig filtyp" },
  "invalid_url_cbde79f": { "message": "Ogiltig URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "Kortkommandon" },
  "language_arts_icon_a798b0f8": { "message": "Språkvetenskapsikon" },
  "languages_icon_9d20539": { "message": "Språkikon" },
  "large_9c5e80e7": { "message": "Stor" },
  "left_to_right_e9b4fd06": { "message": "Vänster-till-höger" },
  "library_icon_ae1e54cf": { "message": "Biblioteksikon" },
  "link_7262adec": { "message": "Länk" },
  "link_options_a16b758b": { "message": "Länkalternativ" },
  "links_14b70841": { "message": "Länkar" },
  "load_more_35d33c7": { "message": "Läs in mer" },
  "load_more_results_460f49a9": { "message": "Läs in fler resultat" },
  "loading_25990131": { "message": "Läser in ..." },
  "loading_bde52856": { "message": "Läser in" },
  "loading_failed_b3524381": { "message": "Det gick inte att läsa in ..." },
  "loading_failed_e6a9d8ef": { "message": "Det gick inte att läsa in." },
  "loading_folders_d8b5869e": { "message": "Läser in mappar" },
  "loading_please_wait_d276220a": { "message": "Läser in, vänta" },
  "loading_preview_9f077aa1": { "message": "Förhandsgranskning av inläsning" },
  "locked_762f138b": { "message": "Låst" },
  "math_icon_ad4e9d03": { "message": "Matteikon" },
  "media_af190855": { "message": "Media" },
  "medium_5a8e9ead": { "message": "Medium" },
  "middle_27dc1d5": { "message": "Mitten" },
  "misc_3b692ea7": { "message": "Diverse" },
  "miscellaneous_e9818229": { "message": "Blandat" },
  "modules_c4325335": { "message": "Moduler" },
  "multi_color_image_63d7372f": { "message": "Flerfärgsbild" },
  "music_icon_4db5c972": { "message": "Musikikon" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "Måste vara minst { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "Måste vara minst { width } x { height }pixlar"
  },
  "my_files_2f621040": { "message": "Mina filer" },
  "name_1aed4a1b": { "message": "Namn" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "Navigera via menyn eller verktygsfältet"
  },
  "next_page_d2a39853": { "message": "Nästa sida" },
  "no_e16d9132": { "message": "Nej" },
  "no_file_chosen_9a880793": { "message": "Ingen fil har valts" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "Förhandsvisning är inte tillgänglig för den här filen."
  },
  "no_results_940393cf": { "message": "Inga resultat." },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "Inga resultat hittades för { filterTerm }"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "Inga resultat hittades för { term }."
  },
  "none_3b5e34d2": { "message": "Ingen" },
  "none_selected_b93d56d2": { "message": "Inga valda" },
  "octagon_e48be9f": { "message": "Oktogon" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "Öppna dialogrutan för detta kortkommando"
  },
  "open_title_application_fd624fc5": {
    "message": "Öppna programmet { title }"
  },
  "operators_a2ef9a93": { "message": "Operatörer" },
  "ordered_and_unordered_lists_cfadfc38": {
    "message": "Ordnade och oordnade listor"
  },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "Andra genvägar till redigeraren kan hittas på"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } är inte ett giltigt protokoll. Protokollet måste vara ftp, http, https, mailto, skype, tel eller så kan det utelämnas"
  },
  "pages_e5414c2c": { "message": "Sidor" },
  "paragraph_5e5ad8eb": { "message": "Paragraf" },
  "pentagon_17d82ea3": { "message": "Pentagon" },
  "people_b4ebb13c": { "message": "Personer" },
  "percentage_34ab7c2c": { "message": "Procent" },
  "percentage_must_be_a_number_8033c341": {
    "message": "Procenttalet måste vara ett tal"
  },
  "performing_arts_icon_f3497486": { "message": "Underhållningsikon" },
  "physical_education_icon_d7dffd3e": {
    "message": "Ikon för idrott och hälsa"
  },
  "pixels_52ece7d1": { "message": "Pixlar" },
  "posted_when_a578f5ab": { "message": "Publicerad: { when }" },
  "preformatted_d0670862": { "message": "Förformaterad" },
  "pretty_html_editor_28748756": { "message": "Nätt HTML-redigerare" },
  "preview_53003fd2": { "message": "Förhandsvisa" },
  "preview_in_overlay_ed772c46": { "message": "Förhandsgranskning i överlägg" },
  "preview_inline_9787330": { "message": "Inbäddad förhandsgranskning" },
  "previous_page_928fc112": { "message": "Föregående sida" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "Protokollet måste vara ftp, http, https, mailto, skype, tel eller så kan det utelämnas"
  },
  "published_c944a23d": { "message": "publicerad" },
  "published_when_302d8e23": { "message": "Publicerad: { when }" },
  "quizzes_7e598f57": { "message": "Quiz" },
  "raw_html_editor_e3993e41": { "message": "Raw HTML Editor" },
  "record_7c9448b": { "message": "Spela in" },
  "record_upload_media_5fdce166": { "message": "Spela in/ladda upp media" },
  "relationships_6602af70": { "message": "Relationer" },
  "religion_icon_246e0be1": { "message": "Religiös ikon" },
  "remove_link_d1f2f4d0": { "message": "Ta bort länk" },
  "resize_ec83d538": { "message": "Ändra storlek" },
  "restore_auto_save_deccd84b": {
    "message": "Vill du återställa funktionen Spara automatiskt?"
  },
  "rich_content_editor_2708ef21": {
    "message": "Redigerare för formaterat innehåll"
  },
  "right_to_left_9cfb092a": { "message": "Höger-till-vänster" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "Tyvärr fungerar inte tangentbordet i den nätta HTML-redigeraren. Öppna den råa HTML-redigeraren här."
  },
  "save_11a80ec3": { "message": "Spara" },
  "search_280d00bd": { "message": "Sök" },
  "search_term_b2d2235": { "message": "Sökterm" },
  "select_crop_shape_d441feeb": { "message": "Välj beskärningsform" },
  "select_language_7c93a900": { "message": "Välj språk" },
  "selected_274ce24f": { "message": "Markerade" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "Tryck på Skift+O för att öppna den nätta HTML-redigeraren."
  },
  "show_audio_options_b489926b": { "message": "Visa ljudalternativ" },
  "show_image_options_1e2ecc6b": { "message": "Visa bildalternativ" },
  "show_link_options_545338fd": { "message": "Visa länkalternativ" },
  "show_video_options_6ed3721a": { "message": "Visa videoalternativ" },
  "single_color_image_4e5d4dbc": { "message": "Enfärgsbild" },
  "size_b30e1077": { "message": "Storlek" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "Storleken på undertextfilen överstiger maxstorleken på { max } kb."
  },
  "small_b070434a": { "message": "Liten" },
  "something_went_wrong_89195131": { "message": "Någonting gick fel." },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "Något gick fel och jag vet inte vad jag ska visa dig."
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "Något gick fel. Kontrollera din anslutning och försök igen."
  },
  "something_went_wrong_d238c551": { "message": "Något gick fel" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "Något gick fel. Uppdatera sidan och försök igen."
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "Något gick fel under uppladdningen. Kontrollera din anslutning och försök igen."
  },
  "sort_by_e75f9e3e": { "message": "Sortera efter" },
  "square_511eb3b3": { "message": "Kvadrat" },
  "square_unordered_list_b15ce93b": {
    "message": "fyrkantsmarkera oordnad lista"
  },
  "star_8d156e09": { "message": "Stjärna" },
  "styles_2aa721ef": { "message": "Stilar" },
  "submit_a3cc6859": { "message": "Lämna in" },
  "subscript_59744f96": { "message": "Nedsänkt" },
  "superscript_8cb349a2": { "message": "Upphöjd" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "Filtyper som stöds: SRT eller WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": {
    "message": "Växla till HTML-redigeraren"
  },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "Växla till innehållsredigeraren"
  },
  "syllabus_f191f65b": { "message": "Kursöversikt" },
  "tab_arrows_4cf5abfc": { "message": "FLIK/Pilar" },
  "text_7f4593da": { "message": "Text" },
  "text_background_color_16e61c3f": { "message": "Bakgrundsfärg för text" },
  "text_color_acf75eb6": { "message": "Textfärg" },
  "text_position_8df8c162": { "message": "Textposition" },
  "text_size_887c2f6": { "message": "Textstorlek" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "Materialet är i den offentliga domänen"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "Materialet är licensierat av Creative Commons"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "Undantag finns för materialet – t.ex. rättvis användning, rätt att citera, eller andra gällande copyright-lagar."
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "Tangentbordet fungerar inte i den nätta HTML-redigeraren. Tryck på Skift+O för att öppna den råa HTML-redigeraren."
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "Din video har korrekt titel i webbläsaren, men den uppdaterades inte i databasen."
  },
  "title_ee03d132": { "message": "Titel" },
  "to_be_posted_when_d24bf7dc": { "message": "För publicering: { when }" },
  "to_do_when_2783d78f": { "message": "Att göra: { when }" },
  "toggle_summary_group_413df9ac": { "message": "Växla { summary }-grupp" },
  "tools_2fcf772e": { "message": "Verktyg" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "{ totalResults } resultat hittades, { numDisplayed } resultat visas nu"
  },
  "tray_839df38a": { "message": "Fack" },
  "triangle_6072304e": { "message": "Triangel" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "Skriv Control F9 för åtkomst till bildalternativ. { text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "Skriv Control F9 för åtkomst till länkalternativ. { text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "Skriv Control F9 för åtkomst till tabellalternativ. { text }"
  },
  "unpublished_dfd8801": { "message": "avpublicerad" },
  "untitled_efdc2d7d": { "message": "namnlös" },
  "upload_document_253f0478": { "message": "Ladda upp dokument" },
  "upload_file_fd2361b8": { "message": "Ladda upp fil" },
  "upload_image_6120b609": { "message": "Ladda upp bild" },
  "upload_media_ce31135a": { "message": "Ladda upp media" },
  "upload_record_media_e4207d72": { "message": "Ladda upp/spela in media" },
  "uploading_19e8a4e7": { "message": "Laddar upp" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "Det gick inte att ladda upp undertexter."
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "markera alfabetisk ordnad lista med versaler"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "markera ordnad lista med romerska siffror"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "Användningsrättigheter:" },
  "usage_rights_required_5fe4dd68": {
    "message": "Användningsrättigheter (krävs)"
  },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "Använd piltangenterna för att navigera bland alternativen."
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "Använd pilknapparna för att välja en form."
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "Använd pilknapparna för att välja en storlek."
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "Använd pilknapparna för att välja en textposition."
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "Använd pilknapparna för att välja en textstorlek."
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "Använd pilknapparna för att välja en konturstorlek."
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "Används av skärmläsare för att beskriva en bilds innehåll"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "Används av skärmläsare för att beskriva videon"
  },
  "user_documents_c206e61f": { "message": "Användardokument" },
  "user_files_78e21703": { "message": "Användarfiler" },
  "user_images_b6490852": { "message": "Användarbilder" },
  "user_media_14fbf656": { "message": "Användarmedia" },
  "video_options_24ef6e5d": { "message": "Videoalternativ" },
  "video_options_tray_3b9809a5": { "message": "Alternativfält för videor" },
  "video_player_for_9e7d373b": { "message": "Videospelare för " },
  "video_player_for_title_ffd9fbc4": {
    "message": "Videospelare för { title }"
  },
  "view_ba339f93": { "message": "Visa" },
  "view_description_30446afc": { "message": "Visa beskrivning" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "Visa kortkommandon" },
  "view_predefined_colors_92f5db39": {
    "message": "Visa fördefinierade färger"
  },
  "view_title_description_67940918": {
    "message": "Visa beskrivning för { title }"
  },
  "width_492fec76": { "message": "Bredd" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "Bredd och höjd måste anges med siffror"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }pixlar" },
  "wiki_home_9cd54d0": { "message": "Startsida Wiki" },
  "yes_dde87d5": { "message": "Ja" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "Du får inte ladda upp en tom fil"
  },
  "zoom_in_image_bb97d4f": { "message": "Zooma in bilden" },
  "zoom_out_image_d0a0a2ec": { "message": "Zooma ut bilden" }
}


formatMessage.addLocale({sv: locale})
