/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/zh_CN'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "访问精美 HTML 编辑器"
  },
  "accessibility_checker_b3af1f6c": { "message": "辅助功能检查器" },
  "add_8523c19b": { "message": "添加" },
  "add_another_f4e50d57": { "message": "新增" },
  "add_cc_subtitles_55f0394e": { "message": "添加抄送/副标题" },
  "add_image_60b2de07": { "message": "添加图像" },
  "align_11050992": { "message": "协调" },
  "align_center_ca078feb": { "message": "居中对齐" },
  "align_left_e9f1f93b": { "message": "左对齐" },
  "align_right_9bad3ac1": { "message": "右对齐" },
  "alignment_and_lists_5cebcb69": { "message": "对齐和列表" },
  "all_4321c3a1": { "message": "全部" },
  "all_apps_a50dea49": { "message": "所有应用" },
  "alphabetical_55b5b4e0": { "message": "按字母顺序" },
  "alt_text_611fb322": { "message": "Alt 文本" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "读取文件时发生错误"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "发出网络请求时出错"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "上传媒体时出错。"
  },
  "announcement_list_da155734": { "message": "公告列表" },
  "announcements_a4b8ed4a": { "message": "公告" },
  "apply_781a2546": { "message": "申请" },
  "apps_54d24a47": { "message": "应用程序" },
  "arrows_464a3e54": { "message": "箭头" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": { "message": "保留长宽比" },
  "assignments_1e02582c": { "message": "作业" },
  "attributes_963ba262": { "message": "属性" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "不支持音频和视频录制；请使用其他浏览器。"
  },
  "audio_options_feb58e2c": { "message": "音频选项" },
  "audio_options_tray_33a90711": { "message": "音频选项托盘" },
  "audio_player_for_title_20cc70d": { "message": "{ title }的音频播放器" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "存在自动保存的内容。是否要改为加载自动保存的内容？"
  },
  "available_folders_694d0436": { "message": "可用文件夹" },
  "basic_554cdc0a": { "message": "基本" },
  "below_81d4dceb": { "message": "下方" },
  "bottom_third_5f5fec1d": { "message": "倒数第三" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "取消" },
  "choose_caption_file_9c45bc4e": { "message": "选择标题文件" },
  "choose_usage_rights_33683854": { "message": "选择使用权限..." },
  "circle_484abe63": { "message": "圆圈" },
  "circle_unordered_list_9e3a0763": { "message": "圆形无序列表" },
  "clear_2084585f": { "message": "清除" },
  "clear_selected_file_82388e50": { "message": "清除所选文件" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "清除所选文件：{ filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "单击或按住 shift 并单击 html 编辑器。"
  },
  "click_to_embed_imagename_c41ea8df": { "message": "单击以嵌入{ imageName }" },
  "click_to_hide_preview_3c707763": { "message": "单击以隐藏预览" },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "单击以插入指向编辑器的链接。"
  },
  "click_to_show_preview_faa27051": { "message": "单击以显示预览" },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "关闭菜单或对话框。并带您返回至编辑器区域"
  },
  "close_d634289d": { "message": "关闭" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "关闭字幕的文件必须小于 { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": { "message": "关闭了字幕/说明" },
  "collaborations_5c56c15f": { "message": "协作" },
  "collapse_to_hide_types_1ab46d2e": { "message": "折叠以隐藏 { types }" },
  "computer_1d7dfa6f": { "message": "计算机" },
  "content_1440204b": { "message": "内容" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "内容仍在上传中，如果您继续，该内容将不会正确嵌入。"
  },
  "content_subtype_5ce35e88": { "message": "内容子类型" },
  "content_type_2cf90d95": { "message": "内容类型" },
  "copyright_holder_66ee111": { "message": "版权持有者：" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 个字}\n    one {1 个字}\n  other {# 个字}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {已上传 # 项}\n  other {已上传 # 项}\n}"
  },
  "course_documents_104d76e0": { "message": "课程文件" },
  "course_files_62deb8f8": { "message": "课程文件" },
  "course_files_a31f97fc": { "message": "课程文件" },
  "course_images_f8511d04": { "message": "课程图像" },
  "course_links_b56959b9": { "message": "课程链接" },
  "course_media_ec759ad": { "message": "课程媒体" },
  "course_navigation_dd035109": { "message": "课程导航" },
  "creative_commons_license_725584ae": {
    "message": "Creative Commons 许可证："
  },
  "crop_image_807ebb08": { "message": "裁剪图像" },
  "current_image_f16c249c": { "message": "当前图像" },
  "custom_6979cd81": { "message": "自定义" },
  "date_added_ed5ad465": { "message": "按添加日期排序" },
  "decorative_image_3c28aa7d": { "message": "装饰图" },
  "decrease_indent_de6343ab": { "message": "减少缩进" },
  "default_bulleted_unordered_list_47079da8": {
    "message": "默认项目符号无序列表"
  },
  "default_numerical_ordered_list_48dd3548": { "message": "默认数字有序列表" },
  "delimiters_4db4840d": { "message": "分隔符" },
  "describe_the_image_e65d2e32": { "message": "（图像说明）" },
  "describe_the_video_2fe8f46a": { "message": "（视频说明）" },
  "details_98a31b68": { "message": "详情" },
  "diamond_b8dfe7ae": { "message": "菱形" },
  "dimension_type_55c83e4e": { "message": "维度类型" },
  "dimensions_45ddb7b7": { "message": "尺寸" },
  "directionality_26ae9e08": { "message": "方向" },
  "directly_edit_latex_b7e9235b": { "message": "直接编辑 LaTeX" },
  "discussions_a5f96392": { "message": "讨论" },
  "discussions_index_6c36ced": { "message": "讨论索引" },
  "display_options_315aba85": { "message": "显示选项" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "显示文本链接（在新标签页中打开）"
  },
  "document_678cd7bf": { "message": "文档" },
  "documents_81393201": { "message": "文档" },
  "done_54e3d4b6": { "message": "完成" },
  "drag_a_file_here_1bf656d5": { "message": "把文件拖动到此处" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "拖放或点击以浏览计算机"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "拖动手柄。使用上下箭头调整大小"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "到期：多个日期" },
  "due_when_7eed10c6": { "message": "到期：{ when }" },
  "edit_c5fbea07": { "message": "编辑" },
  "edit_equation_f5279959": { "message": "编辑等式" },
  "edit_existing_button_icon_3d0277bd": { "message": "编辑现有按钮/图标" },
  "edit_link_7f53bebb": { "message": "编辑链接" },
  "editor_statusbar_26ac81fc": { "message": "编辑器状态栏" },
  "embed_828fac4a": { "message": "嵌入" },
  "embed_code_314f1bd5": { "message": "嵌入代码" },
  "embed_image_1080badc": { "message": "嵌入图片" },
  "embed_video_a97a64af": { "message": "嵌入视频" },
  "embedded_content_aaeb4d3d": { "message": "嵌入内容" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "输入至少 3 个字符以进行搜索"
  },
  "equation_1c5ac93c": { "message": "等式" },
  "equation_editor_39fbc3f1": { "message": "方程式编辑器" },
  "expand_preview_by_default_2abbf9f8": { "message": "默认展开预览" },
  "expand_to_see_types_f5d29352": { "message": "展开以查看 { types }" },
  "external_links_3d9f074e": { "message": "外部链接" },
  "external_tools_6e77821": { "message": "外部工具" },
  "extra_large_b6cdf1ff": { "message": "超大" },
  "extra_small_9ae33252": { "message": "特小" },
  "file_url_c12b64be": { "message": "文件URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename }文件图标" },
  "filename_image_preview_6cef8f26": { "message": "{ filename }图像预览" },
  "filename_text_preview_e41ca2d8": { "message": "{ filename }文本预览" },
  "files_c300e900": { "message": "文件" },
  "files_index_af7c662b": { "message": "文件索引" },
  "focus_element_options_toolbar_18d993e": { "message": "焦点元素选项工具栏" },
  "folder_tree_fbab0726": { "message": "文件夹树" },
  "format_4247a9c5": { "message": "格式" },
  "formatting_5b143aa8": { "message": "格式化" },
  "found_auto_saved_content_3f6e4ca5": { "message": "找到自动保存的内容" },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "查找 { count, plural,\n     =0 {# 结果}\n    one {# 结果}\n  other {# 结果}\n}"
  },
  "fullscreen_873bf53f": { "message": "全屏" },
  "generating_preview_45b53be0": { "message": "生成预览..." },
  "go_to_the_editor_s_menubar_e6674c81": { "message": "前往编辑器的菜单栏" },
  "go_to_the_editor_s_toolbar_a5cb875f": { "message": "前往编辑器的工具栏" },
  "grades_a61eba0a": { "message": "评分" },
  "greek_65c5b3f7": { "message": "希腊语" },
  "group_documents_8bfd6ae6": { "message": "组文档" },
  "group_files_4324f3df": { "message": "小组文件" },
  "group_files_82e5dcdb": { "message": "组文件" },
  "group_images_98e0ac17": { "message": "组图像" },
  "group_links_9493129e": { "message": "小组链接" },
  "group_media_2f3d128a": { "message": "组媒体" },
  "group_navigation_99f191a": { "message": "小组导航" },
  "heading_2_5b84eed2": { "message": "标题 2" },
  "heading_3_2c83de44": { "message": "标题 3" },
  "heading_4_b2e74be7": { "message": "标题 4" },
  "height_69b03e15": { "message": "高度" },
  "hexagon_d8468e0d": { "message": "六边形" },
  "hide_description_bfb5502e": { "message": "隐藏说明" },
  "hide_title_description_caf092ef": { "message": "隐藏{ title }说明" },
  "home_351838cd": { "message": "首页" },
  "html_code_editor_fd967a44": { "message": "HTML 代码编辑器" },
  "html_editor_fb2ab713": { "message": "HTML 编辑器" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "我已获得使用此文件的权限。"
  },
  "i_hold_the_copyright_71ee91b1": { "message": "我持有版权" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "如果您现在不选择使用权限，该文件在上传后不会被发布。"
  },
  "image_8ad06": { "message": "图片" },
  "image_options_5412d02c": { "message": "图像选项" },
  "image_options_tray_90a46006": { "message": "图像选项托盘" },
  "image_to_crop_3a34487d": { "message": "剪裁图像" },
  "images_7ce26570": { "message": "图像" },
  "increase_indent_6d550a4a": { "message": "增加缩进" },
  "insert_593145ef": { "message": "插入" },
  "insert_equella_links_49a8dacd": { "message": "插入 Equella 链接" },
  "insert_link_6dc23cae": { "message": "插入链接" },
  "insert_math_equation_57c6e767": { "message": "插入数学公式" },
  "invalid_file_c11ba11": { "message": "无效的文件" },
  "invalid_file_type_881cc9b2": { "message": "无效的文件类型" },
  "invalid_url_cbde79f": { "message": "URL 无效" },
  "keyboard_shortcuts_ed1844bd": { "message": "键盘捷径" },
  "large_9c5e80e7": { "message": "大" },
  "left_to_right_e9b4fd06": { "message": "从左至右" },
  "link_7262adec": { "message": "链接" },
  "link_options_a16b758b": { "message": "链接选项" },
  "links_14b70841": { "message": "链接" },
  "load_more_35d33c7": { "message": "加载更多" },
  "load_more_results_460f49a9": { "message": "加载更多结果" },
  "loading_25990131": { "message": "加载中……" },
  "loading_bde52856": { "message": "正在加载" },
  "loading_failed_b3524381": { "message": "加载失败……" },
  "loading_failed_e6a9d8ef": { "message": "加载失败。" },
  "loading_folders_d8b5869e": { "message": "正在加载文件夹" },
  "loading_please_wait_d276220a": { "message": "正在加载，请稍候" },
  "loading_preview_9f077aa1": { "message": "加载预览" },
  "locked_762f138b": { "message": "已锁定" },
  "media_af190855": { "message": "媒体" },
  "medium_5a8e9ead": { "message": "中等" },
  "middle_27dc1d5": { "message": "中间" },
  "misc_3b692ea7": { "message": "其他" },
  "miscellaneous_e9818229": { "message": "其他" },
  "modules_c4325335": { "message": "单元" },
  "multi_color_image_63d7372f": { "message": "彩色图像" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "必须至少达到 { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "必须至少为 { width } x { height }px"
  },
  "my_files_2f621040": { "message": "我的文件" },
  "name_1aed4a1b": { "message": "名称" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "导航菜单或工具栏"
  },
  "next_page_d2a39853": { "message": "下一页" },
  "no_e16d9132": { "message": "否" },
  "no_file_chosen_9a880793": { "message": "没有选择文件" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "没有预览可用于此文件。"
  },
  "no_results_940393cf": { "message": "无结果。" },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "未找到{ filterTerm }的结果"
  },
  "no_results_found_for_term_1564c08e": { "message": "未找到{ term }的结果。" },
  "none_3b5e34d2": { "message": "无" },
  "none_selected_b93d56d2": { "message": "未选中任何项" },
  "octagon_e48be9f": { "message": "八边形" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "打开此键盘快捷方式对话框"
  },
  "open_title_application_fd624fc5": { "message": "打开{ title }应用程序" },
  "operators_a2ef9a93": { "message": "运算符" },
  "ordered_and_unordered_lists_cfadfc38": { "message": "有序列表和无序列表" },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "其他编辑器快捷方式可见于"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p } 不是有效的协议，必须是 ftp、http、https、mailto、skype、tel 或可以忽略"
  },
  "pages_e5414c2c": { "message": "页面" },
  "paragraph_5e5ad8eb": { "message": "段落" },
  "pentagon_17d82ea3": { "message": "五角形" },
  "people_b4ebb13c": { "message": "人员" },
  "percentage_34ab7c2c": { "message": "百分数" },
  "percentage_must_be_a_number_8033c341": { "message": "百分比必须是数字" },
  "pixels_52ece7d1": { "message": "像素" },
  "posted_when_a578f5ab": { "message": "发布日期：{ when }" },
  "preformatted_d0670862": { "message": "预定义格式" },
  "pretty_html_editor_28748756": { "message": "精美 HTML 编辑器" },
  "preview_53003fd2": { "message": "预览" },
  "preview_in_overlay_ed772c46": { "message": "在图层中预览" },
  "preview_inline_9787330": { "message": "嵌入式预览" },
  "previous_page_928fc112": { "message": "上一页" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "协议必须是 ftp、http、https、mailto、skype、tel 或可以忽略"
  },
  "published_c944a23d": { "message": "已发布" },
  "published_when_302d8e23": { "message": "已发布：{ when }" },
  "quizzes_7e598f57": { "message": "测验" },
  "raw_html_editor_e3993e41": { "message": "原始 HTML 编辑器" },
  "record_7c9448b": { "message": "记录" },
  "record_upload_media_5fdce166": { "message": "记录/上传媒体" },
  "relationships_6602af70": { "message": "关系" },
  "remove_link_d1f2f4d0": { "message": "删除链接" },
  "resize_ec83d538": { "message": "调整大小" },
  "restore_auto_save_deccd84b": { "message": "是否恢复自动保存？" },
  "rich_content_editor_2708ef21": { "message": "富内容编辑器" },
  "right_to_left_9cfb092a": { "message": "从右至左" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "很抱歉，无法通过键盘访问精美 HTML 编辑器。在此处访问原始 HTML 编辑器"
  },
  "save_11a80ec3": { "message": "保存" },
  "search_280d00bd": { "message": "搜索" },
  "search_term_b2d2235": { "message": "搜索学期" },
  "select_crop_shape_d441feeb": { "message": "选择裁剪形状" },
  "select_language_7c93a900": { "message": "选择语言" },
  "selected_274ce24f": { "message": "已选择" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "按 Shift-O 打开精美 HTML 编辑器。"
  },
  "show_audio_options_b489926b": { "message": "显示音频选项" },
  "show_image_options_1e2ecc6b": { "message": "显示图像选项" },
  "show_link_options_545338fd": { "message": "显示链接选项" },
  "show_video_options_6ed3721a": { "message": "显示视频选项" },
  "single_color_image_4e5d4dbc": { "message": "单色图像" },
  "size_b30e1077": { "message": "大小" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "字幕文件的大小必须大于允许的文件大小最大值 { max } kb。"
  },
  "small_b070434a": { "message": "小" },
  "something_went_wrong_89195131": { "message": "出了些问题。" },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "出错了，我不知道该给您看些什么。"
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "遇到一些问题，请检查连接并重试。"
  },
  "something_went_wrong_d238c551": { "message": "出了些问题" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "出现错误，请刷新页面后重试"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "上传时出了些问题，请检查您的连接并重试。"
  },
  "sort_by_e75f9e3e": { "message": "排序" },
  "square_511eb3b3": { "message": "方形" },
  "square_unordered_list_b15ce93b": { "message": "方形无序列表" },
  "star_8d156e09": { "message": "星形标记" },
  "styles_2aa721ef": { "message": "样式" },
  "submit_a3cc6859": { "message": "提交" },
  "subscript_59744f96": { "message": "下标" },
  "superscript_8cb349a2": { "message": "上标" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "支持的文件类型：SRT或WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": { "message": "切换到 HTML 编辑器" },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "切换到富文本编辑器"
  },
  "syllabus_f191f65b": { "message": "教学大纲" },
  "tab_arrows_4cf5abfc": { "message": "TAB/箭头" },
  "text_7f4593da": { "message": "文本" },
  "text_background_color_16e61c3f": { "message": "文字背景颜色" },
  "text_color_acf75eb6": { "message": "文本颜色" },
  "text_position_8df8c162": { "message": "文字位置" },
  "text_size_887c2f6": { "message": "文字大小" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "材料在公开域中"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "材料已根据 Creative Commons 许可"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "材料有例外情况——例如，合理使用、引用权，或版权法规定的其他适用的情况"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "无法通过键盘访问精美 HTML 编辑器。按 Shift O 打开原始 HTML 编辑器。"
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "虽然您的视频在浏览器里会有正确标题，但我们无法在数据库里更新。"
  },
  "title_ee03d132": { "message": "标题" },
  "to_be_posted_when_d24bf7dc": { "message": "待发布：{ when }" },
  "to_do_when_2783d78f": { "message": "待办事项：{ when }" },
  "toggle_summary_group_413df9ac": { "message": "切换{ summary }组" },
  "tools_2fcf772e": { "message": "工具" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "找到了{ totalResults }个结果，当前显示{ numDisplayed }个结果"
  },
  "tray_839df38a": { "message": "托盘" },
  "triangle_6072304e": { "message": "三角形" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "键入 Control F9 以访问图像选项。{ text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "键入 Control F9 以访问链接选项。{ text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "键入 Control F9 以访问表格选项。{ text }"
  },
  "unpublished_dfd8801": { "message": "取消发布" },
  "untitled_efdc2d7d": { "message": "无标题" },
  "upload_document_253f0478": { "message": "上传文档" },
  "upload_file_fd2361b8": { "message": "上传文件" },
  "upload_image_6120b609": { "message": "上传图像" },
  "upload_media_ce31135a": { "message": "上传媒体" },
  "upload_record_media_e4207d72": { "message": "上传/录制媒体" },
  "uploading_19e8a4e7": { "message": "正在上传" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "无法上传已关闭的字幕/副标题。"
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "大写字母有序列表"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "大写罗马数字有序列表"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "使用权限：" },
  "usage_rights_required_5fe4dd68": { "message": "使用权限（必填）" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "使用方向键来导航各选项。"
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "使用箭头键选择形状。"
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "使用箭头键选择大小。"
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "使用箭头键选择文字位置。"
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "使用箭头键选择文字大小。"
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "使用箭头键选择轮廓大小。"
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "屏幕阅读器用它来描述图像内容"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "被屏幕阅读器用来描述视频"
  },
  "user_documents_c206e61f": { "message": "用户文档" },
  "user_files_78e21703": { "message": "用户文档" },
  "user_images_b6490852": { "message": "用户图像" },
  "user_media_14fbf656": { "message": "用户媒体" },
  "video_options_24ef6e5d": { "message": "视频选项" },
  "video_options_tray_3b9809a5": { "message": "视频选项托盘" },
  "video_player_for_9e7d373b": { "message": "的视频播放器 " },
  "video_player_for_title_ffd9fbc4": { "message": "{ title }的视频播放器" },
  "view_ba339f93": { "message": "查看" },
  "view_description_30446afc": { "message": "查看说明" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "查看键盘快捷键" },
  "view_predefined_colors_92f5db39": { "message": "查看预定义颜色" },
  "view_title_description_67940918": { "message": "查看{ title }说明" },
  "width_492fec76": { "message": "宽度" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "宽度和高度必须为数字"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "维基主页" },
  "yes_dde87d5": { "message": "是" },
  "you_may_not_upload_an_empty_file_11c31eb2": { "message": "无法上传空文件。" }
}


formatMessage.addLocale({'zh-Hans': locale})
