/*
 * Copyright (C) 2021 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import formatMessage from '../../format-message'
import '../tinymce/zh_TW'

const locale = {
  "access_the_pretty_html_editor_37168efe": {
    "message": "存取美觀 HTML 編輯器"
  },
  "accessibility_checker_b3af1f6c": { "message": "可訪問性檢查器" },
  "add_8523c19b": { "message": "添加" },
  "add_another_f4e50d57": { "message": "添加其他" },
  "add_cc_subtitles_55f0394e": { "message": "添加副本/字幕" },
  "add_image_60b2de07": { "message": "添加影像" },
  "align_11050992": { "message": "對齊" },
  "align_center_ca078feb": { "message": "置中對齊" },
  "align_left_e9f1f93b": { "message": "向左對齊" },
  "align_right_9bad3ac1": { "message": "向右對齊" },
  "alignment_and_lists_5cebcb69": { "message": "對齊及清單" },
  "all_4321c3a1": { "message": "全部" },
  "all_apps_a50dea49": { "message": "所有應用程式" },
  "alphabetical_55b5b4e0": { "message": "字母" },
  "alt_text_611fb322": { "message": "替代文字" },
  "an_error_occured_reading_the_file_ff48558b": {
    "message": "讀取作業時發生錯誤"
  },
  "an_error_occurred_making_a_network_request_d1bda348": {
    "message": "發出連線請求時發生錯誤"
  },
  "an_error_occurred_uploading_your_media_71f1444d": {
    "message": "上載媒體時發生錯誤。"
  },
  "announcement_list_da155734": { "message": "通告清單" },
  "announcements_a4b8ed4a": { "message": "通告" },
  "apply_781a2546": { "message": "應用" },
  "apps_54d24a47": { "message": "應用程式" },
  "arrows_464a3e54": { "message": "箭號" },
  "art_icon_8e1daad": { "message": "藝術圖示" },
  "aspect_ratio_will_be_preserved_cb5fdfb8": { "message": "外觀比例將被保留" },
  "assignments_1e02582c": { "message": "作業列表" },
  "attributes_963ba262": { "message": "屬性" },
  "audio_and_video_recording_not_supported_please_use_5ce3f0d7": {
    "message": "不支援音訊和視訊錄製；請使用不同的瀏覽器。"
  },
  "audio_options_feb58e2c": { "message": "音訊選項" },
  "audio_options_tray_33a90711": { "message": "音訊選項收集箱" },
  "audio_player_for_title_20cc70d": { "message": "{ title } 的音訊播放器" },
  "auto_saved_content_exists_would_you_like_to_load_t_fee528f2": {
    "message": "自動儲存內容已存在。是否要改為載入自動儲存的內容？"
  },
  "available_folders_694d0436": { "message": "可用資料夾" },
  "basic_554cdc0a": { "message": "基本" },
  "below_81d4dceb": { "message": "以下" },
  "bottom_third_5f5fec1d": { "message": "底部第三個" },
  "c_2001_acme_inc_283f7f80": { "message": "(c) 2001 Acme Inc." },
  "cancel_caeb1e68": { "message": "取消" },
  "choose_caption_file_9c45bc4e": { "message": "選擇字幕檔案" },
  "choose_usage_rights_33683854": { "message": "選擇使用權限…" },
  "circle_484abe63": { "message": "圓形" },
  "circle_unordered_list_9e3a0763": { "message": "圓形無序清單" },
  "clear_2084585f": { "message": "清除" },
  "clear_image_3213fe62": { "message": "清除影像" },
  "clear_selected_file_82388e50": { "message": "清除所選擇的檔案" },
  "clear_selected_file_filename_2fe8a58e": {
    "message": "清除所選擇的檔案：{ filename }"
  },
  "click_or_shift_click_for_the_html_editor_25d70bb4": {
    "message": "點擊或按住 Shift 點擊調出 html 編輯器。"
  },
  "click_to_embed_imagename_c41ea8df": {
    "message": "按一下以嵌入 { imageName }"
  },
  "click_to_hide_preview_3c707763": { "message": "按一下以隱藏預覽" },
  "click_to_insert_a_link_into_the_editor_c19613aa": {
    "message": "按一下以插入一個連結至編輯。"
  },
  "click_to_show_preview_faa27051": { "message": "按一下以顯示預覽" },
  "close_a_menu_or_dialog_also_returns_you_to_the_edi_739079e6": {
    "message": "關閉選單或對話方塊。另外請返回編輯器區域"
  },
  "close_d634289d": { "message": "關閉" },
  "closed_caption_file_must_be_less_than_maxkb_kb_5880f752": {
    "message": "關閉的字幕檔案必須小於 { maxKb } kb"
  },
  "closed_captions_subtitles_e6aaa016": { "message": "隱藏圖片說明/字幕" },
  "collaborations_5c56c15f": { "message": "協作" },
  "collapse_to_hide_types_1ab46d2e": { "message": "收起以隱藏 { types }" },
  "computer_1d7dfa6f": { "message": "電腦" },
  "content_1440204b": { "message": "內容" },
  "content_is_still_being_uploaded_if_you_continue_it_8f06d0cb": {
    "message": "內容仍在上傳中，如果您繼續將無法正確嵌入內容。"
  },
  "content_subtype_5ce35e88": { "message": "內容子類型" },
  "content_type_2cf90d95": { "message": "內容類型" },
  "copyright_holder_66ee111": { "message": "版權持有人：" },
  "count_plural_0_0_words_one_1_word_other_words_acf32eca": {
    "message": "{ count, plural,\n     =0 {0 個字}\n    one {1 個字}\n  other {# 個字}\n}"
  },
  "count_plural_one_item_loaded_other_items_loaded_857023b7": {
    "message": "{ count, plural,\n    one {# 個項目已載入}\n  other {# 個項目已載入}\n}"
  },
  "course_documents_104d76e0": { "message": "課程文件" },
  "course_files_62deb8f8": { "message": "課程檔案" },
  "course_files_a31f97fc": { "message": "課程檔案" },
  "course_images_f8511d04": { "message": "課程影像" },
  "course_links_b56959b9": { "message": "課程連結" },
  "course_media_ec759ad": { "message": "課程媒體" },
  "course_navigation_dd035109": { "message": "課程導航" },
  "creative_commons_license_725584ae": { "message": "創意共享授權：" },
  "crop_image_41bf940c": { "message": "裁剪影像" },
  "crop_image_807ebb08": { "message": "裁剪影像" },
  "current_image_f16c249c": { "message": "目前的圖像" },
  "custom_6979cd81": { "message": "自訂" },
  "date_added_ed5ad465": { "message": "添加的日期" },
  "decorative_image_3c28aa7d": { "message": "裝飾圖像" },
  "decrease_indent_de6343ab": { "message": "減少縮排" },
  "default_bulleted_unordered_list_47079da8": { "message": "預設符號無序清單" },
  "default_numerical_ordered_list_48dd3548": { "message": "預設數字有序清單" },
  "delimiters_4db4840d": { "message": "分隔符號" },
  "describe_the_image_e65d2e32": { "message": "（描述影像）" },
  "describe_the_video_2fe8f46a": { "message": "（描述影片）" },
  "details_98a31b68": { "message": "詳細資料" },
  "diamond_b8dfe7ae": { "message": "鑽石形" },
  "dimension_type_55c83e4e": { "message": "尺寸類型" },
  "dimensions_45ddb7b7": { "message": "尺寸" },
  "directionality_26ae9e08": { "message": "方向" },
  "directly_edit_latex_b7e9235b": { "message": "直接編輯 LaTeX" },
  "discussions_a5f96392": { "message": "討論區" },
  "discussions_index_6c36ced": { "message": "討論索引" },
  "display_options_315aba85": { "message": "顯示選項" },
  "display_text_link_opens_in_a_new_tab_75e9afc9": {
    "message": "顯示文字連結（在新標籤中開啟）"
  },
  "document_678cd7bf": { "message": "文件" },
  "documents_81393201": { "message": "文件" },
  "done_54e3d4b6": { "message": "已完成" },
  "drag_a_file_here_1bf656d5": { "message": "拖曳檔案到此處。" },
  "drag_and_drop_or_click_to_browse_your_computer_60772d6d": {
    "message": "拖放或按一下以瀏覽您的電腦"
  },
  "drag_handle_use_up_and_down_arrows_to_resize_e29eae5c": {
    "message": "拖曳控點。使用上下箭頭重新調整大小"
  },
  "due_multiple_dates_cc0ee3f5": { "message": "截止日期：多個日期" },
  "due_when_7eed10c6": { "message": "截止日期：{ when }" },
  "edit_c5fbea07": { "message": "編輯" },
  "edit_equation_f5279959": { "message": "編輯方程式" },
  "edit_existing_button_icon_3d0277bd": { "message": "編輯現有的按鈕/圖示" },
  "edit_link_7f53bebb": { "message": "編輯連結" },
  "editor_statusbar_26ac81fc": { "message": "編輯器狀態欄" },
  "embed_828fac4a": { "message": "嵌入" },
  "embed_code_314f1bd5": { "message": "嵌入代碼" },
  "embed_image_1080badc": { "message": "嵌入影像" },
  "embed_video_a97a64af": { "message": "嵌入影片" },
  "embedded_content_aaeb4d3d": { "message": "嵌入內容" },
  "engineering_icon_f8f3cf43": { "message": "工程圖示" },
  "english_icon_25bfe845": { "message": "英文圖示" },
  "enter_at_least_3_characters_to_search_4f037ee0": {
    "message": "請輸入最少 3 個字元以開始搜尋"
  },
  "equation_1c5ac93c": { "message": "方程式" },
  "equation_editor_39fbc3f1": { "message": "方程式編輯器" },
  "expand_preview_by_default_2abbf9f8": { "message": "預設為展開預覽" },
  "expand_to_see_types_f5d29352": { "message": "展開以查看 { types }" },
  "external_links_3d9f074e": { "message": "外部連結" },
  "external_tools_6e77821": { "message": "外部工具" },
  "extra_large_b6cdf1ff": { "message": "超大" },
  "extra_small_9ae33252": { "message": "超小" },
  "extracurricular_icon_67c8ca42": { "message": "課外活動圖示" },
  "file_url_c12b64be": { "message": "檔案 URL" },
  "filename_file_icon_602eb5de": { "message": "{ filename } 檔案圖示" },
  "filename_image_preview_6cef8f26": { "message": "{ filename } 影像預覽" },
  "filename_text_preview_e41ca2d8": { "message": "{ filename } 文字預覽" },
  "files_c300e900": { "message": "檔案" },
  "files_index_af7c662b": { "message": "檔案索引" },
  "focus_element_options_toolbar_18d993e": { "message": "聚焦元素選項工具欄" },
  "folder_tree_fbab0726": { "message": "樹狀資件夾" },
  "format_4247a9c5": { "message": "格式" },
  "formatting_5b143aa8": { "message": "格式" },
  "found_auto_saved_content_3f6e4ca5": { "message": "找到自動儲存的內容" },
  "found_count_plural_0_results_one_result_other_resu_46aeaa01": {
    "message": "找到 { count, plural,\n     =0 {# 個結果 }\n    one {# 個結果 }\n  other {# 個結果 }\n}"
  },
  "fullscreen_873bf53f": { "message": "全螢幕" },
  "generating_preview_45b53be0": { "message": "產生預覽中..." },
  "go_to_the_editor_s_menubar_e6674c81": { "message": "前往編輯器的選單欄" },
  "go_to_the_editor_s_toolbar_a5cb875f": { "message": "前往編輯器的工具欄" },
  "grades_a61eba0a": { "message": "成績" },
  "greek_65c5b3f7": { "message": "希臘語" },
  "group_documents_8bfd6ae6": { "message": "群組文件" },
  "group_files_4324f3df": { "message": "群組檔案" },
  "group_files_82e5dcdb": { "message": "群組檔案" },
  "group_images_98e0ac17": { "message": "群組圖像" },
  "group_links_9493129e": { "message": "群組連結" },
  "group_media_2f3d128a": { "message": "群組媒體" },
  "group_navigation_99f191a": { "message": "群組導航" },
  "heading_2_5b84eed2": { "message": "標題 2" },
  "heading_3_2c83de44": { "message": "標題 3" },
  "heading_4_b2e74be7": { "message": "標題 4" },
  "health_icon_8d292eb5": { "message": "健康圖示" },
  "height_69b03e15": { "message": "高度" },
  "hexagon_d8468e0d": { "message": "六邊形" },
  "hide_description_bfb5502e": { "message": "隱藏描述" },
  "hide_title_description_caf092ef": { "message": "隱藏 { title } 描述" },
  "home_351838cd": { "message": "首頁" },
  "html_code_editor_fd967a44": { "message": "Html 代碼編輯器" },
  "html_editor_fb2ab713": { "message": "HTML 編輯器" },
  "i_have_obtained_permission_to_use_this_file_6386f087": {
    "message": "我已經獲得了該文檔的使用權限。"
  },
  "i_hold_the_copyright_71ee91b1": { "message": "我持有該版權" },
  "icon_color_b86dd6d6": { "message": "圖示色彩" },
  "if_you_do_not_select_usage_rights_now_this_file_wi_14e07ab5": {
    "message": "如果您現在不選擇使用權，那麼該文檔在其上傳之後將會撤銷發佈。"
  },
  "image_8ad06": { "message": "影像" },
  "image_options_5412d02c": { "message": "影像選項" },
  "image_options_tray_90a46006": { "message": "影像選項收集箱" },
  "image_to_crop_3a34487d": { "message": "要裁剪的圖像" },
  "images_7ce26570": { "message": "影像" },
  "increase_indent_6d550a4a": { "message": "增加縮排" },
  "insert_593145ef": { "message": "插入" },
  "insert_equella_links_49a8dacd": { "message": "插入 Equella 連結" },
  "insert_link_6dc23cae": { "message": "插入連結" },
  "insert_math_equation_57c6e767": { "message": "插入數學方程式" },
  "invalid_file_c11ba11": { "message": "無效的檔案" },
  "invalid_file_type_881cc9b2": { "message": "無效的檔案類型" },
  "invalid_url_cbde79f": { "message": "無效的 URL" },
  "keyboard_shortcuts_ed1844bd": { "message": "鍵盤快速鍵" },
  "language_arts_icon_a798b0f8": { "message": "語言文學圖示" },
  "languages_icon_9d20539": { "message": "語言圖示" },
  "large_9c5e80e7": { "message": "大" },
  "left_to_right_e9b4fd06": { "message": "左至右" },
  "library_icon_ae1e54cf": { "message": "圖書館圖示" },
  "link_7262adec": { "message": "連結" },
  "link_options_a16b758b": { "message": "連結選項" },
  "links_14b70841": { "message": "連結" },
  "load_more_35d33c7": { "message": "載入更多" },
  "load_more_results_460f49a9": { "message": "載入更多結果" },
  "loading_25990131": { "message": "正在載入……" },
  "loading_bde52856": { "message": "正在載入" },
  "loading_failed_b3524381": { "message": "載入失敗……" },
  "loading_failed_e6a9d8ef": { "message": "載入失敗。" },
  "loading_folders_d8b5869e": { "message": "正在載入資料夾" },
  "loading_please_wait_d276220a": { "message": "正在載入，請稍候" },
  "loading_preview_9f077aa1": { "message": "載入預覽" },
  "locked_762f138b": { "message": "已鎖定" },
  "math_icon_ad4e9d03": { "message": "數學圖示" },
  "media_af190855": { "message": "媒體" },
  "medium_5a8e9ead": { "message": "中" },
  "middle_27dc1d5": { "message": "中間" },
  "misc_3b692ea7": { "message": "雜項" },
  "miscellaneous_e9818229": { "message": "雜項" },
  "modules_c4325335": { "message": "單元" },
  "multi_color_image_63d7372f": { "message": "多色圖像" },
  "music_icon_4db5c972": { "message": "音樂圖示" },
  "must_be_at_least_percentage_22e373b6": {
    "message": "必須至少 { percentage }%"
  },
  "must_be_at_least_width_x_height_px_41dc825e": {
    "message": "必須至少為 { width } x { height } px"
  },
  "my_files_2f621040": { "message": "我的檔案" },
  "name_1aed4a1b": { "message": "名稱" },
  "navigate_through_the_menu_or_toolbar_415a4e50": {
    "message": "導航整個選單或工具欄"
  },
  "next_page_d2a39853": { "message": "下一頁" },
  "no_e16d9132": { "message": "否" },
  "no_file_chosen_9a880793": { "message": "未選擇檔案" },
  "no_preview_is_available_for_this_file_f940114a": {
    "message": "本檔案不支援預覽。"
  },
  "no_results_940393cf": { "message": "無結果。" },
  "no_results_found_for_filterterm_ad1b04c8": {
    "message": "找不到 { filterTerm } 的結果"
  },
  "no_results_found_for_term_1564c08e": {
    "message": "找不到 { term } 的結果。"
  },
  "none_3b5e34d2": { "message": "無" },
  "none_selected_b93d56d2": { "message": "未選擇任何項目" },
  "octagon_e48be9f": { "message": "八邊形" },
  "open_this_keyboard_shortcuts_dialog_9658b83a": {
    "message": "開啟此鍵盤快速鍵對話方塊"
  },
  "open_title_application_fd624fc5": { "message": "開啟 { title } 應用程式" },
  "operators_a2ef9a93": { "message": "操作員" },
  "ordered_and_unordered_lists_cfadfc38": { "message": "有序和無序的清單" },
  "other_editor_shortcuts_may_be_found_at_404aba4a": {
    "message": "其他編輯器快速鍵位於"
  },
  "p_is_not_a_valid_protocol_which_must_be_ftp_http_h_adf13fc2": {
    "message": "{ p }並非有效協議，必須使用 ftp、http、https、mailto、skype、tel 或忽略此項"
  },
  "pages_e5414c2c": { "message": "頁面" },
  "paragraph_5e5ad8eb": { "message": "段落" },
  "pentagon_17d82ea3": { "message": "五角形" },
  "people_b4ebb13c": { "message": "成員" },
  "percentage_34ab7c2c": { "message": "百分比" },
  "percentage_must_be_a_number_8033c341": { "message": "百分比必須是數字" },
  "performing_arts_icon_f3497486": { "message": "表演藝術圖示" },
  "physical_education_icon_d7dffd3e": { "message": "體育圖示" },
  "pixels_52ece7d1": { "message": "像素" },
  "posted_when_a578f5ab": { "message": "已公佈：{ when }" },
  "preformatted_d0670862": { "message": "已預先格式化" },
  "pretty_html_editor_28748756": { "message": "美觀 HTML 編輯器" },
  "preview_53003fd2": { "message": "預覽" },
  "preview_in_overlay_ed772c46": { "message": "覆蓋預覽" },
  "preview_inline_9787330": { "message": "預覽內嵌" },
  "previous_page_928fc112": { "message": "上一頁" },
  "protocol_must_be_ftp_http_https_mailto_skype_tel_o_73beb4f8": {
    "message": "協議必須為 ftp、http、https、mailto、skype、tel 或忽略此項"
  },
  "published_c944a23d": { "message": "已發佈" },
  "published_when_302d8e23": { "message": "已發佈：{ when }" },
  "quizzes_7e598f57": { "message": "測驗" },
  "raw_html_editor_e3993e41": { "message": "原始 HTML 編輯器" },
  "record_7c9448b": { "message": "錄製" },
  "record_upload_media_5fdce166": { "message": "錄製/上傳媒體" },
  "relationships_6602af70": { "message": "關聯" },
  "religion_icon_246e0be1": { "message": "宗教圖示" },
  "remove_link_d1f2f4d0": { "message": "移除連結" },
  "resize_ec83d538": { "message": "調校大小" },
  "restore_auto_save_deccd84b": { "message": "還原自動儲存？" },
  "rich_content_editor_2708ef21": { "message": "多種格式的內容編輯器" },
  "right_to_left_9cfb092a": { "message": "右至左" },
  "sadly_the_pretty_html_editor_is_not_keyboard_acces_50da7665": {
    "message": "很遺憾，美觀 HTML 編輯器無法用鍵盤存取。在這裡存取原始 HTML 編輯器。"
  },
  "save_11a80ec3": { "message": "儲存" },
  "search_280d00bd": { "message": "搜尋" },
  "search_term_b2d2235": { "message": "搜尋學期" },
  "select_crop_shape_d441feeb": { "message": "選擇裁剪形狀" },
  "select_language_7c93a900": { "message": "選擇語言" },
  "selected_274ce24f": { "message": "已選擇" },
  "shift_o_to_open_the_pretty_html_editor_55ff5a31": {
    "message": "按 Shift-O 開啟美觀 HTML 編輯器。"
  },
  "show_audio_options_b489926b": { "message": "顯示音訊選項" },
  "show_image_options_1e2ecc6b": { "message": "顯示影像選項" },
  "show_link_options_545338fd": { "message": "顯示連結選項" },
  "show_video_options_6ed3721a": { "message": "顯示影片選項" },
  "single_color_image_4e5d4dbc": { "message": "單色圖像" },
  "size_b30e1077": { "message": "大小" },
  "size_of_caption_file_is_greater_than_the_maximum_m_bff5f86e": {
    "message": "字幕檔案大小大於最大 { max } kb 允許的檔案大小。"
  },
  "small_b070434a": { "message": "小" },
  "something_went_wrong_89195131": { "message": "出現問題。" },
  "something_went_wrong_and_i_don_t_know_what_to_show_e0c54ec8": {
    "message": "出現問題；我不知道應該展示什麼內容。"
  },
  "something_went_wrong_check_your_connection_and_try_2a7b2d13": {
    "message": "出現了問題，請檢查您的連線然後重試。"
  },
  "something_went_wrong_d238c551": { "message": "似乎出問題了" },
  "something_went_wrong_try_again_after_refreshing_th_e094eb8d": {
    "message": "出現問題，請重新整理頁面後再試一次。"
  },
  "something_went_wrong_uploading_check_your_connecti_aa201f15": {
    "message": "上傳出現問題，請檢查您的連線，然後再試一次。"
  },
  "sort_by_e75f9e3e": { "message": "排序依據" },
  "square_511eb3b3": { "message": "正方形" },
  "square_unordered_list_b15ce93b": { "message": "方形無序清單" },
  "star_8d156e09": { "message": "星形" },
  "styles_2aa721ef": { "message": "樣式" },
  "submit_a3cc6859": { "message": "提交" },
  "subscript_59744f96": { "message": "下標" },
  "superscript_8cb349a2": { "message": "上標" },
  "supported_file_types_srt_or_webvtt_7d827ed": {
    "message": "支援的檔案類型：SRT 或 WebVTT"
  },
  "switch_to_the_html_editor_146dfffd": { "message": "切換到 html 編輯器" },
  "switch_to_the_rich_text_editor_63c1ecf6": {
    "message": "切換到多種格式的文字編輯器"
  },
  "syllabus_f191f65b": { "message": "課程大綱" },
  "tab_arrows_4cf5abfc": { "message": "TAB/箭頭" },
  "text_7f4593da": { "message": "文字" },
  "text_background_color_16e61c3f": { "message": "文字背景顏色" },
  "text_color_acf75eb6": { "message": "文字顏色" },
  "text_position_8df8c162": { "message": "文字位置" },
  "text_size_887c2f6": { "message": "文字大小" },
  "the_material_is_in_the_public_domain_279c39a3": {
    "message": "該材料位於公用網域中。"
  },
  "the_material_is_licensed_under_creative_commons_3242cb5e": {
    "message": "該材料在創意共享項下獲得授權"
  },
  "the_material_is_subject_to_an_exception_e_g_fair_u_a39c8ca2": {
    "message": "可能有適用於此資料的例外情況 - 如：合理使用、引用權，或適用版權法下的其他情況"
  },
  "the_pretty_html_editor_is_not_keyboard_accessible__d6d5d2b": {
    "message": "美觀 HTML 編輯器無法用鍵盤存取。按 ShiftO 開啟原始 HTML 編輯器。"
  },
  "though_your_video_will_have_the_correct_title_in_t_90e427f3": {
    "message": "雖然您的影片在瀏覽器中有正確的標題，但我們無法在資料庫中將其更新。"
  },
  "title_ee03d132": { "message": "標題" },
  "to_be_posted_when_d24bf7dc": { "message": "待公佈：{ when }" },
  "to_do_when_2783d78f": { "message": "待辦事項：{ when }" },
  "toggle_summary_group_413df9ac": { "message": "切換 { summary } 群組" },
  "tools_2fcf772e": { "message": "工具" },
  "totalresults_results_found_numdisplayed_results_cu_a0a44975": {
    "message": "找到 { totalResults } 個結果，目前顯示 { numDisplayed } 個結果"
  },
  "tray_839df38a": { "message": "收集箱" },
  "triangle_6072304e": { "message": "三角形" },
  "type_control_f9_to_access_image_options_text_a47e319f": {
    "message": "輸入 Control F9 以存取影像選項。{ text }"
  },
  "type_control_f9_to_access_link_options_text_4ead9682": {
    "message": "輸入 Control F9 以存取連結選項。{ text }"
  },
  "type_control_f9_to_access_table_options_text_92141329": {
    "message": "輸入 Control F9 以存取表格選項。{ text }"
  },
  "unpublished_dfd8801": { "message": "未發佈" },
  "untitled_efdc2d7d": { "message": "無標題" },
  "upload_document_253f0478": { "message": "上傳文件" },
  "upload_file_fd2361b8": { "message": "上傳檔案" },
  "upload_image_6120b609": { "message": "上載影像" },
  "upload_media_ce31135a": { "message": "上傳媒體" },
  "upload_record_media_e4207d72": { "message": "上傳/錄製媒體" },
  "uploading_19e8a4e7": { "message": "正在上傳" },
  "uploading_closed_captions_subtitles_failed_bc093f3": {
    "message": "上傳隱藏圖片說明/字幕失敗。"
  },
  "uppercase_alphabetic_ordered_list_3f5aa6b2": {
    "message": "大寫字母有序清單"
  },
  "uppercase_roman_numeral_ordered_list_853f292b": {
    "message": "大寫羅馬數字有序清單"
  },
  "url_22a5f3b8": { "message": "URL" },
  "usage_right_ff96f3e2": { "message": "使用權：" },
  "usage_rights_required_5fe4dd68": { "message": "使用權限（需要）" },
  "use_arrow_keys_to_navigate_options_2021cc50": {
    "message": "使用箭頭鍵導航選項。"
  },
  "use_arrow_keys_to_select_a_shape_c8eb57ed": {
    "message": "使用箭頭鍵選擇形狀。"
  },
  "use_arrow_keys_to_select_a_size_699a19f4": {
    "message": "使用箭頭鍵選擇大小。"
  },
  "use_arrow_keys_to_select_a_text_position_72f9137c": {
    "message": "使用箭頭鍵選擇文字位置。"
  },
  "use_arrow_keys_to_select_a_text_size_65e89336": {
    "message": "使用箭頭鍵選擇文字大小。"
  },
  "use_arrow_keys_to_select_an_outline_size_e009d6b0": {
    "message": "使用箭頭鍵選擇提綱大小。"
  },
  "used_by_screen_readers_to_describe_the_content_of__b1e76d9e": {
    "message": "由螢幕讀取器使用以描述影像的內容"
  },
  "used_by_screen_readers_to_describe_the_video_37ebad25": {
    "message": "由螢幕讀取器使用以描述影片"
  },
  "user_documents_c206e61f": { "message": "使用者文件" },
  "user_files_78e21703": { "message": "使用者檔案" },
  "user_images_b6490852": { "message": "使用者影像" },
  "user_media_14fbf656": { "message": "使用者媒體" },
  "video_options_24ef6e5d": { "message": "影片選項" },
  "video_options_tray_3b9809a5": { "message": "影片選項收集箱" },
  "video_player_for_9e7d373b": { "message": "影片播放器，標題為 " },
  "video_player_for_title_ffd9fbc4": { "message": "{ title } 的影片播放器" },
  "view_ba339f93": { "message": "檢視" },
  "view_description_30446afc": { "message": "檢視描述" },
  "view_keyboard_shortcuts_34d1be0b": { "message": "檢視鍵盤快速鍵" },
  "view_predefined_colors_92f5db39": { "message": "檢視預定義的顏色" },
  "view_title_description_67940918": { "message": "檢視 { title } 描述" },
  "width_492fec76": { "message": "寬度" },
  "width_and_height_must_be_numbers_110ab2e3": {
    "message": "寬度和高度必須是數字"
  },
  "width_x_height_px_ff3ccb93": { "message": "{ width } x { height }px" },
  "wiki_home_9cd54d0": { "message": "Wiki 首頁" },
  "yes_dde87d5": { "message": "是" },
  "you_may_not_upload_an_empty_file_11c31eb2": {
    "message": "不可上傳空白檔案。"
  },
  "zoom_in_image_bb97d4f": { "message": "放大影像" },
  "zoom_out_image_d0a0a2ec": { "message": "縮小影像" }
}


formatMessage.addLocale({'zh-HK': locale})
