# frozen_string_literal: true

#
# Copyright (C) 2021 - present Instructure, Inc.
#
# This file is part of Canvas.
#
# Canvas is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, version 3 of the License.
#
# Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

describe Lti::Logging do
  describe ".lti_1_api_signature_verification_failed" do
    it "logs an info message" do
      expect(Rails.logger).to receive(:info).with(
        "[LTI 1.1] API request signature verification failed, expected base string 123abc"
      )
      Lti::Logging.lti_1_api_signature_verification_failed("123abc")
    end
  end
end
