# frozen_string_literal: true

#
# Copyright (C) 2020 - present Instructure, Inc.
#
# This file is part of Canvas.
#
# Canvas is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, version 3 of the License.
#
# Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

require_relative "../../conditional_release_spec_helper"
require_dependency "conditional_release/assignment_set"

module ConditionalRelease
  describe AssignmentSet, type: :model do
    it_behaves_like "a soft-deletable model"

    it "must have a scoring_range_id" do
      assignment_set = build :assignment_set, scoring_range_id: nil
      expect(assignment_set.valid?).to eq false
    end
  end
end
