/*
 * Copyright (C) 2020 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import React from 'react'
import SimilarityIcon from './SimilarityIcon'

export default {
  title: 'Examples/Evaluate/Gradebook/SimilarityIcon',
  component: SimilarityIcon,
  args: {
    similarityScore: 80,
    status: 'pending'
  }
}

const Template = args => <SimilarityIcon {...args} />

export const VerySimilar = Template.bind({})
export const KindaSimilar = Template.bind({})
export const Original = Template.bind({})
export const Pending = Template.bind({})
export const Error = Template.bind({})

VerySimilar.args = {
  similarityScore: 80,
  status: 'scored'
}

KindaSimilar.args = {
  similarityScore: 50,
  status: 'scored'
}

Original.args = {
  similarityScore: 10,
  status: 'scored'
}

Pending.args = {
  status: 'pending'
}

Error.args = {
  status: 'error'
}
